#!/bin/sh
#
#  This script will ftp a file from a remote system.
#  This script is part of the NOAAFTP module.
#
#  USAGE: autoftp.sh <user> <passwd> <remotesystem> <filename>
#
#  where   <user>         is the user id
#	   <passwd>       is the user's password
#          <remotesystem> is the remote system to ftp to.
#	   <filename>     is the name of the file to try to ftp.
#
# CR 9656 removed the other filename and added the extensions for GC, WI and
# MO to this script to overcome the string size restrictions of TAE.
user=$1
passwd=$2
remotesys=$3
rootfile=$4
echo "open ${remotesys}
      user ${user} ${passwd}
      type binary
      prompt
      cd pull
      mget "${rootfile}"
      bye" | ftp -n -v 2>&1 | grep -i "File send OK" > /dev/null
if test $? -ne 0
then
   echo "Transfer failed:  mget ${rootfile}"
   exit 1
else
   echo "Transfer completed:  mget ${rootfile}"
   exit 0
fi

