#!/bin/csh
#
# FUNCTION:	log_cvs_commits.csh
#
# PURPOSE:	Provide a function that will enter a log in the
#		$CVSROOT/CVSROOT/commitlog file when source code is committed
#		to the CVS repository.  This function should accept text from
#		standard input and write it back out to standard output.  A
#		separation line, the user's login, and the current date are
#		first echo'd to standard output before standard input is
#		copied.
#
#
# Programmer       Date   Modifications
# ---------------  -----  ------------------------------------------------------
# J.Fenno          05/94  Development
#

echo ""
echo "================================== COMMIT LOG =================================="
echo $user
date
cat
