#include "worgen.h"
#include "desc.h"
#include "tae.h"

#ifdef unix
/* Fortran brigde routine for UNIX  */
#ifdef _IBMR2
#define errmsg_ errmsg
#endif
void errmsg_
(
		char	*message,
		char	*key,
		long	*vrity,
		long	message_length,
		long	key_length
)
{
char *mes_ptr;
char *key_ptr;

mes_ptr = squeeze(message,message_length);
key_ptr = squeeze(key,key_length);

c_errmsg(mes_ptr,key_ptr,vrity );

free(mes_ptr);
free(key_ptr);

}
#endif
#ifdef vms
/* Fortran brigde routine for VAX  */
void errmsg
(
    struct DESC *message,
    struct DESC *key,
    long *vrity
)
{
char *mes_ptr;
char *key_ptr;
long nonfatal = 1;

mes_ptr = squeeze(message->addr,message->length);
key_ptr = squeeze(key->addr,key->length);

c_errmsg(mes_ptr,key_ptr,vrity );

if (free(mes_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","err-free",&nonfatal);
if (free(key_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","err-free",&nonfatal);

}
#endif
