$! set nover
$!
$  OLD_DEFAULT = F$DIRECTORY()		! save enviornment
$ on error then $goto err
$ SOURCE	:= make.com
$ PDFS		:= adapslogoff.pdf 
$! qz
$! CHECKIN, CHECKOUT, and RELEASE are part of a standard release
$! procedure.  The 'qz' designates the statement which pertain
$! to this release procedure.  They are used to globally strip
$! these statements for installations that do not need the
$! release procedure.
$!
$ if (p1.eqs."CHECKOUT") then $goto checkout !!!!!
$ if (p1.eqs."CHECKIN")  then $goto checkin  !!!!!
$! qz
$!
$ set verify
$! qz
$ if (p1.eqs."RELEASE") then $goto release !!!!!
$! qz
$!
$ if (p1.eqs."LAS") then $goto las
$ goto THEEND
$!
$LAS:
$!   p2 is the dstdir
$    copy adapslogoff.pdf 'p2'
$    goto theend
$!
$THEEND:
$    purge
$    set default 'old_default'
$    exit
$!
$! qz
$CHECKOUT:
$!   p2 is srcdir, p3 is dstdir, p4 is programmer
$    checkout 'p2' 'p3' 'p4' 'SOURCE' 'PDFS' !!!!!
$    goto theend                             !!!!!
$!
$CHECKIN:
$!   p2 is srcdir, p2 is dstdir, p4 is programmer
$    checkout 'p2' 'p3' 'p4' 'SOURCE' 'PDFS' !!!!!
$    goto theend                             !!!!!
$!
$RELEASE:
$!   p2 is dstdir                            !!!!!
$    checkout "" 'p2' release 'PDFS'         !!!!!
$    goto theend
$! qz
