/*******************************************************************************
FUNCTION:	free_buf

PURPOSE:   	Free all of the dynamically allocated memory.

*******************************************************************************/
#include "lndetect.h"


/* Global variables defined in main program
-------------------------------------------*/
extern struct BUFFER bbuffer;


FUNCTION free_buf ()
{
long i;			/* Loop control                                       */


/* Free all dynamically allocated memory
----------------------------------------*/
for (i = 0; i < NCHANS; i++)
    {
    if (bbuffer.mean[i] != NULL)
	free(bbuffer.mean[i]);
    if (bbuffer.variance[i] != NULL)
	free(bbuffer.variance[i]);
    }
for (i = 0; i < NBUFLINES; i++)
    {
    if (bbuffer.img[i] != NULL)
	free(bbuffer.img[i]);
    if (bbuffer.mnr[i] != NULL)
	free(bbuffer.mnr[i]);
    }
if (bbuffer.bip != NULL)
    free(bbuffer.bip);
if (bbuffer.drop_line != NULL)
    free(bbuffer.drop_line);
if (bbuffer.drop_pixel != NULL)
    free(bbuffer.drop_pixel);
if (bbuffer.zero != NULL)
    free(bbuffer.zero);

return(E_SUCC);
}
