/******************************************************************************
FUNCTION:	WRITE_FOOT

PURPOSE:	Writes the footnotes at bottom of report.

PROGRAM HISTORY:
Version    Date     Author              Change Request
-------    -----    -------------       --------------
  1.0      12/86     P. Mumford         Initial development
  5.0      01/89     D. Hollaren        Conversion to LAS-5.0
  5.1      07/92     T. Rockvam         Split into separate file

ALGORITHM REFERENCES	none
*******************************************************************************/
#include <stdio.h>
#include "worgen.h"
#include "schedit.h"

void write_foot
(
FILE	*report,	/* Report file pointer			*/
long	*line		/* Line counter for paging		*/
)
{
long	ln;		/* Line looping variable		*/

for(ln = *line; ln < PAGE_SIZE; ln++)
    fprintf(report,"\n");

fprintf(report,"%s%s%s\n", TAB,"Op code:    0 no acquire,  1 dish->disk,  ",
	"2 dish->tape,  3 dish->both,  5 tape->disk");

fprintf(report,"%s%s%s\n",TAB,"Tape File:  99 no file,  1st digit - track ",
	"number,  2nd digit - pos. in track");

return;
}
