/*****************************************************************************
NAME:		GENADDR 

PURPOSE:	Generate the addr for OUT

******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "model.h"

FUNCTION genaddr(hosout,model)

struct  MODEL   *model;     	/* model and orbital information	*/

char hosout[CMLEN]; 		/* output host file image name		*/
{
char 	addr_name[CMLEN];	/* output host name of addr file	*/

long	status,			/* return status			*/
	nonfatal = 1;		/* nonfatal error code			*/

/*
  Generate a file name for the AVHRR DDR
*/
c_lsmknm(hosout,"addr",addr_name);

/*
  Update the header with the information
  about the new image
*/

/*
  Save the archive header and ephemeris to the AVHRR DDR
*/
status = c_putaddr(addr_name,model);
if (status != E_SUCC)
   c_errmsg("Error creating addr file for OUT","wdb2ras-outaddr",&nonfatal);

return;
}
