/******************************************************************************
FUNCTION:	CHECKTIM

PURPOSE: 	Validate the first element (hours) of the time parameters.

PROGRAM HISTORY:
Version    Date     Author      Change Request
-------    -----    ---------   --------------
1.0        4/87     Hollaren
2.0        6/89     LaVergne    
5.0        10/92    T.Rockvam   Updated to LAS 5.0
                                Moved from a PDF proc to a C function
*******************************************************************************/
#include <stdio.h>

int checktim(time)

long	time[];			/* time (hour, min, sec)		*/
{

/*
  The PDF accepts time as a three-value parameter as (hour, min, sec).  The 
  parameter declaration requires values between 0 and 59 so that the terminal 
  monitor validates the minutes and seconds.  This procedure verifies that the 
  value for the hour is between 0 and 23.
*/
if (time[0] > 23)
    return(-1);

return(0);
}
