#include "xplot.h"

void create_info_area(parent)

Widget parent;  /* infoFrame */
{
    Arg         args[512];
    Cardinal    argcnt;
    Boolean     argok;
    XmString    xmstr[5];

    Widget	infoForm;
    Widget	satLabel;
    Widget	dtypeLabel;
    Widget	dateLabel;
    Widget	timeLabel;
    Widget	orbitLabel;
    Widget	stationLabel;

    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 2); argcnt++;
    XtSetArg(args[argcnt], XmNy, 2); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 248); argcnt++;
    infoForm = XtCreateWidget("infoForm", xmFormWidgetClass,
		parent, args, argcnt);
    XtManageChild(infoForm);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopPosition, 2); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 2); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 125); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    satText = XtCreateWidget("satText", xmTextWidgetClass,
                infoForm, args, argcnt);
    XtManageChild(satText);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopPosition, 18); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 2); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 125); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    dtypeText = XtCreateWidget("dtypeText", xmTextWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(dtypeText);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopPosition, 34); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 2); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 125); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    dateText = XtCreateWidget("dateText", xmTextWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(dateText);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 2); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 125); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    timeText = XtCreateWidget("timeText", xmTextWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(timeText);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopPosition, 66); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 2); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 125); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    orbitText = XtCreateWidget("orbitText", xmTextWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(orbitText);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopPosition, 82); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 2); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 125); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    stationText = XtCreateWidget("stationText", xmTextWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(stationText);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, satText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    satLabel = XtCreateWidget("satLabel", xmLabelWidgetClass,
                infoForm, args, argcnt);
    XtManageChild(satLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, dtypeText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    dtypeLabel = XtCreateWidget("dtypeLabel", xmLabelWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(dtypeLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, dateText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    dateLabel = XtCreateWidget("dateLabel", xmLabelWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(dateLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, timeText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    timeLabel = XtCreateWidget("timeLabel", xmLabelWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(timeLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, orbitText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    orbitLabel = XtCreateWidget("orbitLabel", xmLabelWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(orbitLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, stationText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    stationLabel = XtCreateWidget("stationLabel", xmLabelWidgetClass,
		infoForm, args, argcnt);
    XtManageChild(stationLabel);

return;
}
