/*
  station codes
*/
#define WALLOPS 1
#define FAIRBANKS 2
#define EDC 3

/*
  max # of satellites in the satellite.ids table
  (currently there are 13: 0-12)
*/
#define MAXSATS 20

struct SCENEINFO
    {
    char sceneid[17];			/* scene id			*/
    char where;				/* where it comes from(D-domsat)*/
    long acqstart;			/* acq start date/time 		*/
    long acqstop;			/* acq stop date/time 		*/
    long passtart;			/* pass start date/time		*/
    long passtop;			/* pass stop date/time 		*/
    long dtype;				/* data type (LAC,GAC,HRPT)	*/
    long orbit;				/* orbit number			*/
    long station;			/* Wallops, Fairbanks, EDC	*/
    long opcode;			/* operation code		*/
    long hdtrfile;			/* hdtr file #			*/
    char status;			/* status			*/
    char prodflag;			/* production flag		*/
    };
