#define LINEBLOCK 1000		/* basic number of blocks		*/

struct WVS_COVERAGE
    {
    long	areacode;	/* code number of the area 0-9 		*/
    char	*descr;		/* area description 			*/
    float	minlat;		/* minimum latitude of the area		*/
    float	maxlat;		/* maximum latitude of the area		*/
    float	minlon;		/* minimum longitude of the area	*/
    float	maxlon;		/* maximum longitude of the area	*/
    long	idlflg;		/* flag if area crosses idl		*/
    };

struct WVS_LINE
 {
 long           npts;           /* number of points in the line             */
 float         	*pts;           /* list of node locations                   */
 };

struct WVS_VECTOR
 {
 struct
 WVS_LINE       *line;          /* list of lines                            */
 long           maxline;        /* number of lines currently allocated      */
 long           numlines;       /* number of lines defined                  */
 };
