
static int no_scale
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int us_byte
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int us_i2
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int us_i4
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int us_real
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int avhrr_byte
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int avhrr_10bit
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int avhrr_i2
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int avhrr_i4
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

static int avhrr_real
(
    long units,		/* IN  - Units to return the scaling factor for       */
    double *minimum,	/* OUT - Lowest valid value after shifting data       */
    double *maximum,	/* OUT - Largest valid value after shifting data      */
    double *scale,	/* OUT - Scaling factor for 'units'                   */
    double *offset	/* OUT - Offset value for 'units'                     */
);

