
#ifndef LOCAL_PROTOS_H
#define LOCAL_PROTOS_H


/* Prototype routines that are not to be called outside of this directory     */

int bufread
(
    struct ARCDESC *arc     /* IN - Archive descriptor record                 */
);

int bufwrite
(
    struct ARCDESC *arc     /* IN - Archive descriptor record                 */
);

int packline
(
    struct ARCDESC *arc/* IN - Archive descriptor record                     */
);

void free_desc
(
    struct ARCDESC *arc     /* Archive descriptor record                      */
);

void format_dbl_m
(
   double number,  /* the number to be formatted                      */
   long   width,   /* the width of the entire field                   */
   char   str[]    /* a string representing number formatted as +0.00 */
);

void format_dbl_h
(
   double number,  /* the number to be formatted                      */
   long   width,   /* the width of the entire field                   */
   char   str[]    /* a string representing number formatted as +0.00 */
);

void blank_line
(
    char str[HDR_SIZ + 1]  /* One line from the CEOS_IEF header */
);

#endif

