/*******************************************************************************
FUNCTION:	L1B_INIT_MODEL

PURPOSE:	Initialize some of the satellite model information.


Version  Date   Programmer       Modifications
-------  -----  ---------------  -----------------------------------------------
  1.0    10/97  T.Baltzer        Development

PROJECT:	ADAPS
*******************************************************************************/
#include <string.h>
#include "las.h"
#include "adaps.h"
#include "level1bio.h"



void l1b_init_model
(
    struct MODEL *model		/* AVHRR model information              */
)

{
long	i;			/* Looping variable			*/

for (i = 0; i < 5; i++)
    model->chans[i] = 0;

model->nchans = 0;

/*
  Set the NBS time offset to zero (unknown)
*/
model->clock_err = 0;

/*
  Initialize the number of dropped lines to zero
*/
model->totmiss = 0;

/*
  Set the station to unknown
*/
strcpy(model->station,"???");


return;
}
