/****************************************************************************
NAME:		EARTHRADIUS

PURPOSE:	Finds the radius of the earth at a specified radius

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  3.0    C. Wivell     11/92	Original Development

ALGORITHM REFERENCES:

*****************************************************************************/
#include <stdio.h>
#include <math.h>
#include "worgen.h"
#include "constants.h"
#include "ellipsoid.h"

void earthradius
(
    double latc,	/* Latitude to find the radius at		     */
    double *radius	/* Radius of the earth at the specified latitude     */
)
{
*radius = (REQUA * sqrt(Q)) / sqrt(1.0 - EE * cos(latc) * cos(latc));

return;
}
 
