/****************************************************************************
NAME:		NORM

PURPOSE:	Find the length of a vector

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  3.0    C. Wivell     11/92	Original Development

ALGORITHM REFERENCES:

*****************************************************************************/
#include <math.h>
#include "vector.h"

double norm
(
    struct MVECTOR *vec	/* Input vector to fine the length of (NORM)	    */
)

{
double	norm = 0.0;	/* Norm of the vector				    */

/*
  Calculate the norm
*/
norm = sqrt(vec->x * vec->x + vec->y * vec->y + vec->z * vec->z);

return(norm);
}
 
