/****************************************************************************
NAME:		UNIT

PURPOSE:	Calculate a vectors unit vector

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  3.0    C. Wivell     11/92	Original Development

ALGORITHM REFERENCES:

*****************************************************************************/
#include <stdio.h>
#include "model.h"
#include "worgen.h"
#include "vector.h"
#include "local_protos.h"

void unit
(
    struct MVECTOR *vec,/* Input vector					     */
    struct MVECTOR *uni	/* Unit vector of the input vector		     */
)
{
double	mag;		/* Magnitude of the input vector		     */
 
/*
  Find the magnitude of the input vector
*/
mag = norm(vec);

/*
  Calculate the unit vector
*/
uni->x = vec->x / mag;
uni->y = vec->y / mag;
uni->z = vec->z / mag;
      
return;
}
 
