#ifndef LOCAL_PROTOS_H
#define LOCAL_PROTOS_H

#include "model.h"

/* Prototype routines that are not to be called outside of this directory     */


int convert_wind
(
   long inwind[4],		/* Input window (lines)			*/
   float inlat[4],		/* Input window (lats/lons or lat range)*/
   long wflag,			/* window option			*/
   long	quadnum,		/* quad code number			*/
   long	areaopt,		/* first/second area option		*/
   struct MODEL *model,         /* Model and orbital information        */
   long window[4] 		/* Window returned for image		*/
);

#endif
