#!/bin/sh
#make directories and logs for testing GACOSDATES

#check user parameters
   if [ $# != 2 ] 
   then
      echo Usage:  makelogs.sh namebase pername
      echo namebase is the base of the names for the directories to create
      echo pername  is the compositing period name 
      exit 1 
   fi
   namebase=$1"_"
   pername=$2 

#initilize directories
   rm -r $namebase"in" $namebase"out" $namebase"ol" $namebase"db"  2> /dev/null 
   mkdir $namebase"in" $namebase"out" $namebase"ol" $namebase"db" 

#create short term logs 
   for sarea in s01 s02 s03 s04 s06 s07 s08 s10 s12   #study areas 
   do
      logname=$namebase"in"/$sarea"_"$pername.log
      echo Simulated date log for $sarea"_"$pername.log >  $logname
      echo header line 2                                >> $logname
      echo header line 3                                >> $logname
      echo header line 4                                >> $logname
      echo "-------  ------  -----  ----------------"   >> $logname
   done 

#completion
   echo makelogs.sh created 4 directories and 9 datelogs
   exit 0 
