#!/bin/csh -f
#create test files for paxsites

#optionally remove dir
   if ($1 != "no") then 
      echo script makeimage.csh deleted dirs logdir, paxdir, sites
      rm -rf logdir paxdir sites 
      mkdir  sites
   endif 

#set working directory
   cp pax sites
   cd sites

#create images for study areas 1, 3
   set basename="avhrrimage_"
   foreach image ( 				 \
   imagetwo nameaaaa 				 \
   boc003na cec004na cep005na 			 \
   eve009na ind015na jor017na niw024na plu025na  )
      if (! -e $image.img) then
	 foreach extension (.img .ddr .his)
	    echo file is named $basename$image$extension > \
	    $basename$image$extension
	 end 
      endif
   end

#user message
   echo Script makeimages.csh has completed and created multiple test files. 
