
/* bobmean2.c calculates mean nd and number of sample in mean for
       historical mean nd map (1989-1995) and 1996 nd data. */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

void main()
{
   FILE *nd98file, *nfilein, *nfileout, *meanndfilein, *meanndfileout;
   char nd_98[80],n_file_in[80], n_file_out[80], mean_nd_in[80];
   char mean_nd_out[80];
   int status = -1, n, row, col, imeannd, intnd98;
   double nd98, sum, meannd;

/* Open input files */
   printf("Enter name of 1998 nd input file: ");
   gets(nd_98);
   if((nd98file = fopen(nd_98,"rb")) == NULL)
      {printf("Can't open input file: '%s'\n", nd_98); exit(status);}

   printf("Enter name of old (1989-95) mean ND input file: ");
   gets(mean_nd_in);
   if((meanndfilein = fopen(mean_nd_in,"rb")) == NULL)
      {printf("Can't open input file: '%s'\n", mean_nd_in); exit(status);}

   printf("Enter name of old (1989-1995) n values input file : ");
   gets(n_file_in);
   if((nfilein = fopen(n_file_in,"rb")) == NULL)
      {printf("Can't open input file: '%s'\n", n_file_in); exit(status);}

/* Open output files */
   
   printf("Enter output file name of new (1989-1998) mean ND file: ");
   gets(mean_nd_out);
   if((meanndfileout = fopen(mean_nd_out,"wb")) == NULL)
      {printf("Can't open output file: '%s'\n", mean_nd_out); exit(status);}

   printf("Enter output file name for the new (1989-1998) n values file: ");
   gets(n_file_out);
   if((nfileout = fopen(n_file_out,"wb")) == NULL)
     {printf("Can't open output file: '%s'\n",n_file_out); exit(status);}

/* Calculate meannd for each pixel */
    for(row=0; row<1992; row++)
    {
       for(col=0; col<2512; col++)
	  {
	  n = getc(nfilein); /* number of hist. obs in mean for this pixel */
	  imeannd = getc(meanndfilein); /* hist. mean value for this pixel */
	  sum = (double)n * (double)imeannd; /* total ND for hist. data */
	  intnd98 = getc(nd98file); /* get 1998 ndvi value */
	  nd98 = (double)intnd98;   /* make it a double precision value */
	  if(intnd98 > 0){n=n+1; sum=sum+nd98;} /* if not zero, add 98 data */

       if(n > 0)
       {
       meannd = sum/(double)n + 0.5;
       imeannd = (int)meannd;
       }

/* Write meannd and n values for this pixel */
       putc(n,nfileout);
       putc(imeannd,meanndfileout);
       }  /* end col loop */
    }  /* end row loop */

/* Close files */
    fclose(nd98file);
    fclose(nfilein);
    fclose(nfileout);
    fclose(meanndfilein);
    fclose(meanndfileout);
 }   /* end main */

