#ifndef MIN
#define MIN(a,b) (((a) < (b)) ? (a) : (b))
#endif
#ifndef MAX
#define MAX(a,b) (((a) > (b)) ? (a) : (b))
#endif
#ifndef MIN4
#define MIN4(a,b,c,d) (MIN(a,b) < MIN(c,d) ? MIN(a,b) : MIN(c,d))
#endif
#ifndef MAX4
#define MAX4(a,b,c,d) (MAX(a,b) > MAX(c,d) ? MAX(a,b) : MAX(c,d))
#endif

#define NULZONE 62      /* GCTP constant signifying null zone           */
#define DEGREES 4       /* Degrees                                      */

#define EXCLUDE 0.25		/* Percentage of line from each edge of image*/
				/* to exclude from consideration for chips   */
#define CHIPSIZE 64            /* 64x64 chip                                 */
#define CHIP_OFF ((CHIPSIZE/2)-1) /* offset from center to upper left corner */
#define BORDERWIDTH ((CHIPSIZE/2)+16) /* Border of pixels at top,bottom,sides*/
  /* the border is the middle of the chip used by correlate which is 64 added 
     on to the nl and ns of the window */

/* Function to calculate the sine and cosine in one call.  Some computer
   systems have implemented this function, resulting in a faster implementation 
   than calling each function separately.  It is provided here for those
   computer systems which don`t implement this function
#ifdef gould
sincos(val, sin_val, cos_val) double val; double *sin_val; double *cos_val;
{ *sin_val = sin(val); *cos_val = cos(val); return; }
#endif
   ----------------------------------------------------*/

