C***********************************************************************
      SUBROUTINE DOWNLD (IPCFIL, CH, CLDCOD, CLRCLD, ANGLES)              
C***********************************************************************
C                                                                       
C                                                                       
      INCLUDE "inc/inclav.f"                                                  
C                                                                       
      INCLUDE "inc/typdat.f"                                                 
C                                                                       
C                                                                       
      INTEGER*2 CLDCOD(MAXLPX,2), ANGLES(MAXLPX,2,3),                     
     1          CLRCLD(MAXLPX,2), SOLOUT(NLIMPX,2)                      
C                                                                       
      REAL*4    CH(MAXLPX,6,2)                                          
C                                                                       
      REAL*8  RTD                                                       
C                                                                       
C                                                                       
      DATA  RTD/57.2957795D0/                                           
C                                                                       
C---------------------------------------------------------------------- 
C                                                                       
C...DETERMINE ACTUAL NUMBER OF PIXELS BEING PROCESSED.                  
C                                                                       
      IPIXLS = (IPEND-IPBEG+1)                                          
C                                                                       
C                                                                       
      DO 50 IR = 1, 2                                                   
         DO 49 IP = 1, NPIXLS                                           
            DO 48 I = 1, 2                                              
               IF (CH(IP,I,IR).LT.-99.0) THEN                           
                  CH(IP,I,IR) = -99.0                                   
               ENDIF                                                    
   48       CONTINUE                                                    
   49    CONTINUE                                                       
   50 CONTINUE                                                          
C                                                                       
C                                                                       
C...WRITE ALBEDOS/TEMPERATURES TO TEMP. FILES                           
C                                                                       
      DO 100 IC = 1, 6                                                  
         IFILE = (IPCFIL + IC)                                          
C                                                                       
         DO 90 IR = 1, 2                                                
            WRITE(IFILE,901) (INT(CH(IP,IC,IR)),IP=1,IPIXLS)            
   90    CONTINUE                                                       
C                                                                       
  100 CONTINUE                                                          
C                                                                       
C                                                                       
C...CONVERT COS/SOLAR ZENITH ANGLE BACK TO THE ORIGINAL SOLAR ZENITH    
C   ANGLE VALUE SCALED BY 10 FOR OUTPUT TO A DISK FILE.                 
C                                                                       
      DO 120 IP = 1, IPIXLS                                             
        DO 110 IR = 1, 2                                                
          SOLOUT(IP,IR) = INT(ACOS(ANGLES(IP,IR,1)/1000.0) * RTD)        
  110   CONTINUE                                                        
  120 CONTINUE                                                          
C                                                                       
C                                                                       
C...WRITE CLDCOD CODES, CLEAR/CLOUD FLAGS, AND SOLAR ANGLE TO TEMP. FILES
C                                                                       
      WRITE (IFILE+1,902) ((CLDCOD(IP,IR),IP=1,IPIXLS),IR=1,2)           
      WRITE (IFILE+2,903) ((CLRCLD(IP,IR),IP=1,IPIXLS),IR=1,2)          
      WRITE (IFILE+3,902) ((SOLOUT(IP,IR),IP=1,IPIXLS),IR=1,2)          
C                                                                       
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
  901 FORMAT(20I4)                                                      
  902 FORMAT(26I3)                                                      
  903 FORMAT(40I2)                                                      
C                                                                       
      END                                                               
