      SUBROUTINE DPARAM (DDAYS,DDAY0)                                         
C                                                                       
C********************************************************************** 
C                                                                       
C   NAME- DPARAM                                                        
C                                                                       
C   LANGUAGE- VS FORTRAN  TYPE- SUBROUTINE                              
C                                                                       
C   VERSION- 1.0    DATE- 10/29/93   PROGRAMMER- LI LU (SMSRC)          
C                                                                       
C                                                                       
C   FUNCTION-                                                           
C                                                                       
C      CALCULATES THE PARAMETER D WHICH IS USED FOR THE CALIBRATION     
C      OF CHANNEL ONE AND TWO ALBEDO.                                   
C                                                                       
C   LOCAL PARAMETERS-                                                   
C                                                                       
C      VARIABLE                TYPE  FUNCTION                           
C      --------                ----  --------                           
C      FINLIN (35)             C*1   A FINAL MESSAGE OUTPUT LINE        
C                                                                       
C                                                                       
C                                                                       
C   COMMON AREAS- OHED1C, SPCNST                                        
C                                                                       
C                                                                       
C   CALLED BY-  CLAVRORB                                                
C                                                                       
C                                                                       
C   SUBPROGRAMS CALLED-   W3FS17(YY,MM,DD, NUMDAY) -- LOCAL ROUTINE     
C                                                                       
C                                                                       
C   RESTRICTIONS-                                                       
C                                                                       
C                                                                       
C   COMMENTS-                                                           
C                                                                       
C                                                                       
C***********************************************************************
C***********************************************************************
C                                                                       
C                                                                       
C...LINK IN CONSTANT PARAMETERS AND COMMON VARIABLES.                   
C                                                                       
      INCLUDE "inc/ohed1c.f"                                                  
      INCLUDE "inc/spcnst.f"                                                 
C                                                                       
C***********************************************************************
C                                                                       
C...VARIABLE DECLARATIONS                                               
C                                                                       
      INTEGER*4   DDAYS, DDAY0                                   
C                                                                       
       DDAYS = DDAY0 - D0                                                
C                                                                       
C      WRITE(6,100) DDAYS                                                
C                                                                       
      RETURN                                                            
C                                                                       
 100  FORMAT(5x,'DAYS SINCE LUNCHING : ',I8)
C                                                                       
      END                                                               

