      SUBROUTINE FOOTER (CTIME, VERSON)                                 
C***********************************************************************
C                                                                       
      INCLUDE "inc/ohed1c.f"                                                  
      INCLUDE "inc/clvunt.f"                                                 
      INCLUDE "inc/jclcom.f"                                                  
      INCLUDE "inc/typdat.f"                                                  
C                                                                       
C                                                                       
      CHARACTER*2     CYEAR                                             
      CHARACTER*3     CDAY                                              
      CHARACTER*4     CTIME(7), CPIXB, CPIXE                            
      CHARACTER*5     CSCANB, CSCANE                                    
      CHARACTER*6     VERSON                                            
      CHARACTER*7     PROCID                                            
      CHARACTER*8     CSEC                                              
      CHARACTER*1024  BUFFER(4)                                         
C                                                                       
C                                                                       
C                                                                       
C---------------------------------------------------------------------- 
C                                                                       
C                                                                       
C... INITIALIZE FOOTER BUFFER.                                          
C                                                                       
      DO 20 I = 1, 4                                                    
        DO 10 J = 1, 1024                                               
          BUFFER(I) (J:J) = ' '                                         
   10   CONTINUE                                                        
   20 CONTINUE                                                          
C                                                                       
C                                                                       
C... ADD PERMANENT CHARACTERS (TITLES/DESCRIPTORS) TO BUFFER.           
C                                                                       
      BUFFER(1) (01:23) = 'CLAVR ALGORITHM VERSION'                     
      BUFFER(1) (34:49) = 'PROCESSING TIME:'                            
C                                                                       
      BUFFER(2) (10:15) = 'AVHRR/'                                      
      BUFFER(2) (21:26) = 'ORBIT:'                                      
      BUFFER(2) (39:64) = 'DATA TIME (YR.DOY.MILSEC):'                  
C                                                                       
      BUFFER(3) (01:20) = 'SCANLINES PROCESSED:'                        
      BUFFER(3) (28:28) = '-'                                           
      BUFFER(3) (39:55) = 'PIXELS PROCESSED:'                           
      BUFFER(3) (63:63) = '-'                                           
C                                                                       
      BUFFER(4) (01:28) = 'LONGITUDE OF ASCENDING NODE:'                
C                                                                       
C                                                                       
C... ADD ALGORITHM VERSION TO FIRST FOOTER RECORD.                      
C                                                                       
      BUFFER(1) (25:30) = VERSON                                        
C                                                                       
C                                                                       
C... ADD TIME PARAMETERS TO FIRST FOOTER RECORD.                        
C                                                                       
      BUFFER(1) (51:54) = CTIME(1)                                      
      BUFFER(1) (55:58) = CTIME(2)                                      
      BUFFER(1) (59:62) = CTIME(3)                                      
      BUFFER(1) (63:66) = CTIME(4)                                      
      BUFFER(1) (67:70) = CTIME(5)                                      
      BUFFER(1) (71:74) = CTIME(6)                                      
      BUFFER(1) (75:78) = CTIME(7)                                      
C                                                                       
C                                                                       
C... ADD THE SPACECRAFT TITLE, DATA TYPE, AND PROCESSING BLOCK ID       
C    TO THE SECOND FOOTER RECORD.                                       
C                                                                       
      BUFFER(2) (01:08) = CRAFT                                         
      BUFFER(2) (16:19) = CDATYP(DATYPE)                                
C                                                                       
      WRITE (PROCID,1070) ORBNUM                                        
      BUFFER(2) (28:34) = PROCID                                        
C                                                                       
C                                                                       
C... USE INTERNAL WRITE STATEMENTS TO CONVERT DATA TIME AND START/END   
C    SCANLINES AND PIXELS TO THEIR CHARACTER EQUIVALENTS.               
C                                                                       
      WRITE (CYEAR,1000) OSYEAR                                         
      WRITE (CDAY,1010)  OSDAY                                          
      WRITE (CSEC,1020)  OSSEC                                          
C                                                                       
      WRITE (CSCANB,1030)  IBSTRT                                       
      WRITE (CSCANE,1030)  IBEND                                        
C                                                                       
      WRITE (CPIXB,1080)  IPBEG                                         
      WRITE (CPIXE,1080)  IPEND                                         
C                                                                       
C                                                                       
C... ADD DATA TIME TO THE SECOND FOOTER RECORD.                         
C                                                                       
      BUFFER(2) (66:67) = CYEAR                                         
      BUFFER(2) (68:68) = '.'                                           
      BUFFER(2) (69:71) = CDAY                                          
      BUFFER(2) (72:72) = '.'                                           
      BUFFER(2) (73:80) = CSEC                                          
C                                                                       
C                                                                       
C... ADD RANGE OF SCANLINES/PIXELS PROCESSED TO THE THIRD FOOTER RECORD.
C                                                                       
      BUFFER(3) (22:26) = CSCANB                                        
      BUFFER(3) (30:34) = CSCANE                                        
C                                                                       
      BUFFER(3) (58:61) = CPIXB                                         
      BUFFER(3) (65:68) = CPIXE                                         
C                                                                       
C                                                                       
C... WRITE BUFFER OUT TO DISK.                                          
C                                                                       
      DO 60 I = 1, 4                                                    
        WRITE (IUFOOT) BUFFER(I)                                        
   60 CONTINUE                                                          
C                                                                       
      WRITE (6,1050) BUFFER(1)(01:80)                                   
      WRITE (6,1060) BUFFER(2)(01:80)                                   
      WRITE (6,1060) BUFFER(3)(01:80)                                   
      WRITE (6,1060) BUFFER(4)(01:80)                                   
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
 1000 FORMAT (I2)                                                       
 1010 FORMAT (I3)                                                       
 1020 FORMAT (I8)                                                       
 1030 FORMAT (I5)                                                       
 1040 FORMAT (A80)                                                      
 1050 FORMAT (//, 2X, '************************************', /,        
     1            2X, '**  IMAGE FOOTER BUFFER CONTENTS  **', /,        
     2            2X, '************************************', //,       
     3            2X, A80)                                              
 1060 FORMAT (2X, A80)                                                  
 1070 FORMAT (I7)                                                       
 1080 FORMAT (I4)                                                       
C                                                                       
      END                                                               
