      SUBROUTINE HKPREP                                                 
C                                                                       
C********************************************************************** 
C                                                                       
C   NAME- HKPREP                         EXPIRES- 12/31/99              
C                                                                       
C   LANGUAGE- VS FORTRAN  TYPE- SUBROUTINE                              
C                                                                       
C   VERSION- 1.0    DATE- 11/01/91   PROGRAMMER- DEBBIE CARR (SMSRC)    
C                                                                       
C   FUNCTION-*$EK10DC*                                                  
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C   CALLING SEQUENCE PARAMETERS-                                        
C      VARIABLE         I/O   TYPE   FUNCTION                           
C      --------         ---   ----   --------                           
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C   LOCAL PARAMETERS-                                                   
C      VARIABLE               TYPE  FUNCTION                            
C      --------               ----  --------                            
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C   FILES-                                                              
C    DSN OR DESCRIPTIVE TITLE    I/O  UNIT  FUNCTIONAL DESCRIPTION      
C    --------------------------  ---  ----  ----------------------      
C                      FT06F001   O    06   PRINTER OUTPUT              
C                                                                       
C                                                                       
C   SUBPROGRAMS CALLED-                                                 
C                                                                       
C                                                                       
C                                                                       
C   RESTRICTIONS-                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C   COMMENTS-                                                           
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C                                                                       
C   COMMON AREAS-                                                       
C                                                                       
C   INCLUDE/PARAMETER AREAS-                                            
C                                                                       
C********************************************************************** 
C                                                                       
C                                                                       
C                                                                       
C... INCLUDE 1C FILE CONSTANTS.                                         
C                                                                       
      INCLUDE "inc/parm1c.f"                                                  
C                                                                       
C                                                                       
C... INCLUDE 1C HOUSEKEEPING RECORD COMMON.                             
C                                                                       
      INCLUDE "inc/hk1c.f"                                                  
C                                                                       
C                                                                       
C... INCLUDE 1C ORBIT HEADER RECORD COMMON.                             
C                                                                       
      INCLUDE "inc/ohed1c.f"                                                  
C                                                                       
C                                                                       
C... INCLUDE AVHRR TYPE-DEPENDENT PARAMETERS.                           
C                                                                       
      INCLUDE "inc/typdat.f"                                                 
C                                                                       
      INCLUDE "inc/clvunt.f"                                                 
C                                                                       
C                                                                       
C... DECLARE VARIABLES.                                                 
C                                                                       
      INTEGER*4    GHOUSE(G1CWDS), HOUSE(L1CWDS)                        
C                                                                       
C---------------------------------------------------------------------- 
C                                                                       
C                                                                       
      WRITE (6,*) '  ++ SUBROUTINE HKPREP ENTERED ++'                   
C                                                                       
C                                                                       
C... INITIALIZE HOUSEKEEPING RECORD BUFFER.                             
C                                                                       
      DO 40 I = 1, L1CWDS                                               
        HOUSE(I) = -1                                                   
   40 CONTINUE                                                          
C                                                                       
C                                                                       
      HOUSE(1) = 7002                                                   
C                                                                       
      HOUSE(2) = 1                                                      
C                                                                       
      HOUSE(3) = NSAT                                                   
C                                                                       
      HOUSE(4) = 3                                                      
C                                                                       
      HOUSE(5) = NUMSCN+2                                               
C                                                                       
      HOUSE(6) = 1                                                      
C                                                                       
      HOUSE(11)= 3                                                      
C                                                                       
      HOUSE(12)= NUMSCN+2                                               
C                                                                       
C                                                                       
C... IF PROCESSING GAC DATA, EQUATE THE GAC BUFFER TO THE               
C    LARGER LAC BUFFER.                                                 
C                                                                       
      IF (GAC) THEN                                                     
        DO 50 I = 1, G1CWDS                                             
          GHOUSE(I) = HOUSE(I)                                          
   50   CONTINUE                                                        
      END IF                                                            
C                                                                       
C                                                                       
C... WRITE THE HOUSEKEEPING RECORD TO THE 1C FILE.                      
C                                                                       
      IF (GAC) THEN                                                     
        WRITE (UNIT1C) GHOUSE                                           
      ELSE                                                              
        WRITE (UNIT1C) HOUSE                                            
      END IF                                                            
C                                                                       
C                                                                       
      WRITE (6,*) ' ++ HOUSEKEEPING RECORD SUCCESSFULLY WRITTEN ',      
     1      'TO THE 1C FILE'                                            
C                                                                       
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
      END                                                               
