C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.0  -  02/02/93  -  DEBBIE CARR (SMSRC)  -  COMMON/CLVUNT/ 
C                                                                       
C                                                                       
C   PURPOSE - CLAVR ORBITAL PROCESSOR INPUT/OUTPUT UNIT NUMBERS         
C                                                                       
C   USED BY - SUBROUTINES VICOMP, PREVEW, FOOTER, OPEN1C, OPEN1B, &     
C             PROGRAM CLAVRORB                                          
C                                                                       
C                                                                       
      INTEGER*4  UNIT1C, UNIT1B, UNITBP, IUIMAG, IUPREV, IUFOOT,        
     1           LFILE,UNSPCN,UNNL4,UNNL5, UNITMF
C                                                                       
C                                                                       
      COMMON /CLVUNT/ UNIT1C, UNIT1B, UNITBP, IUIMAG, IUPREV, IUFOOT,   
     1                LFILE,UNSPCN,UNNL4,UNNL5,UNITMF
C                                                                       
C                                                                       
C      VARIABLE               TYPE  FUNCTION                            
C      --------               ----  --------                            
C      UNIT1C                  I*4  UNIT NO. FOR CLAVR 1C DATABASE      
C      UNIT1B                  I*4  UNIT NO. FOR AVHRR 1B INPUT FILE    
C      UNITBP                  I*4  UNIT NO. FOR AVHRR 1B PRIME FILE    
C      UNITMF                  I*4  UNIT NO. FOR MONITORING FILE
C      IUIMAG                  I*4  UNIT NO. FOR SGI IMAGE DATA FILE    
C      IUPREV                  I*4  UNIT NO. FOR SGI PREVIEW FILE       
C      IUFOOT                  I*4  UNIT NO. FOR SGI/PC "FOOTER" FILE   
C      LFILE                   I*4  UNIT NO. FOR LAND/SEA TAG DATABASE  
C      UNSPCN                  I*4  UNIT NO. FOR SPACECRAFT CONSTANTS   
C                                   FILE                                
C      UNNL4                   I*4  UNIT NO. FOR CHANNEL 4 NONLINEAR    
C                                   CORRECTION FILE                     
C      UNNL5                   I*4  UNIT NO. FOR CHANNEL 5 NONLINEAR    
C                                   CORRECTION FILE                     
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
