C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.1  -  12/05/90  -  DEBBIE CARR (SMSRC)  -  COMMON/DAYLU/  
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF LAND/OCEAN 'LOOK-UP TABLES' FOR THE AVHRR      
C             CH4 - CH5 TEMPERATURE CHECK THRESHOLDS                    
C                                                                       
C   USED BY - SUBROUTINE FMFT AND BLOCK DATA B$GAC OF PROGRAM CLAVRORB  
C                                                                       
C                                                                       
      REAL*4  FMFLND (200:320), FMFOCN (200:320)                        
C                                                                       
C                                                                       
      COMMON /DAYLU/ FMFLND, FMFOCN                                     
C                                                                       
C                                                                       
C      VARIABLE               TYPE  I/O  FUNCTION                       
C      --------               ----  ---  --------                       
C      FMFLND (200:320)        R*4   I   CH4-CH5 TEST / THRESHOLD       
C                                        'LOOK-UP TABLE' -- LAND        
C                                        (TEMP. INDEX... 200-320K)      
C      FMFOCN (200:320)        R*4   I   CH4-CH5 TEST / THRESHOLD       
C                                        'LOOK-UP TABLE' -- OCEAN       
C                                        (TEMP. INDEX... 200-320K)      
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
