C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.2  -  02/04/93  -  DEBBIE CARR (SMSRC)  -  COMMON/SOLPRM/ 
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF SOLAR PARAMETERS                               
C                                                                       
C   USED BY - MAIN CLAVRORB AND SUBROUTINES SOLARR, SOLLOC, SOLCMP      
C                                                                       
C                                                                       
      REAL*4  SEDSQ                                                     
C                                                                       
      REAL*8  EQTR, SOLDEC                                              
C                                                                       
C                                                                       
      COMMON /SOLPRM/EQTR, SOLDEC, SEDSQ                                
C                                                                       
C                                                                       
C      VARIABLE               TYPE  I/O  FUNCTION                       
C      --------               ----  ---  --------                       
C      EQTR                    R*8  I/O  EQUATION OF TIME IN HOURS      
C      SOLDEC                  R*8  I/O  SOLAR DECLINATION              
C      SEDSQ                   R*4  I/O  EARTH-SUN DISTANCE RATIO       
C                                        SQUARED                        
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
