#define SCANFIL	0	/* Index to temporary file array for scan file  */
#define SORTFIL 1	/* Index to temporary file array for sort file  */

#define MINLAT 0
#define MAXLAT 1
#define MINLON 2
#define MAXLON 3

#define EXCLUDE 0.25            /* Percentage of line from each edge of image*/ 
				/* to exclude from consideration for chips   */
#define CHIPSIZE 64		/* 64x64 chip				      */
#define CHIP_OFF ((CHIPSIZE/2)-1) /* offset from center to upper left corner  */
#define BORDERWIDTH ((CHIPSIZE/2)+16) /* Border of pixels at top,bottom,sides */

#define NULZONE 62      /* GCTP constant signifying null zone   	*/
#define DEGREES 4       /* Degrees                              	*/

#ifndef MIN
#define MIN(a,b)  ((a) < (b) ? (a) : (b))
#endif
#ifndef MIN4
#define MIN4(a,b,c,d) (MIN(a,b) < MIN(c,d) ? MIN(a,b) : MIN(c,d))
#endif
#ifndef MAX4
#define MAX4(a,b,c,d) (MAX(a,b) > MAX(c,d) ? MAX(a,b) : MAX(c,d))
#endif
