#include<stdio.h>
#include<math.h>
#include"fixcal.h"

planck_cwn(
   double T,       /* Brightness temperature    */
   double cwn,     /* Central wavenumber (cm-1) */
   double *R)      /* Radiance, W/m2/cm4/ster   */
{


   *R = pow(cwn,3)*C1 / (exp(cwn*C2/T) - 1.0) ;

   return ;

}

planckinv_cwn(
   double R,       /* Radiance, W/m2/cm4/ster   */
   double cwn,     /* Central wavenumber (cm-1) */
   double *T)      /* Brightness temperature    */
{

   *T = C2*cwn / (log(C1*pow(cwn, 3)/R + 1.0)) ;
 
   return ;

}
