$ set noverify
$!	This procedure compiles an object file given the name of the
$!	source file (without the .c).  It first checks to see if an
$!	object already exists, and if so, whether it is older than
$!	the source.
$!
$ open/err=DONTKNOW source 'P1'.c
$	close source
$	open/err=COMPILE object 'P1'.obj
$	close object
$	file1 := 'P1'.c
$	file2 := 'P1'.obj
$	date1 = f$cvtime(f$file(file1,"cdt"))
$	date2 = f$cvtime(f$file(file2,"cdt"))
$	if date2.ges.date1 then -
$		goto NONEED
$COMPILE:
$	write sys$output "compiling ",P1
$	cc'p2' 'P1'
$	goto THEEND
$NONEED:
$	write sys$output "no need to compile ",P1
$	goto THEEND
$DONTKNOW:
$	write sys$output "Can't find source for ",P1
$THEEND:
