#include	<time.h>
#include	<descrip.h>
#include	<iodef.h>
#include	<stdio.h>
#include	<ssdef.h>
#include	<desc.h>

#define	OK	(SS$_NORMAL)
#define	NOTOK	(SS$_ABORT)

main()
{
int	days, hours, minutes, seconds, ticks;
struct	tm	*tmptr;
int	inttime, status;
unsigned int bintime[2];
char	new_time[32], old_time[32];
char	month[12][4] = 
      {"JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC"};
struct DESC new_time_desc;

/* Get the NBS time and compare to system time.  If this correction would
   cause the hour to change, wait */
for(;;)
	{
	status = nbstime(&days,&hours,&minutes,&seconds,&ticks);
	if (status != OK)
		{
		printf("Error in nbstime()\n");
		exit(1);
		}

	inttime = time(0);
	tmptr = localtime(&inttime);
	if (abs(tmptr->tm_min - minutes) < 30)
		break;
	sleep(60);
	}

/* OK, now display what the old time was and what we're setting it to */
sprintf(old_time,"%02d\-%s\-%04d %02d:%02d:%02d.00",
	tmptr->tm_mday,month[tmptr->tm_mon],tmptr->tm_year+1900,
	tmptr->tm_hour,tmptr->tm_min,tmptr->tm_sec);
printf("OLD %s\n",old_time);
sprintf(new_time,"%02d\-%s\-%04d %02d:%02d:%02d.00",
	tmptr->tm_mday,month[tmptr->tm_mon],tmptr->tm_year+1900,
	tmptr->tm_hour,minutes,seconds);
printf("NEW %s\n",new_time);

/* Convert the time to binary format */
new_time_desc.addr = &new_time;
new_time_desc.length = strlen(new_time);
status = sys$bintim(&new_time_desc,&bintime);
if (status != SS$_NORMAL)
	exit(status);

/* Set the time and exit */
status = sys$setime(&bintime);
exit(status);
}

nbstime(days,hours,minutes,seconds,ticks)
int	*days, *hours, *minutes, *seconds, *ticks;
{
int	i, j, clock_loop=0;
int	funct;
int	sys$assign(), sys$qiow();
short	isb[4], ischan, timecode[4], temp[4];
$DESCRIPTOR(desc,"_ISA0");

j = sys$assign (&desc,&ischan,0,0);
if(j&0x01==0)
	{
	printf("NBSTIME>> ERROR ATTACHING TO THE DSS-11\n");
	return(NOTOK);
	}

READCLOCK:;
clock_loop++;
if (clock_loop >= 10)
	return(NOTOK);
funct = IO$_READVBLK;
j = sys$qiow(1,ischan,funct,isb,0,0,timecode,0,0,0,0,0);
if(j&0x01==0)
	{
	printf("NBSTIME> ERROR INITIATING A READ FROM THE DSS-11\n");
	printf("NBSTIME> return status = %d\n",j);
	return(NOTOK);
	}
else if(isb[0]&0x01 == 0)
	{
	printf("NBSTIME> ERROR READING FROM THE DSS-11\n");
	printf("NBSTIME> IOSB[0] = %d\n",isb[0]);
	return(NOTOK);
	}

if((timecode[1]&0x0001)!=0)
	{
	printf("NBSTIME> INVALID CLOCK READ: try again\n");
	goto READCLOCK;
	}

sys$dassgn(ischan);

*days	= 100 * (0x03 & (timecode[2] >> 14))
	+ 10  * (0x0f & (timecode[2] >> 10))
	+	(0x0f & (timecode[2] >> 06));

*hours	= 10 *	(0x03 & (timecode[2] >> 04))
	+	(0x0f & (timecode[2] >> 00));

*minutes = 10 *	(0x07 & (timecode[1] >> 13))
	+	(0x0f & (timecode[1] >> 09));

*seconds = 10 *	(0x07 & (timecode[1] >> 06))
	+	(0x0f & (timecode[1] >> 02));

*ticks	= 100 *	(0x0f & (timecode[0] >> 12))
	+ 10  *	(0x0f & (timecode[0] >> 08))
	+	(0x0f & (timecode[0] >> 04));
return(OK);
}
