#include <errno.h>
#include	"ansi.h"

FUNCTION char *fgets_disk (stream,buffer,count)
FILE	*stream;		/* file stream pointer	*/
char	*buffer;		/* buffer address	*/
int	count;			/* transfer count	*/
{
char	*rslt;

errno = 0;
if ((rslt = fgets (buffer,count,stream)) == NULL)
    if (errno != 0)
	{
	perror ("fgets_disk");
	exit (-1);
	}
return (rslt);
}

FUNCTION int open_disk(path,flags,mode)
char	*path;			/* pathname of file */
int	flags;			/* open flags */
int	mode;			/* mode of the file */
	{
	int		fd;

	if ((fd = open(path,flags,mode)) == -1)
		{
		perror(path);
		exit(-1);
		}
	return(fd);
	}

FUNCTION int read_disk(fd,buffer,count)
int     fd;                     /* file descriptor      */
char    *buffer;                /* buffer address       */
int     count;                  /* transfer count       */
	{
	int	size;
	int	status;
	int	total;
	char	*ptr;

	ptr = buffer;
	size = count;
	for (total=0; total<count; total+=status)
	    {
	    status = read(fd,ptr,size);
	    if (status == 0)
	        {
 	        break;
       		}
	    else if (status < 0)
       	 	{
       	 	perror("read_disk");
		exit (-1);
       	 	}
	    ptr += status;
	    size -= status;
            }
	return(total);
	}
