/*
 *	ANSI X3.27-1978  American National Standard Magnetic
 *		Tape Labels and File Structure for Information Interchange
 *			pp 13-18
 */

/*
 *	End-of-File #1 Layout
 */
typedef struct
	{
	char	label_id[3];		/* "EOF" */
	char	label_no;		/* "1" */
	INFO1	info;
	} EOF1;
/*
 *	End-of-File #2 Layout
 */
typedef struct
	{
	char	label_id[3];		/* "EOF" */
	char	label_no;		/* "2" */
	INFO2	info;
	} EOF2;
/*
 *	End-of-File #n Layout
 */
typedef struct
	{
	char	label_id[3];		/* "EOF" */
	char	label_no;		/* "3", "4", ... "9" */
	char	eofn_data[76];		/* reserved for system use */
	} EOFN;
/*
 *	End-of-Volume #1 Layout
 */
typedef struct
	{
	char	label_id[3];		/* "EOV" */
	char	label_no;		/* "1" */
	INFO1	info;
	} EOV1;
/*
 *	End-of-Volume #2 Layout
 */
typedef struct
	{
	char	label_id[3];		/* "EOV" */
	char	label_no;		/* "2" */
	INFO2	info;
	} EOV2;
/*
 *	End-of-Volume #n Layout
 */
typedef struct
	{
	char	label_id[3];		/* "EOV" */
	char	label_no;		/* "3", "4", ... "9" */
	char	eovn_data[76];		/* reserved for system use */
	} EOVN;
/*
 *	User Trailer Labels
 */
typedef struct
	{
	char	label_id[3];		/* "UTL" */
	char	label_no;		/* "a" character */
	char	utla_data[76];		/* reserved for user application */
	} UTLA;
