/*
 *	ANSI X3.27-1978  American National Standard Magnetic
 *		Tape Labels and File Structure for Information Interchange
 *			pp 13-18
 */

/*
 *	Volume-Header #1 Layout
 */
typedef struct
	{
	char	label_id[3];		/* "VOL" */
	char	label_no;		/* "1" */
	char	volume_ident[6];	/* volume identifier */
	char	accessability;		/* accessability */
	char	vol1_spaces1[26];	/* spaces */
	char	owner_ident[14];	/* owner identifier */
	char	vol1_spaces2[28];	/* spaces */
	char	label_version;		/* label-standard version - "3" */
	} VOL1;

#define	LABEL_VERSION	'3'
/*
 *	User Volume Labels
 */
typedef struct
	{
	char	label_id[3];		/* "UVL" */
	char	label_no;		/* "1", "2", ... "9" */
	char	uvln_data[76];		/* reserved for installation use */
	} UVLN;
