# This is the example Makefile to create all of the library documentation.
# Copy this file to Makefile and run make.
#
# In the actual implementation, this process will be incorporated in the
# main directory Makefile, under the target "doc:".  Also, the listed
# sequence of commands will be replaced by running the $LASTOOLS/makedoc
# shell script.
#
# doc:
#	@$(LASTOOLS)/makedoc $MODULE

MODULE = tae

all:
	gtkdoc-scan --module=$(MODULE) ../../lasinclude/$(MODULE).h
	cp $(MODULE)-decl-list.txt $(MODULE)-sections.txt
	gtkdoc-mktmpl --module=$(MODULE)
	gtkdoc-mkdb --module=$(MODULE) --source-dir=..
	cp ../../lasdoc/las-docs_test.sgml .
	sed -e s/test/$(MODULE)/g las-docs_test.sgml > tmp.sgml
	mv tmp.sgml las-docs_test.sgml
	mkdir -p html
	cd html; gtkdoc-mkhtml las ../las-docs_test.sgml
