#include <stdio.h>
#include <string.h>
#include "stdlib.h"
#include "las.h"
#include "local_protos.h"

#define FALSE   0
#define TRUE    1

int main
(
    int argc,
    char **argv
)
{
FILE    *fp;

int     c;

long    keep      = TRUE,
        start     = FALSE;

char    file[256],
        string[10],
        *ptr;

if (argc != 2)
    {
    printf("USAGE: htmlascii [file]\n");
    exit(-1);
    }

strcpy(file,argv[1]);
strcat(file,".html");
    
fp = fopen(file,"r");
if (fp == NULL)
    {
    printf("Error opening input file\n");
    exit(-1);
    }

while ((c = fgetc(fp)) != EOF)
    {
    switch (c)
        {
        case '&':
            ptr = &string[0];
            *ptr = c;
            ptr++;

            while ((c = fgetc(fp)) != EOF)
                {
                *ptr = c;
                ptr++;
                if (c == ';')
                    break;
                }

            *ptr = '\0';
            ptr++;

            if (strcmp(string,"&lt;") == 0)
                fputc('<',stdout);
            else if (strcmp(string,"&gt;") == 0)
                fputc('>',stdout);
            else if (strcmp(string,"&amp;") == 0)
                fputc('&',stdout);

            break;

        case '<':
            keep = FALSE;
            start = TRUE;
            break;

        case '>':
            if (!start)
                fputc(c,stdout);
            else
                {
                start = FALSE;
                keep = TRUE;
                }
            break;

        default:
            if (keep)
                fputc(c,stdout);

            break;
        }
    }
    return(EXIT_SUCCESS);
}
