#ifndef LOCAL_PROTOS_H
#define LOCAL_PROTOS_H

#include "pdfhtml.h"

long nxt_rec
(
FILE    *ifp,                   /* Input file pointer  (to PDF)              */
char    *string,                /* Return the read string                    */
char    *key                    /* Key portion of the string                 */
);

long pass_one
(
FILE    *ifp,                   /* Input file pointer  (to PDF)              */
FILE    *ofp                    /* Output file pointer (to HTML)             */
);

void pass_sub
(
FILE    *ifp,                   /* Input file pointer  (to PDF)              */
FILE    *ofp,                   /* Output file pointer (to HTML)             */
struct SUBCMDS *subcmd          /* Subcommand parameters                     */
);

void pass_two
(
FILE    *ifp,                   /* Input file pointer  (to PDF)              */
FILE    *ofp                    /* Output file pointer (to HTML)             */
);

void special
(
    char *istr,          /* Input string to check for special characters */
    char *ostr           /* Key portion of the string                    */
);

long wrt_fig
(
FILE    *ifp,                   /* Input file pointer   (from PDF)           */
FILE    *ofp,                   /* Output file pointer  (to HTML)            */
char    *string,                /* Input string to write                     */
char    *key                    /* Key portion of the string                 */
);

long wrt_list
(
FILE    *ifp,                   /* Input file pointer  (to PDF)              */
FILE    *ofp,                   /* Output file pointer  (to HTML)            */
char    *string,                /* Input string to write                     */
char    *key                    /* Key portion of the string                 */
);

void wrt_rec     
(                
    FILE *ofp,                  /* Output file pointer (to HTML)             */
    char *string,               /* Input string to write                     */
    char *key                   /* Key portion of the string                 */
);

#endif
