#include <stdio.h>
#include <string.h>
#include "pdfhtml.h"
#include "local_protos.h"

long wrt_fig
(
FILE    *ifp,                   /* Input file pointer   (from PDF)           */
FILE    *ofp,                   /* Output file pointer  (to HTML)            */
char    *string,                /* Input string to write                     */
char    *key                    /* Key portion of the string                 */
)
{
char    *ptr;
long    status;


if ((ptr = strchr(string,' ')) == NULL)
    {
    printf("Invalid figure command\n");
    return(E_FAIL);
    }

ptr++;
string[strlen(string)-1] = '\0';

fprintf(ofp,"<IMG SRC=\"%s\">\n",ptr);

/*
  Skip the figure decloration record
*/
status = nxt_rec(ifp,string,key);
if (status != E_SUCC)
    {
    printf("Error reading from the input PDF\n");
    return(E_FAIL);
    }

return(E_SUCC);
}
