/*
 *  This is the creation routine for the load panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"
#include "../xid_widgets/ProcessM.h"

Widget
Createload_fileselector(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();

/*
    Create the main form widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 312); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 415); argcnt++;
    load_form = XtCreateWidget("load_form",
	xmFormWidgetClass,parent,args,argcnt);

    retval = load_form;

/*
    Create the file selection box widget.  Restore the previously entered 
    directory mask if there is one.
*/
    argcnt = 0;
    if (xid_load.dirmask != NULL)
	{
        XtSetArg(args[argcnt], XmNdirMask, xid_load.dirmask); 
	argcnt++;
	}
    XtSetArg(args[argcnt], XmNdefaultPosition, True); argcnt++;
    XtSetArg(args[argcnt], XmNselectionLabelString, (xmstr[0]=XmStringCreateLtoR(
		"Selection:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNlistLabelString, (xmstr[1]=XmStringCreateLtoR(
		"Files:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNlistVisibleItemCount, (int)8); argcnt++;
    XtSetArg(args[argcnt], XmNfilterLabelString, (xmstr[2]=XmStringCreateLtoR(
		"File Filter:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 269); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 339); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 51); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    load_fileselector = XtCreateWidget("load_fileselector",
		xmFileSelectionBoxWidgetClass,
		load_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );
    XmStringFree( xmstr[1] );
    XmStringFree( xmstr[2] );

    XtAddCallback(load_fileselector, XmNcancelCallback, load_localcancel, (caddr_t)0);
    if (xid_load.type == LAS)
        XtAddCallback(load_fileselector, XmNokCallback, load_localok, (caddr_t)0);
    else
        XtAddCallback(load_fileselector, XmNokCallback, nonlas_dialog, (caddr_t)0);

    XtManageChild(load_fileselector);

/*
    Unmanage the help button because we have our own help button.
*/
    XtUnmanageChild(XmFileSelectionBoxGetChild(load_fileselector,XmDIALOG_HELP_BUTTON));

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
        XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
        helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors,
        helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    load_help_button = XtCreateWidget("load_help_button",
        xmPushButtonWidgetClass,load_form,args,argcnt);

    XtAddCallback(load_help_button, XmNactivateCallback, help_update,
        (caddr_t)"file.html");
    XtManageChild(load_help_button);

    return( retval );
}

FUNCTION Createload_processing_scale(parent)
Widget	parent;
{
XeProcessMIconColor
		colors;

Arg		args[512];

int     	argcnt;

Boolean     	argok;

/*
    Create the dialog shell for displaying the processing icon and processing
    message.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNallowShellResize, TRUE); argcnt++;
XtSetArg(args[argcnt], XmNx, 0); argcnt++;
XtSetArg(args[argcnt], XmNy, 100); argcnt++;
XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
load_dialog_shell = XmCreateDialogShell(parent,"Load - Processing",
                args,
                argcnt);
/*
XtManageChild(load_dialog_shell);
*/

/*
    Create the processing widget but don't manage it yet.
*/
colors.pixel_array[0] = xid.color_table[RGBBW_IDX + WHITE_COL].pixel; 
colors.pixel_array[1] = xid.color_table[RGBBW_IDX + BLACK_COL].pixel; 
colors.pixel_array[2] = xid.color_table[RGBBW_IDX + YELLOW_COL].pixel; 

argcnt = 0;
XtSetArg(args[argcnt], XmNforeground, xid.color_table[RGBBW_IDX + BLACK_COL].pixel); argcnt++;
XtSetArg(args[argcnt], XmNbackground, CONVERT(parent, "#afafaf", "Pixel", 6, 
    &argok)); if(argok) argcnt++;
XtSetArg(args[argcnt], XmNmarginWidth, 0); argcnt++;
XtSetArg(args[argcnt], XmNmarginHeight,0); argcnt++;
XtSetArg(args[argcnt], XmNallowOverlap, False); argcnt++;
XtSetArg(args[argcnt], XmNnoResize, FALSE); argcnt++;
XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
XtSetArg(args[argcnt], XeNprocessMUpdatePercent, 10); argcnt++;
XtSetArg(args[argcnt], XeNprocessMMessageString, "Processing Band xxx of Image xxx  "); argcnt++;
XtSetArg(args[argcnt], XeNprocessMVisual, xid.visual_info[0].visual); argcnt++;
XtSetArg(args[argcnt], XeNprocessMColorList, &colors); argcnt++;
process_widget = XtCreateWidget("process_widget",
	       xeProcessMWidgetClass,
	       load_dialog_shell,
	       args,
	       argcnt);

return;
}

Widget
Createload_nonlas(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Boolean     argok;
    Widget 	retval;
    XmString	xmstr[32];

    XmRegisterConverters();

/*
    Create the dialog shell for entering the image information. 
*/
    argcnt = 0;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 370); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 340); argcnt++;

    load_nonlas_dialog = XtCreatePopupShell("Image Information",
		    transientShellWidgetClass,
		    parent,
		    args,
		    argcnt);
    retval = load_nonlas_dialog;
/*
    Create the main form widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 370); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 340); argcnt++;
    nonlas_form = XtCreateWidget("nonlas_form",
		xmFormWidgetClass,
		load_nonlas_dialog,
		args,
		argcnt);
    XtManageChild(nonlas_form);

/*
    Create the text field for entering the number of bands.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 34); argcnt++;
    nonlas_bands_text = XtCreateWidget("nonlas_bands_text",
		xmTextFieldWidgetClass,
		nonlas_form,
		args,
		argcnt);

    XtAddCallback(nonlas_bands_text, XmNactivateCallback, nonlas_next, (caddr_t)0);
    XtManageChild(nonlas_bands_text);

/*
    Create the "number of bands" label.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"# Bands:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    nonlas_bands_label = XtCreateWidget("nonlas_bands_label",
		xmLabelWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_bands_label);

/*
    Create the title label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNfontList, 
	CONVERT(parent, "-adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1", 
	"FontList", 60, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Image File Information", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, -83); argcnt++;
    XtSetArg(args[argcnt], XmNx, 101); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    nonlas_title = XtCreateWidget("nonlas_title",
		xmLabelWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_title);

/*
    Create a horizontal separator.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 347); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    nonlas_horiz_separator = XtCreateWidget("nonlas_horiz_separator",
		xmSeparatorWidgetClass,
		nonlas_form,
		args,
		argcnt);

    XtManageChild(nonlas_horiz_separator);

/*
    Create the cancel button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_horiz_separator); argcnt++;
    nonlas_cancel_button = XtCreateWidget("nonlas_cancel_button",
		xmPushButtonWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(nonlas_cancel_button, XmNactivateCallback, nonlas_destroy, (caddr_t)0);
    XtManageChild(nonlas_cancel_button);

/*
    Create the apply button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 268); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 89); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_horiz_separator); argcnt++;
    nonlas_apply_button = XtCreateWidget("nonlas_apply_button",
		xmPushButtonWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(nonlas_apply_button, XmNactivateCallback, nonlas_apply, (caddr_t)0);
    XtManageChild(nonlas_apply_button);

/*
    Create the radio box for selecting data type.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 11); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 97); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 127); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_bands_text); argcnt++;
    nonlas_datatype = XtCreateWidget("nonlas_datatype",
		xmRowColumnWidgetClass,
		nonlas_form,
		args,
		argcnt);

    XtManageChild(nonlas_datatype);

/*
    Create the text field for entering the number of samples.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 34); argcnt++;
    nonlas_samples_text = XtCreateWidget("nonlas_samples_text",
		xmTextFieldWidgetClass,
		nonlas_form,
		args,
		argcnt);

    XtAddCallback(nonlas_samples_text, XmNactivateCallback, nonlas_next, (caddr_t)0);
    XtManageChild(nonlas_samples_text);

/*
    Create the text field for entering the number of lines.
*/ 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 26); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 34); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_title); argcnt++;
    nonlas_lines_text = XtCreateWidget("nonlas_lines_text",
		xmTextFieldWidgetClass,
		nonlas_form,
		args,
		argcnt);

    XtAddCallback(nonlas_lines_text, XmNactivateCallback, nonlas_next, (caddr_t)0);
    XtManageChild(nonlas_lines_text);

/*
    Create the text field for entering the number of header bytes.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 34); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_title); argcnt++;
    nonlas_sizehdr_text = XtCreateWidget("nonlas_sizehdr_text",
		xmTextFieldWidgetClass,
		nonlas_form,
		args,
		argcnt);

    XtAddCallback(nonlas_sizehdr_text, XmNactivateCallback, nonlas_next, (caddr_t)0);
    XtManageChild(nonlas_sizehdr_text);

/*
    Create the "number of samples" label.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"# Samples:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_lines_text); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_sizehdr_text); argcnt++;
    nonlas_samples_label = XtCreateWidget("nonlas_samples_label",
		xmLabelWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_samples_label);

/*
    Create the "number of lines" label.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"# Lines:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_title); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_sizehdr_text); argcnt++;
    nonlas_lines_label = XtCreateWidget("nonlas_lines_label",
		xmLabelWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_lines_label);

/*
    Create the "number of header bytes" label.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"# Header Bytes:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_title); argcnt++;
    nonlas_sizehdr_label = XtCreateWidget("nonlas_sizehdr_label",
		xmLabelWidgetClass,
		nonlas_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_sizehdr_label);

/*
    Create a radio box for setting file format.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNselectColor,
        CONVERT(parent, "black", "Pixel", 5, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 80); argcnt++;
    XtSetArg(args[argcnt], XmNy, 141); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 66); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 66); argcnt++;
    nonlas_format = XtCreateWidget("nonlas_format",
                xmRowColumnWidgetClass,
                nonlas_form,
                args,
                argcnt);
    XtManageChild(nonlas_format);

/*
    Create the BSQ format toggle button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "BSQ", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    nonlas_bsq_button = XtCreateWidget("nonlas_bsq_button",
                xmToggleButtonWidgetClass,
                nonlas_format,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
 
    XtManageChild(nonlas_bsq_button);

/*
    Create the BIL format toggle button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "BIL", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 34); argcnt++;
    nonlas_bil_button = XtCreateWidget("nonlas_bil_button",
                xmToggleButtonWidgetClass,
                nonlas_format,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
 
    XtManageChild(nonlas_bil_button);

/*
    Set attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_sizehdr_label); argcnt++;
    XtSetValues(nonlas_sizehdr_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 26); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_lines_label); argcnt++;
    XtSetValues(nonlas_lines_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_lines_text); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_samples_label); argcnt++;
    XtSetValues(nonlas_samples_text, args, argcnt);

/*
    Create the "Byte" data type toggle button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Byte", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    nonlas_byte_button = XtCreateWidget("nonlas_byte_button",
		xmToggleButtonWidgetClass,
		nonlas_datatype,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_byte_button);

/*
    Create the "Integer*2" data type toggle button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Integer*2", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 34); argcnt++;
    nonlas_i2_button = XtCreateWidget("nonlas_i2_button",
		xmToggleButtonWidgetClass,
		nonlas_datatype,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_i2_button);

/*
    Create the "Integer*4" data type toggle button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Integer*4", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 65); argcnt++;
    nonlas_i4_button = XtCreateWidget("nonlas_i4_button",
		xmToggleButtonWidgetClass,
		nonlas_datatype,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_i4_button);

/*
    Create the "Real*4" data type toggle button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Real*4", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 96); argcnt++;
    nonlas_real_button = XtCreateWidget("nonlas_real_button",
		xmToggleButtonWidgetClass,
		nonlas_datatype,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(nonlas_real_button);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
        XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
        helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors,
        helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    nonlas_help_button = XtCreateWidget("nonlas_help_button",
        xmPushButtonWidgetClass,nonlas_form,args,argcnt);

    XtAddCallback(nonlas_help_button, XmNactivateCallback, help_update,
        (caddr_t)"file.html#NONLAS");
    XtManageChild(nonlas_help_button);

/*
    Set attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_datatype); argcnt++;
    XtSetValues(nonlas_horiz_separator, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_sizehdr_text); argcnt++;
    XtSetValues(nonlas_bands_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_sizehdr_text); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_sizehdr_label); argcnt++;
    XtSetValues(nonlas_bands_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 30); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nonlas_bands_text); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 80); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nonlas_datatype); argcnt++;
    XtSetValues(nonlas_format, args, argcnt);

/*
    Set up tab groups so that traversal occurs in the proper order.
*/
    XmAddTabGroup(nonlas_sizehdr_text);
    XmAddTabGroup(nonlas_bands_text);
    XmAddTabGroup(nonlas_lines_text);
    XmAddTabGroup(nonlas_samples_text);
    XmAddTabGroup(nonlas_apply_button);

    return( retval );
}
