/*
 *  This is the creation routine for the map panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createadjust_form(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();
 
/*
    Create the main form. 
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 386); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 228); argcnt++;
    adjust_form = XtCreateWidget("adjust_form",
                xmFormWidgetClass,
                parent,
                args,
                argcnt);
 
    retval = adjust_form;
 
/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNx, 5); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 376); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    adjust_separator = XtCreateWidget("adjust_separator",
                xmSeparatorWidgetClass,
                adjust_form,
                args,
                argcnt);

    XtManageChild(adjust_separator);
 
/*
    Create the cancel button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 52); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNx, 201); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    adjust_cancel_button = XtCreateWidget("adjust_cancel_button",
                xmPushButtonWidgetClass,
                adjust_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_cancel_button, XmNactivateCallback, adjust_cancel, (caddr_t)0);
    XtManageChild(adjust_cancel_button);
 
/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 293); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    adjust_dismiss_button = XtCreateWidget("adjust_dismiss_button",
                xmPushButtonWidgetClass,
                adjust_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_dismiss_button, XmNactivateCallback, map_destroy, (caddr_t)0);
    XtManageChild(adjust_dismiss_button);
 
/*
    Create the linear button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Linear",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 27); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNx, 104); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    adjust_linear_button = XtCreateWidget("adjust_linear_button",
                xmPushButtonWidgetClass,
                adjust_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_linear_button, XmNactivateCallback, adjust_map, (caddr_t)"LN");
    XtManageChild(adjust_linear_button);
 
/*
    Create the restore button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Restore",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    adjust_restore_button = XtCreateWidget("adjust_restore_button",
                xmPushButtonWidgetClass,
                adjust_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_restore_button, XmNactivateCallback, adjust_map, (caddr_t)"RE");
    XtManageChild(adjust_restore_button);
 
/*
    Create the contrast scale widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, 45); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, 89); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, 0); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
                "Contrast", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNdecimalPoints, 0); argcnt++;
    XtSetArg(args[argcnt], XmNscaleWidth, 0); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, 15); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 237); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 59); argcnt++;
    adjust_contrast_slider = XtCreateWidget("adjust_contrast_slider",
                xmScaleWidgetClass,
                adjust_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_contrast_slider, XmNvalueChangedCallback, adjust_map, (caddr_t)"CN");
    XtAddCallback(adjust_contrast_slider, XmNdragCallback, adjust_map, (caddr_t)"CN");
    XtManageChild(adjust_contrast_slider);
 
/*
    Create the brightness scale widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, 100); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, -100); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
                "Brightness", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNdecimalPoints, 0); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, 15); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 237); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 65); argcnt++;
    adjust_bright_slider = XtCreateWidget("adjust_bright_slider",
                xmScaleWidgetClass,
                adjust_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_bright_slider, XmNvalueChangedCallback, adjust_map,(caddr_t)"BR");
    XtAddCallback(adjust_bright_slider, XmNdragCallback, adjust_map,(caddr_t)"BR");
    XtManageChild(adjust_bright_slider);
 
/*
    Create the <Red><Green><Blue><All> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 115); argcnt++;
    adjust_rgba_radiobox = XtCreateWidget("adjust_rgba_radiobox",
		xmRowColumnWidgetClass,
		adjust_form,
		args,
		argcnt);

    XtManageChild(adjust_rgba_radiobox);
 
/*
    Create the "Red" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Red",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    adjust_red_button = XtCreateWidget("adjust_red_button",
		xmToggleButtonWidgetClass,
		adjust_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_red_button, XmNarmCallback, map_component, (caddr_t)"R");
    XtManageChild(adjust_red_button);
 
/*
    Create the "Green" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Green",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    adjust_green_button = XtCreateWidget("adjust_green_button",
		xmToggleButtonWidgetClass,
		adjust_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_green_button, XmNarmCallback, map_component, (caddr_t)"G");
    XtManageChild(adjust_green_button);
 
/*
    Create the "Blue" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Blue",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 59); argcnt++;
    adjust_blue_button = XtCreateWidget("adjust_blue_button",
		xmToggleButtonWidgetClass,
		adjust_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_blue_button, XmNarmCallback, map_component, (caddr_t)"B");
    XtManageChild(adjust_blue_button);
 
/*
    Create the "All" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"All",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 87); argcnt++;
    adjust_all_button = XtCreateWidget("adjust_all_button",
		xmToggleButtonWidgetClass,
		adjust_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_all_button, XmNarmCallback, map_component, (caddr_t)"A");
    XtManageChild(adjust_all_button);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 345); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    adjust_help_button = XtCreateWidget("adjust_help_button",
	xmPushButtonWidgetClass,adjust_form,args,argcnt);

    XtAddCallback(adjust_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"adjust.html");
    XtManageChild(adjust_help_button);

/*
    Set form attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, adjust_rgba_radiobox); argcnt++;
    XtSetValues(adjust_bright_slider, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, adjust_bright_slider); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, adjust_rgba_radiobox); argcnt++;
    XtSetValues(adjust_contrast_slider, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, adjust_rgba_radiobox); argcnt++;
    XtSetValues(adjust_separator, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, adjust_separator); argcnt++;
    XtSetValues(adjust_restore_button, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, adjust_separator); argcnt++;
    XtSetValues(adjust_linear_button, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, adjust_separator); argcnt++;
    XtSetValues(adjust_cancel_button, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, adjust_separator); argcnt++;
    XtSetValues(adjust_dismiss_button, args, argcnt);
 
    return( retval );
}

/*
Widget
Createlog_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmString	*xmstrTable[8];
    XmRegisterConverters();
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 405); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 214); argcnt++;
    log_bulletinboard = XtCreateWidget("log_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);

    retval = log_bulletinboard;
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Scale Factor:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 103); argcnt++;
    XtSetArg(args[argcnt], XmNy, 85); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 96); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    log_scale_label = XtCreateWidget("log_scale_label",
		xmLabelWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(log_scale_label);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Log Base:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 105); argcnt++;
    XtSetArg(args[argcnt], XmNy, 30); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 73); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    log_base_label = XtCreateWidget("log_base_label",
		xmLabelWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(log_base_label);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)8); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 211); argcnt++;
    XtSetArg(args[argcnt], XmNy, 85); argcnt++;
    log_scale_text = XtCreateWidget("log_scale_text",
		xmTextWidgetClass,
		log_bulletinboard,
		args,
		argcnt);

    XtAddCallback(log_scale_text, XmNactivateCallback, log_text, (caddr_t)0);
    XtManageChild(log_scale_text);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)8); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 211); argcnt++;
    XtSetArg(args[argcnt], XmNy, 30); argcnt++;
    log_base_text = XtCreateWidget("log_base_text",
		xmTextWidgetClass,
		log_bulletinboard,
		args,
		argcnt);

    XtAddCallback(log_base_text, XmNactivateCallback, log_text, (caddr_t)0);
    XtManageChild(log_base_text);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 312); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    log_apply_button = XtCreateWidget("log_apply_button",
		xmPushButtonWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_apply_button, XmNactivateCallback, log_apply, (caddr_t)0);
    XtManageChild(log_apply_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 145); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 385); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    log_separator = XtCreateWidget("log_separator",
		xmSeparatorWidgetClass,
		log_bulletinboard,
		args,
		argcnt);

    XtManageChild(log_separator);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 212); argcnt++;
    XtSetArg(args[argcnt], XmNy, 175); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    log_cancel_button = XtCreateWidget("log_cancel_button",
		xmPushButtonWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_cancel_button, XmNactivateCallback, log_cancel, (caddr_t)0);
    XtManageChild(log_cancel_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 312); argcnt++;
    XtSetArg(args[argcnt], XmNy, 175); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    log_dismiss_button = XtCreateWidget("log_dismiss_button",
		xmPushButtonWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_dismiss_button, XmNactivateCallback, map_destroy, (caddr_t)0);
    XtManageChild(log_dismiss_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Linear",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 112); argcnt++;
    XtSetArg(args[argcnt], XmNy, 175); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    log_linear_button = XtCreateWidget("log_linear_button",
		xmPushButtonWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_linear_button, XmNactivateCallback, map_linear, (caddr_t)0);
    XtManageChild(log_linear_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Restore",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 175); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    log_restore_button = XtCreateWidget("log_restore_button",
		xmPushButtonWidgetClass,
		log_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_restore_button, XmNactivateCallback, map_restore, (caddr_t)0);
    XtManageChild(log_restore_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 115); argcnt++;
    log_rgba_radiobox = XtCreateWidget("log_rgba_radiobox",
		xmRowColumnWidgetClass,
		log_bulletinboard,
		args,
		argcnt);

    XtManageChild(log_rgba_radiobox);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Red",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    log_red_button = XtCreateWidget("log_red_button",
		xmToggleButtonWidgetClass,
		log_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_red_button, XmNarmCallback, map_component, (caddr_t)"R");
    XtManageChild(log_red_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Green",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    log_green_button = XtCreateWidget("log_green_button",
		xmToggleButtonWidgetClass,
		log_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_green_button, XmNarmCallback, map_component, (caddr_t)"G");
    XtManageChild(log_green_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Blue",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 59); argcnt++;
    log_blue_button = XtCreateWidget("log_blue_button",
		xmToggleButtonWidgetClass,
		log_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_blue_button, XmNarmCallback, map_component, (caddr_t)"B");
    XtManageChild(log_blue_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"All",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 87); argcnt++;
    log_all_button = XtCreateWidget("log_all_button",
		xmToggleButtonWidgetClass,
		log_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(log_all_button, XmNarmCallback, map_component, (caddr_t)"A");
    XtManageChild(log_all_button);

    return( retval );
}
*/

Widget
Createpwl_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();
 
/*
    Create the main bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 405); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 219); argcnt++;
    pwl_bulletinboard = XtCreateWidget("pwl_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);

    retval = pwl_bulletinboard;
 
/*
    Create the "to" break point label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"To:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 103); argcnt++;
    XtSetArg(args[argcnt], XmNy, 93); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 26); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    pwl_to_label = XtCreateWidget("pwl_to_label",
		xmLabelWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(pwl_to_label);
 
/*
    Create the "from" break point label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"From:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 105); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 45); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    pwl_from_label = XtCreateWidget("pwl_from_label",
		xmLabelWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(pwl_from_label);
 
/*
    Create the text widget used to enter the "to" break points.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)13); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)3); argcnt++;
    XtSetArg(args[argcnt], XmNx, 164); argcnt++;
    XtSetArg(args[argcnt], XmNy, 79); argcnt++;
    pwl_to_text = XtCreateWidget("pwl_to_text",
		xmTextWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);

    XtManageChild(pwl_to_text);
 
/*
    Create the text widget to enter the "from" break points.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)13); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)3); argcnt++;
    XtSetArg(args[argcnt], XmNx, 164); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    pwl_from_text = XtCreateWidget("pwl_from_text",
		xmTextWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);

    XtManageChild(pwl_from_text);
 
/*
    Create the apply button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 312); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    pwl_apply_button = XtCreateWidget("pwl_apply_button",
		xmPushButtonWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_apply_button, XmNactivateCallback, pwl_apply, (caddr_t)0);
    XtManageChild(pwl_apply_button);
 
/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 150); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 385); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    pwl_separator = XtCreateWidget("pwl_separator",
		xmSeparatorWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);

    XtManageChild(pwl_separator);
 
/*
    Create the cancel button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 212); argcnt++;
    XtSetArg(args[argcnt], XmNy, 180); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    pwl_cancel_button = XtCreateWidget("pwl_cancel_button",
		xmPushButtonWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_cancel_button, XmNactivateCallback, pwl_cancel, (caddr_t)0);
    XtManageChild(pwl_cancel_button);
 
/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 312); argcnt++;
    XtSetArg(args[argcnt], XmNy, 180); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    pwl_dismiss_button = XtCreateWidget("pwl_dismiss_button",
		xmPushButtonWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_dismiss_button, XmNactivateCallback, map_destroy, (caddr_t)0);
    XtManageChild(pwl_dismiss_button);
 
/*
    Create the linear button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Linear",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 112); argcnt++;
    XtSetArg(args[argcnt], XmNy, 180); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    pwl_linear_button = XtCreateWidget("pwl_linear_button",
		xmPushButtonWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_linear_button, XmNactivateCallback, map_linear, (caddr_t)0);
    XtManageChild(pwl_linear_button);
 
/*
    Create the restore button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Restore",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 180); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    pwl_restore_button = XtCreateWidget("pwl_restore_button",
		xmPushButtonWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_restore_button, XmNactivateCallback, map_restore, (caddr_t)0);
    XtManageChild(pwl_restore_button);
 
/*
    Create the <Red><Green><Blue><All> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 115); argcnt++;
    pwl_rgba_radiobox = XtCreateWidget("pwl_rgba_radiobox",
		xmRowColumnWidgetClass,
		pwl_bulletinboard,
		args,
		argcnt);

    XtManageChild(pwl_rgba_radiobox);
 
/*
    Create the "Red" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Red",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, False); argcnt++;
    XtSetArg(args[argcnt], XmNindicatorOn, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    pwl_red_button = XtCreateWidget("pwl_red_button",
		xmToggleButtonWidgetClass,
		pwl_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_red_button, XmNarmCallback, map_component, (caddr_t)"R");
    XtManageChild(pwl_red_button);
 
/*
    Create the "Green" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Green",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    pwl_green_button = XtCreateWidget("pwl_green_button",
		xmToggleButtonWidgetClass,
		pwl_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_green_button, XmNarmCallback, map_component, (caddr_t)"G");
    XtManageChild(pwl_green_button);
 
/*
    Create the "Blue" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Blue",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 59); argcnt++;
    pwl_blue_button = XtCreateWidget("pwl_blue_button",
		xmToggleButtonWidgetClass,
		pwl_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_blue_button, XmNarmCallback, map_component, (caddr_t)"B");
    XtManageChild(pwl_blue_button);
 
/*
    Create the "All" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"All",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 87); argcnt++;
    pwl_all_button = XtCreateWidget("pwl_all_button",
		xmToggleButtonWidgetClass,
		pwl_rgba_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(pwl_all_button, XmNarmCallback, map_component, (caddr_t)"A");
    XtManageChild(pwl_all_button);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 364); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    pwl_help_button = XtCreateWidget("pwl_help_button",
	xmPushButtonWidgetClass,pwl_bulletinboard,args,argcnt);

    XtAddCallback(pwl_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"pwl.html");
    XtManageChild(pwl_help_button);

    return( retval );
}

Widget
Createpsd_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];


    XmRegisterConverters();
 
/*
    Create the main bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNlabelFontList, FONT_LIST(parent, "-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1")); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 418); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 445); argcnt++;
    psd_bulletinboard = XtCreateWidget("psd_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);

    retval = psd_bulletinboard;
/*
    Create the scrolled window for the color list.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 180); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 177); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 191); argcnt++;
    XtSetArg(args[argcnt], XmNmappedWhenManaged, False); argcnt++;
    psd_scrolledlist = XtCreateWidget("psd_scrolledlist",
		xmScrolledWindowWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);

    XtManageChild(psd_scrolledlist);

/*
    Create the apply button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 246); argcnt++;
    XtSetArg(args[argcnt], XmNy, 286); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    psd_apply_button = XtCreateWidget("psd_apply_button",
		xmPushButtonWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_apply_button, XmNactivateCallback, psd_apply, (caddr_t)0);
    XtManageChild(psd_apply_button);
 
/*
    Create the undo button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Undo",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 246); argcnt++;
    XtSetArg(args[argcnt], XmNy, 325); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    psd_undo_button = XtCreateWidget("psd_undo_button",
		xmPushButtonWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_undo_button, XmNactivateCallback, psd_undo, (caddr_t)0);
    XtManageChild(psd_undo_button);
 
/*
    Create the cancel button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 220); argcnt++;
    XtSetArg(args[argcnt], XmNy, 406); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    psd_cancel_button = XtCreateWidget("psd_cancel_button",
		xmPushButtonWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_cancel_button, XmNactivateCallback, psd_cancel, (caddr_t)0);
    XtManageChild(psd_cancel_button);
 
/*
    Create the linear button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Linear",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 115); argcnt++;
    XtSetArg(args[argcnt], XmNy, 406); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    psd_linear_button = XtCreateWidget("psd_linear_button",
		xmPushButtonWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_linear_button, XmNactivateCallback, map_linear, (caddr_t)0);
    XtManageChild(psd_linear_button);
 
/*
    Create the restore button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Restore",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 406); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    psd_restore_button = XtCreateWidget("psd_restore_button",
		xmPushButtonWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_restore_button, XmNactivateCallback, map_restore, (caddr_t)0);
    XtManageChild(psd_restore_button);
 
/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 381); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 398); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    psd_separator = XtCreateWidget("psd_separator",
		xmSeparatorWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);

    XtManageChild(psd_separator);
 
/*
    Create the definitions label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Definitions:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 204); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 84); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    psd_def_label = XtCreateWidget("psd_def_label",
		xmLabelWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(psd_def_label);
 
/*
    Create a scrolled window for the pseudocolor definitions.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNvisualPolicy, XmVARIABLE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 204); argcnt++;
    XtSetArg(args[argcnt], XmNy, 36); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 167); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 125); argcnt++;
    psd_def_scrollwin = XtCreateWidget("psd_def_scrollwin",
		xmScrolledWindowWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);

    XtManageChild(psd_def_scrollwin);
 
/*
    Create the range label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Range:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 90); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 54); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    psd_range_label = XtCreateWidget("psd_range_label",
		xmLabelWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(psd_range_label);
 
/*
    Create the text widget for entering the range and bin values.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)13); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 116); argcnt++;
    psd_range_text = XtCreateWidget("psd_range_text",
		xmTextWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);

    XtManageChild(psd_range_text);
 
/*
    Create a frame widget for the current color.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, xid.color_table[WORK_IDX].pixel); 
	argcnt++;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
    XtSetArg(args[argcnt], XmNx, 268); argcnt++;
    XtSetArg(args[argcnt], XmNy, 214); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 40); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 40); argcnt++;
    psd_frame = XtCreateWidget("psd_frame",
		xmFrameWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);

    XtManageChild(psd_frame);
 
/*
    Create the blue scale widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, (int)255); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, (int)0); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
		"Blue",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 314); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 57); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    psd_blue_slider = XtCreateWidget("psd_blue_slider",
		xmScaleWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_blue_slider, XmNvalueChangedCallback, color_slider, (caddr_t)"B");
    XtAddCallback(psd_blue_slider, XmNdragCallback, color_slider, (caddr_t)"B");
    XtManageChild(psd_blue_slider);
 
/*
    Create the green scale widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, (int)255); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, (int)0); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
		"Green",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 247); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 57); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    psd_green_slider = XtCreateWidget("psd_green_slider",
		xmScaleWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_green_slider, XmNvalueChangedCallback, color_slider, (caddr_t)"G");
    XtAddCallback(psd_green_slider, XmNdragCallback, color_slider, (caddr_t)"G");
    XtManageChild(psd_green_slider);
 
/*
    Create the red scale widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
		"Red",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 180); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 57); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    psd_red_slider = XtCreateWidget("psd_red_slider",
		xmScaleWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_red_slider, XmNvalueChangedCallback, color_slider, (caddr_t)"R");
    XtAddCallback(psd_red_slider, XmNdragCallback, color_slider, (caddr_t)"R");
    XtManageChild(psd_red_slider);
 
/*
    Create the <Color List><Color Sliders> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 150); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 55); argcnt++;
    psd_type_radiobox = XtCreateWidget("psd_type_radiobox",
		xmRowColumnWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);

    XtManageChild(psd_type_radiobox);
 
/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 325); argcnt++;
    XtSetArg(args[argcnt], XmNy, 406); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    psd_dismiss_button = XtCreateWidget("psd_dismiss_button",
		xmPushButtonWidgetClass,
		psd_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_dismiss_button, XmNactivateCallback, map_destroy, (caddr_t)0);
    XtManageChild(psd_dismiss_button);
 
/*
    Create the color list toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Color List",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    psd_clist_button = XtCreateWidget("psd_clist_button",
		xmToggleButtonWidgetClass,
		psd_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_clist_button, XmNarmCallback, psd_func, (caddr_t)"CL");
    XtManageChild(psd_clist_button);
 
/*
    Create the color slider toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Color Sliders",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    psd_cslider_button = XtCreateWidget("psd_cslider_button",
		xmToggleButtonWidgetClass,
		psd_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(psd_cslider_button, XmNarmCallback, psd_func, (caddr_t)"CS");
    XtManageChild(psd_cslider_button);

/*
    Set the width and height of the scale widgets.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, (Dimension)160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, (Dimension)57); argcnt++;
    XtSetValues(psd_red_slider, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, (Dimension)160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, (Dimension)57); argcnt++;
    XtSetValues(psd_green_slider, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, (Dimension)160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, (Dimension)57); argcnt++;
    XtSetValues(psd_blue_slider, args, argcnt);
 
/*
    Create the text widget for displaying the current definitions.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth, (Dimension)0); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, ""); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)16); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)6); argcnt++;
    XtSetArg(args[argcnt], XmNx, 1); argcnt++;
    XtSetArg(args[argcnt], XmNy, 1); argcnt++;
    psd_def_text = XtCreateWidget("psd_def_text",
		xmTextWidgetClass,
		psd_def_scrollwin,
		args,
		argcnt);

    XtManageChild(psd_def_text);
 
/*
    Create the list widget to contain the standard X11 color list.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmSTATIC); argcnt++;
    XtSetArg(args[argcnt], XmNx, 1); argcnt++;
    XtSetArg(args[argcnt], XmNy, 1); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 160); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 174); argcnt++;
    XtSetArg(args[argcnt], XmNitems, xidutil.color_list); argcnt++;
    XtSetArg(args[argcnt], XmNitemCount, xidutil.color_list_num); argcnt++;
    psd_scrolledlist_list = XtCreateWidget("psd_scrolledlist_list",
		xmListWidgetClass,
		psd_scrolledlist,
		args,
		argcnt);

    XtAddCallback(psd_scrolledlist_list, XmNbrowseSelectionCallback, color_list_select, (caddr_t)0);
    XtAddCallback(psd_scrolledlist_list, XmNsingleSelectionCallback, color_list_select, (caddr_t)0);
    XtManageChild(psd_scrolledlist_list);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 377); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    psd_help_button = XtCreateWidget("psd_help_button",
	xmPushButtonWidgetClass,psd_bulletinboard,args,argcnt);

    XtAddCallback(psd_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"psd.html");
    XtManageChild(psd_help_button);

    return( retval );
}

Widget
Createsavemap_form(parent)
Widget parent;
{
    Arg    	args[512];
    Cardinal   	argcnt;
    Widget 	retval;
    /*SUPPRESS 591*/
    XmString	xmstr[32];

    XmRegisterConverters();

/*
    Create the main form.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 439); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 149); argcnt++;
    savemap_form = XtCreateWidget("savemap_form",
		xmFormWidgetClass,
		parent,
		args,
		argcnt);

    retval = savemap_form;

/*
    Create the cancel button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 75); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 105); argcnt++;
    XtSetArg(args[argcnt], XmNx, 305); argcnt++;
    XtSetArg(args[argcnt], XmNy, 105); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    savemap_cancel_button = XtCreateWidget("savemap_cancel_button",
		xmPushButtonWidgetClass,
		savemap_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(savemap_cancel_button, XmNactivateCallback, saveload_cancel,
	(caddr_t)0);
    XtManageChild(savemap_cancel_button);

/*
    Create the apply button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 105); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, -158); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 105); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    savemap_apply_button = XtCreateWidget("savemap_apply_button",
		xmPushButtonWidgetClass,
		savemap_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(savemap_apply_button, XmNactivateCallback, savemap_apply, (caddr_t)0);
    XtManageChild(savemap_apply_button);

/*
    Create the text widget for entering the DLTF entry name.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 22); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 51); argcnt++;
    XtSetArg(args[argcnt], XmNx, 170); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 33); argcnt++;
    savemap_text = XtCreateWidget("savemap_text",
		xmTextWidgetClass,
		savemap_form,
		args,
		argcnt);

    XtAddCallback(savemap_text, XmNactivateCallback, savemap_next, (caddr_t)0);
    XtManageChild(savemap_text);

/*
    Create the text widget for entering the DLTF description.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 22); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 55); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 51); argcnt++;
    XtSetArg(args[argcnt], XmNx, 170); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 33); argcnt++;
    savemap_text2 = XtCreateWidget("savemap_text2",
		xmTextWidgetClass,
		savemap_form,
		args,
		argcnt);

    XtAddCallback(savemap_text2, XmNactivateCallback, savemap_next, (caddr_t)0);
    XtManageChild(savemap_text2);

/*
    Create the DLTF entry name label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"DLTF Entry Name:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 15); argcnt++;
    savemap_label = XtCreateWidget("savemap_label",
		xmLabelWidgetClass,
		savemap_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(savemap_label);

/*
    Create the DLTF description label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Description:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 65); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 65); argcnt++;
    savemap_label2 = XtCreateWidget("savemap_label2",
		xmLabelWidgetClass,
		savemap_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(savemap_label2);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    savemap_help_button = XtCreateWidget("savemap_help_button",
	xmPushButtonWidgetClass,savemap_form,args,argcnt);

    XtAddCallback(savemap_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"savemap.html");
    XtManageChild(savemap_help_button);

    return( retval );
}

void
Createsaveload_popup(parent)
Widget parent;
{
Arg         args[512];
int         argcnt;
Boolean     argok;
XmString    xmstr[32];

XmRegisterConverters();

/*
    Create the popup shell for the savemap and loadmap panels.
*/
argcnt = 0;
XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
XtSetArg(args[argcnt], XmNtitle, "DLTF Name Popup"); argcnt++;
XtSetArg(args[argcnt], XmNx, 411); argcnt++;
XtSetArg(args[argcnt], XmNy, 123); argcnt++;
saveload_dltf_popup = XtCreatePopupShell( "saveload_dltf_popup",
    transientShellWidgetClass, parent, args, argcnt);

/*
    Create the main form widget.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
XtSetArg(args[argcnt], XmNx, 0); argcnt++;
XtSetArg(args[argcnt], XmNy, 0); argcnt++;
XtSetArg(args[argcnt], XmNwidth, 424); argcnt++;
XtSetArg(args[argcnt], XmNheight, 137); argcnt++;
saveloadpopup_form = XtCreateWidget("saveloadpopup_form",
	    xmFormWidgetClass,
	    saveload_dltf_popup,
	    args,
	    argcnt);

XtManageChild(saveloadpopup_form);

/*
    Create the cancel button widget.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
	    "Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
XtSetArg(args[argcnt], XmNx, 331); argcnt++;
XtSetArg(args[argcnt], XmNy, 100); argcnt++;
saveloadpopup_cancel_button = XtCreateWidget("saveloadpopup_cancel_button",
	    xmPushButtonWidgetClass,
	    saveloadpopup_form,
	    args,
	    argcnt);
XmStringFree( xmstr[0] );

XtAddCallback(saveloadpopup_cancel_button, XmNactivateCallback, saveload_cancel,
    (caddr_t)0);
XtManageChild(saveloadpopup_cancel_button);

/*
    Create the text widget for entering the DLTF file name.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNcolumns, 30); argcnt++;
XtSetArg(args[argcnt], XmNrows, 1); argcnt++;
XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
XtSetArg(args[argcnt], XmNtopOffset, 55); argcnt++;
XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
XtSetArg(args[argcnt], XmNleftOffset, 120); argcnt++;
XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
XtSetArg(args[argcnt], XmNx, 120); argcnt++;
XtSetArg(args[argcnt], XmNy, 55); argcnt++;
saveloadpopup_text = XtCreateWidget("saveloadpopup_text",
	    xmTextWidgetClass,
	    saveloadpopup_form,
	    args,
	    argcnt);

XtAddCallback(saveloadpopup_text, XmNactivateCallback, saveload_file, 
    (caddr_t)0);
XtManageChild(saveloadpopup_text);

/*
    Create the DLTF name label widget.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
	    "DLTF name:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
XtSetArg(args[argcnt], XmNx, 10); argcnt++;
XtSetArg(args[argcnt], XmNy, 60); argcnt++;
saveloadpopup_label2 = XtCreateWidget("saveloadpopup_label2",
	    xmLabelWidgetClass,
	    saveloadpopup_form,
	    args,
	    argcnt);
XmStringFree( xmstr[0] );

XtManageChild(saveloadpopup_label2);

/*
    Create the error message label widget.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNforeground, 
    CONVERT(parent, "red", "Pixel", 3, &argok)); if(argok) argcnt++;
XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
	    "Unable to create DLTF for displayed image.\n\
User must enter DLTF name.", XmSTRING_DEFAULT_CHARSET))); argcnt++;
XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
XtSetArg(args[argcnt], XmNx, 10); argcnt++;
XtSetArg(args[argcnt], XmNy, 10); argcnt++;
saveloadpopup_label = XtCreateWidget("saveloadpopup_label",
	    xmLabelWidgetClass,
	    saveloadpopup_form,
	    args,
	    argcnt);
XmStringFree( xmstr[0] );

XtManageChild(saveloadpopup_label);

return;
}

Widget
Createloadmap_form(parent)
Widget parent;
{
    Arg    	args[512];
    Cardinal   	argcnt;
    Widget 	retval;
    /*SUPPRESS 591*/
    XmString	xmstr[32];

    XmRegisterConverters();

/*
    Create the main form widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 439); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 92); argcnt++;
    loadmap_form = XtCreateWidget("loadmap_form",
		xmFormWidgetClass,
		parent,
		args,
		argcnt);

    retval = loadmap_form;

/*
    Create the cancel button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 53); argcnt++;
    XtSetArg(args[argcnt], XmNx, 346); argcnt++;
    XtSetArg(args[argcnt], XmNy, 53); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    loadmap_cancel_button = XtCreateWidget("loadmap_cancel_button",
		xmPushButtonWidgetClass,
		loadmap_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(loadmap_cancel_button, XmNactivateCallback, saveload_cancel,
	(caddr_t)0);
    XtManageChild(loadmap_cancel_button);

/*
    Create the text widget for entering the DLTF entry name.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 22); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 51); argcnt++;
    XtSetArg(args[argcnt], XmNx, 170); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 33); argcnt++;
    loadmap_text = XtCreateWidget("loadmap_text",
		xmTextWidgetClass,
		loadmap_form,
		args,
		argcnt);

    XtAddCallback(loadmap_text, XmNactivateCallback, loadmap_apply, (caddr_t)0);
    XtManageChild(loadmap_text);

/*
    Create the DLTF entry name label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"DLTF Entry Name:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 15); argcnt++;
    loadmap_label = XtCreateWidget("loadmap_label",
		xmLabelWidgetClass,
		loadmap_form,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(loadmap_label);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    loadmap_help_button = XtCreateWidget("loadmap_help_button",
	xmPushButtonWidgetClass,loadmap_form,args,argcnt);

    XtAddCallback(loadmap_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"loadmap.html");
    XtManageChild(loadmap_help_button);

    return( retval );
}

