/*
 *  This is the creation routine for the show panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createshow_form(parent)
Widget parent;
{
    Arg         args[512];
    int         argcnt;
    Boolean     argok;
    Widget      retval;
    XmString    xmstr[32];
    Widget      show_form;
    Widget      show_redscroll;
    Widget      show_greenscroll;
    Widget      show_bluescroll;
    Widget      show_redlabel;
    Widget      show_greenlabel;
    Widget      show_bluelabel;
    Widget      show_dismiss_button;
    Widget      show_help_button;
    Widget      show_accept_button;
    Widget      show_save_button;
    Widget      show_savescroll;
    Widget      show_savelabel;

    XmRegisterConverters();

/*
    Create the main form.
*/
    XtInitializeWidgetClass(xmFormWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 540); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 211); argcnt++;
    show_form = XtCreateWidget("show_form",
                xmFormWidgetClass,
                parent,
                args,
                argcnt);
    retval = show_form;

/*
    Create the save list label.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Save List", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    show_savelabel = XtCreateWidget("show_savelabel",
                xmLabelWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(show_savelabel);

/*
    Create the save list scrolled window.
*/
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 62); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_savescroll = XtCreateWidget("show_savescroll",
                xmScrolledWindowWidgetClass,
                show_form,
                args,
                argcnt);
    XtManageChild(show_savescroll);

/*
    Create the save button widget.
*/
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Save", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNrightPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 25); argcnt++;
    XtSetArg(args[argcnt], XmNx, 165); argcnt++;
    XtSetArg(args[argcnt], XmNy, 189); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 82); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    show_save_button = XtCreateWidget("show_save_button",
                xmPushButtonWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(show_save_button, XmNactivateCallback, show_save_dialog, (XtPointer)0);
    XtManageChild(show_save_button);

/*
    Create the delete button.
*/
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Delete", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 25); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 287); argcnt++;
    XtSetArg(args[argcnt], XmNy, 189); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    show_delete_button = XtCreateWidget("show_delete_button",
                xmPushButtonWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(show_delete_button, XmNactivateCallback, show_delete, (XtPointer)0);
    XtManageChild(show_delete_button);

/*
    Create the accept button.
*/
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Accept", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 166); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    show_accept_button = XtCreateWidget("show_accept_button",
                xmPushButtonWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(show_accept_button, XmNactivateCallback, show_accept, (XtPointer)0);
    XtManageChild(show_accept_button);

/*
    Create the dismiss button.
*/
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 325); argcnt++;
    XtSetArg(args[argcnt], XmNy, 166); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    show_dismiss_button = XtCreateWidget("show_dismiss_button",
                xmPushButtonWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(show_dismiss_button, XmNactivateCallback, show_destroy, (XtPointer)0);
    XtManageChild(show_dismiss_button);

/*
    Create the Blue plane list label.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Blue", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    show_bluelabel = XtCreateWidget("show_bluelabel",
                xmLabelWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(show_bluelabel);

/*
    Create the Green plane list label.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Green", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 35); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    show_greenlabel = XtCreateWidget("show_greenlabel",
                xmLabelWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(show_greenlabel);

/*
    Create the Red plane list label.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Red", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    show_redlabel = XtCreateWidget("show_redlabel",
                xmLabelWidgetClass,
                show_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(show_redlabel);

/*
    Create the Blue plane list scrolled window.
*/
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 62); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_bluescroll = XtCreateWidget("show_bluescroll",
                xmScrolledWindowWidgetClass,
                show_form,
                args,
                argcnt);
    XtManageChild(show_bluescroll);

/*
    Create the Green plane list scrolled window.
*/
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 62); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_greenscroll = XtCreateWidget("show_greenscroll",
                xmScrolledWindowWidgetClass,
                show_form,
                args,
                argcnt);
    XtManageChild(show_greenscroll);

/*
    Create the Red plane list scrolled window.
*/
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 62); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_redscroll = XtCreateWidget("show_redscroll",
                xmScrolledWindowWidgetClass,
                show_form,
                args,
                argcnt);
    XtManageChild(show_redscroll);

/*
    Create the Red plane list.
*/
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"red", "Pixel", 0, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_redlist = XtCreateWidget("show_redlist",
                xmListWidgetClass,
                show_redscroll,
                args,
                argcnt);

    XtAddCallback(show_redlist, XmNbrowseSelectionCallback, show_select, (XtPointer)"R");
    XtAddCallback(show_redlist, XmNdefaultActionCallback, show_info, (XtPointer)0);
    XtManageChild(show_redlist);

/*
    Create the Green plane list.
*/
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"#00ae00", "Pixel", 0, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_greenlist = XtCreateWidget("show_greenlist",
                xmListWidgetClass,
                show_greenscroll,
                args,
                argcnt);

    XtAddCallback(show_greenlist, XmNbrowseSelectionCallback, show_select, (XtPointer)"G");
    XtAddCallback(show_greenlist, XmNdefaultActionCallback, show_info, (XtPointer)0);
    XtManageChild(show_greenlist);

/*
    Create the Blue plane list.
*/
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"blue", "Pixel", 0, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    show_bluelist = XtCreateWidget("show_bluelist",
                xmListWidgetClass,
                show_bluescroll,
                args,
                argcnt);

    XtAddCallback(show_bluelist, XmNbrowseSelectionCallback, show_select, (XtPointer)"B");
    XtAddCallback(show_bluelist, XmNdefaultActionCallback, show_info, (XtPointer)0);
    XtManageChild(show_bluelist);

/*
    Set the form attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_redscroll); argcnt++;
    XtSetValues(show_greenscroll, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_greenscroll); argcnt++;
    XtSetValues(show_bluescroll, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, show_redscroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_redscroll); argcnt++;
    XtSetValues(show_redlabel, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, show_greenscroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 35); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_greenscroll); argcnt++;
    XtSetValues(show_greenlabel, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, show_bluescroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_bluescroll); argcnt++;
    XtSetValues(show_bluelabel, args, argcnt);

/*
    Create the save list widget.
*/
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"black", "Pixel", 0, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    show_savelist = XtCreateWidget("show_savelist",
                xmListWidgetClass,
                show_savescroll,
                args,
                argcnt);

    XtAddCallback(show_savelist, XmNbrowseSelectionCallback, show_select, (XtPointer)"S");
    XtAddCallback(show_savelist, XmNdefaultActionCallback, show_planes, (XtPointer)0);
    XtManageChild(show_savelist);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_bluescroll); argcnt++;
    XtSetValues(show_savescroll, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, show_savescroll); argcnt++;
    XtSetValues(show_savelabel, args, argcnt);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 213); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    show_help_button = XtCreateWidget("show_help_button",
	xmPushButtonWidgetClass,show_form,args,argcnt);

    XtAddCallback(show_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"show.html");
    XtManageChild(show_help_button);

    return( retval );
}

void
Createshow_savedialog(parent)
Widget parent;
{
    Arg         args[512];
    int         argcnt;
    Widget	show_save_label;
    Widget	show_savecancel_button;
    XmString    xmstr[32];

/*
    Create the dialog shell.
*/
    XtInitializeWidgetClass(xmDialogShellWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtitle, "XID - Save"); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 397); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 123); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    show_save_dialogshell = XtCreatePopupShell("Graphics - Edit",
                    xmDialogShellWidgetClass,
                    parent,
                    args,
                    argcnt);
/*
    Create the form widget.
*/
    XtInitializeWidgetClass(xmFormWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 826); argcnt++;
    XtSetArg(args[argcnt], XmNy, 314); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 397); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 123); argcnt++;
    show_dialog_form = XtCreateWidget("show_dialog_form",
                xmFormWidgetClass,
                show_save_dialogshell,
                args,
                argcnt);

/*
    Create the text field.
*/
    XtInitializeWidgetClass(xmTextFieldWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, 35); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 30); argcnt++;
    show_save_text = XtCreateWidget("show_save_text",
                xmTextFieldWidgetClass,
                show_dialog_form,
                args,
                argcnt);

    XtAddCallback(show_save_text, XmNactivateCallback, show_save, (XtPointer)0);
    XtManageChild(show_save_text);

/*
    Create the name label.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Name:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    show_save_label = XtCreateWidget("show_save_label",
                xmLabelWidgetClass,
                show_dialog_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(show_save_label);

/*
    Create the cancel button.
*/
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 289); argcnt++;
    XtSetArg(args[argcnt], XmNy, 84); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    show_savecancel_button = XtCreateWidget("show_savecancel_button",
                xmPushButtonWidgetClass,
                show_dialog_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(show_savecancel_button, XmNactivateCallback, show_save_cancel,
 (XtPointer)0);
    XtManageChild(show_savecancel_button);

/*
    Set form attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, show_save_label); argcnt++;
    XtSetValues(show_save_text, args, argcnt);

    return;
}

void
Createshow_infodialog(parent)
Widget parent;
{
    Arg    	args[512];
    Cardinal   	argcnt;
    Boolean   	argok;
    XmString	xmstr[32];
    Widget	info_dismiss_button;
    Widget	info_horiz_separator;
    Widget	info_filename_label;
    Widget	info_window_label;
    Widget	info_band_label;
    Widget	info_subsamp_label;

/*
    Create the dialog shell.
*/
    XtInitializeWidgetClass(xmDialogShellWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtitle, "XID - Image Info"); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 481); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 220); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    show_info_dialogshell = XtCreatePopupShell("Show Image Information",
                    xmDialogShellWidgetClass,
                    parent,
                    args,
                    argcnt);

/*
    Create the form widget.
*/
    XtInitializeWidgetClass(xmFormWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 481); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 220); argcnt++;
    info_form = XtCreateWidget("info_form",
		xmFormWidgetClass,
		show_info_dialogshell,
		args,
		argcnt);

/*
    Create the window information text widget.
*/
    XtInitializeWidgetClass(xmTextFieldWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, 0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, 25); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    info_window_text = XtCreateWidget("info_window_text",
                xmTextFieldWidgetClass,
                info_form,
                args,
                argcnt);
    XtManageChild(info_window_text);

/*
    Create the subsampling factor text field widget.
*/
    XtInitializeWidgetClass(xmTextFieldWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, 0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, 3); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    info_subsamp_text = XtCreateWidget("info_subsamp_text",
                xmTextFieldWidgetClass,
                info_form,
                args,
                argcnt);
    XtManageChild(info_subsamp_text);

/*
    Create the band number text field widget.
*/
    XtInitializeWidgetClass(xmTextFieldWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, 0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, 3); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    info_band_text = XtCreateWidget("info_band_text",
                xmTextFieldWidgetClass,
                info_form,
                args,
                argcnt);
    XtManageChild(info_band_text);

/*
    Create the image file name text field widget.
*/
    XtInitializeWidgetClass(xmTextFieldWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, 0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, 30); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    info_filename_text = XtCreateWidget("info_filename_text",
                xmTextFieldWidgetClass,
                info_form,
                args,
                argcnt);
    XtManageChild(info_filename_text);

/*
    Create the subsampling factor label widget.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Subsampling Factor:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 160); argcnt++;
    info_subsamp_label = XtCreateWidget("info_subsamp_label",
                xmLabelWidgetClass,
                info_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(info_subsamp_label);

/*
    Create the band number label widget.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Band:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    info_band_label = XtCreateWidget("info_band_label",
                xmLabelWidgetClass,
                info_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(info_band_label);

/*
    Create the window information label widget.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Window:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    info_window_label = XtCreateWidget("info_window_label",
                xmLabelWidgetClass,
                info_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(info_window_label);

/*
    Create the file name label widget.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Image File Name: ", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    info_filename_label = XtCreateWidget("info_filename_label",
                xmLabelWidgetClass,
                info_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(info_filename_label);

/*
    Create the title label widget.
*/
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNfontList, CONVERT(parent,"-adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1", "FontList", 0, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, -120); argcnt++;
    XtSetArg(args[argcnt], XmNx, 121); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 25); argcnt++;
    info_title = XtCreateWidget("info_title",
                xmLabelWidgetClass,
                info_form,
                args,
                argcnt);
    XtManageChild(info_title);

/*
    Create the separator widget.
*/
    XtInitializeWidgetClass(xmSeparatorWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 5); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 461); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_subsamp_label); argcnt++;
    info_horiz_separator = XtCreateWidget("info_horiz_separator",
                xmSeparatorWidgetClass,
                info_form,
                args,
                argcnt);
    XtManageChild(info_horiz_separator);

/*
    Create the dismiss button widget.
*/
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 388); argcnt++;
    XtSetArg(args[argcnt], XmNy, 152); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    info_dismiss_button = XtCreateWidget("info_dismiss_button",
                xmPushButtonWidgetClass,
                info_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(info_dismiss_button, XmNactivateCallback, info_destroy, (XtPointer)0);
    XtManageChild(info_dismiss_button);

/*
    Set the form attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_title); argcnt++;
    XtSetValues(info_filename_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_filename_label); argcnt++;
    XtSetValues(info_window_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_window_label); argcnt++;
    XtSetValues(info_band_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_window_label); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, info_filename_label); argcnt++;
    XtSetValues(info_subsamp_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_title); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, info_filename_label); argcnt++;
    XtSetValues(info_filename_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_window_label); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, info_band_label); argcnt++;
    XtSetValues(info_band_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_window_label); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 15); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, info_subsamp_label); argcnt++;
    XtSetValues(info_subsamp_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, info_filename_label); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, info_filename_label); argcnt++;
    XtSetValues(info_window_text, args, argcnt);

    return;
}
