/*
 *  This is the creation routine for the zoom panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createzoom_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();
 
/*
    Create the main bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 316); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 216); argcnt++;

    zoom_bulletinboard = XtCreateWidget("zoom_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);

    retval = zoom_bulletinboard;

/*
    Create a frame widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
    XtSetArg(args[argcnt], XmNx, 190); argcnt++;
    XtSetArg(args[argcnt], XmNy, 51); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 115); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 116); argcnt++;
    zoom_frame = XtCreateWidget("zoom_frame",
		xmFrameWidgetClass,
		zoom_bulletinboard,
		args,
		argcnt);

    XtManageChild(zoom_frame);
 
/*
    Create the <Point Zoom><Continuous Zoom> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 125); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 164); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 56); argcnt++;
    zoom_mode_radiobox = XtCreateWidget("zoom_mode_radiobox",
		xmRowColumnWidgetClass,
		zoom_bulletinboard,
		args,
		argcnt);

    XtManageChild(zoom_mode_radiobox);
 
/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 220); argcnt++;
    XtSetArg(args[argcnt], XmNy, 177); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    zoom_dismiss_button = XtCreateWidget("zoom_dismiss_button",
		xmPushButtonWidgetClass,
		zoom_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(zoom_dismiss_button, XmNactivateCallback, zoom_destroy, (caddr_t)0);
    XtManageChild(zoom_dismiss_button);
 
/*
    Create the <Nearest Neighbor><Bilinear><Cubic Convolution> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (Dimension)3); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 170); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 81); argcnt++;
    zoom_type_radiobox = XtCreateWidget("zoom_type_radiobox",
		xmRowColumnWidgetClass,
		zoom_bulletinboard,
		args,
		argcnt);

    XtManageChild(zoom_type_radiobox);
 
/*
    Create the "Nearest Neighbor" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Nearest Neighbor",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    zoom_nn_button = XtCreateWidget("zoom_nn_button",
		xmToggleButtonWidgetClass,
		zoom_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(zoom_nn_button, XmNarmCallback, zoom_type, (caddr_t)"NN");
    XtManageChild(zoom_nn_button);
 
/*
    Create the "Bilinear" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Bilinear",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    zoom_bi_button = XtCreateWidget("zoom_bi_button",
		xmToggleButtonWidgetClass,
		zoom_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(zoom_bi_button, XmNarmCallback, zoom_type, (caddr_t)"BI");
    XtManageChild(zoom_bi_button);
 
/*
    Create the "Cubic Convolution" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cubic Convolution",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    zoom_cc_button = XtCreateWidget("zoom_cc_button",
		xmToggleButtonWidgetClass,
		zoom_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(zoom_cc_button, XmNvalueChangedCallback, zoom_alpha, (caddr_t)0);
    XtAddCallback(zoom_cc_button, XmNarmCallback, zoom_type, (caddr_t)"CC");
    XtManageChild(zoom_cc_button);
 
/*
    Create the "Point Zoom" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Point Zoom",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    zoom_point_button = XtCreateWidget("zoom_point_button",
		xmToggleButtonWidgetClass,
		zoom_mode_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(zoom_point_button, XmNarmCallback, zoom_mode, (caddr_t)"PZ");
    XtManageChild(zoom_point_button);
 
/*
    Create the "Continuous Zoom" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Continuous Zoom",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    zoom_cont_button = XtCreateWidget("zoom_cont_button",
		xmToggleButtonWidgetClass,
		zoom_mode_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(zoom_cont_button, XmNarmCallback, zoom_mode, (caddr_t)"CZ");
    XtManageChild(zoom_cont_button);
 
/*
    Create a bulletin board within the frame to contain zoom factor arrow
    buttons and current zoom factor information.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 2); argcnt++;
    XtSetArg(args[argcnt], XmNy, 2); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 111); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 112); argcnt++;
    zoom_frame_bulletinboard = XtCreateWidget("zoom_frame_bulletinboard",
		xmBulletinBoardWidgetClass,
		zoom_frame,
		args,
		argcnt);

    XtManageChild(zoom_frame_bulletinboard);
 
/*
    Create the text widget to contain current zoom factor.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 50); argcnt++;
    XtSetArg(args[argcnt], XmNy, 42); argcnt++;
    zoom_text = XtCreateWidget("zoom_text",
		xmTextWidgetClass,
		zoom_frame_bulletinboard,
		args,
		argcnt);

    XtAddCallback(zoom_text, XmNactivateCallback, zoom_entry, (caddr_t)0);
    XtManageChild(zoom_text);
 
/*
    Create the "down" arrow button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNarrowDirection, XmARROW_DOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 63); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 25); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 25); argcnt++;
    zoom_down_arrow = XtCreateWidget("zoom_down_arrow",
		xmArrowButtonWidgetClass,
		zoom_frame_bulletinboard,
		args,
		argcnt);

    XtAddCallback(zoom_down_arrow, XmNactivateCallback, zoom_arrows, (caddr_t)"DN");
    XtManageChild(zoom_down_arrow);
 
/*
    Create the "up" arrow button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 28); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 25); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 25); argcnt++;
    zoom_up_arrow = XtCreateWidget("zoom_up_arrow",
		xmArrowButtonWidgetClass,
		zoom_frame_bulletinboard,
		args,
		argcnt);

    XtAddCallback(zoom_up_arrow, XmNactivateCallback, zoom_arrows, (caddr_t)"UP");
    XtManageChild(zoom_up_arrow);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 275); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    zoom_help_button = XtCreateWidget("zoom_help_button",
	xmPushButtonWidgetClass,zoom_bulletinboard,args,argcnt);

    XtAddCallback(zoom_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"zoom.html");
    XtManageChild(zoom_help_button);

    return( retval );
}

Widget
Createzoom_scrollwin(parent)
Widget parent;
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    Widget	hor_scrollbar;
    Widget	vert_scrollbar;
    XmRegisterConverters();

/*
    Create the zoomed image scrolled window.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAUTOMATIC); argcnt++;
    XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmSTATIC); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 358); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 344); argcnt++;
    zoom_scrollwin = XtCreateWidget("zoom_scrollwin",
                xmScrolledWindowWidgetClass,
                parent,
                args,
                argcnt);

    retval = zoom_scrollwin;

/*
    Get the widget IDs of the scrollbars.
*/
    XtSetArg(args[0],XmNhorizontalScrollBar,&hor_scrollbar);
    XtSetArg(args[1],XmNverticalScrollBar,&vert_scrollbar);
    XtGetValues(zoom_scrollwin,args,2);
/*
    Turn traversal off on the scrollbars.  If this is not done, the single-
    stepping of the cursor with the arrow keys does not work.
*/
    XtSetArg(args[0],XmNtraversalOn,False);
    XtSetValues(hor_scrollbar,args,1);
    XtSetValues(vert_scrollbar,args,1);

/*
    Create the bulletin board within the scrolled window.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 358); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 344); argcnt++;
    zoom_win_bulletinboard = XtCreateWidget("zoom_win_bulletinboard",
                xmBulletinBoardWidgetClass,
                zoom_scrollwin,
                args,
                argcnt);

    XtManageChild(zoom_win_bulletinboard);
    return( retval );
}

void
Createzoom_alpha(parent)
Widget parent;
{
Arg         args[512];
int         argcnt;
XmString    xmstr[32];

XmRegisterConverters();

/*
    Create the dialog shell for entering the parametric cubic convolution 
    alpha parameter.
*/
argcnt = 0;
XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
zoom_alpha_dialog = XtCreatePopupShell("Zoom - Alpha Parameter",
                transientShellWidgetClass,
                parent,
                args,
                argcnt);

/*
    Create the bulletin board within the dialog shell.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
XtSetArg(args[argcnt], XmNx, 0); argcnt++;
XtSetArg(args[argcnt], XmNy, 0); argcnt++;
XtSetArg(args[argcnt], XmNwidth, 532); argcnt++;
XtSetArg(args[argcnt], XmNheight, 98); argcnt++;
zoom_alpha_bulletinboard = XtCreateWidget("zoom_alpha_bulletinboard",
                xmBulletinBoardWidgetClass,
                zoom_alpha_dialog,
                args,
                argcnt);

XtManageChild(zoom_alpha_bulletinboard);

/*
    Create the OK button widget.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "OK",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
XtSetArg(args[argcnt], XmNx, 440); argcnt++;
XtSetArg(args[argcnt], XmNy, 60); argcnt++;
XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
zoom_alpha_ok = XtCreateWidget("zoom_alpha_ok",
                xmPushButtonWidgetClass,
                zoom_alpha_bulletinboard,
                args,
                argcnt);
XmStringFree( xmstr[0] );

XtAddCallback(zoom_alpha_ok, XmNactivateCallback, zoom_ok, (caddr_t)0);
XtManageChild(zoom_alpha_ok);

/*
    Create the alpha parameter label widget.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Parametric cubic convolution alpha parameter:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
XtSetArg(args[argcnt], XmNx, 15); argcnt++;
XtSetArg(args[argcnt], XmNy, 15); argcnt++;
XtSetArg(args[argcnt], XmNwidth, 440); argcnt++;
XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
zoom_alpha_label = XtCreateWidget("zoom_alpha_label",
                xmLabelWidgetClass,
                zoom_alpha_bulletinboard,
                args,
                argcnt);
XmStringFree( xmstr[0] );

XtManageChild(zoom_alpha_label);

/*
    Create the text widget used to enter the new value for the parametric
    cubic convolution alpha parameter.
*/
argcnt = 0;
XtSetArg(args[argcnt], XmNvalue, "-0.5"); argcnt++;
XtSetArg(args[argcnt], XmNcolumns, (short)5); argcnt++;
XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
XtSetArg(args[argcnt], XmNx, 455); argcnt++;
XtSetArg(args[argcnt], XmNy, 15); argcnt++;
zoom_alpha_text = XtCreateWidget("zoom_alpha_text",
                xmTextWidgetClass,
                zoom_alpha_bulletinboard,
                args,
                argcnt);
XtAddCallback(zoom_alpha_text, XmNvalueChangedCallback, zoom_alpha, (caddr_t)0);
XtManageChild(zoom_alpha_text);

return;
}
