#include <stdio.h>
#include <math.h>
#include "statio.h"
#include "las.h"
#include "protos.h"

#define MAX_ELEMENT   MAXBND*(MAXBND+1)/2
#define MAXW          MAX_ELEMENT+2*MAXBND

/* Chi-square table
   ---------------- */
#define MAXCHI    35
#define NDEGFREE  14

extern float   *mean_matrix;
extern double  *covinv_matrix;
/*
   Image I/O globals
   ----------------- */
extern struct FDESC *	fdesc[MAXIMG+3];    /* Array of file descritors       */
extern struct GDESC *	gdesc;	        	/* Group descriptor               */
    
extern long   min_max,
        num_files;              /* no. of files opened                        */
extern long	inarray[MAXBND],
        outpntr,
        offpntr; 		/*  of offsets                   */
extern char	*thebuf,	/* Buffer for image i/o                       */
	hosin[MAXIMG][CMLEN],	/* Input host file names                      */
	hosout[3][CMLEN],	/* Output host file name                      */
        out[3][CMLEN];     /* names of files opened                      */

extern FILE * sdesc[2];	/* File descriptors of stats files            */

unsigned char	*ealloc();
extern struct DDR ddr;
extern struct  PARBLK vblock;	/* LAS parameter block                        */
