
void compute
(
    long nband,		/* no. bands			*/
    long nc,		/* no. classes processed	*/
    int feat,
    char clname[][STNAME], /* class names		*/
    double *covar[],	/* covariance matrices		*/
    float *mean[],	/* mean vectors			*/
    long print[]	/* print option			*/
);

void g_errmsg
(
    char message[],    /* error message                         */
    char key[],        /* message key                           */
    long *severity     /* dummy - included for compatibility    */
);

void getdist
(
    long nc,		/* no. classes			*/
    long numsets,	/* no. feature sets		*/
    double *scov[],	/* covariance matrix		*/
    float *smean[],	/* mean vector			*/
    float b_dist[], 	/* Bhattacharyya distances	*/
    float det[]		/* determinants of covariances  */
);

void getpar
(
    char hos_stat[],          /* stats file host name             */
    long *num_classes,        /* number of classes to be used     */
    long print[],	     /* print option                     */
    char print_file[CMLEN],   /* print file name                  */
    long *feat
);

void output
(
    char clname[][STNAME], /* class names		*/
    float *b_dist,	/* Bhattacharyya distances	*/
    long nc,		/* no. classes			*/
    long fset[],		/* bands in feature set		*/
    long set,		/* set no.			*/
    long numsets,	/* no. feature sets		*/
    long print[]	/* print option			*/
);

void stats
(
    char hosnm[],	/* stats file host name			*/
    long feat,		/* no. features requested		*/
    long *nc,		/* no. classes processed		*/
    long *num_bands,	/* no. bands 				*/
    double *covar[],	/* covariance matrices			*/
    float *mean[],	/* mean vectors				*/
    char clname[][STNAME] /* class names			*/
);
