/* include files, global parameters, and definitions for CANAL     */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"
#include "util.h"


extern struct	PARBLK	block;                 /* TAE parameter block     */

extern FILE 	*fd;

extern float	*a_matrix;                     /* dynamic storage for     */
extern float	*p_matrix;                     /* matrices                */
extern float	*w_matrix;

extern struct FDESC *fdesc[MAXIMG];             /* file descriptors        */
extern struct GDESC *gdesc;                     /* group descriptor        */
extern long	ipoint[MAXIMG * MAXBND + 1],   /* offsets into image i/o  */
		opoint[MAXBND];                /* for input and output bands */
extern long	min_max;                       /* minmax option flag      */
extern long 	msgtim;                        /* message interval        */
extern long	num_outfiles;                  /* number of output files  */
 
extern unsigned char	*iobuf;                /* image i/o buffer        */
extern char    out_files[2][CMLEN];           /* output file names       */
static char    *prog_name = "CANAL";   /* program name            */

extern long	curent;                /* parameters for processing */
extern long	curcat;                /* message utility         */

static	long	fatal_err = -1;
static	long	inf_err = 1;

#define TERM 0
#define LP   1
#define FIL  2

