#ifndef PROTOS_H
#define PROTOS_H

int brief_attrib
(

    char *tmpnam,             /* pointer to tmp file name passed to fileutil*/
    char *filename,           /* pointer to file name                       */
    long nfiles,              /* number of files for current dircetory      */
    long start,               /* counter for number of files                */
    FILE *fp,               /*file pointer for the temp file sne to fileutil*/
    char (*file_array)[CMLEN], /* pointer to array for input file list      */
    long *assoc,               /* pointer to flag to include assoc files    */
    char (*assoc_array)[CMLEN],/* pointer to array for files assoc w img    */
    long *gbl_nfiles,          /* pointer to counter for parameter nfiles   */
    long *totfil_set,         /* flag for adjusting by 1 cause curent init 1*/
    long *prev_file           /* pointer to flg for format of previous file */
);

int cmlist_get_assoc
(
    char *tmpnam,        /*pointer to name for temp file passed to fileutil */
    char *host,               /* pointer to host image name                 */
    char (*assoc_array)[CMLEN], /*pointer to array for files assoc with img */
    long *nassoc                /* pointer to number of associated files    */
);

int getimage
(
    char *hostnm,             /* pointer to image host name                 */
    char *ssize,              /* pointer to image size                      */
    char *snbands,            /* pointer to number of image bands           */
    char *sdtype              /* pointer to image data type                 */
);

int isimage
(
    char *filename              /* pointer to file name                     */
);

int isimgfl
(
    char *hnam                  /* pointer to host file name                */
);

int long_attrib
(
   char *tmpnam,              /* pointer to name of tmp file for fileutil */
   char *filename,            /* pointer to file name                     */
   long nfiles,               /* number of files for current directory */
   long start,                /* counter for number of files */
   FILE *fp,                  /* file pointer for temp file sent to fileutil */
   char (*file_array)[CMLEN], /* pointer to array of input file list */
   long *assoc,               /* pointer to flag to include assoc files */
   char (*assoc_array)[CMLEN],/* pointer to array of assoc files */
   long *gbl_nfiles,          /* pointer to counter for parameter nfiles */
   long *totfil_set,          /* flag for adjusting by 1 cause current init 1*/
   long *prev_file            /* flg for format if prev file was assoc w img */
);

int med_attrib
(
   char *tmpnam,             /* pointer to tmp name passed to fileutil */
   char *filename,           /* pointer to file name                   */
   long nfiles,              /* number of files for current directory */
   long start,               /* counter for number of files */
   FILE *fp,                 /* file pointer for temp file sent to fileutil */
   char (*file_array)[CMLEN],/* pointer to array of input file list */
   long *assoc,              /* flag for associated files to be included */
   char (*assoc_array)[CMLEN], /* pointer to array of assoc files */
   long *gbl_nfiles,         /* pointer to counter for parameter nfiles */
   long *totfil_set,         /* flag for adjusting by 1 cause current init 1*/
   long *prev_file           /* flg for format if prev file was assoc w img */
);

int no_attrib_all
(

    char *filename,           /* pointer to file name                       */
    long nfiles,              /* number of files for current dircetory      */
    long start,               /* counter for number of files                */
    FILE *fp,                 /* file pointer for temp file sent to fileutil*/
    char (*file_array)[CMLEN], /* pointer to array for input file list      */
    long *gbl_nfiles,         /* pointer to counter for parameter nfiles    */
    long *totfil_set          /* pointer to flag for adjusting curent-init 1*/
);

int no_attrib
(
   char *tmpnam,             /* pointer to tmp file name passed to fileutil*/
   char *filename,           /* pointer to file name                       */
   long nfiles,              /* number of files for current directory */
   long start,               /* counter for number of files */
   FILE *fp,                 /* file pointer for temp files sent to fileutil */
   char (*file_array)[CMLEN],/* pointer to array of input file list */
   char (*assoc_array)[CMLEN], /* pointer to array of assoc files */
   long *gbl_nfiles,         /* poitner to counter for paramter nfiles */
   long *totfil_set,         /* flag for adjusting by 1 cause current init 1*/
   long *prev_img            /* flg for format if prev file was assoc w img */
);

int proc_file
(

    char *tmpfil,          /* ptr to temp file containing file names        */
    char *filename,        /* ptr to current file name being processed      */
    char *attrib,          /* ptr to attribute option of current file       */
    FILE *fp,              /* file pointer for temp file sent to fileutil   */
    char file_array[][CMLEN],  /* ptr to array for input file list          */
    long *assoc,               /* ptr to flag to include associated files   */
    char assoc_array[][CMLEN], /* array of associated file names            */
    long *curlevel,            /* ptr to counter for parameter nlevels      */
    long *maxlevel,            /* ptr to number of directory levels         */
    long *gbl_nfiles,          /* ptr to counter for parameter nfiles       */
    long *prev_file,    /* ptr to flg for format if prev file was assoc,img */
    long *totfil_set       /* flag for adjusting by 1 cause curent init 1   */
);

int processdisk
(

    char *tmpfil,          /* pointer to temp file name containing names    */
    char *name,            /* pointer to current name being processed       */
    char *attrib,          /* pointer to flag for what info to display      */
    FILE *fp,              /* file pointer for temp file sent to fileutil   */
    char (*file_array)[CMLEN],/* pointer to array of files in input list    */
    long *assoc,               /* pointer to flag for assoc files included  */
    char (*assoc_array)[CMLEN],/* pointer to array of assoc files           */
    long *curlevel,             /* pointer to counter for parameter nlevels */
    long *maxlevel,             /* pointer to parameter number of dir levels*/
    long *gbl_nfiles,           /* pointer to counter for parameter nfiles  */
    long *prev_file,         /* flg for format if prev file was assoc w img */
    long *totfil_set         /* flag for adjusting by 1 cause curent init 1 */
);


#endif
