#define MAXCOL 42 

/* Define the dumber of digits of presision for each data type
--------------------------------------------------------------*/
#define I1DIG 4		/*  4 digits for I*1( one is for blank)		*/
#define I2DIG 7		/*  7 digits for I*2 (one is for sign + blank)	*/
#define I4DIG 12	/*  12 digits for I*4 (one is for sign + blank)	*/
#define R4DIG 10	/*  10 digits for R*4 (one is for sign and one is 
			    for decimal point one is for blank)*/
#define R8DIG 18	/*  18 digits for R*8 (one is for sign and one is 
			    for decimal point one is for blank)		*/
#define DATEDIG 9	/*  9 digits for the date (MM/DD/YY blank)	*/
#define TIMEDIG 9	/*  9 digits for the time (HH:MM:SS blank)	*/
#define MAXDIG 18	/*  R*8 is the largest				*/

union DATA
   {
   char chr[MAX_FIELD_LEN];
   char byte;
   short i2;
   int i4;
   float r4;
   double r8;
   struct LT_DATE date;
   struct LT_TIME time;
   };
