#ifndef PROTOS_H
#define PROTOS_H

void filspec
(
    char hostin[][CMLEN],         /*input image host name descriptors */
    char hosout[],		       /* output image descriptor */
    long wind[][4],               /*input image windows           */
    long nimages,                 /*no. of input images           */
    long totbnd		       /* total no. of bands */
);

void getpar
(
    char hosin[MAXIMG][CMLEN],	/* Buffer for input host names */
    char lasin[MAXIMG][CMLEN],	/* Buffer for input las names */
    char lasout[][CMLEN],		/* Buffer for output las names */
    char hosout[][CMLEN],		/* Buffer for output host names */
    long window[MAXIMG][4], 	/* window specifications */
    long *totbnd,		/* Total no. of bands */
    long *mnmx,			/* min/max value */
    long *msgtim,		/* Time processing message time interval      */
    long *nmrimg 		/* Number of input images */
);

void process
(
    long wind[][4],		/* processing image window */
    long msgtim,			/* message interval */
    long nmrimg			/* no. of images */
);

#endif
