/*
*************************************************************************
NAME: free_buf

PURPOSE: free an allocated buffer of memory

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
    1           11/89   T. Baltzer   


COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:

PROJECT: LAS

*****************************************************************
	arguments:
	name		description
	----		-----------
	 buff		pointer to buffer

************************************************************************
*/
#include <stdlib.h>
#include "las.h"
#include "constretch.h"

int  free_buf
(
    unsigned char **buff  /* pointer to buffer   */
)
{
  /* NOTE: any pointer type (not just char) can be freed using free_buf.
  ---------------------------------------------------------------------*/
  free(*buff);

  return(E_SUCC);
}


