#ifndef PROTOS_H
#define PROTOS_H

#include "cm.h"   /* used for c_copy_image includes */

int getpar
(
    struct PARBLK *vblock,        /* I: Pointer to TAE parameter block     */
    char taein[][CMLEN],          /* O: TAE file names of input images     */
    char hosin[][CMLEN],          /* O: Host file names of input images    */
    char taeout[][CMLEN],         /* O: TAE file name of output image      */
    char hosout[][CMLEN],         /* O: Host file name of output image     */
    int *comp,                    /* O: Compression flag                   */
    long *nmrimg,                 /* O: Number of input images             */
    long window[][4],             /* O: Window specs for each input image  */
    long bands[][MAXBND+1],       /* O: Band specs for each input image    */
    long *nbands,                 /* O: Number of bands per input image    */
    long *totbnd,                 /* O: Total number of bands to process   */
    long *odtype,                 /* O: Output data type                   */
    long *msgtim,                 /* O: Time between display messages      */
    char *minmax,                 /* O: Min max flag buffer                */
    int *rtopt                    /* O: Round/truncation option            */
);

#endif
