#ifndef PROTOS_H
#define PROTOS_H

int clean_gof
(
    char *ingof,			/* Input GOF name (I)			    */
    long gtype			/* GOF graphics type to process (I)	    */
);

int copy_gof
(
    char *ingof,			/* Input GOF name (I)			*/
    long gtype,			/* GOF graphics type to process (I)	*/
    char *outgof,		/* Output GOF name (I/O)		*/
    long *msgtim		/* Number of seconds between processing
				   messages (I)				*/
);

int filatt
(
    long *gtype,			/* Type of graphics being processed (I)	*/
    struct HEADER *gofhdr,	/* Input GOF header structure (I)	*/
    struct HEADER *outhdr,	/* Output GOF header structure (I)	*/
    union GOF *gofrec	/* GOF record union structure (I/O)	*/
);

int filhdr
(
    struct HEADER *gofhdr,	/* Input file header structure (I)	*/
    struct HEADER *outhdr	/* Output file header structure	(I/O)	*/
);

int getpar
(
    char *subcmd,		/* Subcommand				*/
    char *outgof, 		/* Output GOF name			*/
    long *gtype,			/* GOF graphics types to process	*/
    char *ingof, 		/* Input GOF name			*/
    long *msgtim		/* Number of seconds between processing
				   messages				*/
);


#endif

