/****************************************************************************
NAME:           SORT

PURPOSE: Bubble sorts an array of integers. 

****************************************************************************/
#include "las.h"
#include "gof.h"
#include "protos.h"

int sort
(
    long array[],       /* Array to be sorted. (I/O) */
    long *num           /* Number of elements to be sorted. (I) */
)
{
    long i;                 /* Looping index */
    long sorted = FALSE;    /* Sorted flag */
    long temp;              /* Temporary holding variable */


    /* Sort the input array 
       --------------------*/
    while (!sorted)
    {
        sorted = TRUE;
        for (i=1; i < *num; i++)
            if (array[i-1] > array[i])
            { 
                temp = array[i-1];
                array[i-1] = array[i];
                array[i] = temp;
                sorted = FALSE;
            }
    }
    return(E_SUCC);
}
