#include "diverge.h"
#include "util.h"
#include "protos.h"


void g_errmsg
(
    char message[],    /* error message                         */
    char key[]        /* message key                           */
)
/****************************************************************************

NAME: G_ERRMSG

PURPOSE: Issues fatal error message, deletes files, and aborts

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
   1           5/05/89  K. A. Narayanan    

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

****************************************************************************/
{
long inf_err = 1;
if (fd) fclose (fd);
c_errmsg (message, key, &inf_err);
c_clean (&block, "diverge", out_files, &num_outfiles);
}
