#ifndef PROTOS_H
#define PROTOS_H

#include "dsptie.h"

int in_list
(
    char *id			/* Tie point identifier */
);

void add_to_list
(
    char *pt_id			/* Tie point identifier */
);

void list_map
(
    char *map			/* Map identifier */
);

void get_map
(
    char *mapid			/* Map identifier (output) */
);

int map_rep
(
    char *mapid,			/* Map identifier */
    char *mapfile,			/* Map parameter file name */
    FILE *ptr			/* Print file pointer */
);

int find_deg
(
    double angle			/* Angle in total degrees */
);

int find_min
(
    double angle			/* Angle in total degrees */
);

double find_sec
(
    double angle			/* Angle in total degrees */
);

int show_mtp
(
    char *fname,                   /* Name of TPL file */
    FILE *filep,                   /* File pointer for output */
    char *mapfile,                 /* Name of map identifer file */
    long all,                      /* Boolean--all points processed? */
    long *flags                   /* Report flags */
);

int show_tpl
(
    char *fname,			/* Name of TPL file */
    FILE *filep,			/* File pointer for output */
    char *mapfile,			/* Name of map identifer file */
    long all,			/* Boolean--all points processed? */
    long *flags			/* Report flags */
);

int show_tps
(
    char *fname,			/* Name of TPS file */
    FILE *filep,			/* File pointer for output */
    char *mapfile,			/* Name of map identifier file */
    long all,			/* Boolean--all points processed? */
    long *flags			/* Report flags */
);



#endif
