/* DECODE is used by EDIPSIN to decode encrypted binary numbers.
   A description of how the value was encryped can be found on page 46
   in the Manual on Characteristics of Landsat Computer-Compatible 
   Tapes Produced by the EROS Data Center Digital Image Processing 
   System. */

#include <stdio.h>
#include "las.h"
#include "protos.h"

/*  UNIX FORTRAN bridge routine*/

short decode_
(
    unsigned char *first,
    unsigned char *second
)
{
        short value;

    	value = decode(first,second);
        return (value);
}

short decode
(
    unsigned char *first,
    unsigned char *second
)
{
        short 	h,l,value;

	h = (short) *first;     /*type casting*/
        l = (short) *second;

        h=h<<6;   		
        value = h | l;	        
        return (value);
}
