#include "editstat.h"
#include "util.h"
#include "msg.h"


/*
**********************************************************************

   name- es_drophist 	

   language- C

   version- 1.0    date- 14-jun-83  programmer- l. urquhart
   version- 2.0    date- 10-Oct9    programmer- F. Irani

**********************************************************************

*/


void es_drophist
(void)

{

long status;

char	data_type[STNAME+1];

long	hist[258],
	shape[9];

long	lineno,
	exists;

listem = TRUE;
/* Do until Quit.
-----------------*/
for (;;)
  {

  /* Prompt user for Image level, class and/or site name to process.
  ------------------------------------------------------------------*/
  for (;;)
        {
	status = getcs(0);

	if (status == E_NOCL)
		{
		c_sterr(status,t_lines - 2);
		listem = FALSE;
		continue;
		}
	else if (status == E_NOSI)
		{
		c_sterr(status,t_lines-2);
		t_output(t_lines, 1, "Enter <CR> to continue.");
		t_read (estring, &tae_term);
		listem = TRUE;
		continue;
		}

	if (quit) 
	    return;
	if (back)
		continue;
	if (status == E_SUCC)
		break;
        }

  /* Prompt user for histogram name to process.
  ---------------------------------------------*/
  for (;;)
        {
	if (status == E_SUCC)
	  label();
	exists = FALSE;
	status = E_SUCC;
	lineno = 0;
	for (id = 1; status != E_NODT; ++id)
		{
	   	status = c_stnode (&inlun, &ic, &is, &id, data_type, shape);
		if (strncmp(data_type, "HIST", 4) == 0 && status != E_NODT)
			{
  			++lineno;
  			exists = TRUE;
  			t_lclear (lineno + 4, 1);
  			t_output (lineno + 4, 1, data_type);
  			if (lineno  == t_lines - 9)
  				{
				lineno = 0;
			       sprintf(estring,"Enter Select, Back, or return");
				prompt(ostring);
  				len = (long) strlen (ostring);
				c_low2up(ostring,&len);
  				if (len > 0)
  					{
  					if (strncmp(ostring, "BACK", len) == 0)
						back = TRUE;
  					else if (strncmp(ostring, 
  						"SELECT", len) == 0)
  					break;
  					} /* if (len > 0) */
  				}  /* if lineno = 15 */
			}  /* if data_type is histogram */
		}  /* loop to find histogram names */
	if (back || quit)
		break;

	if (exists)
	    {
            BPROMPT("Enter histogram to delete",data_type);
	    if (back)
		{
		listem = TRUE;
		break;
		}
	    if (listem)
		continue;
	    }
	else
	    {
	    notfnd("Histograms");
	    t_output(t_lines, 1, "Enter <CR> to continue.");
	    t_read (estring, &tae_term);
	    back = TRUE;
	    listem = TRUE;
	    break;
	    }
	status = c_stget (&inlun, data_type, &ic, &is, shape, hist);
	if (status == E_SUCC)
		break;
	else
	    	{
		sprintf (ostring,"Histogram %s", data_type);
	        notfnd(ostring);
		listem = FALSE;
		continue;
		}
        }

  if (back)
	continue;
  if (quit)
	return;

  /* Verify that the user wishes to delete this site.
  ---------------------------------------------------*/
  sprintf(estring, "Histogram %s will be deleted. OK? [YES/NO]", data_type);
  prompt(ostring);
  
  if (strncmp(ostring, "YES", len) != 0)
   	{
  	listem = TRUE;
   	continue;
   	}

  /*
  Delete node.
  ------------*/
  status = c_stdldt (&inlun, data_type, &ic, &is);
  if (status == E_SUCC)
  	{
	sprintf(estring, "Histogram %s successfully deleted.", data_type);
	t_output (t_lines - 2, 1, estring);
	t_output(t_lines, 1, "Enter <CR> to continue.");
	t_read (estring, &tae_term);
	listem = TRUE;
  	}
  else
	c_sterr(status,t_lines - 2);	

  }  /* Do until quit */

}

