#include "editstat.h"

/*
     FUNCTION es_dropsite

**********************************************************************

   name- dropsite                       

   language- C

   version- 1.0    date- 30-jun-83  programmer- s. ross, sasc
   version- 2.0    date- 10-Oct-89  Programmer- F. Irani
  
                   this code was borrowed from dropsite to be included
                   in editstat.  

   function- dropsite deletes a specified site from a specified class 
		and deletes class statistics for the class

**********************************************************************



*/

void es_dropsite
(void)

{

long status;  /* Status flag for function calls */

listem = TRUE;

/*
Prompt user for Class site to delete.
-------------------------------------*/
for (;;)
	{
	status = getcs(2);

	if (status == E_NOCL)
		{
		c_sterr(status,t_lines - 2);
		listem = FALSE;
		continue;
		}
	else if (status == E_NOSI)
		{
		c_sterr(status,t_lines-2);
		t_output(t_lines, 1, "Enter <CR> to continue.");
		t_read (estring, &tae_term);
		listem = TRUE;
		continue;
		}

	if (quit) 
	    	return;

	if (back)
     		continue;

	if (status != E_SUCC)
		continue;

	/* Verify that the user wishes to delete this site.
	---------------------------------------------------*/
	sprintf(estring,
	"Site %s will be deleted. OK? [YES/NO]", site);
	prompt(ostring);

	if (strncmp(ostring, "YES", len) != 0)
	 	{
		listem = TRUE;
		continue;
	 	}

	/* Now do the work.
	-------------------*/
	status = drsi();
	
	if (status != E_SUCC)
        	{
		c_sterr(status,t_lines - 2);
        	}
	else
		{
		t_lclear(t_lines, 1);
		sprintf(estring, "Site successfully deleted.");
		t_output(t_lines - 2, 1, estring);
		t_output(t_lines, 1, "Enter <CR> to continue.");
		t_read (estring, &tae_term);
		listem = TRUE;
		}
	}

}
