#include "editstat.h"
#include "msg.h"
/*
     FUNCTION esc_histo(data_type,shape,blist,num,hcount)

**********************************************************************

   name- esc_histo                       

   language- c 

   version- 2.0    date- 24-Oct-89  programmer- F. Irani(STX)
   version- 1.0    date- 20-jun-83  programmer- g.mcconaughy(sasc)

   function- esc_histo either deletes or copies a histogram

**********************************************************************

*/
int esc_histo
(
    char data_type[],
    long shape[],
    long blist[],
    long num,
    long hcount
)

{

long i;              /* General purpose array index    */
long status;         /* Status flag for function calls */
long fatal_err = -1; /* Fatal error flag for c_errmsg  */

long	hist[258];

short flag;

/* If we don't want to copy it, return. Otherwise copy.
-------------------------------------------------------*/
status = 1;
for (i = 0; i < num; ++i)
  {
  flag = FALSE;
  if (hcount  !=  blist[i])  
     flag = TRUE;

  if (!flag)
	return(status);
  }

/* Histogram is not in the list of those to delete so copy.
-----------------------------------------------------------*/
status = c_stget (&inlun, data_type, &ic, &is, shape, hist);
if (status  !=  E_SUCC) 
   {
   erread("histogram");
   }

/*
Inform User.  This can be a slow process for large stat files.
--------------------------------------------------------------*/
status = c_stput (&outlun, data_type, &ocls, &is, shape, hist);
if (status  >  E_NOSI && status != E_DTNEW)
	c_sterr(status,t_lines - 2);

return(status); 

}
