#ifndef PROTOS_H
#define PROTOS_H


void getpar
(
    struct PARBLK *vblock	/* Variable block			     */
);

void getdate_and_time
(
    char *wday,		/* current weekday				*/
    char *mon,		/* current month				*/
    long *day,		/* current day , 1 - 31				*/
    long *yr,		/* current year 				*/
    long *hour,		/* current hour of 24 hour clock		*/
    long *minute		/* current minute of 24 hour clock		*/
);

void prt_lp
(
    FILE *outfp,			/* file pointer to line printer      */
    char *buf,				/* message to be printed             */
    long *lp_line,			/* current line number               */
    long *lp_page			/* current page number               */
);

int sheadc
(
    FILE *fp,		     /* pointer to print file   	       */
    long width,		     /* page width of printer   	       */
    char *name,             /* facility's name			       */
    char *address,          /* facility's address                     */
    long pgnum,	             /* page number		               */
    char *repnum,           /* report number/program name 	       */
    char *title1,           /* first user-supplied title line         */
    char *title2           /* second user-supplied title line        */
);

#endif
