#ifndef FILT_H
#define FILT_H

/*   filt.h  is a FILTER header file	*/

#define	MAXRAM	 750000		/* maximum bytes of available RAM     */


struct FSTR			/* FILTER parameter structure	      */
   {
   char		subcmd[8];	/* filter sub-command		      */
   long		nlk;		/* number of lines in the kernel      */
   long		nsk;		/* number of samples in the kernel    */
   long		invld;		/* invalid pixel option		      */
   float	thresh;		/* threshold pixel value	      */
   float	minval;		/* minimum valid pixel value 	      */
   float	maxval;		/* maximum valid pixel value	      */
   float	scalf;		/* scale factor			      */
   float	offset;		/* offset value 		      */
   float	addback;	/* addback value		      */
   float	tolrn;		/* tolerance value		      */
   long		minpix;		/* minumum valid pixels within kernel */
   }; 
#endif
