#ifndef __FSTFMTIN_H__
#define __FSTFMTIN_H__

#include "header.h"

/* Prototypes for FSTFMTIN */
void ccgetpar (struct PARBLK *vblk, char *infile);
void crgetpar (struct PARBLK *vblk, char bands[][6], int *nbands);
void cwgetpar (struct PARBLK *vblk, char *inhdr, char *htype,
               double window[4], char *units, long *resolution, long *same_res);
void datecon(char date[]);
void get_zonenum (char header[], char *ff_version, char proj_type[],
                  long proj_number, double *projcoef, long *zone_number);
void getpar (struct PARBLK *vblk, char hostimg[CMLEN], char hosthdr[CMLEN],
             long wind[4], char bandlist[][6], int *nbands, char *htype,
             long *hflag);
void lcdgetpar (struct PARBLK *vblk, char oprmsg[], char *drivename,
                char basename[][120], long *mounted, char opr_drive[],
                long *nnames);
int lng2tae (struct PARBLK *vblk, long data[], long skipf,
             long num_longs, char varname[], long *result);
void mhbgetpar (struct PARBLK *vblk, int *nhdrs, char hdrs[][CMLEN],
                char hdr_extension[CMLEN]);
int process_hdr (char *hdr, char *htype, long *isize, double *pixsize,
                 double *projcoef, double *corners, long *pcode,
                 long *zcode, long *datum, char *source, char *inst,
                 char *date, int *ddr_valid_flags);
void recalc_corners (double corners[8], long origsize[2], long window[4]);
void rhgetpar (struct PARBLK *vblk, char oprmsg[], char drive[],
               char opr_drive[], long *mounted, char *outfhdr, long *mediaflag,
               char hpath[CMLEN], long *resolution, long *same_res,
               char cdpath[]);
void s2igetpar (struct PARBLK *vblk, char *instr);
void sdgetpar (struct PARBLK *vblk, char *srchfile, char bands[][6],
               int *nbands);
int search_4_hdrs (char *drivename, long num_usrbasnam, char basename[][120],
                   char **path);
int str2tae (struct PARBLK *vblk, char buffer[], long length,
             char format[], long num_strings, char varname[]);
void svgetpar (struct PARBLK *vblk, char *srchfile);
void update_ddr (char hostddr[CMLEN], long window[4], double pixsize,
                 double proj_coef[15], double corners[8], long proj_code,
                 long zone_code, long datum, char source[32],
                 char band_list[][6], int nbands, char instrument[32],
                 char ac_date[10], char ac_time[8], char htype[5],
                 int ddr_valid_flags[8]);

#endif
