/******************************************************************************
NAME: GETPAR

PURPOSE: Gets the user-specified parameters and tae globals for str2int.

PROGRAM HISTORY:

Version  Date   Programmer       Code  Reason
-------  -----  ---------------  ----  ---------------------------------------
    7.2  09/99  G.Schmidt        EDC   Updated to support Fast-L7A.

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
    Must be run under TAE.

PROJECT: LAS

ALGORITHM DESCRIPTION:

NOTES:

******************************************************************************/

#include <stdio.h>
#include <string.h>
#include "las.h"
#include "fhdr.h"
#include "fstfmtin.h"

void s2igetpar (
    struct PARBLK *vblk,      /* I: pointer to initial TAE parameter block   */
    char *instr)              /* O: string to be converted                   */

{
    struct VARIABLE *var;      /* ptr to a variable in the vblk              */

    /* Get the search file
       ----------------------*/
    var = p_find(vblk, "INSTR");
    strcpy(instr, SVAL(*var, 0));
}
