/*****************************************************************************
NAME: GETPAR

PURPOSE: Gets the user-specified parameters and tae globals for srch_vol

PROGRAM HISTORY:
Version  Date   Programmer       Code  Reason
-------  -----  ---------------  ----  ---------------------------------------
    7.2  06/99  G.Schmidt        EDC   Updated to support Fast-L7A.
         10/01  A.Weissenberger  EDC   CR 5057 Formatting and removal of
                                       redundant c_lasmsg calls.
                                       
COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
    Must be run under TAE.

PROJECT: LAS

ALGORITHM DESCRIPTION:

NOTES:

*****************************************************************************/

#include <stdio.h>
#include <string.h>
#include "las.h"
#include "fhdr.h"
#include "fstfmtin.h"

void svgetpar (
    struct PARBLK *vblk,      /* pointer to initial TAE parameter block      */
    char *srchfile)           /* string to be searched for                   */

{
    struct VARIABLE *var;      /* ptr to a variable in the vblk              */

    /* Get the search file
       ----------------------*/
    var = p_find(vblk, "SRCHFILE");
    strcpy(srchfile, SVAL(*var, 0));
}
