/* include files, global parameters, and definitions for GRNDSPOT */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"

#define MAX_DIM  12800
#define MAX_COORD  MAX_DIM/MAXBND
#define MAX_DEGREE  4
#define MAX_COEFF  (MAX_DEGREE+1)*(MAX_DEGREE+2)/2
#define MAX_POLYGON 1023
#define MAX_VERTS 201
#define MAX_XYVERTS 401

#define TERM 0
#define LP   1
#define FIL 2

#ifdef GLOBALVARS
struct PARBLK block;                   /* TAE parameter block     */
FILE	*fd;                           /* output file descriptor  */

float	*iobuf;                        /* image i/o buffer        */

long	*isno_matrix;
long    *x_matrix, *y_matrix;          /* polygon matrices */
long    fd_sfin;
long	fdesc[MAXIMG];                 /* file descriptors        */
long	gdesc;                         /* group descriptor        */
long	ipoint[MAXIMG * MAXBND + 1];   /* offsets into image i/o  */
long 	msgtim;                        /* message interval        */
long	num_outfiles;                  /* no. of output files     */
long	print[3];                      /* print options           */
 
long	curcat;                        /* message utility         */
long	curent;                        /* parameters for processing */

long    *xaxis[MAX_POLYGON],
        *yaxis[MAX_POLYGON];

char	buf[ERRLEN];                   /* print buffer          */
char	out_files[1][CMLEN];
#else
extern	struct PARBLK block;                   /* TAE parameter block     */
extern	FILE	*fd;                           /* output file descriptor  */

extern	float	*iobuf;                        /* image i/o buffer        */

extern	long	*isno_matrix;
extern  long    *x_matrix, *y_matrix;          /* polygon matrices */
extern  long    fd_sfin;
extern	long	fdesc[MAXIMG];                 /* file descriptors        */
extern	long	gdesc;                         /* group descriptor        */
extern	long	ipoint[MAXIMG * MAXBND + 1];   /* offsets into image i/o  */
extern	long 	msgtim;                        /* message interval        */
extern	long	num_outfiles;                  /* no. of output files     */
extern	long	print[3];                      /* print options           */
 
extern	long	curcat;                        /* message utility         */
extern	long	curent;                        /* parameters for processing */

extern  long    *xaxis[MAX_POLYGON],
                *yaxis[MAX_POLYGON];

extern char	buf[ERRLEN];                   /* print buffer          */
extern	char	out_files[1][CMLEN];
#endif
