/* include files, global parameters, and definitions for HISTEQ */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"
#include "util.h"
#include "pixman.h"

#define MAX_DET 50

extern struct PARBLK block;                   /* TAE parameter block     */

extern unsigned	char	*iobuf;        /* image i/o buffer        */

extern long    *chist;			       /* detector cumulative     */
                                               /* histogram               */
extern FILE * fd_sfout;                      /* output rlut file desc   */
extern struct FDESC * fdesc[MAXIMG];         /* file descriptors        */
extern long	min_max;                       /* min max flag            */
extern long 	msgtim;                        /* message interval        */
 
extern long	curcat;                        /* message utility         */
extern long	curent;                        /* parameters for processing */

static	long	fatal_err = -1;

static	long	zero = 0;

extern unsigned char	*lut;
