/******************************************************************************
FUNCTION: 	JSCPROC

PURPOSE:	Do some quick error checking before processing begins

PROGRAM HISTORY:
Version  Date   Author           Change Request
-------  -----  ---------------  -----------------------------------------------
1.0      02/93  D. Etrheim       Initial development

ALGORITHM REFERENCES	
None
*******************************************************************************/
#include <stdio.h>
#include "las.h"

main()
{

struct PARBLK vblock; 	/* TAE parameter block                       */
char  tmpfil1[CMLEN];	/* Output host name          		     */
char  tmpfil2[CMLEN];	/* Output TAE name           		     */

long fatal = -1;	/* Fatal error code		             */
long std_out;		/* fortran standard out LUN                  */
long print[3];
long zero;
   
/* Initialize LAS
-----------------*/
c_inlas(&vblock,&std_out);
   
/* Retrieve output image name
-----------------------------*/
if (c_getout(&vblock,"OUT",tmpfil1,tmpfil2) == E_FAIL)
   c_errmsg("Fatal error encountered","jscproc-fatal",&fatal);

/* Get the print option
-----------------------*/
strcpy(tmpfil1,"jscproc");
if (c_setprt(&vblock,&print[0],&print[1],&print[3],tmpfil1,tmpfil2) != E_SUCC)
   c_errmsg("Fatal error encountered","jscproc-fatal",&fatal);

c_complt("JSCPROC","",&zero);
}
