#ifndef PROTOS_H
#define PROTOS_H

void filspec
(
    char hosin[][CMLEN],     /* input image host names                        */
    char hosout[],           /* output image host name                        */
    long num_inimages,       /* number of input images                        */
    long num_image_bands[][MAXBND+1], /* band numbers in each input image   */
    long bands_per_image[],  /* number of bands for each image                */
    long intype,		    /* data type of the input image                  */
    long out_img_bands[][MAXBND+1], /* band numbers for the output image      */
    long bands		    /* number of output image bands                  */
);

void getpar
(
    char taein[][CMLEN],		/* tae name of the input image              */
    char hosin[][CMLEN],		/* host name of the input image             */
    char taeout[][CMLEN],		/* tae name of the output image             */
    char hosout[][CMLEN],		/* host name of the output image            */
    long *dtype,			/* data type of the input image              */
    long *bands_per_img, 	/* number of bands per input imgae           */
    long (*img_flag)[2],		/* specified image/band options              */
    long img_limit,		/* maximum number of images                  */
    long (*num_img_band)[MAXBND+1],	/* band numbers for each input image */
    long *num_inimg,		/* total number of input images              */
    long *same_wnd, 		/* same window size? 1=Y 2=N                 */
    long *tot_inbands,		/* total number of input bands               */
    long *badlin,		/* starting bad line                         */
    long *lineinc		/* bad line increment                        */
);


#endif
