/*****************************************************************************
NAME:   		     CLOSE_OUTPUT 

PURPOSE    Close all output images

PROGRAM HISTORY:
VERSION	   PROGRAMMER	   DATE		CODE/CONT	REASON
-------	   ----------      ----		---------	------
  5.1      K. Kimball      8/91           EDC           Created to reduce
							duplication of code.

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS
   RDFIL must be run under TAE as part of LNFILL.

PROJECT			LAS

ALGORITHM:


ALGORITHM REFERENCES		none
******************************************************************************/

#include <stdio.h>
#include "las.h"
#include "protos.h"


extern struct FDESC * fdesc[];   /* image file descriptors used for image I/O */

int close_output
(
    long *num_images   	/* The number of images in fdesc to close     */
)
{

long		image;		/* Iterate through the images in fdesc        */

for (image = 0; image < *num_images; image++)
   c_eclose(&fdesc[image]);
return (E_SUCC);
}
