#ifndef PROTOS_H
#define PROTOS_H

long eval1
(
    float pixel,
   long oper,
   float value
);

long eval2
(
    long log1,
   long oper,
   long log2
);

void filspec
(
    char hosin[][CMLEN],      /* input images host names            */
    char hosout[],            /* output image host name             */
    long num_images,          /* number of input images             */
    long num_image_bands[],   /* number of bands in each image      */
    long image_band_num[][MAXBND + 1],
    long wind[][4],           /* input image windows                */
    long *nlout,
    long *nsout,
    double true_val,
    double false_val
);

void getpar
(
    char hos_in[][CMLEN],/* input images host names          	*/
    char las_out[][CMLEN],      /* output image las name            	*/
    char hos_out[][CMLEN],      /* output image host name           	*/
    long *num_images,    /* number of images to be compared	*/
    long num_image_bands[], /* no. bands in each image		*/
    long image_band_num[][MAXBND + 1],
    long wind[][4],      /* input image windows              	*/
    long *num_oper, 	/* no. operations			*/
    long action[], 	/* logical operators			*/
    long order[],	/* order of connectors			*/
    long logics[], 	/* logical connectors			*/
    long images[],	/* image sequence			*/
    float *true_val, 	/* output value when true 		*/
    float *false_val, 	/* output value when false		*/
    float values[]	/* comparison values			*/
);

void getrpn
(
    long num_oper,
    long order[],
    long rpn[],
    long logics[],
    long *index
);

void process
(
    char hos_in[][CMLEN],/* input image host names		*/
    char hos_out[],	/* output image host name		*/
    long *num_images,	/* no. images to be compared		*/
    long *nlout, 	/* no. lines in output image		*/
    long nsout, 		/* no. samples per line in output image	*/
    long action[], 	/* logical operators			*/
    long rpn[], 		/* rpn array				*/
    long num_oper, 	/* no. operations			*/
    long images[], 	/* image sequence			*/
    long index,		/* index into rpn array			*/
    double true_val, 	/* output value when true 		*/
    double false_val, 	/* output value when false		*/
    float values[]	/* comparison values			*/
);

#endif

