
#include "las.h"
#include "protos.h"

void thresh
(
    long nclass,
    char cname[][CMLEN],
    float thdist[]
)
/*
**************************************************************************

NAME: THRESH

PURPOSE: Prompt for and obtain maximum distance values for each class

PROGRAM HISTORY:
  Version   Date       Author         Request
  -------   ----       ------             -------
   3.0        10-Aug-88   K. Narayanan   Conversion to C
   2.0        11-Apr-86   B. Kovalick 
   1.0        19-Dec-84   Y. Sheu 

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:  
    Runs under TAE

PROJECT: LAS

**************************************************************************
*/
{

long    i;
long    thresh_value;

c_lasmsg(FALSE,"i"," Enter maximum distance values for individual classes:");
for (i = 0; i < nclass; i++)
    {
    thresh_value = FALSE;
    while (!thresh_value)
        {
        c_lasmsg(FALSE,"i", "\n   %s: ", cname[i]);
        scanf ("%f", &thdist[i]);
        c_lasmsg(FALSE, "i", "   Value entered: %f", thdist[i]);
        if (thdist[i]  >=  0.0) thresh_value = TRUE;
        else c_lasmsg(FALSE,"i","The value cannot be negative, please reenter");
        }        
    } 
}
