#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *vblock,	/* pointer to TAE parameter block            */
    char taein[][CMLEN],		/* pointer to input TAE file descriptor      */
    char hosin[][CMLEN],		/* pointer to input host file descriptor     */
    long *nmrimg,		/* number of input images                    */
    long (*window)[4],		/* window specifications for each input image*/
    long (*bands)[MAXBND+1],	/* band specifications for each input image  */
    long nbands[],		/* number of bands per input image	     */
    long *totbnd,		/* total number of bands to be processed     */
    long *msgtim,		/* elapsed time between display messages     */
    char *minmax,		/* min max flag buffer			     */
    long *term,			/* flag for output to terminal 		     */
    long *fyle,			/* flag for output to file		     */
    long *lnpr,			/* flag for output to line printer	     */
    char *filnm,			/* output filename for FILE option           */
    char *outfil 		/* pointer to output host file name          */
);

void proces
(
    char taein[][CMLEN],         /* TAE file name                             */
    char hosin[][CMLEN],		/* pointer to input host file descriptor     */
    long nmrimg,			/* number of input images                    */
    long (*window)[4],		/* window specification of input images      */
    long (*bands)[MAXBND+1],	/* bands to be processed for all images      */
    long *nbands,		/* number of bands per input image           */
    long term,			/* flag for output to terminal               */
    long fyle,			/* flag for output to file                   */
    long lnpr,			/* flag for output to line printer           */
    char filnm[CMLEN],	        /* output filename for FILE option           */
    long *nfiles  		/* number of output files		     */
);
#endif

