#include "multiply.h"
#include "util.h"

void terminate
(
    char las_out[][CMLEN],
    char hos_out[],
    char hos_in[][CMLEN],
    long num_images,
    long num_inimages[10]
)
/*
**************************************************************************
NAME: TERMINATE

PURPOSE: Copy image history and issue completion message

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
   1          12/05/88   K. Narayanan, SAR    

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT: LAS

**************************************************************************
*/
{
long	i, j, n;

long one = 1;

/*
update output image history from all the input images
-----------------------------------------------------
*/
for (i = 0, n = 0; i < num_images; i++)
   for (j = 0; j < num_inimages[i]; j++, n++)
      ;
c_hstout (&block, hos_out, hos_in, &n, " "); 

/*
issue completion message
------------------------
*/
c_complt ("MULTIPLY", las_out, &one);

}
