#ifndef PROTOS_H
#define PROTOS_H

void compute
(
    char hos_out[][CMLEN],
    long *num_bands,
    long *nlout,
    long *nsout,
    long *dtype
);

void filspec
(
    char hosin[][CMLEN],      /* input image host name descriptors  */
    char hosout[][CMLEN],            /* output image host name descriptor  */
    long *num_bands,          /* number of bands in each input image*/
    long num_image_bands[],
    long image_band_num[][MAXBND + 1],
    long wind[][4],           /* input image windows                */
    long *type
);

void getpar
(
    char hos_in[][CMLEN],     /* input images host names          */
    char las_out[][CMLEN],           /* output image las name            */
    char hos_out[][CMLEN],           /* output image host name           */
    long num_images[],         /* number of images to be overlayed*/
    long *num_bands,          /* total number of input image bands*/
    long num_image_bands[MAXIMG],
    long image_band_num[][MAXBND + 1],
    long wind[MAXIMG][4]     /* input image windows              */
);

void terminate
(
    char las_out[][CMLEN],
    char hos_out[],
    char hos_in[][CMLEN],
    long num_images[]
);

#endif

