#ifndef PROTOS_H
#define PROTOS_H

   /* getpar.c */
      void getpar (struct PARBLK *pblock, struct UPARMS *uparms);

   /* image_size.c */
      void image_size (long selcount[], struct INIMAGE *inimage,
           struct OUTIMAGE *outimage);

   /* make_final.c */
      void make_final (float *fillval, struct INIMAGE *inimage,
           struct INIMAGE *intimage, struct OUTIMAGE *outimage);

   /* make_inter.c */
      void make_inter (struct UPARMS *uparms, struct INIMAGE *inimage,
           struct OUTIMAGE *outimage, long selcount[]);

   /* name_image.c */
      void name_image (char hostname[CMLEN], char taename[CMLEN]);

   /* seed_rgen.c */
      void seed_rgen (struct UPARMS *uparms);


   /* function in errclean.c  */
      void errclean (char *mkey, char *format, ...); 

   /* functions in image.c */
      void open_bil_in (struct PARBLK *pblock, char *parmname, long dtypeap,
           struct INIMAGE *inimage);
      void open_bil_out (struct PARBLK *pblock, char *parmname, long dtypeap,
           long writconv, struct INIMAGE  *inimage, struct OUTIMAGE *outimage);
      void open_bsq_in (struct PARBLK *pblock, char *parmname, long dtypeap,
           struct INIMAGE *inimage);
      void open_bsq_out (struct PARBLK *pblock, char *parmname, long dtypeap,
           long dtypeout, long writconv, long nl, long ns, long nbands,
           struct OUTIMAGE *outimage);
      void read_bil (struct INIMAGE *inimage);
      void write_bil (struct OUTIMAGE *outimage);
      void read_bsq (long curline, long curband, struct INIMAGE *inimage);
      void write_bsq (long curline, long curband, struct OUTIMAGE *outimage);
      void minmax_bil (struct OUTIMAGE *outimage);
      void close_inimage (struct INIMAGE *inimage);
      void close_outimage (struct OUTIMAGE *outimage);
      void finish_out (struct PARBLK *pblock, struct OUTIMAGE *outimage);

#endif
