#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *vblk,		/* TAE parameter block */
    char *intpl,		/* The input Tie Point Location file name 	*/
    char *outtpl,		/* The output Tie Point Location file name 	*/
    double *elev,		/* the refernece elevation			*/
    char *grid_name,	/* Name of geometric mapping grid file 		*/
    struct GEOGRID *grid,	/* Geometric mapping grid data 			*/
    long *term, 		/* PRINT term flag				*/
    long *file,		/* PRINT file flag				*/
    long *ln_pr,		/* PRINT printer flag 				*/
    char *print_name,	/* Name of the file to be printed		*/
    char *name		/* Name of output print file 			*/
);

double terrain_adjust
(
    double oldsample,	/* original sample			*/
    long nadpix,		/* center pixel				*/
    double elevation,	/* elevation of point			*/
    double elev		/* relative elevation to adjust to	*/
);

#endif
