#ifndef PROTOS_H
#define PROTOS_H

void get_ipsf
(
    char *infile,		/* Filename */
    double *ipsf		/* Ptr to buffer for inverse point spread function */
);

void maketab
(
    double *ipsf,			/* Ptr to buffer containing IPSF */
    long kern_size,			/* Resampling weight table kernel size */
    double table[33][16]		/* Resampling weight table buffer */
);

void sinxx
(
    long dim,		/* Dimension of table */
    char *window,		/* Apply Hanning window?  YES or NO */
    double *ipsf		/* Array containing the inverse point spread function */
);

#endif

