#include "las.h"
#include "protos.h"
float **fmat2d
(
    long nr, 	/* no. rows			*/
    long nc	/* no. columns			*/
)

/*
******************************************************************************

NAME: FMAT2D

PURPOSE: Allocates storage for a matrix

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
   1          16-Jun-89   K. Narayanan       
   2          30-Jun-89   K. Kunska	   modification for floating point
                                           numbers

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

***************************************************************************
*/
{
long	i;
float **m;

if ((m = (float **) malloc (nr * sizeof (float *))) == NULL) 
   return (NULL);

for (i = 0; i < nr; i++)
   if ((m[i] = (float *) malloc (nc * sizeof (float))) == NULL) 
      return (NULL);

return(m);
}
