#include "las.h"
#include "protos.h"
void freefmat2d
(
    float **m,
    long nr  	/* no. rows			*/
)

/*
******************************************************************************

NAME: FREEFMAT2D

PURPOSE: Frees storage allocated for a matrix

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
   1          16-Jun-89   K. Narayanan       

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

***************************************************************************
*/
{
long	i;

for (i = 0; i < nr; i++) 
   free (m[i]);
free (m);
}
