#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *parb,		/* parameter block structure */
    char *hosin,			/* host input file name descriptor */
    char *hosout,			/* host output file name descriptor */
    long *noutcol,			/* number of output columns specified */
    long *totcol,			/* total number of columns to write */
    char atrname[][CMLEN],		/* attribute name for each output col */
    long *outcol,			/* output columns specified */
    long *tiecol			/* tie column				*/
);

void labtabop
(
    struct TAB_DEF *tab,		/* table descriptor */
    char *hosin			/* host input file name */
);

void process
(
    struct PARBLK *parb,		/*  Tae parameter block			*/
    struct TAB_DEF *tab,		/* output labeled table descriptor */
    char hosout[][CMLEN],		/*  host output name			*/
    long *outcol,			/* output columns specified */
    long *noutcol,			/* number of output columns specified */
    long *totcol,			/*  total number of columns to write */
    char atrname[][CMLEN],		/*  names of the specified attributes 	*/
    long *tiecol			/* tie column			*/
);

void tie_comp
(
    struct VECTOR *ptr[],			/* output labeled table descriptor */
    short *read_flag,		/* logical specifying to read the next record
				   of the main labeled table file	*/
    long *tiecol,			/* tie column			*/
    union DATA *data,		/*  current values from the labeled table */
    union DATA *save_data,		/*  previous values of the tie column	*/
    long *outcol
);

#endif
