#include "tab2stat.h"
#include "protos.h"

int get_cur_lvl
(
    struct VECTOR *stat_level
)
/*
**********************************************************************

NAME: Get_Cur_Lvl                            

PURPOSE: Returns to the calling routine the value of label 
   	 name "LEVEL" as an integer constant.  

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT: LAS

ALGORITHM DESCRIPTION:
        If IMAGE then return
	else if CLASS then return
	else if SITE then return
	else error 

************************************************************************
*/

{
long cur_level = 0;			/* stat type being returned */

if (strcmp(stat_level->ptr.c,"IMAGE") == 0)
   cur_level = IMAGE_LEV;
else if (strcmp(stat_level->ptr.c,"CLASS") == 0)
   cur_level = CLASS_LEV;
else if (strcmp(stat_level->ptr.c,"SITE") == 0)
   cur_level = SITE_LEV;
return(cur_level);
}
