/******************************************************************************

NAME:	LABTOPOP

FUNCTION:  LABTOPOP opens the input labeled table

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
		Run under TAE

PROJECT:	LAS

ALGORITHM (FLOW):
Open the main file
For each subfile 
   Open the file
   Read vector data

******************************************************************************/

#include "las.h"
#include "ltable.h"
#include "geompak.h"
#include "protos.h"

void labtabop
(
    struct TAB_DEF *tab,		/* table descriptor */
    char *hosin			/* host input file name */
)

{ /* labtabop */

long i;				/* counter -- current column*/

/*  Open the output labeled table file
--------------------------------------*/
open_tab(&tab[0],hosin,IREAD);
get_vector(&tab[0]);
for (i = 1; i <= tab->nsubs; i++)
   {
   open_tab(&tab[i],tab->subfile[i - 1],IREAD);
   get_vector(&tab[i]);
   }

return;
} /* labtabop */
