
#include <stdlib.h>
#include <string.h>
#include "las.h"
#include "terminc.inc"
#include "taeconf.inp"
#include "parblk.inc"

/*  mprompt is part of the TAE on-line tutorial.  It simulates TAE's
    prompt line for a menu screen.
*/

int main
(void)

  {
    struct PARBLK    vblock;
    struct VARIABLE  *p_find(); 
    TEXT             mrespons[10], *ptmrespons[1], *line1, *line2;
    CODE             term;			

/* initialize TAE routines; print the menu prompt line; receive the user's
   response
*/
   
   z_init(&vblock,P_ABORT);
   line1 = strdup("Enter: selection number, HELP, BACK, TOP, MENU, COMMAND or LOGOFF.              ");
   line2 = strdup("? ");
   t_output(23,1,"                                                                                 ");
   t_output(24,1,"   ");
   t_highlight(line1); 
   t_highlight(line2);
   t_output(23,1,line1);
   t_output(24,1,line2);
   t_input(24,3,mrespons,&term);

   ptmrespons[0] = mrespons;
   q_string(&vblock,"mrespons",1,ptmrespons,P_UPDATE);
   q_out(&vblock);

   z_exit(SUCCESS, "");

   return EXIT_SUCCESS;

}

