
#include <stdlib.h>
#include <string.h>
#include "las.h"
#include "terminc.inc"
#include "taeconf.inp"
#include "parblk.inc"

/*  tprompt is part of the TAE on-line tutorial.  It simulates TAE's
    prompt line for a tutor screen.
*/

int main
(void)

  {
    struct PARBLK    vblock;
    struct VARIABLE  *p_find(); 
    TEXT             trespons[15], *pttrespons[1], *line1, *line2;
    CODE             term;			

/* initialize TAE routines; print the tutor prompt line; receive the user's
   response
*/
   
   z_init(&vblock,P_ABORT);
   line1 = strdup("Enter: parm=value,HELP,PAGE,QUALIFY,SHOW,RUN,EXIT,SAVE,RESTORE; RETURN to page.");
   line2 = strdup("? ");
   t_output(23,1,"                                                                                 ");
   t_output(24,1,"   ");
   t_highlight(line1); 
   t_highlight(line2);
   t_output(23,1,line1);
   t_output(24,1,line2);
   t_input(24,3,trespons,&term);


   pttrespons[0] = trespons;
   q_string(&vblock,"trespons",1,pttrespons,P_UPDATE);
   q_out(&vblock);

   z_exit(SUCCESS, "");

   return EXIT_SUCCESS;

}

