#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *parb,		/* parameter block structure */
    char *hosin,			/* host input file name descriptor */
    char hosout[][CMLEN],		/* host output file name descriptor */
    char *ftype			/* labeled table type */
);

void tpllabop
(
    struct TAB_DEF *tab,		/* table descriptor 			*/
    char hosout[][CMLEN],		/* host output file name 		*/
    struct TPLHEAD *tplhead	/*  header structure of TPL file	*/
);

void tplproc
(
    struct PARBLK *vblock,		/* TAE parameter block			*/
    char hosout[][CMLEN],		/* host file name of output file	*/
    char *hosin			/* host file name of input file		*/
);

void tpslabop
(
    struct TAB_DEF *tab,		/* table descriptor */
    char hosout[][CMLEN],		/* host output file name */
    struct TPSHEAD *tpshead	/*  header structure of TPS file	*/
);

void tpsproc
(
    struct PARBLK *vblock,		/*  Tae parameter block			*/
    char hosout[][CMLEN],		/*  host output file names		*/
    char *hosin			/*  host input file name		*/
);

void writetpl
(
    struct TAB_DEF *tab,		/* output labeled table descriptor */
    struct TPLDATA *tpldata,	/* point data of tie point location file */
    long *pntnum			/* point number of the tie point	*/
);

void writetps
(
    struct TAB_DEF *tab,		/* output labeled table descriptor */
    struct TPSDATA *tpsdata,	/* point data of the tie point selection file */
    long *pntnum			/* point number				*/
);

#endif
