#ifndef ADRGSUP_H
#define ADRGSUP_H

int adrg_extract
(
    int line,           /* overview line of selected point      */
    int sample          /* overviewsample of selected point     */
);

void adrg_free(void);

void adrg_ll2pix
(
    int *l,
    int *s,                     /* return values                */
    double lat,
    double lon,         /* coordinate of interest       */
    double lat_0,
    double lon_0,               /* image corner coordinates     */
    int bs,
    int asc             /* conversion parameters        */
);

int adrg_over(void);

void adrg_pix2ll
(
    double *lat,
    double *lon,                /* world coordinates                */
    int l,
    int s,                      /* pixel coordinates to convert     */
    double lat_0,
    double lon_0,               /* corner world coordinate of image */
    int bs,
    int asc             /* conversion parameter for image   */
);

#endif
