/*
 *  This is the creation routine for the main panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "tiepts.h"
#include "pixmaps.h"
#include <Xm/Protocols.h>
#include "protos.h"
#include "cr.h"

Widget Createmain_shell
(
    Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    Widget      menuBar;
    Widget      adjust_menushell;
    Widget      adjust_rowcol;
    Widget      adjust_ref;
    Widget      adjust_search;
    Widget      show_menushell;
    Widget      show_rowcol;
    Widget      show_ref;
    Widget      show_search;
    Widget      load_menushell;
    Widget      load_rowcol;
    Widget      load_ref;
    Widget      main_separator; 
    XmString    xmstr[32];
    XmRegisterConverters();

    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_IN); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNallowOverlap, False); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 332); argcnt++;

    if ((tie.logo)  && ((tie.mode == IM2MAP) || (tie.mode == IM2VECT)))
        XtSetArg(args[argcnt], XmNheight, 360);
    else if (tie.logo)
        XtSetArg(args[argcnt], XmNheight, 330); 
    else
        XtSetArg(args[argcnt], XmNheight, 200); 

    argcnt++;

    main_form = XtCreateWidget("main_form",
            xmFormWidgetClass,
            parent,
            args,
            argcnt);

    retval = main_form;

    /*
     *  *** if logo flag is set, display logo and information
     */
    if (tie.logo)
    {
        argcnt = 0;
        XtSetArg(args[argcnt], XmNborderWidth, (short)1); argcnt++;
        XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
        XtSetArg(args[argcnt], XmNx, 10); argcnt++;
        XtSetArg(args[argcnt], XmNy, 10); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 310); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 131); argcnt++;
        XtSetArg(args[argcnt], XmNleftAttachment,    XmATTACH_FORM); argcnt++;
        XtSetArg(args[argcnt], XmNrightAttachment,   XmATTACH_FORM);argcnt++;
        XtSetArg(args[argcnt], XmNtopAttachment,     XmATTACH_FORM);argcnt++;
        XtSetArg(args[argcnt], XmNtopOffset,(short)10);argcnt++;
        XtSetArg(args[argcnt], XmNleftOffset,  (short)10); argcnt++;
        XtSetArg(args[argcnt], XmNrightOffset, (short)10); argcnt++;
        main_frame = XtCreateWidget("main_frame",
                xmFrameWidgetClass,
                main_form,
                args,
                argcnt);

        XtManageChild(main_frame);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
        XtSetArg(args[argcnt], XmNx, 4); argcnt++;
        XtSetArg(args[argcnt], XmNy, 4); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 302); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 123); argcnt++;
        frame_bulletinboard = XtCreateWidget("frame_bulletinboard",
                xmBulletinBoardWidgetClass,
                main_frame,
                args,
                argcnt);

        XtManageChild(frame_bulletinboard);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
        XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
        XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
        XtSetArg(args[argcnt], XmNx, 119); argcnt++;
        XtSetArg(args[argcnt], XmNy, 10); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 170); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 101); argcnt++;
        main_display_info = XtCreateWidget("main_display_info",
                xmDrawingAreaWidgetClass,
                frame_bulletinboard,
                args,
                argcnt);

        XtManageChild(main_display_info);

        /*
         *  *** Logo
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNbackgroundPixmap, 
                XPM_PIXMAP(parent, eros_width,eros_height, 
                    eros_ncolors, eros_chars_per_pixel, eros_colors, 
                    eros_pixels)); argcnt++;
        XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
        XtSetArg(args[argcnt], XmNx, 10); argcnt++;
        XtSetArg(args[argcnt], XmNy, 10); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 101); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 101); argcnt++;
        main_logo = XtCreateWidget("main_logo",
                xmDrawingAreaWidgetClass,
                frame_bulletinboard,
                args,
                argcnt);

        XtManageChild(main_logo);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Tie Points",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
        XtSetArg(args[argcnt], XmNx, 26); argcnt++;
        XtSetArg(args[argcnt], XmNy, 5); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 118); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
        main_info_title = XtCreateWidget("main_info_title",
                xmLabelWidgetClass,
                main_display_info,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtManageChild(main_info_title);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "V1.3",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        XtSetArg(args[argcnt], XmNx, 66); argcnt++;
        XtSetArg(args[argcnt], XmNy, 26); argcnt++;
        main_info_version = XtCreateWidget("main_info_version",
                xmLabelWidgetClass,
                main_display_info,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtManageChild(main_info_version);

        argcnt = 0;
        if (tie.visual_info[0].visual->class == PseudoColor)
            XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                            "8 bit pseudocolor",
                            XmSTRING_DEFAULT_CHARSET))); 
        else
            XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                            "24 bit staticcolor",
                            XmSTRING_DEFAULT_CHARSET)));

        argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        XtSetArg(args[argcnt], XmNx, 20); argcnt++;
        XtSetArg(args[argcnt], XmNy, 54); argcnt++;
        main_info_visual = XtCreateWidget("main_info_visual",
                xmLabelWidgetClass,
                main_display_info,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtManageChild(main_info_visual);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "1280 x 1024",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        XtSetArg(args[argcnt], XmNx, 42); argcnt++;
        XtSetArg(args[argcnt], XmNy, 75); argcnt++;
        main_info_size = XtCreateWidget("main_info_size",
                xmLabelWidgetClass,
                main_display_info,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtManageChild(main_info_size);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNseparatorType, XmSINGLE_LINE); argcnt++;
        XtSetArg(args[argcnt], XmNx, 10); argcnt++;
        XtSetArg(args[argcnt], XmNy, 47); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 150); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 7); argcnt++;
        main_info_separator = XtCreateWidget("main_info_separator",
                xmSeparatorWidgetClass,
                main_display_info,
                args,
                argcnt);

        XtManageChild(main_info_separator);
    }

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM);argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_FORM);argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment,  XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,       (short)10);argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,      (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,     (short)50); argcnt++;
    XtSetArg(args[argcnt], XmNpacking,          XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNspacing,          (short)5); argcnt++;
    XtSetArg(args[argcnt], XmNentryAlignment,   XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth,      (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight,     (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth,      (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNnumColumns,       (short)3); argcnt++;
    XtSetArg(args[argcnt], XmNshadowType,       XmSHADOW_OUT); argcnt++;

    main_command_rowcol = XtCreateWidget("main_command_rowcol",
            xmRowColumnWidgetClass,
            main_form,
            args,
            argcnt);

    XtManageChild(main_command_rowcol);

    /*------------------- Load/Adjust/Show Menu Bar ------------------*/

    if (tie.mode == IM2IM)
    {
        /*
         *  *** Pulldown menu bar
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNtopAttachment,  XmATTACH_FORM);argcnt++;
        XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
        XtSetArg(args[argcnt], XmNleftOffset,  (short)10); argcnt++;
        XtSetArg(args[argcnt], XmNrightAttachment,XmATTACH_FORM); argcnt++;
        XtSetArg(args[argcnt], XmNrightOffset, (short)10); argcnt++;

        if (tie.logo)
            XtSetArg(args[argcnt], XmNtopOffset, 150); 
        else
            XtSetArg(args[argcnt], XmNtopOffset, 10); 
        argcnt++;

        XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_BAR); argcnt++;
        XtSetArg(args[argcnt], XmNpacking, XmPACK_NONE); argcnt++;
        XtSetArg(args[argcnt], XmNentryAlignment, XmALIGNMENT_CENTER); argcnt++;
        XtSetArg(args[argcnt], XmNborderWidth, (short)1); argcnt++;
        XtSetArg(args[argcnt], XmNshadowThickness, 0); argcnt++;

        menuBar = XtCreateWidget("menuBar",
                xmRowColumnWidgetClass,
                main_form,
                args,
                argcnt);

        XtManageChild(menuBar);

        /*
         *  *** Adjust Menu Shell
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
        XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
        XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

        adjust_menushell = XtCreatePopupShell("adjust_menushell",
                xmMenuShellWidgetClass,
                menuBar,
                args,
                argcnt);

        XtManageChild(adjust_menushell);

        /*
         *  *** Adjust rowcolumn
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNborderWidth,(short)0); argcnt++;
        XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, 0); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, 0); argcnt++;
        adjust_rowcol = XtCreateWidget("adjust_rowcol",
                xmRowColumnWidgetClass,
                adjust_menushell,
                args,
                argcnt);

        /*
         *  *** Adjust pulldown items
         */
        argcnt = 0;
        adjust_ref    = XtCreateWidget("Reference",
                xmPushButtonWidgetClass,
                adjust_rowcol,
                args,
                argcnt);

        adjust_search = XtCreateWidget("Search",
                xmPushButtonWidgetClass,
                adjust_rowcol,
                args,
                argcnt);

        XtAddCallback(adjust_ref, XmNactivateCallback,  
                main_adjust, (caddr_t)REFERENCE);
        XtAddCallback(adjust_search, XmNactivateCallback,  
                main_adjust, (caddr_t)SEARCH);
        XtManageChild(adjust_ref);
        XtManageChild(adjust_search);

        /*
         *  *** Adjust push button
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Adjust",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        XtSetArg(args[argcnt], XmNsubMenuId, adjust_rowcol); argcnt++;
        XtSetArg(args[argcnt], XmNx,     15); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
        main_adjust_button = XtCreateWidget("main_adjust_button",
                xmCascadeButtonWidgetClass,
                menuBar,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtManageChild(main_adjust_button);

        /*
         *  *** Show Menu Shell
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
        XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
        XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

        show_menushell = XtCreatePopupShell("show_menushell",
                xmMenuShellWidgetClass,
                menuBar,
                args,
                argcnt);

        XtManageChild(show_menushell);

        /*
         *  *** Show rowcolumn
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNborderWidth,(short)0); argcnt++;
        XtSetArg(args[argcnt], XmNx, 0); argcnt++;
        XtSetArg(args[argcnt], XmNy, 0); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 23); argcnt++;
        XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, 0); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, 0); argcnt++;
        show_rowcol = XtCreateWidget("show_rowcol",
                xmRowColumnWidgetClass,
                show_menushell,
                args,
                argcnt);

        /*
         *  *** Show pulldown items
         */
        argcnt = 0;
        show_ref    = XtCreateWidget("Reference",
                xmPushButtonWidgetClass,
                show_rowcol,
                args,
                argcnt);

        show_search = XtCreateWidget("Search",
                xmPushButtonWidgetClass,
                show_rowcol,
                args,
                argcnt);

        XtAddCallback(show_ref, XmNactivateCallback,
                main_show, (caddr_t)REFERENCE);
        XtAddCallback(show_search, XmNactivateCallback,
                main_show, (caddr_t)SEARCH);
        XtManageChild(show_ref);
        XtManageChild(show_search);

        /*
         *  *** Show push button
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Show",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        XtSetArg(args[argcnt], XmNsubMenuId, show_rowcol); argcnt++;
        XtSetArg(args[argcnt], XmNx, 123); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;

        main_show_button = XtCreateWidget("main_show_button",
                xmCascadeButtonWidgetClass,
                menuBar,
                args,
                argcnt);
        XmStringFree( xmstr[0] );
        XtManageChild(main_show_button);

        /* 
         *  *** load pulldown
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
        XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
        XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

        load_menushell = XtCreatePopupShell("load_menushell",
                xmMenuShellWidgetClass,
                menuBar,
                args,
                argcnt);

        XtManageChild(load_menushell);

        argcnt = 0;
        XtSetArg(args[argcnt], XmNborderWidth,(short)0); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
        XtSetArg(args[argcnt], XmNheight, 23); argcnt++;
        XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
        load_rowcol = XtCreateWidget("load_rowcol",
                xmRowColumnWidgetClass,
                load_menushell,
                args,
                argcnt);

        argcnt = 0;
        load_ref    = XtCreateWidget("Reference",
                xmPushButtonWidgetClass,
                load_rowcol,
                args,
                argcnt);

        argcnt = 0;
        load_search = XtCreateWidget("Search",
                xmPushButtonWidgetClass,
                load_rowcol,
                args,
                argcnt);

        XtAddCallback(load_ref, XmNactivateCallback, main_load, 
                (caddr_t) REFERENCE);
        XtAddCallback(load_search, XmNactivateCallback, main_load, 
                (caddr_t) SEARCH);
        XtManageChild(load_ref);
        XtManageChild(load_search);


        argcnt = 0;
        XtSetArg(args[argcnt], XmNshadowThickness,(short)2); argcnt++;
        XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Load",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNsubMenuId, load_rowcol); argcnt++;
        XtSetArg(args[argcnt], XmNx, 220); argcnt++;
        XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;

        main_load_button = XtCreateWidget("loadbutton",
                xmCascadeButtonWidgetClass,
                menuBar,
                args,
                argcnt);
        XmStringFree( xmstr[0] );
        XtManageChild(main_load_button);
    }

    /*-------------------- Main Menu Buttons -------------------------*/

    /*
     *  *** Graphics button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Graphics",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    main_graphic_button = XtCreateWidget("main_graphic_button",
            xmPushButtonWidgetClass,
            main_command_rowcol,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_graphic_button, XmNactivateCallback, main_graphic, 
            (caddr_t)0);
    /*****
      XtAddCallback(main_graphic_button, XmNactivateCallback, main_loop, 
      (caddr_t)0);
     ******/
    XtManageChild(main_graphic_button);

    /*
     *  *** Edit button
     */
    if (tie.mode != ONESRCH)
    {
        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Edit",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;

        main_edit_button = XtCreateWidget("main_edit_button",
                xmPushButtonWidgetClass,
                main_command_rowcol,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtAddCallback(main_edit_button, 
                XmNactivateCallback, main_edit, (caddr_t)0);
        XtManageChild(main_edit_button);
    }

    /*
     *  *** Select button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Select",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_select_button = XtCreateWidget("main_select_button",
            xmPushButtonWidgetClass,
            main_command_rowcol,
            args,
            argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_select_button, 
            XmNactivateCallback, 
            main_select, 
            (caddr_t)0);
    XtManageChild(main_select_button);

    /*
     *  *** Parameters button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Parameters",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_parm_button = XtCreateWidget("main_parm_button",
            xmPushButtonWidgetClass,
            main_command_rowcol,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_parm_button, XmNactivateCallback, main_parm, (caddr_t)0);
    XtManageChild(main_parm_button);

    /*
     *  *** Cursor button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Cursor",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_cursor_button = XtCreateWidget("main_cursor_button",
            xmPushButtonWidgetClass,
            main_command_rowcol,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_cursor_button, XmNactivateCallback, 
            main_cursor, (caddr_t)0);
    XtManageChild(main_cursor_button);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Verify",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_stats_button = XtCreateWidget("main_stats_button",
            xmPushButtonWidgetClass,
            main_command_rowcol,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_stats_button, XmNactivateCallback,
            main_stats, (caddr_t)0);
    XtManageChild(main_stats_button);

    /*
     *  *** if not Image to Image, enter Load/Adjust/Show as push buttons
     */
    if (tie.mode != IM2IM)
    {
        /*
         *  *** Adjust button
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Adjust",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        main_adjust_button = XtCreateWidget("main_adjust_button",
                xmPushButtonWidgetClass,
                main_command_rowcol,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtAddCallback(main_adjust_button, XmNactivateCallback, main_adjust,
                (caddr_t)SEARCH);
        XtManageChild(main_adjust_button);

        /*
         *  *** Show button
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Show",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        main_show_button = XtCreateWidget("main_show_button",
                xmPushButtonWidgetClass,
                main_command_rowcol,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtAddCallback(main_show_button, XmNactivateCallback, main_show,
                (caddr_t)SEARCH);
        XtManageChild(main_show_button);

        /*
         *  *** Load button
         */
        argcnt = 0;
        XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                        "Load",
                        XmSTRING_DEFAULT_CHARSET))); argcnt++;
        XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
        main_load_button = XtCreateWidget("main_load_button",
                xmPushButtonWidgetClass,
                main_command_rowcol,
                args,
                argcnt);
        XmStringFree( xmstr[0] );

        XtAddCallback(main_load_button, XmNactivateCallback, main_load,
                (caddr_t)SEARCH);
        XtManageChild(main_load_button);

        /*
         *  *** Vector button
         */
        if (tie.mode == IM2VECT)
        {
            argcnt = 0;
            XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                            "Vector",
                            XmSTRING_DEFAULT_CHARSET))); argcnt++;
            XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
            main_vector_button = XtCreateWidget("main_vector_button",
                    xmPushButtonWidgetClass,
                    main_command_rowcol,
                    args,
                    argcnt);
            XmStringFree( xmstr[0] );
            XtAddCallback(main_vector_button,
                    XmNactivateCallback,
                    main_vector,
                    (caddr_t)0);
            XtManageChild(main_vector_button);

            argcnt = 0;
            XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                            "Align",
                            XmSTRING_DEFAULT_CHARSET))); argcnt++;
            XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
            XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
            main_align_button = XtCreateWidget("main_align_button",
                    xmPushButtonWidgetClass,
                    main_command_rowcol,
                    args,
                    argcnt);
            XmStringFree( xmstr[0] );
            XtAddCallback(main_align_button,
                    XmNactivateCallback,
                    main_align,
                    (caddr_t)0);
            XtManageChild(main_align_button);
        }

        /*
         *  *** Register button
         */
        if (tie.mode == IM2MAP)
        {
            argcnt = 0;
            XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                            "Register",
                            XmSTRING_DEFAULT_CHARSET))); argcnt++;
            XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
            main_register_button = XtCreateWidget("main_register_button",
                    xmPushButtonWidgetClass,
                    main_command_rowcol,
                    args,
                    argcnt);
            XmStringFree( xmstr[0] );
            XtAddCallback(main_register_button,
                    XmNactivateCallback,
                    main_register,
                    (caddr_t)0);
            XtManageChild(main_register_button);

            argcnt = 0;
            XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
            XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                            "Show Maps",
                            XmSTRING_DEFAULT_CHARSET))); argcnt++;
            XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
            XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
            main_map_button = XtCreateWidget("main_map_button",
                    xmPushButtonWidgetClass,
                    main_command_rowcol,
                    args,
                    argcnt);
            XmStringFree( xmstr[0] );
            XtAddCallback(main_map_button,
                    XmNactivateCallback,
                    main_maplist,
                    (caddr_t)0);
            XtManageChild(main_map_button);
        }
    }

    /*----------------------  Bottom Buttons ---------------------------------*/

    /*
     *  *** Separator
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNborderWidth, (Dimension)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;

    argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment,  XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, (short)40); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,   (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,  (short)10); argcnt++;
    main_separator = XtCreateWidget("main_separator",
            xmSeparatorWidgetClass,
            main_form,
            args,
            argcnt);

    XtManageChild(main_separator);

    /*
     *  *** Exit button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Exit",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    main_exit_button = XtCreateWidget("main_exit_button",
            xmPushButtonWidgetClass,
            main_form,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_exit_button, XmNactivateCallback, 
            main_destroy, (caddr_t)0);
    XtManageChild(main_exit_button);

    /*
     *  *** About button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, (short)50); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, (short)-40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "About",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    main_about_button = XtCreateWidget("main_about_button",
            xmPushButtonWidgetClass,
            main_form,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_about_button, XmNactivateCallback, 
            main_about, (caddr_t)0);
    /****
      XtManageChild(main_about_button);
     *****/

    /*
     *  *** Help button
     */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,   (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,   (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Help",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++; 
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    main_help_button = XtCreateWidget("main_help_button",
            xmPushButtonWidgetClass,
            main_form,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(main_help_button, XmNactivateCallback, main_help, 
            (caddr_t)0);

    XtManageChild(main_help_button);
    return( retval );
}

Widget Createabout_bulletinboard
(
    Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    XmString    xmstr[32];
    XmRegisterConverters();

    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_IN); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 409); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 267); argcnt++;
    retval = XtCreateWidget("about_bulletinboard",
            xmBulletinBoardWidgetClass,
            parent,
            args,
            argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 399); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 208); argcnt++;
    about_frame = XtCreateWidget("about_frame",
            xmFrameWidgetClass,
            retval,
            args,
            argcnt);

    XtManageChild(about_frame);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                    "Dismiss",
                    XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 316); argcnt++;
    XtSetArg(args[argcnt], XmNy, 228); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    about_dismiss_button = XtCreateWidget("about_dismiss_button",
            xmPushButtonWidgetClass,
            retval,
            args,
            argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(about_dismiss_button, XmNactivateCallback, about_destroy,
            (caddr_t)0);
    XtManageChild(about_dismiss_button);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 381); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 201); argcnt++;
    about_frame_bulletinboard = XtCreateWidget("about_frame_bulletinboard",
            xmBulletinBoardWidgetClass,
            about_frame,
            args,
            argcnt);

    XtManageChild(about_frame_bulletinboard);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 381); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 201); argcnt++;

    about_drawingarea = XtCreateWidget("about_drawingarea",
            xmDrawingAreaWidgetClass,
            about_frame_bulletinboard,
            args,
            argcnt);

    XtManageChild(about_drawingarea);

    return( retval );
}

Widget Create_image_scrollwin
(
    Widget  parent,
    struct TIE_MEMLAYOUT  *mem,
    Widget *scrollwin,
    Widget *bulletinboard
)
{
    Arg         args[512];
    int         argcnt;
    Widget      hscroll;
    Widget      vscroll;
    Widget      main_hor_scrollbar;     
    Widget      main_vert_scrollbar;
    Dimension   shadow,border,hilight,width,height;

    XmRegisterConverters();

    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAUTOMATIC); argcnt++;
    XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmAS_NEEDED); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 512); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 512); argcnt++;
    *scrollwin = XtCreateWidget("image_scrollwin",
            xmScrolledWindowWidgetClass,
            parent,
            args,
            argcnt);

    /*
     *  *** set scrollbar so it does not highlight, otherwise cannot
     *      catch cursor key events
     */
    XtSetArg(args[0],XmNhorizontalScrollBar,&hscroll);
    XtSetArg(args[1],XmNverticalScrollBar,&vscroll);
    XtGetValues(*scrollwin,args,2);
    XtSetArg(args[0],XmNtraversalOn,False);
    XtSetValues(hscroll,args,1);
    XtSetValues(vscroll,args,1);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 512); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 512); argcnt++;
    *bulletinboard = XtCreateWidget("image_bulletinboard",
            xmBulletinBoardWidgetClass,
            *scrollwin,
            args,
            argcnt);

    XtAddEventHandler(*bulletinboard,PointerMotionMask|KeyReleaseMask,
            FALSE,cursor_pointer,NULL);
    XtManageChild(*bulletinboard);

    XtSetArg(args[0],XmNhorizontalScrollBar,&main_hor_scrollbar);
    XtSetArg(args[1],XmNverticalScrollBar,&main_vert_scrollbar);
    XtGetValues(*scrollwin,args,2);

    XtSetArg(args[0],XmNwidth,&width);
    XtSetArg(args[1],XmNshadowThickness,&shadow);
    XtSetArg(args[2],XmNborderWidth,&border);
    XtSetArg(args[3],XmNhighlightThickness,&hilight);
    XtGetValues(main_vert_scrollbar,args,4);
    mem->view_xoffset = width + border * 2 + shadow * 2 + hilight * 2;

    XtSetArg(args[0],XmNheight,&height);
    XtSetArg(args[1],XmNshadowThickness,&shadow);
    XtSetArg(args[2],XmNborderWidth,&border);
    XtSetArg(args[3],XmNhighlightThickness,&hilight);
    XtGetValues(main_hor_scrollbar,args,4);
    mem->view_yoffset = height + border * 2 + shadow * 2 + hilight * 2;

    XtSetArg(args[0],XmNshadowThickness,&shadow);
    XtSetArg(args[1],XmNborderWidth,&border);
    XtGetValues(*scrollwin,args,2);
    mem->view_xoffset += (shadow * 2 + border * 2);
    mem->view_yoffset += (shadow * 2 + border * 2);

    XtSetArg(args[0],XmNshadowThickness,&shadow);
    XtSetArg(args[1],XmNborderWidth,&border);
    XtGetValues(*bulletinboard,args,2);
    mem->view_xoffset += (shadow * 2 + border * 2);
    mem->view_yoffset += (shadow * 2 + border * 2);

    /*
     *   *** reset shell width and height
     */
    XtSetArg(args[0],XmNwidth, mem->view_width  + mem->view_xoffset);
    XtSetArg(args[1],XmNheight, mem->view_height + mem->view_yoffset);
    XtSetValues(parent,args,2);

    return( *scrollwin );
}

Widget Create_vector_overview
(
    Widget  parent,
    Widget  *bulletinboard
)
{
    Arg          args[512];
    int          argcnt;
    Widget       form;

    XmRegisterConverters();

    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 512); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 512); argcnt++;
    form = XtCreateWidget("form",
            xmFormWidgetClass,
            parent,
            args,
            argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, (int)0); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, (int)0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, (int)0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, (int)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  1280); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1280); argcnt++;
    *bulletinboard = XtCreateWidget("image_bulletinboard",
            xmDrawingAreaWidgetClass,
            form,
            args,
            argcnt);

    XtAddCallback(*bulletinboard, XmNresizeCallback, vector_expose, (caddr_t)0);
    XtAddCallback(*bulletinboard, XmNexposeCallback, vector_expose, (caddr_t)0);
    XtAddEventHandler(*bulletinboard, 
            ButtonPressMask | ButtonReleaseMask,FALSE,
            cursor_select, NULL);
    XtManageChild(*bulletinboard);

    return(form);
}
