/*
 *  This is the creation routine for the show panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *  J LaVergne, USGS/EROS Data Center, 10/93.
 *    - changed the default button from Red to B/W
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createshow_form
(
   Widget parent,
   Widget image
)
{
   Arg         args[512];
   int         argcnt;
   Widget      retval;
   Widget      show_apply_button;
   Widget      dismiss;
   Widget      help;
   Widget      radiobox;
   Widget      show_form;
   Widget      scrolledwindow;
   XmString    xmstr[32];
   XmRegisterConverters();

   argcnt = 0;
   XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_IN); argcnt++;
   XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 265); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 220); argcnt++;
   show_form = XtCreateWidget("show_form",
               xmFormWidgetClass,
               parent,
               args,
               argcnt);

   retval = show_form;

  /*
   *  *** Apply button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,     (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,       (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
               "Apply",
               XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
   show_apply_button = XtCreateWidget("show_apply_button",
               xmPushButtonWidgetClass,
               show_form,
               args,
               argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(show_apply_button, XmNactivateCallback, show_apply, 
                 (caddr_t)image);
   XtManageChild(show_apply_button);

  /*
   *  *** help button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,     (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,       (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
               "Help",
               XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   help = XtCreateWidget("adjust_dismiss_button",
               xmPushButtonWidgetClass,
               show_form,
               args,
               argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(help, XmNactivateCallback, main_help, (caddr_t)"general.html#SHOW");
   XtManageChild(help);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,    XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,        (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,       (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 94); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 96); argcnt++;
   scrolledwindow = XtCreateWidget("show_plane_scrolledwindow",
               xmScrolledWindowWidgetClass,
               show_form,
               args,
               argcnt);

   XtManageChild(scrolledwindow);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,     (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_POSITION); argcnt++;
   XtSetArg(args[argcnt], XmNleftPosition,    (int)50); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,       (int)-40); argcnt++;
   XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
               "Dismiss",
               XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   dismiss = XtCreateWidget("show_dismiss_button",
               xmPushButtonWidgetClass,
               show_form,
               args,
               argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(dismiss, XmNactivateCallback, show_destroy, (caddr_t)0);
   XtManageChild(dismiss);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNlistSpacing, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNlistMarginWidth, (short)4); argcnt++;
   XtSetArg(args[argcnt], XmNlistMarginHeight, (short)2); argcnt++;
   XtSetArg(args[argcnt], XmNvisibleItemCount, (int)4); argcnt++;
   XtSetArg(args[argcnt], XmNselectionPolicy, XmSINGLE_SELECT); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 2); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 67); argcnt++;
   show_plane_list = XtCreateWidget("show_plane_list",
               xmListWidgetClass,
               scrolledwindow,
               args,
               argcnt);

   XtAddCallback(show_plane_list, XmNsingleSelectionCallback, show_plane_select, (caddr_t)0);
   XtManageChild(show_plane_list);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNtopAttachment,     XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,         (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,       (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
   XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
   XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
   XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
   XtSetArg(args[argcnt], XmNnumColumns, (short)1); argcnt++;
   XtSetArg(args[argcnt], XmNresizeHeight, True); argcnt++;
   XtSetArg(args[argcnt], XmNresizeWidth, True); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 105); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 134); argcnt++;
   radiobox = XtCreateWidget("show_rgb_radiobox",
                xmRowColumnWidgetClass,
                show_form,
                args,
                argcnt);

   XtManageChild(radiobox);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Red",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNx, 3); argcnt++;
   XtSetArg(args[argcnt], XmNy, 3); argcnt++;
   show_red_button = XtCreateWidget("show_red_button",
                xmToggleButtonWidgetClass,
                radiobox,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(show_red_button, XmNarmCallback, show_component, (caddr_t)"R");
   XtManageChild(show_red_button);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Green",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNx, 80); argcnt++;
   XtSetArg(args[argcnt], XmNy, 3); argcnt++;
   show_green_button = XtCreateWidget("show_green_button",
                xmToggleButtonWidgetClass,
                radiobox,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(show_green_button, XmNarmCallback, show_component, (caddr_t)"G");
   XtManageChild(show_green_button);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Blue",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNx, 157); argcnt++;
   XtSetArg(args[argcnt], XmNy, 3); argcnt++;
   show_blue_button = XtCreateWidget("show_blue_button",
                xmToggleButtonWidgetClass,
                radiobox,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(show_blue_button, XmNarmCallback, show_component, (caddr_t)"B");
   XtManageChild(show_blue_button);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "BW",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;  
   XtSetArg(args[argcnt], XmNset, True); argcnt++;            
   XtSetArg(args[argcnt], XmNx, 234); argcnt++;
   XtSetArg(args[argcnt], XmNy, 3); argcnt++;
   show_bw_button = XtCreateWidget("show_bw_button",
                xmToggleButtonWidgetClass,
                radiobox,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(show_bw_button, XmNarmCallback, show_component, (caddr_t)"W");
   XtManageChild(show_bw_button);

   return( retval );
}
