#ifndef MAPSUP_H
#define MAPSUP_H

int find_deg
(
   double angle                 /* Angle in total degrees */
);

int find_min
(
   double angle                 /* Angle in total degrees */
);

double find_sec
(
   double angle                 /* Angle in total degrees */
);

double map_dms2deg
(
    char *str
);

int map_getidlist
(
    char        *mapfile,       /* Map file name                          */
    Widget      idlist          /* scrollable list of map ids in mapfile  */
);

double map_min2deg
(
    const char *str,        /* I: String containing angle in minutes          */
    char *lat_or_long       /* I: Type of angle, either latitude or longitude */
);

int map_read
(
    char *mapfile,                      /* Map file name */
    char *mapname,                      /* Map name */
    char *mapid,                        /* Map id */
    struct TIE_MAPPARMS *map_params /* Map registration parameters */
);

double map_sec2deg
(
    const char *str,        /* I: String containing angle in seconds          */
    char *lat_or_long       /* I: Type of angle, either latitude or longitude */
);

int map_updatelt(void);

void map_writelt
(
   struct TIE_MAPPARMS parms    /* map record                           */
);

#endif
