#include "matsup.h"

void mat_scale
(
    double matrix[3][3],
    double sx,
    double sy,
    double x,
    double y
)
{
   double       scale[3][3];

   mat_identity(scale);

  /*
   *  *** translate to fixed point
   */
   mat_translate(matrix, -x, -y);

   scale[0][0] = sx;
   scale[1][1] = sy;
   mat_multiply(matrix, scale);

  /*
   *  *** translate to original position
   */
   mat_translate(matrix, x, y);
}
