#include <stdio.h>
#include <stdlib.h>
#include "tiepts.h"

void *tie_malloc(size_t size, char *filename, int lineno)
{
    void *ptr = malloc(size);
    if (!ptr)
        {
        fprintf(stderr, "Error: malloc() failed on line %d of %s\n",
                lineno, filename);
        exit(EXIT_FAILURE);
        }
    return ptr;
}

void *tie_realloc(void *pntr, size_t size, char *filename, int lineno)
{
    void *ptr = realloc(pntr, size);
    if (!ptr)
        {
        fprintf(stderr, "Error: realloc() failed on line %d of %s\n",
               lineno, filename);
        exit(EXIT_FAILURE);
        }
    return ptr;
}   
