#ifndef PROTOS_H
#define PROTOS_H

void fit
(
    struct GEOGRID *grid,	/* Geometric mapping grid */
    double *a,
    double *b		/* Mapping coefficients   */
);

int fitpts
(
    double *srcl,
    double *srcs,
    double *refl,
    double *refs,
    long npts,			/* Number of points in TPL file 	*/
    long degree,			/* Degree of polynomial used 		*/
    double *a,
    double *b			/* Mapping coeficients			*/
);

int getpar
(
    struct PARBLK *vblk,          /* TAE parameter block               */
    struct GEOGRID *grid,         /* Geometric Mapping Grid structure  */
    char tpl_name[CMLEN],         /* The input Tie Point Location file name */
    char out_tpl[CMLEN],          /* The output Tie Point Location file name */
    char mflg[],                  /* Invert indicator */
    char grid_name[CMLEN],        /* The Geometric Mapping Grid file name */
    long *msgtim                  /* Message timer */
);

#endif
