#include "unknown.h"
#include "protos.h"

void thresh
(
    long nclass,          /* no. of classes */
    char nambuf[][80],    /* class names */
    long thrshl[],        /* threshold values */
    float low             /* threshold value */
)
/*
----------------------------------------------------------------
NAME: THRESH

PROGRAM HISTORY:
    Version             date            Author		Reason
    -------             ----            ------		------
       3              08-dec-88        B. Allam  	Retrocode
       2              14-aug-85        F. Irani     
       1              30-june-83       J. Hwang
      
FUNCTION:  Get or calculate class threshold percentage

----------------------------------------------------------------
*/
{
long i, val;
float fval;      /* threshold value */

/*
did user supply the percentage of the low probability pixels ?
--------------------------------------------------------------
*/
if (low == 0.0)   /*  each class threshold percentage to  */
                  /*  be supplied by user */
   {
   for (i=0; i < nclass; i++)
      {
      printf("$Enter threshold percentage(0.-100.) for class %s:", nambuf[i]);
      scanf("%f", &fval);
      val = (long) fval;
      val = (long) (255. * val/100.+.5);
      thrshl[i] = val;
      }  
   }
else
   {
   for (i=0; i < nclass; i++)
      thrshl[i] = (long) (255. * low/100.+.5);
   }  
}
