/* Inxlude file for xcorrect */


/* The following are factors used in resampling */
#define  FACT1          0.03125
#define  FACT2          0.015625
#define  FACT3          32.0

#define  MATSIZ         33
#define  TBLSIZ         528


/* The number of lines in an uncorrected MSS image from EDIPS 0.0 is 2340    */
#define  MAXLINE        2340

/* XCORRECT only processes one input image at a time */
#define  IMGMAX         1

/*
   The following variables must be declared global for image I/O routines
*/

extern struct FDESC * fdesc[IMGMAX+2];
                                 /* image file descriptors used for image I/O */
extern struct GDESC *gdesc;      /* group descriptor used for image I/O       */
extern long offset1[IMGMAX*MAXBND+1];/* offsets into "thebuf" for input bands*/
extern long offset2[MAXBND+1];  /* offsets into "thebuf" for output bands    */
extern long curent;	        /* current processing line		     */
extern long curcat;             /* current processing band		     */
