/*
 *  This is the creation routine for the configuration panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"
#include "xid_func.h"

Widget Createconfig_form
(
   Widget parent
)
{
   Arg         args[512];
   Cardinal    argcnt;
   /*SUPPRESS 591*/
   Widget      retval;
   /*SUPPRESS 591*/
   XmString    xmstr[32];

   XmRegisterConverters();

   /* Create the configuration panel form.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 337); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 191); argcnt++;
   config_form = XtCreateWidget("config_form", xmFormWidgetClass, parent,args,
                                argcnt);
   retval = config_form;

   /* Create the "Dismiss" button.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
               "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNx, 224); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
   config_dismiss_button = XtCreateWidget("config_dismiss_button",
                                          xmPushButtonWidgetClass,config_form,
                                          args,argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(config_dismiss_button, XmNactivateCallback, config_destroy,
                 (caddr_t)0);
   XtManageChild(config_dismiss_button);

   /* Create the display information frame.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNx, 11); argcnt++;
   XtSetArg(args[argcnt], XmNy, 11); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 295); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 131); argcnt++;
   config_frame = XtCreateWidget("config_frame", xmFrameWidgetClass,
                                 config_form, args, argcnt);
   XtManageChild(config_frame);

   /* Create the display information bulletinboard.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNx, 4); argcnt++;
   XtSetArg(args[argcnt], XmNy, 4); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 287); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 123); argcnt++;
   config_bulletinboard = XtCreateWidget("config_bulletinboard",
                                         xmBulletinBoardWidgetClass,
                                         config_frame, args, argcnt);
   XtManageChild(config_bulletinboard);

   /* Create the drawing area to contain the USGS logo.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNbackgroundPixmap,XPM_PIXMAP(parent, eros_width,
            eros_height, eros_ncolors, eros_chars_per_pixel, eros_colors,
            eros_pixels)); argcnt++;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNx, 14); argcnt++;
   XtSetArg(args[argcnt], XmNy, 14); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 101); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 101); argcnt++;
   config_logo = XtCreateWidget("config_logo", xmDrawingAreaWidgetClass,
                                config_bulletinboard, args, argcnt);
    XtManageChild(config_logo);

   /* Create the drawing area to contain the display information.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginWidth, 0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginHeight, 0); argcnt++;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNx, 123); argcnt++;
   XtSetArg(args[argcnt], XmNy, 14); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 170); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 101); argcnt++;
   config_display_info = XtCreateWidget("config_display_info",
                                        xmDrawingAreaWidgetClass,
                                        config_bulletinboard, args, argcnt);
   XtManageChild(config_display_info);

   /* Create the "title" label widget.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "X Image Display", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNx, 26); argcnt++;
   XtSetArg(args[argcnt], XmNy, 5); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 118); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
   config_info_title = XtCreateWidget("config_info_title", xmLabelWidgetClass,
                                      config_display_info, args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(config_info_title);

   /* Create the "Version" label widget.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "V2.2", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
   XtSetArg(args[argcnt], XmNx, 66); argcnt++;
   XtSetArg(args[argcnt], XmNy, 26); argcnt++;
   config_info_version = XtCreateWidget("config_info_version",
                                        xmLabelWidgetClass,config_display_info,
                                        args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(config_info_version);

   /* Create the "visual" label widget.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "8 bit pseudocolor", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
   XtSetArg(args[argcnt], XmNx, 20); argcnt++;
   XtSetArg(args[argcnt], XmNy, 54); argcnt++;
   config_info_visual = XtCreateWidget("config_info_visual",xmLabelWidgetClass,
                                       config_display_info, args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(config_info_visual);

   /* Create the "size" label widget.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "1280 x 1024", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
   XtSetArg(args[argcnt], XmNx, 42); argcnt++;
   XtSetArg(args[argcnt], XmNy, 75); argcnt++;
   config_info_size = XtCreateWidget("config_info_size", xmLabelWidgetClass,
                                     config_display_info, args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(config_info_size);

   /* Create the separator.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNseparatorType, XmSINGLE_LINE); argcnt++;
   XtSetArg(args[argcnt], XmNx, 10); argcnt++;
   XtSetArg(args[argcnt], XmNy, 47); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 150); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
   config_info_separator = XtCreateWidget("config_info_separator",
                                          xmSeparatorWidgetClass,
                                          config_display_info, args, argcnt);
   XtManageChild(config_info_separator);

   /* Set the form attachments.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNtopWidget, config_frame); argcnt++;
   XtSetValues(config_dismiss_button, args, argcnt);

   return( retval );
}
