/*
 *  This is the creation routine for the cursor panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"
#include "xid_func.h"
#include "main.h"

Widget Createcursor_bulletinboard
(
   Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    XmString    xmstr[32];

    XmRegisterConverters();

    /* Main cursor bulletin board.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_IN); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 550); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 360); argcnt++;
    cursor_bulletinboard = XtCreateWidget("cursor_bulletinboard",
                                          xmBulletinBoardWidgetClass,
                                          parent, args, argcnt);
    retval = cursor_bulletinboard;
    XtAddEventHandler(cursor_bulletinboard,StructureNotifyMask,FALSE,
                      cursor_create,NULL);
    XtAddEventHandler(cursor_bulletinboard,ExposureMask,FALSE,cursor_expose,
                      NULL);

    /* Create the Z dimension scale widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, (int)1); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, (int)100); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
             "", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)15); argcnt++;
    XtSetArg(args[argcnt], XmNx, 330); argcnt++;
    XtSetArg(args[argcnt], XmNy, 270); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 210); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 34); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, 1); argcnt++;
    cursor_scale = XtCreateWidget("cursor_scale", xmScaleWidgetClass,
                                  cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_scale, XmNdragCallback, cursor_zslider, (caddr_t)0);
    XtManageChild(cursor_scale);

    /* Create the dismiss button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 455); argcnt++;
    XtSetArg(args[argcnt], XmNy, 311); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    cursor_dismiss_button = XtCreateWidget("cursor_dismiss_button",
                                           xmPushButtonWidgetClass,
                                           cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_dismiss_button, XmNactivateCallback, cursor_destroy,
                  (caddr_t)0);
    XtManageChild(cursor_dismiss_button);

    /* Create a separator widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 262); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 530); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    cursor_separator = XtCreateWidget("cursor_separator",
                                      xmSeparatorWidgetClass,
                                      cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_separator);

    /* Create a text widget for displaying unscaled gray level values.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)39); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 187); argcnt++;
    XtSetArg(args[argcnt], XmNy, 218); argcnt++;
    cursor_un_text = XtCreateWidget("cursor_un_text", xmTextWidgetClass,
                                    cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_un_text);

    /* Create a text widget for displaying latitude/longitude coordinates.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)39); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 187); argcnt++;
    XtSetArg(args[argcnt], XmNy, 193); argcnt++;
    cursor_ll_text = XtCreateWidget("cursor_ll_text", xmTextWidgetClass,
                                    cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_ll_text);

    /* Create a text widget for displaying projection coordinate information */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)39); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 187); argcnt++;
    XtSetArg(args[argcnt], XmNy, 168); argcnt++;
    cursor_pc_text = XtCreateWidget("cursor_pc_text", xmTextWidgetClass,
                                    cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_pc_text);

    /* Create a text widget for displaying line/sample file coordinates.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)25); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 358); argcnt++;
    XtSetArg(args[argcnt], XmNy, 42); argcnt++;
    cursor_fc_text = XtCreateWidget("cursor_fc_text", xmTextWidgetClass,
                                    cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_fc_text);

    /* Create a text widget for displaying line/sample image coordinates.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, ""); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)9); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNresizeWidth, False); argcnt++;
    XtSetArg(args[argcnt], XmNresizeHeight, False); argcnt++;
    XtSetArg(args[argcnt], XmNpendingDelete, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 118); argcnt++;
    XtSetArg(args[argcnt], XmNy, 42); argcnt++;
    cursor_ls_text = XtCreateWidget("cursor_ls_text", xmTextWidgetClass,
                                    cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_ls_text);

    /* Create the unscaled gray level value toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             " ", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 227); argcnt++;
    cursor_un_toggle = XtCreateWidget("cursor_un_toggle",
                                      xmToggleButtonWidgetClass,
                                      cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_un_toggle, XmNvalueChangedCallback, cursor_unscaled,
                  (caddr_t)0);
    XtManageChild(cursor_un_toggle);

    /* Create the latitude/longitude toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             " ", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 202); argcnt++;
    cursor_ll_toggle = XtCreateWidget("cursor_ll_toggle",
                                      xmToggleButtonWidgetClass,
                                      cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_ll_toggle, XmNvalueChangedCallback, cursor_latlong,
                  (caddr_t)0);
    XtManageChild(cursor_ll_toggle);

    /* Create the projection coordinate toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             " ", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 177); argcnt++;
    cursor_pc_toggle = XtCreateWidget("cursor_pc_toggle",
                                      xmToggleButtonWidgetClass,
                                      cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_pc_toggle, XmNvalueChangedCallback, cursor_proj,
                  (caddr_t)0);
    XtManageChild(cursor_pc_toggle);

    /* Create the frame widget (gray level values are displayed within this
       frame).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
    XtSetArg(args[argcnt], XmNx, 54); argcnt++;
    XtSetArg(args[argcnt], XmNy, 80); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 442); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 78); argcnt++;
    cursor_frame = XtCreateWidget("cursor_frame", xmFrameWidgetClass,
                                  cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_frame);

    /* Create the unscaled gray level value label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Unscaled:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 43); argcnt++;
    XtSetArg(args[argcnt], XmNy, 222); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 74); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_un_label = XtCreateWidget("cursor_un_label", xmLabelWidgetClass,
                                     cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(cursor_un_label);

    /* Create the latitude/longitude coordinate label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Lat/Long:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 43); argcnt++;
    XtSetArg(args[argcnt], XmNy, 197); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 69); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_ll_label = XtCreateWidget("cursor_ll_label", xmLabelWidgetClass,
                                     cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(cursor_ll_label);

    /* Create the projection coordinate label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Projection Coord:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 43); argcnt++;
    XtSetArg(args[argcnt], XmNy, 172); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 129); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_pc_label = XtCreateWidget("cursor_pc_label", xmLabelWidgetClass,
                                     cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(cursor_pc_label);

    /* Create the title string label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Coordinate Information", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 192); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 165); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_ci_label = XtCreateWidget("cursor_ci_label", xmLabelWidgetClass,
                                     cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(cursor_ci_label);

    /* Create the file coordinate label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "File Coordinate:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 227); argcnt++;
    XtSetArg(args[argcnt], XmNy, 46); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 116); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_fc_label = XtCreateWidget("cursor_fc_label", xmLabelWidgetClass,
                                     cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(cursor_fc_label);

    /* Create the image coordinate label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Line/Sample:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 46); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 93); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_ls_label = XtCreateWidget("cursor_ls_label", xmLabelWidgetClass,
                                     cursor_bulletinboard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(cursor_ls_label);

    /* Create the <automatic><manual> radio box.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 205); argcnt++;
    XtSetArg(args[argcnt], XmNy, 285); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 114); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 55); argcnt++;
    cursor_am_radiobox = XtCreateWidget("cursor_am_radiobox",
                                        xmRowColumnWidgetClass,
                                        cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_am_radiobox);

    /* Create the <X/Y><Z> radio box.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 130); argcnt++;
    XtSetArg(args[argcnt], XmNy, 285); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 60); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 55); argcnt++;
    cursor_xyz_radiobox = XtCreateWidget("cursor_xyz_radiobox",
                                         xmRowColumnWidgetClass,
                                         cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_xyz_radiobox);

    /* Create the <original><mapped> radio box.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 285); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 105); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 55); argcnt++;
    cursor_mo_radiobox = XtCreateWidget("cursor_mo_radiobox",
                                        xmRowColumnWidgetClass,
                                        cursor_bulletinboard, args, argcnt);
    XtManageChild(cursor_mo_radiobox);

    /* Create the "Original" toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Original", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    cursor_original_button = XtCreateWidget("cursor_original_button",
                                            xmToggleButtonWidgetClass,
                                            cursor_mo_radiobox, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_original_button, XmNarmCallback, cursor_mo,
                  (caddr_t)"O");
    XtManageChild(cursor_original_button);

    /* Create the "Mapped" toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Mapped", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    cursor_mapped_button = XtCreateWidget("cursor_mapped_button",
                                          xmToggleButtonWidgetClass,
                                          cursor_mo_radiobox, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_mapped_button,XmNarmCallback,cursor_mo,(caddr_t)"M");
    XtManageChild(cursor_mapped_button);

    /* Create the "X/Y" toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "X/Y", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    cursor_xy_button = XtCreateWidget("cursor_xy_button",
                                      xmToggleButtonWidgetClass,
                                      cursor_xyz_radiobox, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_xy_button, XmNarmCallback, cursor_xyz, (caddr_t)"XY");
    XtManageChild(cursor_xy_button);

    /* Create the "Z" toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Z", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    cursor_z_button = XtCreateWidget("cursor_z_button",
                                     xmToggleButtonWidgetClass,
                                     cursor_xyz_radiobox, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_z_button, XmNarmCallback, cursor_xyz, (caddr_t)"Z");
    XtManageChild(cursor_z_button);

    /* Create the "Automatic" toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Automatic", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    cursor_auto_button = XtCreateWidget("cursor_auto_button",
                                        xmToggleButtonWidgetClass,
                                        cursor_am_radiobox, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_auto_button, XmNarmCallback, cursor_am, (caddr_t)"A");
    XtManageChild(cursor_auto_button);

    /* Create the "Manual" toggle button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Manual", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    cursor_man_button = XtCreateWidget("cursor_man_button",
                                       xmToggleButtonWidgetClass,
                                       cursor_am_radiobox, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(cursor_man_button, XmNarmCallback, cursor_am, (caddr_t)"M");
    XtManageChild(cursor_man_button);

    /* Create the drawing area (within the frame) in which gray level values
       will be displayed.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 4); argcnt++;
    XtSetArg(args[argcnt], XmNy, 4); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 434); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 70); argcnt++;
    cursor_drawingarea = XtCreateWidget("cursor_drawingarea",
                                        xmDrawingAreaWidgetClass, cursor_frame,
                                        args, argcnt);
    XtManageChild(cursor_drawingarea);

    /* Set the width and height of the scale widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, (Dimension)210); argcnt++;
    XtSetArg(args[argcnt], XmNheight, (Dimension)34); argcnt++;
    XtSetValues(cursor_scale, args, argcnt);

    /* Create the help button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap, XPM_PIXMAP(parent, helpxbm_width,
             helpxbm_height, helpxbm_ncolors, helpxbm_chars_per_pixel,
             helpxbm_colors, helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 509); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    cursor_help_button = XtCreateWidget("cursor_help_button",
                                        xmPushButtonWidgetClass,
                                        cursor_bulletinboard,args,argcnt);
    XtAddCallback(cursor_help_button, XmNactivateCallback, help_update, 
                  (caddr_t)"cursor.html");
    XtManageChild(cursor_help_button);

    /* Initialize pixmap variables.  */
    xid_cursor.info_pixmap = NULL;
    xid_cursor.clear_pixmap = NULL;

    return( retval );
}
