/*
 *  This is the creation routine for the flicker panel.  It was generated
 *  using the ICS builderXcessory (BX).
 *
 *  By L.Huewe, USGS/EROS Data Center, 4/93.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"
#include "xid_func.h"
#include "main.h"

Widget Createflicker_form
(
   Widget parent
)
{
    Arg         args[512];
    Cardinal    argcnt;
    Boolean     argok;
    Widget      retval;
    XmString    xmstr[32];
    Widget      flicker_redscroll;
    Widget      flicker_greenscroll;
    Widget      flicker_bluescroll;
    Widget      flicker_redlabel;
    Widget      flicker_greenlabel;
    Widget      flicker_bluelabel;
    Widget      flicker_flickerscroll;
    Widget      flicker_label;
    Widget      flicker_scale;
    Widget      flicker_start_button;
    Widget      flicker_stop_button;
    Widget      flicker_dismiss;
    Widget      flicker_help_button;
    Widget      flicker_accept;
    Widget      flicker_savescroll;
    Widget      flicker_savelabel;

    /* Create the main form widget.  */
    XtInitializeWidgetClass(xmFormWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 646); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 265); argcnt++;
    flicker_form = XtCreateWidget("flicker_form", xmFormWidgetClass, parent,
                                  args, argcnt);
    retval = flicker_form;

    /* Create the toggle for allowing the user to choose whether or not the
       multi-buffering extension will be used.  */
#ifdef sun
    XtInitializeWidgetClass(xmToggleButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginHeight, 0); argcnt++;
    XtSetArg(args[argcnt], XmNselectColor, CONVERT(parent,"black", "Pixel", 0,
             &argok));
    if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Use Extension", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 60); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 30); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 188); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 131); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 32); argcnt++;
    flicker_extension_toggle = XtCreateWidget("flicker_extension_toggle",
                                              xmToggleButtonWidgetClass,
                                              flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_extension_toggle, XmNvalueChangedCallback,
                  flicker_extension, (XtPointer)0);
    XtManageChild(flicker_extension_toggle);
#endif

    /* Create the "Clear" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Clear", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNx, 481); argcnt++;
    XtSetArg(args[argcnt], XmNy, 241); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_clear_button = XtCreateWidget("flicker_clear_button",
                                          xmPushButtonWidgetClass,flicker_form,
                                          args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_clear_button, XmNactivateCallback, flicker_clear,
                  (XtPointer)0);
    XtManageChild(flicker_clear_button);

    /* Create the "Delete" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Delete", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 60); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 50); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 191); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_delete_button = XtCreateWidget("flicker_delete_button",
                                           xmPushButtonWidgetClass,
                                           flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_delete_button, XmNactivateCallback, flicker_delete,
                  (XtPointer)0);
    XtManageChild(flicker_delete_button);

    /* Create the "Step" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Step", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 241); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_step_button = XtCreateWidget("flicker_step_button",
                                         xmPushButtonWidgetClass,
                                         flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_step_button, XmNactivateCallback, flicker_step,
                  (XtPointer)0);
    XtManageChild(flicker_step_button);

    /* Create the "Save List" label.  */
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Save List", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    flicker_savelabel = XtCreateWidget("flicker_savelabel",
                                       xmLabelWidgetClass,
                                       flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(flicker_savelabel);

    /* Create the "Save List" scrolled window.  */
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 119); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    flicker_savescroll = XtCreateWidget("flicker_savescroll",
                                        xmScrolledWindowWidgetClass,
                                        flicker_form, args, argcnt);
    XtManageChild(flicker_savescroll);

    /* Create the "Save" list.  */
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    flicker_savelist = XtCreateWidget("flicker_savelist", xmListWidgetClass,
                                      flicker_savescroll, args, argcnt);
    XtManageChild(flicker_savelist);
    XtAddCallback(flicker_savelist, XmNbrowseSelectionCallback, flicker_select,
                  (XtPointer)"S");

    /* Create the "Accept" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Accept", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 223); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_accept = XtCreateWidget("flicker_accept", xmPushButtonWidgetClass,
                                    flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_accept, XmNactivateCallback, flicker_accept_combo,
                  (XtPointer)0);
    XtManageChild(flicker_accept);

    /* Create the help button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap, XPM_PIXMAP(parent, helpxbm_width,
             helpxbm_height, helpxbm_ncolors, helpxbm_chars_per_pixel,
             helpxbm_colors, helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 602); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 32); argcnt++;
    flicker_help_button = XtCreateWidget("flicker_help_button",
                                         xmPushButtonWidgetClass,
                                         flicker_form, args, argcnt);
    XtAddCallback(flicker_help_button, XmNactivateCallback, help_update,
                  (caddr_t)"flicker.html");
    XtManageChild(flicker_help_button);

    /* Create the "Dismiss" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 550); argcnt++;
    XtSetArg(args[argcnt], XmNy, 223); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_dismiss = XtCreateWidget("flicker_dismiss",xmPushButtonWidgetClass,
                                     flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_dismiss, XmNactivateCallback, flicker_destroy,
                  (XtPointer)0);
    XtManageChild(flicker_dismiss);

    /* Create the "Stop" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Stop", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 339); argcnt++;
    XtSetArg(args[argcnt], XmNy, 223); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_stop_button = XtCreateWidget("flicker_stop_button",
                                         xmPushButtonWidgetClass, flicker_form,
                                         args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_stop_button, XmNactivateCallback, flicker_stop,
                  (XtPointer)0);
    XtManageChild(flicker_stop_button);

    /* Create the "Start" button.  */
    XtInitializeWidgetClass(xmPushButtonWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Start", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 223); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    flicker_start_button = XtCreateWidget("flicker_start_button",
                                          xmPushButtonWidgetClass,
                                          flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(flicker_start_button, XmNactivateCallback, flicker_start,
                  (XtPointer)0);
    XtManageChild(flicker_start_button);

    /* Create the flicker rate slider (scale) widget.  */
    XtInitializeWidgetClass(xmScaleWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmaximum, 10); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 50); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 65); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, -100); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 222); argcnt++;
    XtSetArg(args[argcnt], XmNy, 158); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 200); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 39); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, 1); argcnt++;
    flicker_scale = XtCreateWidget("flicker_scale", xmScaleWidgetClass,
                                   flicker_form, args, argcnt);
    XtAddCallback(flicker_scale, XmNvalueChangedCallback, flicker_rate,
                  (XtPointer)0);
    XtAddCallback(flicker_scale, XmNdragCallback, flicker_rate, (XtPointer)0);
    XtManageChild(flicker_scale);

    /* Create the "Flicker List" label.  */
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Flicker List", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    flicker_label = XtCreateWidget("flicker_label", xmLabelWidgetClass,
                                   flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(flicker_label);

    /* Create the "Flicker List" scrolled window.  */
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 119); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    flicker_flickerscroll = XtCreateWidget("flicker_flickerscroll",
                                           xmScrolledWindowWidgetClass,
                                           flicker_form, args, argcnt);
    XtManageChild(flicker_flickerscroll);

    /* Create the "Blue List" label.  */
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Blue", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 35); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    flicker_bluelabel = XtCreateWidget("flicker_bluelabel", xmLabelWidgetClass,
                                       flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(flicker_bluelabel);

    /* Create the "Green List" label.  */
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Green", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 30); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    flicker_greenlabel = XtCreateWidget("flicker_greenlabel",
                                        xmLabelWidgetClass, flicker_form, args,
                                        argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(flicker_greenlabel);

    /* Create the "Red List" label.  */
    XtInitializeWidgetClass(xmLabelWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Red", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    flicker_redlabel = XtCreateWidget("flicker_redlabel", xmLabelWidgetClass,
                                      flicker_form, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(flicker_redlabel);

    /* Create the "Blue List" scrolled window.  */
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 119); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    flicker_bluescroll = XtCreateWidget("flicker_bluescroll",
                                        xmScrolledWindowWidgetClass,
                                        flicker_form, args, argcnt);
    XtManageChild(flicker_bluescroll);

    /* Create the "Green List" scrolled window.  */
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 119); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    flicker_greenscroll = XtCreateWidget("flicker_greenscroll",
                                         xmScrolledWindowWidgetClass,
                                         flicker_form, args, argcnt);
    XtManageChild(flicker_greenscroll);

    /* Create the "Red List" scrolled window.  */
    XtInitializeWidgetClass(xmScrolledWindowWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAPPLICATION_DEFINED); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 40); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 119); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 100); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    flicker_redscroll = XtCreateWidget("flicker_redscroll",
                                       xmScrolledWindowWidgetClass,
                                       flicker_form, args, argcnt);
    XtManageChild(flicker_redscroll);

    /* Create the "Red" plane list.  */
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"red", "Pixel", 0,
             &argok));
    if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    flicker_redlist = XtCreateWidget("flicker_redlist", xmListWidgetClass,
                                     flicker_redscroll, args, argcnt);
    XtAddCallback(flicker_redlist, XmNbrowseSelectionCallback, flicker_select,
                  (XtPointer)"R");
    XtAddCallback(flicker_redlist, XmNdefaultActionCallback, show_info,
                  (XtPointer)0);
    XtManageChild(flicker_redlist);

    /* Create the "Green" plane list.  */
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"#00ae00", "Pixel", 0,
             &argok));
    if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    flicker_greenlist = XtCreateWidget("flicker_greenlist", xmListWidgetClass,
                                       flicker_greenscroll, args, argcnt);
    XtAddCallback(flicker_greenlist, XmNbrowseSelectionCallback,flicker_select,
                  (XtPointer)"G");
    XtAddCallback(flicker_greenlist, XmNdefaultActionCallback, show_info,
                  (XtPointer)0);
    XtManageChild(flicker_greenlist);

    /* Set form attachments.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_redscroll); argcnt++;
    XtSetValues(flicker_greenscroll, args, argcnt);

    /* Create the "Blue" plane list.  */
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNforeground, CONVERT(parent,"blue", "Pixel", 0,
             &argok));
    if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 90); argcnt++;
    flicker_bluelist = XtCreateWidget("flicker_bluelist", xmListWidgetClass,
                                      flicker_bluescroll, args, argcnt);
    XtAddCallback(flicker_bluelist, XmNbrowseSelectionCallback, flicker_select,
                  (XtPointer)"B");
    XtAddCallback(flicker_bluelist, XmNdefaultActionCallback, show_info,
                  (XtPointer)0);
    XtManageChild(flicker_bluelist);

    /* Set form attachments.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_greenscroll); argcnt++;
    XtSetValues(flicker_bluescroll, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, flicker_redscroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 30); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_redscroll); argcnt++;
    XtSetValues(flicker_redlabel, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, flicker_greenscroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 25); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_greenscroll); argcnt++;
    XtSetValues(flicker_greenlabel, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, flicker_bluescroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 30); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_bluescroll); argcnt++;
    XtSetValues(flicker_bluelabel, args, argcnt);

    /* Create "Flicker" list.  */
    XtInitializeWidgetClass(xmListWidgetClass);
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlistSizePolicy, XmCONSTANT); argcnt++;
    XtSetArg(args[argcnt], XmNselectionPolicy, XmBROWSE_SELECT); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 121); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 103); argcnt++;
    flicker_flickerlist = XtCreateWidget("flicker_flickerlist",
                                         xmListWidgetClass,
                                         flicker_flickerscroll, args, argcnt);
    XtManageChild(flicker_flickerlist);
    XtAddCallback(flicker_flickerlist, XmNbrowseSelectionCallback, 
                  flicker_delete,(XtPointer)NULL);

    /* Set form attachments.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_savescroll); argcnt++;
    XtSetValues(flicker_flickerscroll, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, flicker_flickerscroll); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_flickerscroll); argcnt++;
    XtSetValues(flicker_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_scale); argcnt++;
    XtSetValues(flicker_start_button, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNrightWidget, flicker_scale); argcnt++;
    XtSetValues(flicker_stop_button, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_bluescroll); argcnt++;
    XtSetValues(flicker_savescroll, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_savescroll); argcnt++;
    XtSetValues(flicker_savelabel, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_accept); argcnt++;
    XtSetValues(flicker_step_button, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 50); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_clear_button); argcnt++;
    XtSetValues(flicker_delete_button, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNrightOffset, 20); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNrightWidget, flicker_dismiss); argcnt++;
    XtSetValues(flicker_clear_button, args, argcnt);

#ifdef sun
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 30); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_OPPOSITE_WIDGET);
             argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, flicker_accept); argcnt++;
    XtSetValues(flicker_extension_toggle, args, argcnt);
#endif

    return( retval );
}
