/*
 *  This is the creation routine for the show panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By L.Huewe, USGS/EROS Data Center, 9/93.
 *    - X Image Display
 *
 *  Modified by A. Shimitz 6/00
 *   - Added Createverify_form widget for new save "Thumbnail TIFF" option
 *
 */
#include "xid.h"
#include "pixmaps.h"
#include "xid_func.h"
#include "main.h"

Widget Createsave_form
(
   Widget parent
)
{
   Arg         args[512];
   Cardinal    argcnt;
   Widget      retval;
   XmString    xmstr[32];
   Widget      save_apply_button;
   Widget      save_cancel_button;
   Widget      save_image_label;
   Widget      save_type_radiobox;
   Widget      save_all_toggle;
   Widget      save_view_toggle;
   Widget      save_separator;
   Widget      save_frame_menushell;
   Widget      save_frame_pulldown;
   Widget      save_win_pulldown;
   Widget      save_main_button;
   Widget      save_fullres_button;
   Widget      save_zoom_button;
   Widget      save_win_menushell;
   Widget      save_frame_button;
   Widget      save_noframe_button;

   XtInitializeWidgetClass(xmFormWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 456); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 261); argcnt++;
   save_form = XtCreateWidget("save_form", xmFormWidgetClass, parent, args,
                              argcnt);
   retval = save_form;

   XtInitializeWidgetClass(xmMenuShellWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNwidth, 118); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 76); argcnt++;
   XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
   XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
   XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
   save_frame_menushell = XtCreatePopupShell("save_frame_menushell",
                                             xmMenuShellWidgetClass,save_form,
                                             args, argcnt);

   XtInitializeWidgetClass(xmRowColumnWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 114); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 52); argcnt++;
   save_frame_pulldown = XtCreateWidget("save_frame_pulldown",
                                        xmRowColumnWidgetClass,
                                        save_frame_menushell, args, argcnt);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "With Frame", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   save_frame_button = XtCreateWidget("save_frame_button",
                                      xmPushButtonWidgetClass,
                                      save_frame_pulldown, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_frame_button, XmNactivateCallback, save_frame,
                 (caddr_t)"F");
   XtManageChild(save_frame_button);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Without Frame", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   save_noframe_button = XtCreateWidget("save_noframe_button",
                                        xmPushButtonWidgetClass,
                                        save_frame_pulldown, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_noframe_button, XmNactivateCallback, save_frame,
                 (caddr_t)"NF");
   XtManageChild(save_noframe_button);

   XtInitializeWidgetClass(xmRowColumnWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmappedWhenManaged, False); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Frame Option:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_OPTION); argcnt++;
   XtSetArg(args[argcnt], XmNy, 135); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 271); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
   XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
   XtSetArg(args[argcnt], XmNsubMenuId, save_frame_pulldown); argcnt++;
   save_frame_option = XtCreateWidget("save_frame_option",
                                      xmRowColumnWidgetClass, save_form, args,
                                      argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(save_frame_option);

   XtInitializeWidgetClass(xmMenuShellWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNwidth, 118); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 76); argcnt++;
   XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
   XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
   XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
   save_win_menushell = XtCreatePopupShell("save_win_menushell",
                                           xmMenuShellWidgetClass, save_form,
                                           args, argcnt);

   XtInitializeWidgetClass(xmRowColumnWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 118); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 76); argcnt++;
   save_win_pulldown = XtCreateWidget("save_win_pulldown",
                                      xmRowColumnWidgetClass,
                                      save_win_menushell, args, argcnt);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Main", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   save_main_button = XtCreateWidget("save_main_button",
                                     xmPushButtonWidgetClass,
                                     save_win_pulldown, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_main_button,XmNactivateCallback,save_win,(caddr_t)"MW");
   XtManageChild(save_main_button);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Full Resolution", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   save_fullres_button = XtCreateWidget("save_fullres_button",
                                        xmPushButtonWidgetClass,
                                        save_win_pulldown, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_fullres_button, XmNactivateCallback, save_win,
                 (caddr_t)"FW");
   XtManageChild(save_fullres_button);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Zoom", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   save_zoom_button = XtCreateWidget("save_zoom_button",
                                     xmPushButtonWidgetClass,
                                     save_win_pulldown, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_zoom_button,XmNactivateCallback,save_win,(caddr_t)"ZW");
   XtManageChild(save_zoom_button);

   XtInitializeWidgetClass(xmRowColumnWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Save Window:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_OPTION); argcnt++;
   XtSetArg(args[argcnt], XmNy, 135); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 266); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
   XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
   XtSetArg(args[argcnt], XmNsubMenuId, save_win_pulldown); argcnt++;
   save_win_option = XtCreateWidget("save_win_option", xmRowColumnWidgetClass,
                                    save_form, args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(save_win_option);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
   XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
   XtSetArg(args[argcnt], XmNlabelPixmap, XPM_PIXMAP(parent, helpxbm_width,
            helpxbm_height, helpxbm_ncolors, helpxbm_chars_per_pixel,
            helpxbm_colors, helpxbm_pixels)); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNx, 328); argcnt++;
   XtSetArg(args[argcnt], XmNy, 10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 32); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 32); argcnt++;
   save_help_button = XtCreateWidget("save_help_button",
                                     xmPushButtonWidgetClass, save_form, args,
                                     argcnt);
   XtAddCallback(save_help_button, XmNactivateCallback, help_update, 
                 (caddr_t)"save.html");
   XtManageChild(save_help_button);

   XtInitializeWidgetClass(xmSeparatorWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 5); argcnt++;
   XtSetArg(args[argcnt], XmNx, 5); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 446); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
   save_separator = XtCreateWidget("save_separator", xmSeparatorWidgetClass,
                                   save_form, args, argcnt);
   XtManageChild(save_separator);

   XtInitializeWidgetClass(xmRowColumnWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
   XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
   XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
   XtSetArg(args[argcnt], XmNborderWidth, 1); argcnt++;
   XtSetArg(args[argcnt], XmNx, 235); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 121); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 65); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 40); argcnt++;
   save_type_radiobox = XtCreateWidget("save_type_radiobox",
                                       xmRowColumnWidgetClass, save_form,args,
                                       argcnt);
   XtManageChild(save_type_radiobox);

   XtInitializeWidgetClass(xmTextFieldWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNcolumns, 30); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 35); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 15); argcnt++;
   XtSetArg(args[argcnt], XmNx, 35); argcnt++;
   XtSetArg(args[argcnt], XmNy, 65); argcnt++;
   save_image_text = XtCreateWidget("save_image_text", xmTextFieldWidgetClass,
                                    save_form, args, argcnt);
   XtManageChild(save_image_text);

   XtInitializeWidgetClass(xmLabelWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "LAS Image Name:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
   XtSetArg(args[argcnt], XmNx, 10); argcnt++;
   XtSetArg(args[argcnt], XmNy, 35); argcnt++;
   save_image_label = XtCreateWidget("save_image_label", xmLabelWidgetClass, 
                                     save_form, args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(save_image_label);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNx, 10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNtopWidget, save_separator); argcnt++;
   save_cancel_button = XtCreateWidget("save_cancel_button",
                                       xmPushButtonWidgetClass, save_form,
                                       args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_cancel_button, XmNactivateCallback, save_destroy,
                 (XtPointer)0);
   XtManageChild(save_cancel_button);

   XtInitializeWidgetClass(xmPushButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Apply", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNx, 271); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 89); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNtopWidget, save_separator); argcnt++;
   save_apply_button = XtCreateWidget("save_apply_button",
                                      xmPushButtonWidgetClass, save_form,args,
                                      argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_apply_button, XmNactivateCallback, save_imagename,
                 (XtPointer)0);
   XtManageChild(save_apply_button);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNtopWidget, save_image_label); argcnt++;
   XtSetValues(save_image_text, args, argcnt);

   XtInitializeWidgetClass(xmToggleButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Save All", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNset, True); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 115); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 28); argcnt++;
   save_all_toggle = XtCreateWidget("save_all_toggle",
                                    xmToggleButtonWidgetClass,
                                    save_type_radiobox, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_all_toggle,XmNarmCallback, save_type, (XtPointer)"ALL");
   XtManageChild(save_all_toggle);

   XtInitializeWidgetClass(xmToggleButtonWidgetClass);
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Save Viewed", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 115); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 28); argcnt++;
   save_view_toggle = XtCreateWidget("save_view_toggle",
                                     xmToggleButtonWidgetClass,
                                     save_type_radiobox, args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(save_view_toggle,XmNarmCallback,save_type,(XtPointer)"VIEW");
   XtManageChild(save_view_toggle);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNtopWidget, save_image_text); argcnt++;
   XtSetValues(save_type_radiobox, args, argcnt);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNtopOffset, 15); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNtopWidget, save_type_radiobox); argcnt++;
   XtSetValues(save_separator, args, argcnt);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNleftWidget, save_type_radiobox); argcnt++;
   XtSetValues(save_win_option, args, argcnt);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
   XtSetArg(args[argcnt], XmNleftWidget, save_type_radiobox); argcnt++;
   XtSetValues(save_frame_option, args, argcnt);

   return( retval );
}

/******************************************************************************
Purpose:
   This widget is used to allow the user to verify overwriting of an existing
   file in the save_tiff procedure.

By A. Shimitz, USGS/EROS Data Center, 7/00
******************************************************************************/
Widget Createverify_form
(
   Widget parent
)
{
   Arg         args[512];
   Cardinal    argcnt;
   Widget      retval;
   XmString    xmstr[32];
   Widget      Verify_form;
   Widget      verify_ok_button;
   Widget      verify_cancel_button;
   Widget      verify_label;
   Widget      verify_help_button;

   /* Create the main verify form widget */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 400); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 100); argcnt++;
   Verify_form = XtCreateWidget("verify_form", xmFormWidgetClass, parent, args,
                                argcnt);
   retval = Verify_form;

   /* Create the "OK" button widget */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "OK", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 65); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
   verify_ok_button = XtCreateWidget("verify_ok_button",
                                      xmPushButtonWidgetClass, Verify_form,
                                      args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(verify_ok_button,XmNactivateCallback,save_verify,(caddr_t)0);
   XtManageChild(verify_ok_button);

   /* Create the cancel button widget.  */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
            "Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 65); argcnt++;
   XtSetArg(args[argcnt], XmNx, 346); argcnt++;
   XtSetArg(args[argcnt], XmNy, 53); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
   verify_cancel_button = XtCreateWidget("verify_cancel_button",
                                         xmPushButtonWidgetClass, Verify_form,
                                         args, argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(verify_cancel_button, XmNactivateCallback, save_destroy,
                 (caddr_t)0);
   XtManageChild(verify_cancel_button);

   /* Create the label widget to display the warning */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
        "This file already exists. Do you want to replace\nthe existing file?",
        XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 50); argcnt++;
   XtSetArg(args[argcnt], XmNx, 10); argcnt++;
   XtSetArg(args[argcnt], XmNy, 15); argcnt++;
   verify_label = XtCreateWidget("verify_label",xmLabelWidgetClass,Verify_form,
                                 args, argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(verify_label);

   /* Create the help button widget */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
   XtSetArg(args[argcnt], XmNlabelPixmap, XPM_PIXMAP(parent, helpxbm_width,
            helpxbm_height, helpxbm_ncolors, helpxbm_chars_per_pixel,
            helpxbm_colors, helpxbm_pixels)); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
   verify_help_button = XtCreateWidget("verify_help_button",
                                       xmPushButtonWidgetClass,Verify_form,
                                       args,argcnt);
   XtAddCallback(verify_help_button, XmNactivateCallback, help_update,
                 (caddr_t)"save_tiff.html#verify");
   XtManageChild(verify_help_button);

   return( retval );
}
