#ifndef PROTOS_H
#define PROTOS_H

int getpar
(
    struct PARBLK *vblk,	/* TAE variable block				   */
    struct FRAME *frame,	/* Output framing parameters for GRID subcommand   */
    struct PROJ *outp,	/* Output projection parameters 		   */
    char *pname,		/* Output print file name			   */
    char *siat_name,
    long *msgtim		/* Time between processing messages		   */
);

int get_proj_prm
(
    char *proj_name,	/* Projection parameter file name */
    char *outkey,		/* Output projection parameter key */
    long out_def,		/* Boolean flags--default given by user? */
    struct PROJ *outp	/* Output projection parameters */
);

int make_grid
(
    struct FRAME *frame,		/* Output framing parameters		    */
    struct PROJ *outp,		/* Output projection parameters		    */
    long *msgtim	/* Message timing parameter		    */
);

int out_frame
(
    struct FRAME *frame,		/* Framing parameters */
    struct PROJ *outp,		/* Output projection parameters */
    long mode,			/* Type of framing */
    double *ul,			/* Upper left corner coordinates */
    double *lr,			/* Lower right corner coordinates */
    long *ls,			/* Line/sample coordinates of ul */
    long nl,			/* Number of lines in output space */
    long ns,			/* Number of samples in output space */
    long units 			/* Units code of coordinates entered */
);

#endif

