struct VERIFY_DEV			/* descriptor of the input and output */
   {					/*   devices in which the verify is to*/
   long  cc;				/*   be performed.  It includes the   */
   long  recsiz;			/*   type of carriage control, record */
   long  blksiz;			/*   size, block size, record type,   */
   long  rectyp;			/*   current record, current file,    */
   long  cur_rec;			/*   and the type of device.          */
   long  cur_file;
   long  device;
   long  bytes_read;
   unsigned char *buf;
   };

#define ALL        2147483647		/* all records or files to be verified*/
#define DISK	   0			/* DITTO I/O device is disk file      */
#define TAPE	   1			/* DITTO I/O device is tape           */
#define VERIFY_EOV -5			/* End of volume detected in verify   */
