#include "las.h"
#include "desc.h"

int svmnmx_
(
    char   *hname,
    long   *totbnd,
    double minval[],
    double maxval[],
    char   *m_flag,
    int    h_len,
    int    m_len 
)
{
    int  status;

    char *hname_ptr;
    char *mflag_ptr;

    hname_ptr = squeeze (hname,h_len);
    if (hname_ptr == NULL)
        c_lasmsg (FALSE, "svmnmx-call","Error returned from squeeze");

    mflag_ptr = squeeze(m_flag,m_len);
    if (mflag_ptr == NULL)
    {
        c_lasmsg (FALSE, "svmnmx-call","Error returned from squeeze");
        free (hname_ptr);
        return (E_FAIL);
    }

    status = c_svmnmx (hname_ptr,totbnd,minval,maxval,mflag_ptr);

    free (hname_ptr);

    free (mflag_ptr);

    return (status);
}

