#!/bin/csh -f

echo "Running ddr support tests..."

./test_recalc_pixel_size > &test.log
if ($status != 0) then
    echo "ddr support test_recalc_pixel_size testing FAILED."
    exit 1
endif

diff -q original.log test.log
if ($status != 0) then
    echo "ddr support log disagrees with previous tests - testing FAILED."
    exit 1
endif

echo "ddr support testing PASSED."
exit 0
