#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "dltf.h"

#ifdef unix
/* Fortran bridge routine for the sun		*/
#ifdef _IBMR2
#define cldltf_ cldltf
#endif
int cldltf_
(
    long *fd,
    char *lasfil,
    long lasfil_len
)
{
long status;
char *lasfilptr;

lasfilptr = squeeze(lasfil,lasfil_len);

status = c_cldltf(fd,lasfilptr);

return(status);
}
#endif

#ifdef vms

/* Fortran bridge routine for the VAX		*/
int cldltf
(
    long *fd,
    struct DESC *lasfil
)
{
long status;
char *lasfilptr;

lasfilptr = squeeze(lasfil->addr,lasfil->length);

status = c_cldltf(fd,lasfilptr);

return(status);
}
#endif
