/*****************************************************************************
NAME:			   get_frac 

PURPOSE:  Multiplies number by apropriate exponet to find floating point
          value.  This function is used to convert data in PLENTER SIAT
  	  files. 

PROGRAM HISTORY:
VERSION		DATE	AUTHOR		
-------		----	------	
  1.0		3/92	D. Steinwand
*****************************************************************************/
#include <stdio.h>
#include <math.h>
#include "local_protos.h"

float get_frac
(
   char *val 			/* input array			*/
)
{ 
short *alias = (short *)val;
return((*alias)*7.62939453e-6); 
}
