/*******************************************************************************
FUNCTION:       get_fraction

PURPOSE:        To convert binary number to fraction form for PLENTER SIAT
		files

HISTORY:

VERSION  PROGRAMMER       DATE   CODE  REASON
-------  ---------------  -----  ----  -----------------------------------------
1.0      T. Mittan       12/92   LAS    Original development.

ALGORITHM REFERENCES    none
*******************************************************************************/
#include "local_protos.h"

float get_fraction
(
    char *var			/* input array				*/
)
{
long number_of_bits;		/* number of bits			*/
long bit;			/* bit value				*/
long i;				/* array value				*/
long j;				/* array value				*/
long input_data;		/* input of data			*/

float power_of_two;		/* power of two to the i		*/
float temp = 0.0;		/* temporary floating variable		*/


number_of_bits = 8;
input_data = (long) var[0];
temp = 0;

for (i = 1; i <=number_of_bits; i++)
    {
    bit = (input_data >> (7));
    input_data <<= 1;
    input_data  &= 255;
    if (bit == 1)
       {
       power_of_two = 1;
       for (j = 0; j < i; j++)
           power_of_two = power_of_two * .5;
       temp += power_of_two;
       }
    }



return (temp);
}

