#ifndef LOCAL_PROTOS_H
#define LOCAL_PROTOS_H

#include "worgen.h"
#include "sysdef.h"
#include "typlim.h"

#ifndef C_EDIPS_ANN_C

extern long	hdr_dbdtype;	/* eight byte floating point data */
extern long	hdr_fldtype;	/* four byte floating point data */
extern long	hdr_flag;		/* Return bad status code	*/
extern long	hdr_insys;	    /* input system			*/
extern long	hdr_outsys;	    /* output system		*/
extern float	hdr_fover;	/* value if overflow		*/
extern float	hdr_funder;	/* value if underflow		*/
extern double	hdr_dover;	/* value if overflow		*/
extern double	hdr_dunder;	/* value if underflow		*/

#endif

#define dbdtype hdr_dbdtype
#define fldtype hdr_fldtype
#define insys   hdr_insys
#define outsys  hdr_outsys
#define fover   hdr_fover
#define funder  hdr_funder
#define dover   hdr_dover
#define dunder  hdr_dunder

long get_long
(
    char *var                   /* input array                  */
);

float get_real
(
    unsigned char *var          /* input array                  */
);

short get_short
(
    char *var                   /* input array                  */
);

float get_frac
(
    char *val                  /* input array                  */
);

float get_fraction
(
    char *var                   /* input array                          */
);

long swap_long
(
    char *var                   /* input array                  */
);

float swap_real
(
    char *var                   /* input array                  */
);

short get_bcd
(
    char *val                   /* input array                  */
);

float get_tick
(
    char *var,                  /* input array                          */
    long nbytes                 /* number of bytes in array             */
);

#endif
