/*******************************************************************************
FUNCTION:      swap_long

PURPOSE:        To byte swap I*4 and convert to longs.

HISTORY:

VERSION  PROGRAMMER       DATE   CODE  REASON
-------  ---------------  -----  ----  -----------------------------------------
1.0      T. Mittan       12/92   LAS    Original development.

ALGORITHM REFERENCES    none
*******************************************************************************/

#include "local_protos.h"

long swap_long
(
    char *var				/* input array			*/
)
{
   char temp[4];				/* temporary variable		*/

   temp[0] = var[3];
   temp[1] = var[2];
   temp[2] = var[1];
   temp[3] = var[0];

   return((long) get_long(temp));
}

