/*******************************************************************************
FUNCTION:      swap_real 

PURPOSE:        To byte swap floating point R*4 and convert to floats.

HISTORY:

VERSION  PROGRAMMER       DATE   CODE  REASON
-------  ---------------  -----  ----  -----------------------------------------
1.0      T. Mittan       12/92   LAS    Original development.

ALGORITHM REFERENCES    none
*******************************************************************************/

#include "local_protos.h"

float swap_real
(
    char *var				/* input array			*/
)
{
   unsigned char temp[4];				/* temporary variable		*/

   temp[2] = var[3];
   temp[3] = var[2];
   temp[0] = var[1];
   temp[1] = var[0];

   return((float) get_real(temp));
}

