/*****************************************************************************
FUNCTION:	C_GETFVAL

PURPOSE:	Extract floating point values from a space delimeted string
		of floats and return them in an array of floats.

Version  Date	Programmer	Modifications
-------  -----	---------------	---------------------------------------------
  1.0    02/98	D.Lloyd		Initial development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
	Run under TAE

PROJECT:	ADAPS
*****************************************************************************/
#include <stdio.h>
#include <string.h>
#include "notae.h"


void c_getfval
(
    char *valuestring,	/* space delimited string of floats	*/
    long max,		/* maximum number of values to extract	*/
    long *numspec,	/* actual number ov values extraced	*/
    float *output	/* array of floats extracted		*/
)

{
char	*ptr;		/* pointer to next whitespace		*/
char	*str;		/* string pointer for sscanf		*/

long	i;		/* loop counter				*/
float	x;		/* value extracted			*/

str = valuestring;
*numspec = 0;

for ( i = 0; i < max; i++ )
    {
    sscanf( str, "%f", &x );
    output[i] = x;
    *numspec += 1;
    ptr = strchr( str, ' ' );
    if ( ptr == NULL )
	break;
    str = ++ptr;
    }

}
