/*****************************************************************************
FUNCTION:	C_GETIVAL

PURPOSE:	Extract integer values from a space delimeted string
                of integers and return them in an array of integers.

Version  Date	Programmer	Modifications
-------  -----	---------------	---------------------------------------------
  1.0    02/98	D.Lloyd		Initial development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
	Run under TAE

PROJECT:	ADAPS
*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "notae.h"


void c_getival
(
    char *valuestring,	/* space delimited string of integers	*/
    long max,		/* maximum number of values to extract	*/
    long *numspec,	/* actual number ov values extraced	*/
    long *output	/* array of integers extracted		*/
)

{
char	*ptr;		/* pointer to end of integer extracted	*/
char	*str;		/* string pointer for strtol		*/

long	i;		/* loop counter				*/
long	j;		/* value extracted			*/

str = valuestring;
*numspec = 0;

for ( i = 0; i < max; i++ )
    {
    j = strtol( str, &ptr, 10 );
    if ( ptr == str )
	break;
    output[i] = j;
    *numspec += 1;
    str = ptr;
    }

}
