#include <stdio.h>
#include <string.h>
#include "las.h"
#include "statio.h"

void get_panel
(
    FILE **fd,
    long panel,
    long *ic,
    char scnams[MAXCLS][17],	/* Names to write on screeen          */
    long loc[MAXCLS][2],   	/* Screen location of output                  */
    long nclass
)
{
long	fatal_err = -1,		/* fatal error flag                           */
	got_classes,		/* Flag indicating we got all the classes     */
	i,			/* Loop counter                               */
	icol,			/* Column number to output message            */
	ir,			/* Return status from stat I/O                */
	j,			/* Loop counter                               */
	nshape[9],		/* Shape vector for mean                      */
	zero = 0;

char	cname[100],		/* Class name                                 */
	node[17];		/* String to build an output line             */

icol = 1;
got_classes = FALSE;
if (panel != 0)  for (i = 3; i < 23; i++)  t_lclear (i, 1);

for (i = 1; i <= 5; i++)
   {
   for (j = 1; j <= 20; j++)
      {
      strcpy (cname, "");
      strcpy (node, "");
      ir = c_stget (fd, "NAME", ic, &zero, nshape, cname);
      if (ir != 0)
         c_errmsg ("Error reading name from statistics file", "get_panel-read", 
			&fatal_err);
      cname[nshape[2]] = '\0';
      sprintf (node, "%3ld. %-9s", *ic, cname);
      t_output (j + 2, icol, node);
      strcpy (scnams[*ic - 1], node);
      loc[*ic - 1][0] = j + 2;
      loc[*ic - 1][1] = icol;
      (*ic)++;
      if (*ic > nclass)
         {
         got_classes = TRUE;
         break;
         }
      }
   if (got_classes)
      break;
   icol += 16;
   }
}
