#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"

/*
**************************************************************************

NAME: MATDIV

FUNCTION:     Performs a(i,j) = a(i,j)/b(j)

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
  2.0         01/11/88  K. A. Narayanan
  1.0         06/15/85  S. Kondal

**************************************************************************
*/

void matdiv
(
    float *a[],
    float b[],
    long m,
    long n
)
{
long	i, j;

for (i = 0; i < m; i++)
   for (j = 0; j < n; j++)
      a[i][j] /= b[j];
}
