#include <stdio.h> 
#include <stdlib.h>

#ifdef vms
#include <unixio.h>
#include <file.h>
#endif 

#ifdef unix
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#endif

#ifdef linux
#include "worgen.h"
#else
#include "las.h"
#endif

#include "tapeio.h"

extern char *_TPDENS[];

long    mode,opt1,opt2,status,sz,counter,num,clopt1,rdwt,skip,recsiz;
long	msgtim;
char 	tapeid[100]; 
char	dens[8];

long unit;
char message[CMLEN];
char drive[CMLEN];
char *bf;

main()
{
        char c[5];

	msgtim = 30;
	recsiz = MAXTAPEWT;
        strcpy(drive,"0");
        strcpy (message,"Please mount scratch 3480 for testing! ");

HERE:
        printf("(r=read   )(w=write  )(F=fwd file)(B=bck file)(f=fwd rec)\n");
        printf("(b=bck rec)(e=wrt eof)(c=close   )(R=reopen  )(o=open   )\n");
        printf("(k=opn)(m=message )(W=rewind )(d=dismnt )(M=mapper  )\n");
        printf("(a=ansi) (q=quit    ): ");
/*      gets(c); */
        scanf("%s",c);


        switch(c[0])
        {
		case 'a': doansi();
			break;
                case 'm': domsg();
                        break;
                case 'M': domap();
                        break;
                case 'C': docp();
                        break;
                case 'r': doread();
                        break;
                case 'w': dowrite();
                        break;
                case 'F': forfile();
                        break;
                case 'B': bacfile();
                        break;
                case 'f': forrec();
                        break;
                case 'b': bacrec();
                        break;
                case 'e': eofwr();
                        break;
                case 'c': closfile();
                        break;
                case 'R': reopen();
                        break;
                case 'o': opn();
                        break;
                case 't': 
			printf("Enter msgtim: ");
			scanf("%d",&msgtim);
                        break;
                case 'W': rwind();
                        break;
                case 'd': dismount();
                        break;
                case 's': dosize();
                        break;
                case 'q': exit(1);
                default:
                        goto HERE;
        }
        goto HERE;
}

doansi()
{

        sz = recsiz;
        mode = HANDLE;
        status = c_tpansi(&unit, &mode, dens, &rdwt, message, tapeid);
        if (status != TAPE_SUCC)
            {
            printf("\ntpansi failed, status=%d\n",status);
            return(0);
            }
        printf("\n");
        return(1);
}

domap()
{
        long nbyte;
        long fcnt, cnt, total;
	long start,stop;
	long vflg = FALSE;		/* verify flag */
	long vcnt;			/* verify count */
	struct TAPEDESC *drive;
	unsigned char *bufptr;
	unsigned char *vptr;
	char ans[32];

	printf("Verify? ");
	scanf("%s",ans);
	if ((*ans == 'y') || (*ans == 'Y'))
	    {
	    vflg = TRUE;
	    printf("Tape will be verified\n");
	    vptr = malloc(recsiz);
            srand(10);
            for (counter=0; counter<recsiz; counter++)
                *(vptr+counter) = rand() % 256;
	    }
	bufptr = bf;
        drive = (struct TAPEDESC *) unit;
        mode = HANDLE;
        nbyte = 0;
	status = TAPE_SUCC;
	start = time(NULL);
        for (fcnt=0; status!=TAPE_FAIL; )
        {
                for (cnt=0,total=0; ; cnt++,total++)
                {
                        status = c_tpread(&unit, bufptr, &recsiz, &mode);
                        if (status == TAPE_FAIL)
                        {
                            printf("tpread error\n");
                            break;
                        }
                        if (nbyte != status)
                        {
                            if (cnt != 0)
                            printf("%5d records with %6d bytes\n",cnt,nbyte);
                            cnt = 0;
                            nbyte = status;
                        }
                        if ((status == TAPE_EOF) ||
                            (status == TAPE_EOV) ||
                            (status == TAPE_EOT))
                        {
                                break;
                        }
			else if (status < 0)
				break;
			if (vflg)
			    {
			    for (vcnt=0; vcnt<status; vcnt++)
				{
				if (*(bufptr + vcnt) != *(vptr + vcnt))
				    {
				    printf("record %d -- element[%d] %d %d\n",
					cnt,vcnt,*(bufptr+vcnt),*(vptr+vcnt));
				    }
				}
			    }
                }
                printf(">>>>>> File %d   %d TOTAL RECORDS <<<<<<<\n\n",
			fcnt+1,total);
                if (total > 0)
                        ++fcnt;
                if (status == TAPE_EOV)
                {
                        printf("<eov>\n");
                        break;
                }
                else if (status == TAPE_EOT)
                {
                        printf("<eot>\n");
                        break;
                }
		else if ((status != TAPE_EOF) && (status < 0))
			break;
        }
        printf("\n\n********* %d TOTAL FILES ***********\n\n",fcnt);
        printf("\n");
	printf("tape_len = %f\n",drive->tape_len);
	stop = time(NULL);
	if (vflg)
	    free(vptr);
	printf("Elapsed seconds = %d\n",stop - start);
        return(1);
}

docp()
{
	long infd;
	long outfd;
        long fcnt, cnt, total;
	long one = 1;
	long start,stop;
	char ans[256];
	char fname[256];
	char *bufptr;

	bufptr = bf + 1;
        mode = HANDLE;
	status = TAPE_SUCC;
	printf("Read or Write from tape? (read or write): ");
	scanf("%s",ans);
	if (strcmp(ans,"read") == 0)
	{
	    start = time(NULL);
            for (fcnt=0; status!=TAPE_FAIL; fcnt++)
            {
		sprintf(fname,"file%d",fcnt+1);
		outfd = open(fname,O_WRONLY | O_CREAT,0777);
                for (cnt=0,total=0; ; cnt++,total++)
                {
                        status = c_tpread(&unit, bufptr, &recsiz, &mode);
                        if (status == TAPE_FAIL)
                            {
                            printf("tpread error\n");
                            break;
                            }
                        if ((status == TAPE_EOF) ||
                            (status == TAPE_EOV) ||
                            (status == TAPE_EOT))
                            {
                            break;
                            }
			else if (status < 0)
			    break;
			write(outfd,bufptr,status);
                }
                close(outfd);
                if (status == TAPE_EOV)
                {
                        printf("<eov>\n");
                        break;
                }
                else if (status == TAPE_EOT)
                {
                        printf("<eot>\n");
                        break;
                }
		else if ((status != TAPE_EOF) && (status < 0))
			break;
            }
            printf("\n");
        }
	else /* write files to tape */
	{
	    one = 1;
	    printf("Enter block size in bytes: ");
	    scanf("%d",&recsiz);
	    start = time(NULL);
            for (fcnt=0; status!=TAPE_FAIL; fcnt++)
            {
		sprintf(fname,"file%d",fcnt+1);
		if (access(fname,0) != 0)
		    break;
		infd = open(fname,O_RDONLY,0777);
                for (cnt=0,total=0; ; cnt++,total++)
                {
			status = read(infd,bufptr,recsiz);
			if (status <= 0)
			    {
			    status = c_tpweof(&unit,&one,&mode);
			    break;
			    }
                        status = c_tpwrit(&unit, bufptr, &status, &mode);
                        if (status <= 0)
                            {
                            printf("tpwrit error\n");
                            break;
                            }
                }
                close(infd);
		printf("Wrote file%d\n",fcnt);
            }
            printf("\n");
	    status = c_tpweof(&unit,&one,&mode);
	}
	stop = time(NULL);
	printf("Elapsed seconds = %d\n",stop - start);
        return(1);
}

doread()
{

        sz = recsiz;
        mode = HANDLE;
        status = c_tpread(&unit, bf, &sz, &mode);
        if (status == TAPE_EOF)
            {
            printf("\n<eof>\n");
            return(0);
            }
        if (status == TAPE_FAIL)
            {
            printf("tpread error\n");
            return(0);
            }
        if (status == TAPE_EOV)
            {
            printf("<eov>\n");
            return(0);
            }
        if (status == TAPE_EOT)
            {
            printf("<eot>\n");
            return(0);
            }
        printf("\n%d bytes read\n", status);
/*
        for (counter=0; counter<status; counter++)
                {
                if (bf[counter] != 'A')
                    printf("doread: buffer[%d] = %d\n",counter,bf[counter]);
                }
*/
        printf("\n");
        return(1);
}

dowrite()
{
#ifndef linux
	extern long curcat;
	extern long curent;
#endif

	struct TAPEDESC *drive;
	long start,stop;
        long cnt;
        long nrec;
        long nbyte;
        long status;
	long msgflg;
	long zero = 0;
        char *fgets();

        drive = (struct TAPEDESC *) unit;
        printf("Number records, Number bytes (0=>MAXTAPEWT): ");
        status = scanf("%d %d",&nrec,&nbyte);
        switch(status)
        {
                case 0: nrec = 1; nbyte = drive->maxbyte; break;
                case 1: nbyte = drive->maxbyte; break;
                case 2: break;
                default: nrec = 1; nbyte = drive->maxbyte; break;
        }
	if (nbyte == 0)
		nbyte = drive->maxbyte;
/*
        for (counter=0; counter<nbyte; counter++)
                bf[counter] = counter % 255;
*/
        srand(10);
        for (counter=0; counter<nbyte; counter++)
                bf[counter] = rand() % 256;


        mode = HANDLE;
	start = time(NULL);
#ifndef linux
	msgflg = 2;  		/* GEN1 format */
	c_inittm("TAPETEST","Processed","record"," "," ",&zero,
        	&zero,&msgtim,&msgflg);
	curent = curcat = 0;
	c_startm();
#endif
        for (cnt=1; cnt<=nrec; cnt++)
        {
                status = c_tpwrit(&unit, bf, &nbyte, &mode);
                if (status != nbyte)
                {
                        printf("record %d: tpwrit status = %d\n",cnt,status);
                        break;
                }
#ifndef linux
		++curent;
#else
		if ((cnt % 100) == 0)
			printf("Processed record %d\n",cnt);
#endif
        }
#ifndef linux
	c_stoptm();
#else
	printf("Processed record %d\n",cnt);
#endif
	if (status == nbyte)
            printf ("record %4d -- %d bytes written\n",cnt-1,status); 
	stop = time(NULL);
	printf("Elapsed seconds = %d   tape_len = %f\n",
		stop - start,drive->tape_len);
        return(1);
}

forfile()
{
        printf("Skip forward how many files: ");
        scanf("%d",&num);
        mode = HANDLE;
        status = c_tpfsf(&unit, &num, &mode);
        if (status == TAPE_EOT)
                printf("<eot>\n");
            else if (status == TAPE_EOV)
                printf("<eov>\n");
        printf("\nstatus = %d, files skipped = %d\n", status,num);
	return(0);
}

bacfile()
{
        printf("Skip backward how many files: ");
        scanf("%d",&num);
        mode = HANDLE;
        status = c_tpbsf(&unit, &num, &mode);
        if (status == TAPE_BOT)
                printf ("<bot>\n");
        printf("\nstatus = %d, files skipped = %d\n", status,num);
	return(0);
}

forrec()
{
        printf("Skip forward how many records: ");
        scanf("%d",&num);
        mode = HANDLE;
        status = c_tpfsr(&unit, &num, &mode);
        if (status == TAPE_EOF)
                printf("<eof>\n");
            else if (status == TAPE_EOV)
                printf("<eov>\n");
        printf("\nstatus = %d, records skipped = %d\n", status,num);
	return(0);
}

bacrec()
{
        printf("Skip backward how many records: ");
        scanf("%d",&num);
        mode = HANDLE;
        status = c_tpbsr(&unit, &num, &mode);
        if (status == TAPE_BOT)
                printf ("<bot>\n");
            else if (status == TAPE_BOF)
                printf ("<bof>\n");
        printf("\nstatus = %d, records skipped = %d\n", status,num);
	return(0);
}

eofwr()
{
        num = 1;
        status = c_tpweof(&unit, &num, &mode);
        printf("\ntpweof status = %d\n", status);
	return(0);
}

closfile()
{

        num = 0;
        printf("if open for write access, how many eofs? : ");
        scanf("%d",&num);
        clopt1 = NOREW; /* NOREW, REWIND (online), REWOFFL (offline - dism) */
        mode = HANDLE;
        status = c_tpclos(&unit, &mode, &clopt1, &num);
        printf ("tpclos status = %d \n",status);
	free(bf);
	return(0);
}

reopen()
{
	struct TAPEDESC *drv;

        skip = 0;
        mode = HANDLE;
        opt1 = 0;       /* don't rewind, probably can't anyway */
        rdwt = 0;
        strcpy(dens,_TPDENS[DEN_DEF]);

        if (strlen(message) > 6)
            {
            printf("\nTape drive: ");
            scanf("%s",drive);
            }
        printf("Skip forward how many files: ");
        scanf("%d",&skip);

        printf("0=read  1=write : ");
        scanf("%d",&rdwt);
        status = c_tpreop(&unit, &skip, &mode, &opt1, dens, &rdwt, drive);
        printf("\ntpreop status = %d\n", status);
        drv = (struct TAPEDESC *) unit;
	recsiz = drv->maxbyte;
	bf = malloc(drv->maxbyte);
	if (bf == NULL)
	    {
	    fprintf(stderr,"Error allocating buffer\n");
	    exit(-1);
	    }
	return(0);
}

opn()
{
	struct TAPEDESC *drv;
	char mntmsg[256];
        skip = 0;
        mode = HANDLE;
        opt1 = NOREW;
        rdwt = TREAD;
        strcpy(dens,_TPDENS[DEN_DEF]);

        printf("0=read  1=write 2=append: ");
        scanf("%d",&rdwt);
        printf("density (1600, 6250): ");
        scanf("%s",dens);
	strcpy(mntmsg,message);
        status = c_tpopen(&unit,&skip,&mode,&opt1,dens,&rdwt,mntmsg,tapeid);
        printf("\ntpopen status = %d, tapeid = %s\n", status,tapeid);
        strcpy(drive,message);
        drv = (struct TAPEDESC *) unit;
	recsiz = drv->maxbyte;
	bf = malloc(drv->maxbyte);
	if (bf == NULL)
	    {
	    fprintf(stderr,"Error allocating buffer\n");
	    exit(-1);
	    }
	return(0);
}


rwind()
{

        opt1 = 0;
        mode = HANDLE;
        status = c_tprew(&unit, &mode, &opt1);
        printf("\ntprew status = %d\n", status);
	return(0);
}

dismount()
{

        num = 0;
        printf("if open for write access, how many eofs? : ");
        scanf("%d",&num);
        clopt1 = REWOFFL; /* NOREW, REWIND (online), REWOFFL (offline - dism) */
        mode = HANDLE;
        status = c_tpclos(&unit, &mode, &clopt1, &num);
        printf ("tpclos status = %d \n",status);
	free(bf);
        return(1);
}
domsg()
{
        fprintf(stdout,"old message is : %s\n",message);
        fprintf(stdout,"enter new message: ");
	fflush(stdout);
	fflush(stdin);
        fgets(message,256,stdin);
        fprintf(stdout,"message changed to %s\n",message);
	return(0);
}
dosize()
{
        printf("old record size is : %d\n",recsiz);
        printf("enter new record size: ");
        scanf("%d",&recsiz);
        printf("record size changed to %d\n",recsiz);
	return(0);
}
