#include <stdio.h>
#include <signal.h>

#include "worgen.h"
#include "tapeio.h"

void tpsig_blk
(
	int *mask
)
{
int rstat;

rstat = sighold(SIGALRM);
if (rstat != 0)
    {
    fprintf(stderr,"Error holding SIGALRM\n");
    perror("tpsig_blk");
    }
rstat = sighold(SIGINT);
if (rstat != 0)
    {
    fprintf(stderr,"Error holding SIGINT\n");
    perror("tpsig_blk");
    }
}


void tpsig_unblk
(
	int *mask
)
{
int rstat;

rstat = sigrelse(SIGALRM);
if (rstat != 0)
    {
    fprintf(stderr,"Error releasing SIGALRM\n");
    perror("tpsig_unblk");
    }
rstat = sigrelse(SIGINT);
if (rstat != 0)
    {
    fprintf(stderr,"Error releasing SIGINT\n");
    perror("tpsig_unblk");
    }
}
