#include "las.h"
#include "desc.h"
#include "util.h"

int getnam_
(
    struct PARBLK *vblock,
    char *param,
    int  *element,
    char *fname,
    char *ext,
    int  *access,
    int  param_len,
    int  fname_len,
    int  ext_len
)
{
    char *param_ptr;
    char *ext_ptr;
    int  elem;
    int  status;

    param_ptr = squeeze (param,param_len);
    if (param_ptr == NULL)
    {
        return (E_FAIL);
    }
    ext_ptr = squeeze (ext,ext_len);
    if (ext_ptr == NULL)
    {
        free (param_ptr);
        return (E_FAIL);
    }

    elem = *element - 1;

    status = las_getnam (vblock, param_ptr, elem, fname, ext_ptr, *access);

    free (param_ptr);
    free (ext_ptr);

    return (status);
}
