#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "util.h"
#include "util2.h"

void complt_
(
    char  *name,
    char  out[][CMLEN],
    int   *count,
    int   name_len,
    int   out_len 
)
{
    char *name_ptr;
    char *out_ptr;
    char *temp_ptr;
    int  i;



    if (*count != 0)
    {
        out_ptr = (char *) malloc(*count * CMLEN);
        if (out_ptr == NULL)
        {
            c_lasmsg (FALSE, "complt-alloc", "Error allocating dynamic memory");
            return;
        }

        name_ptr = squeeze(name,name_len);
        if (name_ptr == NULL)
        {
            free (out_ptr);
            return;
        }

        for (i=0; i < *count; i++)
        {
            temp_ptr = squeeze (out[i], out_len);
            if (temp_ptr == NULL)
            {
                free (out_ptr);
                free (name_ptr);
                return;
            }

            strcpy (out_ptr + (i * CMLEN), temp_ptr);
            free (temp_ptr);
        }
    }
    else
    {
        out_ptr = (char *) malloc(CMLEN);
        if (out_ptr == NULL)
            c_lasmsg (FALSE, "complt-alloc", "Error allocating dynamic memory");
        name_ptr = squeeze(name,name_len);
        if (name_ptr == NULL)
        {
            free (out_ptr);
            return;
        }
    }


    las_complt (name_ptr,out_ptr,*count);

    free (name_ptr);
    free (out_ptr);

}
