/*******************************************************************************
        Program: br_getsys

        History:
        Name            Date    Description
        ----            ----    -----------
                                Original Development
        B.Ailts         09/91   Now copies system back to original string
*******************************************************************************/
#include <stdlib.h>
#include <string.h>
#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "util.h"

int getsys_
(
    char *system,
    int system_len 
)
{
    int  status;
    char *sys_ptr;

    sys_ptr = squeeze(system,system_len);
    if (sys_ptr == NULL)
        return (E_FAIL);

    status = c_getsys(sys_ptr);

    strcpy(system,sys_ptr);

    free(sys_ptr);

    return(status);
}

