/******************************************************************************

NAME:	C_HSDEL

FUNCTION:   Marks a label services record for deletion.

PROGRAM HISTORY:
  Version	Date       Author       Request
  -------	----	   ------       -------
     1       15-Mar-90    K. Kunska    required for conversion of DROPHIST

PROJECT:	LAS

ALGORITHM:

   Mark a label services record for deletion.

******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "labserv.h"
#include "protos.h"

long c_hsdel
(
    long *fd,			/* file descriptor of input images's history */
    char key[]			/* key to the record to be deleted           */
)
{

/*
Mark a label services record for deletion.
-------------------------------------------
*/
return (c_lsdel (fd, key));
}

