#ifndef PROTOS_MAGPHASE_H
#define PROTOS_MAGPHASE_H

void start
(
    char name[25]			/* Name of LAS function */
);

void get_subcmd
(
    char *method
);

void get_string
(
    char parm[25],
    char *str
);

int get_long
(
    char parm[25]
);

float get_float
(
    char parm[25]
);

void get_float_vector
(
    char parm[25],
    struct FVECTOR *vector
);

void finish
(void);

unsigned char *init_buf
(
    long length,
    long dtype
);

unsigned char *init_buf
(
    long length,
   long dtype
);

void init_band
(void);

void get_line
(
    unsigned char *buf
);

void put_line
(
    void *buf
);

void init_outimg
(
   long nl,
   long ns,
   long nb,
   long odtype
);

void init_inimg
(
   long *nl,
   long *ns,
   long *nb,
   long var_num,
   long dtype
);

int fft1d
(
    float *buf,		/* Input/output--Complex array of length 2 * dim */
    long dim,		/* Input--dimension of buffer.  Must be a power of 2 */
    long flag		/* Forward/inverse flag.  flag = 1 is forward, -1 inv */
);

int nearest_power2
(
    long ns
);

void pad_to_pow2
(
    unsigned char *in,
    long in_ns,
    float *out,
    long out_ns
);

void pad_back
(
    float *out,
    long out_ns,
    unsigned char *in,
    long in_ns
);

void calc_mag_phase
(
    float *freq,
    long dim,
    unsigned char *outbuf
);

double exp10
(
    double x
);

#endif
