#include "getblob.h"

void strata
(
  long *np,               
  long classnum, 
  long buffer[400], 
  long cntrs[]
)
{

char    *prog_name = "GETBLOB"; /* program name            */

  long count;
  long cls;
  long i;
  long loc;
  long nocls;
  long noswitch;
  long os;

  loc = 1;                  
  noswitch = 1;             
  count    = 0;             
  nocls    = 0;             

  /* Zero strata mask buffer
  --------------------------*/
  for (i = 0; i < 400; i++)
    buffer[i] = 0;

  /* Search the first pixel in this line and use
     it to begin the comparison to obtain the
     number of switches in this line
  ----------------------------------------------*/
  cls = inbuf[ipoint];
  if (cls  ==  classnum) 
  {
    cls = 1;
    nocls = nocls +1;
  }
  else
    cls = -1;           

  for (i = 0; i < *np; i++)
  {
    os = inbuf[ipoint+i];                    
    if (os  ==  classnum)
      os = 1;
    else
      os = -1;             

    if (os  ==  cls) 
    {
      os = 1;
      count++;
    }
    else
    {
      loc = noswitch*2 -1;               
      if (loc >= 399)  
        c_abort(&block,"Data pairs exceed 200","getblob_pairs",prog_name,
                out_files, &num_outfiles);

      buffer[loc-1] = cls;                   
      buffer[loc] = count;                 

      noswitch = noswitch + 1;             
      count = 1;                             
      cls = os;                              
      if (cls != -1) nocls = nocls + 1;       
    }  
  }

  loc = noswitch*2 - 1;                        
  if (loc >= 399)  
    c_lasmsg(TRUE,"getblob_pairs","Data pairs exceed 200"); 

  buffer[loc-1] = cls;                          
  buffer[loc] = count;                        
  buffer[loc+1] = 0;                            
  buffer[loc+2] = 0;                            

  cntrs[0] = noswitch;                       
  cntrs[1] = nocls;                          
}   
