/* include files, global parameters, and definitions for NEIGHBOR       */
#include <stdio.h>
#include <math.h>
#include "las.h"
#include "imageio.h"

extern struct  PARBLK block;            /* TAE parameter block          */
extern struct  DDR  ddr;                /* data descriptior record      */

extern char    out[MAXIMG][CMLEN];      /* names of files opened        */
extern unsigned char    *inbuf;         /* image input buffer           */
extern unsigned char    *outbuf;        /* image output buffer          */
extern long    bands[MAXIMG][MAXBND+1]; /* Band numbers per image       */
extern long    count;                   /* no. of files opened          */
extern long    curent;                  /* parameters for PLM           */

extern struct FDESC *fdescin[MAXIMG+1]; /* input file descriptors       */
extern struct FDESC *fdescout[2];       /* output file descriptor       */
extern struct GDESC *gdescin;           /* input group descriptor       */
extern struct GDESC *gdescout;          /* output group descriptor      */
extern long  ipoint[MAXIMG * MAXBND + 1],/* offsets for image i/o    */
             opoint[MAXBND+1];          /* for input and output bands   */
extern long  nbands[MAXIMG];            /* Number of bands per image    */
