#ifndef PROTOS_H
#define PROTOS_H

void filspec
(
    char inhos[][CMLEN],     /* input image host names                        */
    char outhos[],           /* output image host name                        */
    long *num_inimages,	    /* number of input images			*/
    long num_image_bands[],       /* number of bands in each input image*/
    long image_band_num[][MAXBND + 1], /* band numbers in each input image   */
    long *num_outbands,  	/* number of output bands */
    long out_img_bands[][MAXBND+1] /* band numbers for the output image     */
);

void getpar
(
    char intae[][CMLEN],         /*    input image tae name       */
    char inhos[][CMLEN],         /*    input image host name      */
    char outtae[][CMLEN],         /*    output image tae name      */
    char outhos[][CMLEN],         /*    output image host name     */
    long *num_inimages,		/* number of input images           */
    long num_image_bands[],	/* number of bands in each input image */
    long image_band_num[][MAXBND+1],  /* band numbers for each image */
    long *num_inbands,           /* total number of input image bands   */
    long *num_outbands,    	/* number of output image bands     */
    float *expo		  /* input parameter               */
);

void runexp
(
    long num_inbands,             /* total number of input image bands*/
    long *num_outbands,           /* number of bands in output image  */
    float *expo                     /* exponent value for input images */
);

#endif

