/* Include files, global parameters, and definitions for SCALE */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"
#include "dltf.h"
#define	MAX_BINS 4097			      /* number of histgram bins */

extern struct PARBLK block;                   /* TAE parameter block     */
extern struct DDR  ddr;		       /* DDR structure */

extern struct FDESC *fdescin[MAXIMG+1];    /* input file descriptors   */
extern struct FDESC *fdescout[2];          /* output file descriptor   */
extern long	min_max;                       /* minmax option flag      */
extern long	msgtim;                        /* Processing message interval */
extern long    num_outfiles;                  /* number of files opened */
extern long	window[MAXIMG][4];		/* window specification */
extern long	*outbuf;        	      /* image output buffer     */
extern long	curcat;                        /* message utility         */
extern long	curent;                        /* parameters for processing */
extern char    out_files[MAXIMG][CMLEN];       /* names of files opened */
extern char    print_file[CMLEN];
extern unsigned char	*inbuf;               /* image input buffer      */

