/* include files, global parameters, and definitions for UHIST      */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"

extern	struct	PARBLK	block;                 /* TAE parameter block     */
extern  struct  DDR	ddr;                   /* ddr                     */

extern	unsigned char 	*inbuf;                /* image input buffer      */
extern	unsigned char	*outbuf;  	       /* image output buffer     */
extern	float		*rinbuf;               /* float input pointer	*/

extern  char    out_files[2][CMLEN];           /* output file names        */
extern	struct FDESC *fdescin[MAXIMG+1];         /* input file descriptors   */
extern	struct FDESC *fdescout[2];               /* output file descriptor   */
extern	struct GDESC *gdescin;		       /* input group descriptor   */
extern 	struct GDESC *gdescout;		       /* output group descriptor  */
extern	long	*ipoint;
extern	long	opoint[MAXBND];

extern  long	min_max;                       /* minmax option flag       */
extern	long 	msgtim;                        /* message interval         */
extern	long	num_outfiles;                  /* number of output files   */
 					       /* statistics file          */
extern	long	curent;                        /* current entity           */
extern	long	curcat;                        /* current category         */

extern 	long	window[MAXIMG][4];    /* input image dimensions (SL SS NL NS) */
