

/* calc. the spacecraft attitude vectors */

#include <math.h>

void attitude(sat,nadvec,roll,pitch,yaw,attvec)

double sat[],
       nadvec[],
       roll,
       pitch,
       yaw,
       attvec[];

   {
   double xvec[4],
          yvec[4],
          zvec[4],
          vvec[4],
          nxvec[4],
          nnxvec[4],
          nyvec[4],
          nnyvec[4],
          nzvec[4],
          nnzvec[4],
          vmag;

   long i,
        j,
        k;

   vmag = 1.0;
   for (i = 1 ; i <= 3 ; i++)
      {
      j = i + 4;
      xvec[i] = nadvec[i];
      vvec[i] = sat[j];
      }


   cross(vvec,xvec,yvec);
   cross(xvec,yvec,zvec);
   newvec(xvec,zvec,pitch,vmag,nxvec);
   cross(nxvec,yvec,nzvec);
   newvec(nzvec,yvec,yaw,vmag,nnzvec);
   cross(nnzvec,nxvec,nyvec);
   newvec(nxvec,nyvec,roll,vmag,nnxvec);
   cross(nnzvec,nnxvec,nnyvec);


   for (i = 1 ; i <= 3 ; i++)
      {
      j = i + 3;
      k = i + 6;
      attvec[i] = nnxvec[i];
      attvec[j] = nnyvec[i];
      attvec[k] = nnzvec[i];
      }

   return;
   }
   







