


#include <math.h>
#include "constants.h"
#include "ellipsoid.h"

void calcdmeanm(sat,los,attvec,dmm)

double sat[],
       los[],
       attvec[],
       *dmm;

   {

   double zvec[4],
          yvec[4],
          ds,
          losmag,
          mag(),
          angle,
          alpha,
          psi,
          que,
          eta,
          zee;

   long i,
        j,
        k;


   for (i = 1 ; i <= 3 ; i++)
      {
      j = i + 3;
      k = i + 6;
      yvec[i] = attvec[j];
      zvec[i] = attvec[k];
      }


   anglebetwn(zvec,los,&alpha);
   anglebetwn(yvec,los,&psi);
   que = acos(cos(alpha) * sin(psi));
   eta = PIE / 2.0 - que;
   zee = asin(sin(eta) / REQUA * sat[4]);
   *dmm = zee - eta;



















/* old way
   for (i = 1 ; i <= 3 ; i++)
      {
      k = i + 6;
      zvec[i] = attvec[k];
      }
   losmag = mag(los);
      
   anglebetwn(los,zvec,&angle);
   ds = losmag * cos(angle);
   *dmm = ds / sat[4];              */

   return;
   }
