


/* calculate the normal of the surface at the point of interest */


#include <math.h>
#include "constants.h"

void calcnorm (tar,tar1,tar2,tar3,tar4,normal)

double tar[],
       tar1[],
       tar2[],
       tar3[],
       tar4[],
       normal[];

   {

   double vec1[4],
          vec2[4],
          vec3[4],
          vec4[4],
          norm1[4],
          norm2[4],
          norm3[4],
          norm4[4];

   long i;

   for (i = 1; i <= 3; i++)
      {
      vec1[i] = tar1[i] - tar[i];
      vec2[i] = tar2[i] - tar[i];
      vec3[i] = tar3[i] - tar[i];
      vec4[i] = tar4[i] - tar[i];
      }

   cross(vec1,vec2,norm1);
   cross(vec2,vec3,norm2);
   cross(vec3,vec4,norm3);
   cross(vec4,vec1,norm4);

   unit(norm1,vec1);
   unit(norm2,vec2);
   unit(norm3,vec3);
   unit(norm4,vec4);

   for (i = 1; i <= 3; i++)   
      {
      norm1[i] = (vec1[i] + vec2[i] + vec3[i] + vec4[i]) / 4.0;
       }

   unit(norm1,normal);

    return;
   }
