
#include <math.h>
#include "landsat.h"
#include "constants.h"

void calcsample(closvec,attvec,offsample,sample)
double closvec[],
       attvec[],
       offsample,
       *sample;

   {
   double yvec[4],
          angle,
          delta,
          nonlin,
          inot,
          z;

   long i,
        j;

   for (i = 1 ; i <= 3 ; i++)
      { 
      j = i + 3;
      yvec[i] = attvec[j];
      }

   anglebetwn(closvec,yvec,&angle);
   delta = PIE / 2.0 - angle;
   inot = MIDSAMPLE + SAMPLESLOPE * delta;
   z = inot / TOTSAMPS;


   if ( inot <= MIDSAMPLE)
      {
      nonlin = A1 * z 
             + B1 * z * z
             + C1 * z * z * z;
      }
   if (inot > MIDSAMPLE) 
      {
      z = (1.0 - z);
      nonlin = A2 * -z 
             - B2 * z * z
             - C2 * z * z * z;
      }

   *sample = offsample + inot - nonlin;


/*   nonlin = AMP * sin(PIE * delta / MAXSCANANGLE);
   *sample = offsample + 
             MIDSAMPLE + 
             SAMPLESLOPE * delta + 
             nonlin; */

   return;
   }
