

   /* calculate the geocentric latitude and the radius of a point above the
      ellipse, given the goedetic latitude and the height h */

#include <math.h>
#include "ellipsoid.h"

void det2centh(latd,h,latc,rc)

double latd,
       h,              /* height in kms */
       *latc,
       *rc;

   {
   double sinlt,
          w,
          g1,
          g2,
          xc,
          zc;

   sinlt = sin(latd);
   w = sqrt(1.0 - EE * sinlt * sinlt);
   g1 = REQUA / w + h;
   g2 = (REQUA * Q) / w + h;
   xc = g1 * cos(latd);
   zc = g2 * sinlt;
   *rc = sqrt(xc * xc + zc * zc);
   *latc = asin(zc / *rc);
   return;
   }
