

#include <math.h>
#include "constants.h"
#include "landsat.h"

main ()

   {
   double offline,         /* line offset to model */
          offsample,       /* sample offset input to model */
          tarlatd,         /* target geodetic latitude */
          tarlong,         /* target longitude */
          tarelev,         /* target elevation */
          line,            /* model output line */
          sample,          /* model output sample */
          refline[20],     /* ref. line from GCP */
          refsample[20],   /* ref. sample from GCP */
          dline[20],       /* ref. - output line */
          dsample[20];     /* ref. - output sample */


   long i,
        npoints; /* num of points that have correlated */

   offline = 0.0;
   offsample = 0.0;

   init_mss_model(offline,offsample);



   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);


   update(refline,refsample,dline,dsample,npoints);



   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);


   }
