

   /* move the satellite from its initial position to a new position dtime later */

#include <math.h>
#include "constants.h"



   void movesat (satint,rcoefs,mdot1,mdot2,dtime,sat)
   double satint[],
          sat[],
          rcoefs[],
          mdot1,
          mdot2,
          dtime;

      {
      double dm,
             v2,
             r2,
             const1,
             const2,
             const3,
             const4,
             cosdm,
             sindm,
             mag();

      long i,
           j;

   /* constants */
      dm = mdot2 * dtime;
      if (dtime <= 0.0)  dm = mdot1 * dtime;
      cosdm = cos(dm);
      sindm = sin(dm);
      r2 = rcoefs[1] * dtime * dtime + rcoefs[2] * dtime + rcoefs[3];
      v2 = sqrt(MU / r2);
      const1 = r2 / satint[4] * cosdm;
      const2 = r2 / satint[8] * sindm;
      const3 = v2 / satint[8] * cosdm;
      const4 = v2 / satint[4] * sindm;
      
       
   /* calc. new position and velocity vectors */

      for (i = 1 ; i <= 3 ; i++)
         {
          j = i + 4;
          sat[i] = satint[i] * const1 + satint[j] * const2;
          sat[j] = satint[j] * const3 - satint[i] * const4;
         }
      sat[4] = r2;
      sat[8] = v2;
      return;
      }

