

#include <math.h>
#include "constants.h"
#include "landsat.h"

main ()

   {
   double offline,
          offsample,
          tarlatd,
          tarlong,
          tarelev,
          line,
          sample,
          aline[20],
          asample[20],
          bline[20],
          bsample[20],
          dline[20],
          dsample[20];


   long i,
        npoints;

   offline = 0.0;
   offsample = 0.0;
   npoints = 16;

init_mss_model("/imgo/stein/p17r40.cctx_siat",0.0,0.0);


   aline[1] = 414.375;
   asample[1] = 1931.125;

   tarlatd = 29.4633333 * PIE / 180;
   tarlong = (360 + -81.2080556) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[1] = line;
   bsample[1] = sample;
   printf(" line = %f",line);
   printf(" sample = %f\n",sample);
   printf("   %\n");


   aline[2] = 1556.33;
   asample[2] = 1503.33;

   tarlatd = 28.702778 * PIE / 180;
   tarlong = (360 + -81.6825) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[2] = line;
   bsample[2] = sample;
   printf(" line = %f",line);
   printf(" sample = %f\n",sample);
   printf("   %\n");


   aline[3] = 1344.6;
   asample[3] = 2800.0;

   tarlatd = 28.727778 * PIE / 180;
   tarlong = (360 + -80.887917) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[3] = line;
   bsample[3] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[4] = 1547.25;
   asample[4] = 2002.25; 

   tarlatd = 28.6617778 * PIE / 180;
   tarlong = (360 + -81.388722) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[4] = line;
   bsample[4] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample); 


   aline[5] = 1149.75;
   asample[5] = 737.25;

   tarlatd = 29.055556 * PIE / 180;
   tarlong = (360 + -82.05) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[5] = line;
   bsample[5] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample); 


   aline[6] = 1585.25;
   asample[6] = 1145.25;

   tarlatd = 28.713611 * PIE / 180;
   tarlong = (360 + -81.89667) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[6] = line;
   bsample[6] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[7] = 1933.25;
   asample[7] = 385.25;

   tarlatd = 28.54014 * PIE / 180;
   tarlong = (360 + -82.4038889) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[7] = line;
   bsample[7] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);

   aline[8] = 1575.25;
   asample[8] = 3222.75;

   tarlatd = 28.526111 * PIE / 180;
   tarlong = (360 + -80.693333) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[8] = line;
   bsample[8] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);

   aline[9] = 1053.25;
   asample[9] = 473.75;

   tarlatd = 29.150 * PIE / 180;
   tarlong = (360 + -82.185278) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[9] = line;
   bsample[9] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[10] = 1425.75;
   asample[10] = 2860.25;

   tarlatd = 28.66625 * PIE / 180;
   tarlong = (360 + -80.86986) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[10] = line;
   bsample[10] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[11] = 1149.25;
   asample[11] = 924.25;

   tarlatd = 29.0404167 * PIE / 180;
   tarlong = (360 + -81.941944) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[11] = line;
   bsample[11] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[12] = 1398.75;
   asample[12] = 1406.75;

   tarlatd = 28.821667 * PIE / 180;
   tarlong = (360 + -81.7077778) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[12] = line;
   bsample[12] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[13] = 2176.75;
   asample[13] = 839.25;

   tarlatd = 28.328194 * PIE / 180;
   tarlong = (360 + -82.187917) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[13] = line;
   bsample[13] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[14] = 1055.75;
   asample[14] = 2590.25;

   tarlatd = 28.950556 * PIE / 180;
   tarlong = (360 + -80.950556) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[14] = line;
   bsample[14] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[15] = 804.75;
   asample[15] = 2289.75;

   tarlatd = 29.155138 * PIE / 180;
   tarlong = (360 + -81.075833) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[15] = line;
   bsample[15] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[16] = 1574.25;
   asample[16] = 2505.75;

   tarlatd = 28.595556 * PIE / 180;
   tarlong = (360 + -81.1031944) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[16] = line;
   bsample[16] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);



   printf("%\n");
   printf("%\n");
   printf("       line          sample           dline          dsample %\n");

   for ( i = 1 ; i <= 16 ; i++)
      {
      dline[i] = aline[i] - bline[i];
      dsample[i] = asample[i] - bsample[i];
      printf("   %lf\t%lf\t%lf\t%lf\n", aline[i],asample[i],dline[i],dsample[i]);
      }

   update(aline,asample,dline,dsample,npoints);
   save_updates();
init_mss_model("/imgo/stein/p17r40.cctx_siat",0.0,0.0);


   aline[1] = 414.375;
   asample[1] = 1931.125;

   tarlatd = 29.4633333 * PIE / 180;
   tarlong = (360 + -81.2080556) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[1] = line;
   bsample[1] = sample;
   printf(" line = %f",line);
   printf(" sample = %f\n",sample);
   printf("   %\n");


   aline[2] = 1556.33;
   asample[2] = 1503.33;

   tarlatd = 28.702778 * PIE / 180;
   tarlong = (360 + -81.6825) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[2] = line;
   bsample[2] = sample;
   printf(" line = %f",line);
   printf(" sample = %f\n",sample);
   printf("   %\n");


   aline[3] = 1344.6;
   asample[3] = 2800.0;

   tarlatd = 28.727778 * PIE / 180;
   tarlong = (360 + -80.887917) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[3] = line;
   bsample[3] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[4] = 1547.25;
   asample[4] = 2002.25; 

   tarlatd = 28.6617778 * PIE / 180;
   tarlong = (360 + -81.388722) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[4] = line;
   bsample[4] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample); 


   aline[5] = 1149.75;
   asample[5] = 737.25;

   tarlatd = 29.055556 * PIE / 180;
   tarlong = (360 + -82.05) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[5] = line;
   bsample[5] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample); 


   aline[6] = 1585.25;
   asample[6] = 1145.25;

   tarlatd = 28.713611 * PIE / 180;
   tarlong = (360 + -81.89667) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[6] = line;
   bsample[6] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[7] = 1933.25;
   asample[7] = 385.25;

   tarlatd = 28.54014 * PIE / 180;
   tarlong = (360 + -82.4038889) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[7] = line;
   bsample[7] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);

/*          */

   aline[8] = 1575.25;
   asample[8] = 3222.75;

   tarlatd = 28.526111 * PIE / 180;
   tarlong = (360 + -80.693333) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[8] = line;
   bsample[8] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);

   aline[9] = 1053.25;
   asample[9] = 473.75;

   tarlatd = 29.150 * PIE / 180;
   tarlong = (360 + -82.185278) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[9] = line;
   bsample[9] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[10] = 1425.75;
   asample[10] = 2860.25;

   tarlatd = 28.66625 * PIE / 180;
   tarlong = (360 + -80.86986) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[10] = line;
   bsample[10] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[11] = 1149.25;
   asample[11] = 924.25;

   tarlatd = 29.0404167 * PIE / 180;
   tarlong = (360 + -81.941944) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[11] = line;
   bsample[11] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[12] = 1398.75;
   asample[12] = 1406.75;

   tarlatd = 28.821667 * PIE / 180;
   tarlong = (360 + -81.7077778) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[12] = line;
   bsample[12] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[13] = 2176.75;
   asample[13] = 839.25;

   tarlatd = 28.328194 * PIE / 180;
   tarlong = (360 + -82.187917) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[13] = line;
   bsample[13] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[14] = 1055.75;
   asample[14] = 2590.25;

   tarlatd = 28.950556 * PIE / 180;
   tarlong = (360 + -80.950556) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[14] = line;
   bsample[14] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[15] = 804.75;
   asample[15] = 2289.75;

   tarlatd = 29.155138 * PIE / 180;
   tarlong = (360 + -81.075833) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[15] = line;
   bsample[15] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);


   aline[16] = 1574.25;
   asample[16] = 2505.75;

   tarlatd = 28.595556 * PIE / 180;
   tarlong = (360 + -81.1031944) * PIE / 180;
   tarelev = 0.0;

   inv_mss_model(tarlatd,tarlong,tarelev,&line,&sample);
   bline[16] = line;
   bsample[16] = sample;
   printf(" line = %lf",line);
   printf(" sample = %lf\n",sample);

   printf("%\n");
   printf("%\n");
   printf("       line          sample           dline          dsample %\n");

   for ( i = 1 ; i <= 16 ; i++)
      {
      dline[i] = aline[i] - bline[i];
      dsample[i] = asample[i] - bsample[i];
      printf("   %lf\t%lf\t%lf\t%lf\n", aline[i],asample[i],dline[i],dsample[i]);
      }


   }
