#!/bin/csh -f
#
# This script automates the TAE/LAS/ADAPS binary installation process.
#
# Set the user defined variables below.
#
#----------------------------------------------------------------------------
#
# User defined variables.

# The response should be "las74" for general, non-development usage and
# "las74d" if development by a programmer is required.
set response=las74

# NO CHANGES REQUIRED BELOW THIS POINT.
#############################################################################

# Set environment variables.
#---------------------------
setenv EDCSOFT $PWD
setenv TAE $EDCSOFT/tae
source env/las/assign/lasinit
