/***************************************************************************
*
*  NAME: GETPAR
*  FUNCTION: Get the input parameters
*
*  COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
*               Must be run under TAE
*
*  PROJECT: LAS
*
*  ALGORITHM DESCRIPTION:
*       See inline comments
*
******************************************************************************/
#include "las.h"
#include "protos.h"
 
int getpar
(
    struct PARBLK *parblk,
    char *infile,                   /* input file name */
    char *outfile,                  /* output file name */
    long *msgtim                   /* time for processing message */
)
{
 
 
struct VARIABLE *var;
 
char *getenv();

/*  Receive parameter naming the input file  
-------------------------------------------*/
var = p_find(parblk,"INFILE");
strcpy(infile,SVAL(*var,0));

/*  Receive parameter naming the output file name
-------------------------------------------------*/
var = p_find(parblk,"OUTFILE");
strcpy(outfile,SVAL(*var,0));

/* Get message time
------------------*/
var = p_find(parblk,"$MSGTIM");
*msgtim = IVAL(*var,0);
 
return(E_SUCC);
}

