
/******************************************************************************
NAME:		GETINFO_TM

PURPOSE:	Get the information from the TM header file.

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  1.0	 T. Baltzer    01/96	Original development


COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:

PROJECT:  ADAPS

ALGORITHM REFERENCES:
******************************************************************************/
#include <stdio.h>
#include <string.h>
#include "las.h"
#include "glcts.h"
#include "protos_tm.h"


int getinfo_tm
(
    char headfile[TOTLTM][TOTSAM],	/* Total lines in header file	*/
    char date[7]			/* Acquisition date		*/
)

{

long i;				/* Counter */


/*
  Initialize the string to natha
*/
strcpy(date,"");


/*
Try to find the scene in the header file
*/
for (i = 0; i < TOTLTM; i++)
    {
    if (strncmp("File 2:",headfile[i],7) == 0)
	{
	strncpy(&date[0],&headfile[i][8],2);	/* Month */
	strncpy(&date[2],&headfile[i][11],2);	/* Day */
	strncpy(&date[4],&headfile[i][16],2);	/* Year */
	date[6] = '\0';
	break;
	}
    }


return(E_SUCC);
}
