#ifndef PROTOS_AVH_H
#define PROTOS_AVH_H

int getinfo_avh
(
    char headfile[TOTLSV][TOTSAM],	/* Total saved lines in header	*/
    long nheadf,				/* Number of entries in headfile*/
    long start,				/* Starting scene number 	*/
    long setnum,				/* AVHRR set number 		*/
    int *nscenes,			/* Number of scenes in sceneid	*/
    char sceneid[MAXSC][17]		/* Scene ID's 			*/
);

void getpar_avh
(
    struct PARBLK *parblk,		/* TAE parameter block */
    char hname[],		    	/* HOST name of input file */
    long *start,			/* Starting scene number */
    long *setnum			/* AVHRR set number  */
);

int getsize
(
    char strbuf[],		/* Line buffer of header file data	*/
    long *fsize			/* File size extracted from strbuf	*/
);

int load_avh
(
    char *hname,				/* Host file name (input) */
    char headfile[TOTLSV][TOTSAM],	/* Header file buffer */
    long *nheadf			/* Number in header file */
);

int taeland_avh
(
    struct PARBLK *parblk,	/* TAE parameter block			*/
    int *nscenes,		/* Number of scenes			*/
    char sceneid[MAXSC][17]	/* Scene ID's				*/
);

#endif

