#ifndef PROTOS_MSS_H
#define PROTOS_MSS_H

int getinfo_mss
(
    char headfile[TOTLMS][TOTSAM],	/* Total lines in header file	*/
    int *nscenes,			/* Number of scenes		*/
    char dates[4][7]			/* Acquisition dates		*/
);

void getpar_mss
(
    struct PARBLK *parblk,		/* TAE parameter block */
    char hname[]		    	/* HOST name of input file */
);

int load_mss
(
    char *hname,				/* Host file name (input) */
    char headfile[TOTLMS][TOTSAM]	/* Header file buffer */
);

int taeland_mss
(
    struct PARBLK *parblk,	/* TAE parameter block			*/
    int *nscenes,		/* Number of scenes			*/
    char dates[4][7]		/* Acquisition dates			*/
);

#endif

