#ifndef FINITE_DEFS_H
#define FINITE_DEFS_H

#ifndef NULL
#define NULL 0
#endif
#define DELETED -2

struct	Freenode	{
    struct	Freenode	*nextfree;
};

struct	Freelist	{
    struct	Freenode	*head;
    int			nodesize;
    int         growsize;
};

struct Point	{
    double x,y;
};

/* structure used both for sites and for vertices */
struct Site	{
    struct	Point	coord;
    int		sitenbr;
    int		refcnt;
};

struct Edge	{
    double		a,b,c;
    struct	Site 	*ep[2];
    struct	Site	*reg[2];
    int		edgenbr;
};

struct Halfedge {
    struct Halfedge	*ELleft, *ELright;
    struct Edge	*ELedge;
    int	    	ELrefcnt;
    char		ELpm;
    struct Site	*vertex;
    double      ystar;
    struct Halfedge *PQnext;
};

#define LE 0
#define RE 1



#endif 
