#ifndef PROTOS_H
#define PROTOS_H

int create_semaphore
(
    char *directory,   /* IN - Directory where the archive images are stored  */
    char *function,    /* IN - Function that is locking the directory         */
    char *object,      /* IN - Object being locked                            */
    char *type        /* IN - Type of semaphore. "lock" or "stop"            */
);

int check_semaphore
(
    char *directory,   /* IN - Directory where the archive images are stored  */
    char *function,    /* IN - Function that has locked the directory         */
    char *object,      /* IN - Object that has been locked                    */
    char *type        /* IN - Type of semaphore. "lock" or "stop"            */
);

int delete_semaphore
(
    char *directory,   /* IN - Directory where the archive images are stored  */
    char *function,    /* IN - Function that has locked the directory         */
    char *object,      /* IN - Object that has been locked                    */
    char *type        /* IN - Type of semaphore. "lock" or "stop"            */
);

#endif

