/***************************************************************************
PROGRAM HISTORY:
  Version       Date        Author      Change Request
  -------       ----        ------      --------------
   1.0          10/91       K. Gacke    initial development -- copied from
                                        color FIRE

PROJECT:        Quick Look Printer

**************************************************************************/


#include <stdio.h>
#include "worgen.h"

int br_enhance
(
	long *in,
	long *out,
	long *ne,
	float *lut
)
{
long status;

#ifdef vms
    status = enhance(in,out,ne,lut);
#endif
#ifdef unix
    status = enhance_(in,out,ne,lut);
#endif
return(status);
}

int br_calbrt
(
	long *in,
	long *out,
	long *ne,
	float *lut
)
{
#ifdef vms
    calbrt(in,out,ne,lut);
#endif
#ifdef unix
    calbrt_(in,out,ne,lut);
#endif
return(1);
}

int br_contrl
(
	long *in,
	long *out,
	long *ne,
	float *lut
)
{
#ifdef vms
    contrl(in,out,ne,lut);
#endif
#ifdef unix
    contrl_(in,out,ne,lut);
#endif
return(1);
}

int br_punt
(
	float *cal,
	float *con,
	float *enh,
	short *lut
)
{
#ifdef vms
    punt(cal,con,enh,lut);
#endif
#ifdef unix
    punt_(cal,con,enh,lut);
#endif
return(1);
}
