/*
PROGRAM HISTORY:
  Version       Date        Author      Change Request
  -------       ----        ------      --------------
   1.0           8/93       K. Gacke    initial development -- copied from QLP

PROJECT:        Unix Color FIRE

*/


#include <stdio.h>
#include "worgen.h"

#ifdef unix
#include <pwd.h>
#endif
#include "las.h"
#include "util.h"
#include "lj.h"
#include "lj2000.h"
#include "ljsupport.h"

int getuser
(
        char *user
)
{
long len;

#ifdef vms
        strcpy(user, getenv("USER"));
#endif
#ifdef unix
        int uid;
        struct passwd *pwptr;

        uid = getuid();
        pwptr = getpwuid(uid);
        strcpy(user, pwptr->pw_name);
#endif
#ifdef prime
        cuserid(user);
#endif

len = (long)strlen(user);
c_low2up(user,&len);
return(1);
}
