#!/bin/csh
# ndfcopymail.csh
# This is a shell script to notify users that ndfcopy has been run
# on a NLAPS product generated from PDS.  Meta data that is generated
# by ndfcopy is placed in the /sgs18/pds2/work/ops/meta/<code> directory
# for pickup by the users, and this message is to inform users that
# the job has been run.
# Arguments are
# 1 -> project code
# 2 -> project name
# 3 -> DORRAN ORDNUM/unit
# 4 -> sceneid
 
#if ($#argv != 4) then
#  echo ORDNUM/unit, Code, Project, or sceneid not specified
#  echo 'usage: ndfcopymail <code> <project> <ORDNUM/unit> <sceneid>'
#  exit 1
#endif

#echo NDFCOPY completed for: $3, Project: $2, Code: $1 > $3.mail
#echo SCENEID: $4 >> $3.mail
#echo meta data is available for pickup in: >> $3.mail
#echo /sgs18/pds2/work/ops/meta/$1 >> $3.mail

#mail lowell@sg1 < $3.mail
mail neuh@edcmail < $3.mail
mail theel@edcmail < $3.mail
#mail judya@edcmail < $3.mail
#mail ivens@edcmail < $3.mail
mail edc@eos.nasa.gov < $3.mail

#/bin/rm $3.mail
#exit 1
