/**************************************************************************
NAME: PARMCEHDR
 
PURPOSE: Gets the user-specified parameters for CEHDR_READ
 
PROGRAM HISTORY:
 
Version  Date  Programmer      Code  Reason
-------  ----- ----------      ----  ------
  1.0    05/98 M.Lundblad        C   Initial development
 
COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Must be run under TAE.
PROJECT:  LAS
***************************************************************************/
 
#include <stdio.h>
#include <math.h>
#include <string.h>
#include "las.h"
 
int getpar
(
    struct PARBLK *vblk,
    char directory[120],
    char infile[120]
)

{
struct VARIABLE *var;       /* ptr to a variable in the vblk          */
 
/* Get the directory path
--------------------------*/
var = p_find(vblk,"DIRECTORY");
strcpy (directory, SVAL(*var,0));

/* Get the base for input filenames
------------------------------------*/
var = p_find(vblk,"INFILE");
strcpy (infile, SVAL(*var,0));

return(E_SUCC);
}

