#ifdef unix
#ifndef UNIX
#define UNIX
#endif
#endif

#ifndef TRUE
#define TRUE (-1)
#endif
#ifndef FALSE
#define FALSE 0
#endif

#define OK 0
#define NOTOK (-1)

#define IGNORE void

#define K_FAST  register        /* register */
#define K_GLOBAL                /* identifies GLOBAL */
#define K_IMPORT extern         /* for external */
#define K_LOCAL static          /* for static */
#define K_INTERN static         /* for static */
#define K_FUNCTION              /* identifies FUNCTION */
#define K_IGNORE void

typedef float K_FLOAT;          /* float */
typedef double K_DOUBLE;        /* float double */

typedef long K_LONG;            /* 32 bit integer */
typedef unsigned long K_ULONG;  /* 32 bit unsigned */
typedef unsigned long K_LBITS;  /* 32 bit bit field */

typedef short K_COUNT;          /* 16 bit integer */
typedef unsigned short K_UCOUNT;/* 16 bit unsigned */
typedef unsigned short K_BITS;  /* 16 bit bit field */

typedef char K_TEXT;            /* 8 bit for characters */
typedef char K_TINY;            /* 8 bit integer */
typedef unsigned char K_UTINY;  /* 8 bit unsigned */
typedef unsigned char K_TBITS;  /* 8 bit bit field */

typedef short K_METACH;         /* 16 bit augmented char ? */
typedef int K_ARGINT;           /* integer whose address is used */
typedef int K_VOID;             /* dummy integer */
typedef int K_BOOL;             /* boolean variable */
typedef unsigned int K_BYTES;   /* stores sizeof for dynamic variables */

typedef char K_CHAR;            /* used for library routines returning char */
typedef int K_INT;              /* used for library returned int's */
typedef unsigned int K_FIELD;   /* bit fields */
typedef char *K_POINTER;        /* generic pointer */

