/*
PROGRAM HISTORY:
  Version       Date        Author      Change Request
  -------       ----        ------      --------------
   1.0          10/91       K. Gacke    initial development -- copied from
                                        color FIRE

PROJECT:        Quick Look Printer

*/


#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include "las.h"
#include "util.h"
#include "worgen.h"
#include "ntqlp.h"
#include "qlp.h"
#include "qlpsupport.h"

#ifdef unix
#include <pwd.h>
#endif

int getuser
(
    char *user
)
{
long len;

#ifdef vms
        strcpy(user, getenv("USER"));
#endif
#ifdef unix
        int uid;
        struct passwd *pwptr;

        uid = getuid();
        pwptr = getpwuid(uid);
        strcpy(user, pwptr->pw_name);
#endif
#ifdef prime
        cuserid(user);
#endif

len = (long)strlen(user);
c_up2low(user,&len);
return(1);
}
