      SUBROUTINE FINDCO(fdesc,CONTRL,NCONTR,LENGTH,NSTART,
     *                 NPOINT,NSETS,status)

C 1-6-87 B.Ailts  Added status parameter so that the application program
C can trap the error.
C 5-11-87 B.Ailts  took nrows out of common and placed in parameter list
C 9-28-88 B.Ailts  Updated for LAS 5.0
C-----------------------------------------------------------------------
	include 'las.fin'

	integer*4 contrl(1)
	integer*4 fdesc
	integer*4 length
	integer*4 ncontr
	integer*4 nelem
	integer*4 npoint(1)
	integer*4 npt
	integer*4 nsets
	integer*4 nstart(1)
	integer*4 status
	integer*4 tbrcol

C  READ CONTROL COLUMN AND FIND START POINTS AND LENGTHS
C     FOR THE SETS.
C-------------------------------------------------------
      status = tbrcol(fdesc,NCONTR,CONTRL)
	if (status .ne. ESUCC) then
	   call errmsg ('Error reading input file','lamsutil-read',1)
	   status = EFAIL
	   return
	end if
      NSTART(1) = 1
      NPT = 0
      NSETS = 0
      DO 300 NELEM=1,length - 1
         NPT = NPT+1
         IF(CONTRL(NELEM).EQ.CONTRL(NELEM+1)) GO TO 300
         NSETS = NSETS+1
         NSTART(NSETS+1) = NELEM+1
         NPOINT(NSETS) = NPT
         NPT = 0
  300 CONTINUE
      NSETS = NSETS+1
      NPOINT(NSETS) = NPT+1

	status = ESUCC
      RETURN
      end
