#ifndef TAEIMAGEIO_H
#define TAEIMAGEIO_H

int i_clse 
(
    struct IFCB *ifcb,  /* in/out: image file control block */
    FUNINT      disp    /* in:  I_DEL or I_SAVE */
);

CODE i_herr 
(
    struct IFCB *ifcb   /* in: image file control block  */
);

CODE i_opin
(
    struct IFCB *ifcb,      /* out: image file control block        */
    FUNINT      lun,        /* in:  log. unit no. (ignored for UNIX) */
    TEXT        hostname[], /* in:  host filespec of file to open   */
    FUNINT      type        /* in:  open type (I_INPUT or I_INOUT)  */
);

CODE i_read 
(
    struct IFCB *ifcb, /* in/out: image file control block     */
    GENPTR buffer,     /* out: user's data receive buffer      */
    FUNINT channel,    /* in:  channel number of line          */
    FUNINT line,       /* in:  line number within channel      */
    FUNINT lines       /* in:  number of lines to read         */
);

CODE i_wait
(
    struct IFCB *ifcb  /* in/out: image file control block     */
);

CODE i_write
(
    struct IFCB *ifcb,   /* in/out: image file control block     */
    GENPTR      buffer,  /* out: user's data buffer              */
    FUNINT      channel, /* in:  channel number of line          */
    FUNINT      line,    /* in:  line number within channel      */
    FUNINT      lines    /* in:  number of lines to write        */
);

#endif
