#!/bin/csh
#
# FUNCTION: Callclean
#
# PURPOSE: Call clean-up procedure after setting up CONARCH environment.
#          Call clean-up procedure after setting up ADAPS environment.
#          The clean-up procedure will clean up files that may exist
#          because the system went down during processing.
#
#
# Programmer       Date   Modifications
# ---------------  -----  ------------------------------------------------------
# T. Baltzer       12/93  Development
#

#
#------------------------------------
# Set up the CONARCH environment
# (Archive conversion environment).
# cleanup.csh is in /usr/local/bin
# which should be in the users path
#------------------------------------
source /sgs4/km1/convert/gbls
cleanup.csh


#--------------------------------
# Set up the ADAPS environment
#--------------------------------
source /sgs4/km1/adaps/gbls
cleanup.csh
