#!/bin/csh
#
#    lasawk.csh
#    - called by lasawk.pdf to create a PDF file that contains a
#      variable whose value is set to the value of the specified string
#
# $1 - the root name of the .PDF to create
# $2 - the string to search for
# $3 - substring number in $2 to search
# $4 - start position
# $5 - length of substr
# $6 - file name to search
#
set str = "$2"
set sub = $3
set start = $4
set len = $5
set file = $6
echo "procedure" > $1.pdf
echo "PARM TMP TYPE = NAME" >> $1.pdf
echo "body" >> $1.pdf
set temp=`/usr/bin/awk '/'"$str"'/ { print substr ($'$sub','$start','$len') }' $file `
echo 'let TMP = "'$temp'"' >> $1.pdf
echo 'ush  /bin/rm '$1'.pdf' >> $1.pdf
echo "end-proc" >> $1.pdf
exit
