/* Default widget resources to 'fall back' on in the absence
of a user Adapsmonitor.ad file or command line resource
specifications.  This is included only once in main.c.
------------------------------------------------------------*/
static String fallbacks[] = {
    ".adapsmonitor.*background: cornsilk",
    ".adapsmonitor.*borderColor: black",
    ".adapsmonitor.*foreground: black",
    ".adapsmonitor.*scrolledlist.background: wheat",
    ".adapsmonitor.*modifybutton.background: wheat1",
    ".adapsmonitor.*exitbutton.background: wheat1",
    ".adapsmonitor.mainw.width: 600",
    ".adapsmonitor.mainw.height: 400",
    ".adapsmonitor.mainw.mwform2.scrolledlistSW.scrolledlist.background: NavajoWhite1",
    ".adapsmonitor.mainw.mwform3.modifybutton.highlightOnEnter: True",
    ".adapsmonitor.mainw.mwform3.exitbutton.highlightOnEnter: True",
    ".adapsmonitor.mainw.mwform3.modifybutton.labelString: Modify",
    ".adapsmonitor.mainw.mwform3.exitbutton.labelString: Exit",
    ".adapsmonitor.modifywind.modify.width: 600",
    ".adapsmonitor.modifywind.modify.height: 400",
    ".adapsmonitor.modifywind.modify.headerform.modifyheader.labelString: ADAPS Monitor Modify",
    ".adapsmonitor.modifywind.modify.headerform.modifyheader.alignment: XmALIGNMENT_CENTER",
    ".adapsmonitor.modifywind.modify.headerform.modifyheader.fontList: 8X13",
    ".adapsmonitor.modifywind.modify.scrollform.ScrolledWindow1*background: NavajoWhite1",
    ".adapsmonitor.modifywind.modify.scrollform.ScrolledWindow1.ScrolledWindowClipWindow.modrowcol.modform.modbuttons.background: wheat1",
    ".adapsmonitor.modifywind.modify.buttonform.cancelbutton.labelString: Cancel",
    ".adapsmonitor.modifywind.modify.buttonform.loadbutton.labelString: Load",
    ".adapsmonitor.modifywind.modify.buttonform.applybutton.labelString: Apply",
    ".adapsmonitor.modifywind.modify.buttonform.cancelbutton.background: wheat1",
    ".adapsmonitor.modifywind.modify.buttonform.cancelbutton.highlightOnEnter: True",
    ".adapsmonitor.modifywind.modify.buttonform.loadbutton.highlightOnEnter: True",
    ".adapsmonitor.modifywind.modify.buttonform.loadbutton.background: wheat1",
    ".adapsmonitor.modifywind.modify.buttonform.applybutton.background: wheat1",
    ".adapsmonitor.modifywind.modify.buttonform.applybutton.highlightOnEnter: True",
    ".adapsmonitor.Files_popup.Files.resizePolicy: XmRESIZE_NONE",
    ".adapsmonitor.modifywind.modify.scrollform.ScrolledWindow1.ScrolledWindowClipWindow.modrowcol.?.XmPushButton.background: wheat1",
    ".adapsmonitor.alertwindow.alertform.alertheaderform.alertheader.labelString: ADAPS Monitor Alert",
    ".adapsmonitor.alertwindow.alertform.alertheaderform.alertheader.alignment: XmALIGNMENT_CENTER",
    ".adapsmonitor.alertwindow.alertform.alertheaderform.alertheader.fontList: 8X13",
    ".adapsmonitor.alertwindow.alertform.alertheaderform.alertheader.foreground: black",
    ".adapsmonitor.alertwindow.alertform.alertheaderform.alertheader.fontList: 8x13",
    ".adapsmonitor.alertwindow.alertform.alertbuttonform.alertackbutton.labelString: Acknowledge",
    ".adapsmonitor.alertwindow.alertform.alertbuttonform.alertapplybutton.labelString: Apply Changes",
    ".adapsmonitor.alertwindow.alertform.alertlistform*background: rgb:ff/32/28",
    ".adapsmonitor.alertwindow.alertform.alertlistform.alertscroll.ScrolledWindowClipWindow.alertrowcol.alertform.alertbuttons*background: firebrick2",
    ".adapsmonitor.alertwindow.alertform.alertbuttonform.XmPushButton.background: wheat1",
    ".adapsmonitor.alertwindow.alertform.alertbuttonform.XmPushButton.foreground: black",
    ".adapsmonitor.alertwindow.alertform.alertbuttonform.XmPushButton.highlightOnEnter: True",
".adapsmonitor.mainw.dialogTitle: ADAPS Monitor Main Window",
".adapsmonitor.dialog_popup.title: Exit Confirmation",
".adapsmonitor.modifywind.title: ADAPS Monitor Modify Window",
".adapsmonitor.fileselect_popup.title: ADAPS Monitor File Select Window",
".adapsmonitor.dialog2_popup.title: ADAPS Monitor Message Dialog",
".adapsmonitor.alertwindow.title: ADAPS Monitor Alert Window",
    NULL };

