/*******************************************************************************
NAME:		CLOSE_LAS 

PURPOSE:	Close all the LAS files

*******************************************************************************/
#include "las.h"
#include "adaps.h"
#include "atmocor.h"

int close_las
(
    struct FDESC *fdesc[]	/* File descriptors to the images	*/
)
{
long image;			/* loop index counting the images	*/

/* Close the image files
------------------------*/
for (image = 0; image < NUM_IMGS; image++)
    {
    if (fdesc[image] > 0)
	{
	if (c_eclose(&fdesc[image]) != E_SUCC)
	    {
	    c_lasmsg(FALSE,"atmocor-close","Error closing the image file");
	    c_lasmsg(FALSE,"atmocor-nonfatal","Nonfatal error encountered");
	    }
	}
    }

return E_SUCC;
}
