/*******************************************************************************
NAME:           OPEN_SCAN

PURPOSE:        Open the scan file for writing out line,sample pairs

*******************************************************************************/
#include <stdio.h>
#include <string.h>
#include "worgen.h"
#include "util.h"
#include "dcw2ras.h"

void open_scan
(
FILE	**fp_scn
)
{
extern char tfiles[3][CMLEN];	/* output temporary host file names	     */
extern long numout;		/* number of output temp files		     */

long	fatal = -1; 		/* fatal error code			     */

/*
  Create the output scan file name
*/
strcpy(tfiles[SCANFIL],"dcw2ras_scan");
c_creat_name(tfiles[SCANFIL],"txt");

/*
  Open the scan file
*/
*fp_scn = fopen(tfiles[SCANFIL],"w");
if (*fp_scn == NULL)
    c_errmsg("Error opening scan file","dcw2ras-opnscn",&fatal);

/*
  Increment the temporary output file array counter
*/
numout++;

return;
}
