#define NLINES 180
#define NSAMPS 360

#ifndef TOVSIN_H
#define TOVSIN_H

int getpar
(
struct  PARBLK *vblock,         /* Input parameter block                */
char    infile[3][CMLEN],       /* Input file names                     */
char    *outfile,               /* Output file name                     */
char    *qcimg                  /* QC image file name                   */
);

int write_output
(
char    outfile[CMLEN],         /* Output file name                     */
char    qcimg[CMLEN],           /* QC image file name                   */
float   wvbuf[NLINES][NSAMPS],  /* daily observation H2O buffer         */
float   qcbuf[NLINES][NSAMPS]   /* quality control buffer       */
);

int process
(
char    infile[3][CMLEN],       /* Input file name                      */
float   wvbuf[NLINES][NSAMPS],  /* daily observation H2O buffer         */
float   qcbuf[NLINES][NSAMPS]   /* quality control buffer       */
);


int upddr
(
char    *outfile                /* host file name of output image       */
);

#endif
