/*****************************************************************************
FUNCTION:	CLOSELUI

PURPOSE:	Close all LUI images

Version  Date	Programmer	Modifications
-------  -----	---------------	---------------------------------------------
  1.0    06/99	D.Lloyd		Initial development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
	Run under TAE

PROJECT:	ADAPS
*****************************************************************************/
#include "getatm.h"



void closelui
(
    long	elevlui,	/* IN - elevation LUI pointer		*/
    long	ozonelui,	/* IN - ozone LUI pointer		*/
    long	qclui,		/* IN - qc LUI pointer			*/
    long	waterlui 	/* IN - water vapor LUI pointer		*/
)
{
if ( elevlui != -1 )
    c_closelui( elevlui );

if ( ozonelui != -1 )
    c_closelui( ozonelui );

if ( qclui != -1 )
    c_closelui( qclui );

if ( waterlui != -1 )
    c_closelui( waterlui );

}
