/***************************************************************************
NAME      		  CLEAN_BLK

PURPOSE: Report and delete any bad data blocks yet remaining in the linked
         list.

PROGRAM HISTORY
PROGRAMMER	  DATE		REASON
----------	  ----		------
T. Baltzer	Oct. 1991	Original development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS

PROJECT   	         ADAPS		                

LANGUAGE		  C	

******************************************************************************/

#include <stdio.h>
#include "las.h"
#include "linedrop.h"


FUNCTION clean_blk()

{

struct BAD_BLK *temp;                  /* temporary pointer              */

while (alph_blk)
   {
   fix_blk(alph_blk->start_line,alph_blk->start_samp,
           alph_blk->end_line,alph_blk->end_samp);
   temp = alph_blk;
   if ( delete_blk(&temp) == E_FAIL )
      return(E_FAIL);
   }

return(E_SUCC);
}
