/****************************************************************************
NAME:		SORTC

PURPOSE:	Bubble sort the input array and carry along the same element
		from the second array
*****************************************************************************/
#include <stdio.h>
#include "worgen.h"

FUNCTION sortc(srt_array, ass_array, nelements)

long	srt_array[],	/* The array to be sorted on			     */
	nelements;	/* Number of elements to sort			     */

float	ass_array[];	/* Array associated & sorted based on the sort array */
{
float	ftemp;		/* Temporary variable for the bubble sorting	     */

long	i, j;		/* Looping variables				     */
long	ltemp;		/* Temporary variable for the bubble sorting	     */


/*
  Bubble sort the input array and carry along the same element from the
  associated array
*/
for (i = 0; i < (nelements - 1); i++)
    {
    for (j = i + 1; j < nelements; j++)
	{
	/*
          Move the current array value if it is greater than the next element
	*/
	if (srt_array[i] > srt_array[j]) 
	    {
	    /*
	      Move the current element down
	    */
	    ltemp = srt_array[i];
	    srt_array[i] = srt_array[j];
	    srt_array[j] = ltemp;

	    /*
	      Move the associated element in the associated array down also
	    */
	    ftemp = ass_array[i];
	    ass_array[i] = ass_array[j];
	    ass_array[j] = ftemp;
	    }
	}
    }

return;
}
