#define MAX_PTS	50	/* Maximum number of points in a WDBII record	*/

#define REGIONS		5	/* Number of regions in WDBII		*/
#define NA		1	/* North America			*/
#define SA		2	/* South America			*/
#define AS		3	/* Asia					*/
#define EU		4	/* Europe				*/
#define AF		5	/* Africa				*/

#define LEVELS	6	/* Number of feature levels in WDBII		*/
#define CIL	1	/* Coastlines, Islands, and Lakes		*/
#define RIV	2	/* Rivers					*/
#define BDY	3	/* International boundaries			*/
#define PDY	4	/* Political boundaries				*/
#define RRR	5	/* Railroads					*/
#define RDS	6	/* Roads					*/

#define SCANFIL	0	/* Index to temporary file array for scan file  */
#define SORTFIL 1	/* Index to temporary file array for sort file  */

#define NULZONE 62      /* GCTP constant signifying null zone   	*/
#define DEGREES 4       /* Degrees                              	*/

#define NORTH 1		/* North Pole					*/
#define SOUTH -1	/* South Pole					*/
#define NONE 0		/* No Pole					*/

#ifndef MIN
#define MIN(a,b)  ((a) < (b) ? (a) : (b))
#endif
#ifndef MIN4
#define MIN4(a,b,c,d) (MIN(a,b) < MIN(c,d) ? MIN(a,b) : MIN(c,d))
#endif
#ifndef MAX4
#define MAX4(a,b,c,d) (LASMAX(a,b) > LASMAX(c,d) ? LASMAX(a,b) : LASMAX(c,d))
#endif
