#ifndef WINDOW1B_H
#define WINDOW1B_H

#include "avhrr.h"


void clean_up
(
struct PARBLK *vblock,  /* Variable block                       */
FILE *in_fd,            /* File descriptor to input image       */
FILE *out_fd,           /* File descriptor to output image      */
long tape,              /* Tape file flag  (T = open F = closed)*/
long tun,               /* Tape unit number                     */
const char outnam[2][CMLEN],    /* Output files needed to be cleaned up */
long outcnt             /* Output file count                    */
);

int get_out
(
struct PARBLK   *vblock,        /* TAE parameter block                      */
char            *hosout,        /* Output host file name                    */
long            *genfil,        /* Flag to generate an output file name     */
char    outnam[2][CMLEN],       /* Output files                             */
long            *outcnt         /* Number of output files                   */
);

int getpar
(
struct PARBLK *vblock,  /* Variable block                               */
char comment[][CMLEN],  /* Description of the tape(s)                   */
char infile[],          /* Input filename                               */
long *skip,             /* Number of files to skip before processing    */
char *hosout,           /* Host output name                             */
long *genfil,           /* Flag to generate an output file name         */
long *unchans,          /* Number of bands specified by user            */
long uchan[NCHANS],     /* User input satellite channels to process     */
long *msgtim,           /* Time between processing messages             */
long *pack_flg,         /* Flag to tell if user asked for packed data   */
char outnam[2][CMLEN],  /* Output files                                 */
long *outcnt,           /* Number of output files                       */
char drive[]            /* Input drive name                             */
);

void taeland
(
struct  PARBLK  *vblock,        /* pointer to variable block            */
long            rdstatus        /* status value to return               */
);

#endif
