/*****************************************************************************
FUNCTION:	TAELAND

PURPOSE:	Returns a status to the calling PDF.

Version  Date	Programmer	Modifications
-------  -----	---------------	---------------------------------------------
  1.0    12/97	T.Baltzer	Initial development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
	Run under TAE

PROJECT:	ADAPS
*****************************************************************************/
#include "las.h"
#include "localprotos.h"


void taeland
(
struct	PARBLK	*vblock,	/* pointer to variable block		*/
long		rdstatus	/* status value to return		*/
)

{
int	iarr[1];		/* 1-D integer array			*/


/*
  Return the status to the TAE variable block
*/
iarr[0] = (int)rdstatus;

if (q_intg( vblock, "STATUS", 1, iarr, P_UPDATE ) != SUCCESS)
    c_lasmsg(TRUE,"window1b-rprm","Error returning parameter to TAE");

if (q_out( vblock ) != SUCCESS)
    c_lasmsg(TRUE,"window1b-rprm","Error returning parameter to TAE");

return;
}

