#include "xplot.h"

/*
 * CALLBACK PROCEDURE DECLARATIONS
 */
/* plotting modules */
extern void create_new_pass();
extern void no_new_pass();
extern void check_date();
extern void check_time();
extern void check_mins();

extern void load_help();

/* newPassFrame */
Widget create_new_pass_dialog(parent,satellite,numsats)	

Widget parent;	/* newPassDialogShell */
long    satellite[],
        numsats;
{
    Arg         args[512];
    Cardinal    argcnt;
    Boolean     argok;
    Widget      retval;
    Widget      newPassFrame;
    Widget      newPassForm;
    XmString    xmstr[5];
static char return_translation[] = "<Key>Return: activate() next-tab-group()";
    XtTranslations translations;
    char title[10];
    long i;
    char *defSat;
    long defaultSat = 0;

    Widget	menuShells;
    Widget	menuShelld;
    Widget	pulldownMenuS;
    Widget	pulldownMenuD;
    Widget	newSeparator;
    Widget 	newCancelButton;
    Widget 	newOkButton;
    Widget 	newHelpButton;
    Widget	satFrame;
    Widget	dtypeFrame;
    Widget  	nSatLabel;
    Widget  	nDateLabel;
    Widget  	nTimeLabel;
    Widget  	nLengthLabel;
    Widget	newPassLabel;
    Widget	temp;

/*
  Set up translations to apply to Text widgets
*/
translations = XtParseTranslationTable(return_translation);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, 10); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, 10); argcnt++;
    newPassFrame = XtCreateWidget("newPassFrame", xmFrameWidgetClass,
                parent, args, argcnt);
    retval = newPassFrame;

    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNautoUnmanage, False); argcnt++;
    newPassForm = XtCreateWidget("newPassForm", xmFormWidgetClass,
		newPassFrame, args, argcnt);
    XtManageChild(newPassForm);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 20); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
       "Please enter information for the new pass:",XmSTRING_DEFAULT_CHARSET)));
    argcnt++;
    newPassLabel = XtCreateWidget("newPassLabel", xmLabelWidgetClass,
		newPassForm, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(newPassLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, newPassLabel); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 30); argcnt++;
    satFrame = XtCreateWidget("satFrame", xmFrameWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(satFrame);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, satFrame); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, satFrame); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt],XmNrightAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNrightWidget, satFrame); argcnt++;
    dtypeFrame = XtCreateWidget("dtypeFrame",xmFrameWidgetClass,newPassForm,
		args,argcnt);
    XtManageChild(dtypeFrame);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, dtypeFrame); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,XmATTACH_NONE);argcnt++;
    XtSetArg(args[argcnt],XmNrightAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNrightWidget, dtypeFrame); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 110); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    nDateText = XtCreateWidget("nDateText", xmTextWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(nDateText);
    XtOverrideTranslations(nDateText,translations);
    XtAddCallback(nDateText,XmNmodifyVerifyCallback, check_date, (caddr_t)0);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, nDateText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt],XmNleftAttachment,XmATTACH_NONE);argcnt++; 
    XtSetArg(args[argcnt],XmNrightAttachment,XmATTACH_WIDGET);argcnt++; 
    XtSetArg(args[argcnt], XmNrightWidget, nDateText); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    nDateLabel = XtCreateWidget("nDateLabel", xmLabelWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(nDateLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nDateText); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nDateText); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 110); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    nTimeText = XtCreateWidget("nTimeText", xmTextWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(nTimeText);
    XtOverrideTranslations(nTimeText,translations);
    XtAddCallback(nTimeText,XmNmodifyVerifyCallback, check_time, (caddr_t)0);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, nTimeText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNrightWidget, nTimeText); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    nTimeLabel = XtCreateWidget("nTimeLabel", xmLabelWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(nTimeLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nTimeText); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, nTimeText); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 110); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmSINGLE_LINE_EDIT); argcnt++;
    nLengthText = XtCreateWidget("nLengthText", xmTextWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(nLengthText);
    XtOverrideTranslations(nLengthText,translations);
    XtAddCallback(nLengthText,XmNmodifyVerifyCallback, check_mins, (caddr_t)0);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt],XmNbottomAttachment,XmATTACH_OPPOSITE_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNbottomWidget, nLengthText); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNrightWidget, nLengthText); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    nLengthLabel = XtCreateWidget("nLengthLabel", xmLabelWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(nLengthLabel);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, nLengthText); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 5); argcnt++;
    newSeparator = XtCreateWidget("newSeparator", xmSeparatorWidgetClass,
		newPassForm, args, argcnt);
    XtManageChild(newSeparator);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, newSeparator); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 43); argcnt++;
    XtSetArg(args[argcnt], XmNx, 260); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 70); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    newCancelButton = XtCreateWidget("newCancelButton", xmPushButtonWidgetClass,
		newPassForm, args, argcnt);
    XmStringFree(xmstr[0]);
    XtAddCallback(newCancelButton,XmNactivateCallback, no_new_pass, (caddr_t)0);
    XtManageChild(newCancelButton);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"OK", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment,XmATTACH_OPPOSITE_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, newCancelButton); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 70); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    newOkButton = XtCreateWidget("newOkButton", xmPushButtonWidgetClass,
		newPassForm, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(newOkButton);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Help", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment,XmATTACH_OPPOSITE_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, newCancelButton); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition, 76); argcnt++;
    XtSetArg(args[argcnt], XmNx, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 70); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    newHelpButton = XtCreateWidget("newHelpButton", xmPushButtonWidgetClass,
		newPassForm, args, argcnt);
    XmStringFree(xmstr[0]);
    XtAddCallback(newHelpButton, XmNactivateCallback, load_help, 
	(caddr_t)"xnewpass.html");
    XtManageChild(newHelpButton);

/* create the option menu for satellites */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    menuShells = XtCreatePopupShell("menuShells", xmMenuShellWidgetClass,
                satFrame, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    pulldownMenuS = XtCreateWidget("pulldownMenuS", xmRowColumnWidgetClass,
                menuShells, args, argcnt);

    /*
      labelString is default satellite in resource file
    */
    XtVaGetValues(pulldownMenuS,XmNlabelString,&xmstr[0],NULL);
    XmStringGetLtoR(xmstr[0],XmSTRING_DEFAULT_CHARSET,&defSat);
    if (defSat != NULL)
 	{
    	sscanf(defSat,"%d",&defaultSat);
    	XtFree(defSat);
	}
    XmStringFree(xmstr[0]);

    for (i = 0; i < numsats; i++)
        {
        sprintf(title,"NOAA-%02d",satellite[i]);
        argcnt = 0;
        XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                title, XmSTRING_DEFAULT_CHARSET))); argcnt++;
        strcat(title,"n");
        temp = XtCreateManagedWidget(title, xmPushButtonWidgetClass,
                pulldownMenuS, args, argcnt);
        XmStringFree(xmstr[0]);
        if (satellite[i] == defaultSat)
            XtVaSetValues(pulldownMenuS,XmNmenuHistory,temp,NULL);
        }

    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_OPTION); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Satellite", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, pulldownMenuS); argcnt++;
    nSatBox = XtCreateWidget("nSatBox", xmRowColumnWidgetClass,
		satFrame, args, argcnt);
    XtManageChild(nSatBox);

    XtAddCallback(newOkButton, XmNactivateCallback, create_new_pass, 
	(caddr_t)nSatBox);

/* create the option menu for data types */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    menuShelld = XtCreatePopupShell("menuShelld", xmMenuShellWidgetClass,
		dtypeFrame, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    pulldownMenuD = XtCreateWidget("pulldownMenuD", xmRowColumnWidgetClass,
		menuShelld, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"HRPT", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    temp = XtCreateWidget("hrptButton", xmPushButtonWidgetClass,
		pulldownMenuD, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(temp);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"LAC", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    temp = XtCreateWidget("lacButton", xmPushButtonWidgetClass,
		pulldownMenuD, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(temp);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"GAC", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    temp = XtCreateWidget("gacButton", xmPushButtonWidgetClass,
		pulldownMenuD, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(temp);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Data type", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_OPTION); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, pulldownMenuD); argcnt++;
    nDtypeBox = XtCreateWidget("nDtypeBox", xmRowColumnWidgetClass,
		dtypeFrame, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(nDtypeBox);

return(retval);
}
