#include "xplot.h"

/*
 * CALLBACK PROCEDURE DECLARATIONS
 */
/* help modules */
extern void load_help();

/* file loading modules */
extern void cancel_load();
extern void get_recorder_satellites();

/* recorderForm */
Widget create_recorder_dialog(parent,satellite,numsats)	

Widget parent;  /* recorderDialogShell */
long    satellite[],
        numsats;
{
    Arg         args[512];
    Cardinal    argcnt;
    XmString    xmstr[5];
    Widget      retval;
    Widget	recorderFrame;
    Widget      recorderForm;
    Widget	recorderWorkArea;
    Widget	recorderTitle;
    Widget	recAcceptButton;
    Widget      fileSelectionFrame;
    char title[4];
    long i;

    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, 10); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, 10); argcnt++;
    recorderFrame = XtCreateWidget("recorderForm", xmFrameWidgetClass, 
		parent, args, argcnt);
    retval = recorderFrame;

    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    recorderForm = XtCreateWidget("recorderForm", xmFormWidgetClass, 
		recorderFrame, args, argcnt);
    XtManageChild(recorderForm);

/*
  Create all direct children tied to the form
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
	"Selection from recorder schedule",XmSTRING_DEFAULT_CHARSET)));argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNx, 60); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    recorderTitle = XtCreateWidget("recorderTitle", xmLabelWidgetClass,
		recorderForm, args, argcnt);
    XmStringFree(xmstr[0]);
    XtManageChild(recorderTitle);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET);argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, recorderTitle); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    fileSelectionFrame = XtCreateWidget("fileSelectionFrame",
                xmFrameWidgetClass, recorderForm, args, argcnt);
    XtManageChild(fileSelectionFrame);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNpattern,
      (xmstr[0]=XmStringCreateLtoR("*.sch",XmSTRING_DEFAULT_CHARSET)));argcnt++;
    fileSelectionBox = XtCreateWidget("fileSelectionBox",
                xmFileSelectionBoxWidgetClass,fileSelectionFrame,args,argcnt);
    XtAddCallback(fileSelectionBox, XmNokCallback, get_recorder_satellites, 
	(caddr_t)0);
    XtAddCallback(fileSelectionBox, XmNcancelCallback, cancel_load, (caddr_t)0);
    XtAddCallback(fileSelectionBox, XmNhelpCallback, load_help, 
	(caddr_t)"xdomsat.html");
    XmStringFree(xmstr[0]);
    XtManageChild(fileSelectionBox);

return(retval);
}
