/******************************************************************************
FUNCTION:       DELETE_SCENE

PURPOSE:        Delete a scene from the sceneList
*******************************************************************************/
#include "xplot.h"

extern void plot_pos();

void delete_scene(sceneid)

char 	*sceneid;		/* scene id to remove from the list */
{
Widget 	sceneList;
XmString xstring;

long	pos;

/*
  Get the id of the list
*/
sceneList = XmSelectionBoxGetChild(sceneBox,XmDIALOG_LIST);
xstring = XmStringCreateLtoR(sceneid,XmSTRING_DEFAULT_CHARSET);

/*
  Get the item's current position
*/
pos = XmListItemPos(sceneList,xstring);

/*
  Delete the scene from the sceneList if it is there
*/
if (XmListItemExists(sceneList,xstring))
    XmListDeleteItem(sceneList,xstring);
XmStringFree(xstring);

/*
  Plot the new item at this position
*/
plot_pos(pos);

return;
}
