/******************************************************************************
FUNCTION:       GET_SCENEID

PURPOSE:        Get the sceneid from the sceneBox
*******************************************************************************/
#include "xplot.h"

int get_sceneid (sceneid)

char	*sceneid;		/* sceneid found in the sceneBox */
{
XmString xstring;
char 	*tmp_scene;
long	len;

XtVaGetValues(sceneBox,XmNtextString,&xstring,NULL);
XmStringGetLtoR(xstring,XmSTRING_DEFAULT_CHARSET,&tmp_scene);
XmStringFree(xstring);

if (tmp_scene != NULL)	/* if there was something in the textString */
    {
    /* always uppercase the sceneid */
    len = strlen(tmp_scene);
    c_low2up(tmp_scene,&len);

    /* copy into the output string */
    strcpy(sceneid,tmp_scene);

    /* free our copy */
    XtFree(tmp_scene);
    return(0);
    }
else
    return(-1);

}

