/***************************************************************************
NAME      	QCLEAR

PURPOSE: 	Clear out the queue.  This is done by destroying the queue and
	 	creating a new one.

PROGRAM HISTORY
PROGRAMMER	  DATE		REASON
----------	  ----		------
T. Rockvam	Jan. 1993	Original development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS
 Must be run on a system that supports the X Windows environment

PROJECT   	         ADAPS		                
******************************************************************************/
#include <stdio.h>

void qclear(q)

long	*q;			/* queue to clear out			*/
{
/*
  First, destroy everything currently in the queue
*/
c_qdestroy(*q);

/*
  Now create a new queue
*/
*q = c_qcreate("fifo","dups");

return;
}
