/******************************************************************************
NAME:		C_HDRCLOSE

PURPOSE:	Close an the associated archive header file

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  5.0	 D. Hollaren   02/92	Original Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:

PROJECT:  ADAPS

ALGORITHM REFERENCES:
******************************************************************************/
#include <stdio.h>
#include <unistd.h>
#include "worgen.h"
#include "tae.h"

int c_hdrclose
(
    int *fd		/* File descriptor to the associated archive header  */
)
{
long	status,		/* Return status from the close			*/
	nonfatal = 1;	/* Non-fatal error code				*/

/*
  Close the file
*/
status = close(*fd);
if (status < 0)
    {
    c_errmsg("Error closing the associated archive header file",
	     "hdrclose-close",&nonfatal);
    return(E_FAIL);
    }

return(E_SUCC);
}
 
