/****************************************************************************
NAME:		DOT

PURPOSE:	Multiply two vectors (Dot product)

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  3.0    C. Wivell     11/92	Original Development

ALGORITHM REFERENCES:

*****************************************************************************/
#include "vector.h"

double dot
(
    struct MVECTOR *vec1,	/* Input vector one to be multiplied    */
    struct MVECTOR *vec2	/* Input vector two to be multiplied    */
)
{
double dot_product = 0.0;

dot_product = vec1->x * vec2->x + vec1->y * vec2->y + vec1->z * vec2->z;

return(dot_product);
}
 
