/****************************************************************************
NAME:		LOSVEC

PURPOSE:	Find the vector for the line of sight from the target point
		to the satellite

PROGRAM HISTORY:
VERSION	 AUTHOR	       DATE	REASON
-------	 ------	       -----	-----------------------------
  3.0    C. Wivell     11/92	Original Development

ALGORITHM REFERENCES:

*****************************************************************************/
#include "worgen.h"
#include "vector.h"

void losvec
(
    struct MVECTOR *sat,	/* Satellite location vector		     */
    struct MVECTOR *tar,	/* Target location vector		     */
    struct MVECTOR *los	/* Line of sight from target to satellite vector     */
)
{

los->x = tar->x - sat->x;
los->y = tar->y - sat->y;
los->z = tar->z - sat->z;

return;
}
 
