#!/bin/csh -f
#create database files so that datelog will abort

#set variables 
   set date =   `date +%Y-%m-%d-%H`  #current date 
   set minute = `date +%M`           #minute part of date 
   set second = `date +%S`           #second part of date 
   set counter = 0                   #loop index, number of files to create 

#make several files 

   while ($counter < 20)

      #increment variables 
	 @ second += 0  #eliminate leading zero 
	 @ minute += 0  #eliminate leading zero 
	 if ($second < 10) set second = "0"$second 
	 if ($minute < 10) set minute = "0"$minute 
	 set outfile = db_$date":"$minute":"$second.composite

      #check for overflow of seconds 
	 if ($second == 60) then
	    @ minute++
	    set second = 0 
	 endif

      #check for overflow of minutes
	 if ($minute == 60) then
	    make_files.csh
	    exit
	 endif

      #create file and issue user message 
	 echo > $outfile 
	 echo "[make_files.csh] Created file $outfile"

      #increment variables.  must be at end of loop so that the first file made
      #will have the current date 
	 @ counter++
	 @ second++ 
   end 

#complete
   exit 0 
