#!/bin/csh -f
# Script to check if acquman, shoacqu and acquire are running
# 
# $Log: check_acq.csh,v $
# Revision 1.1  2003/04/23 12:12:18  dlloyd
# Initial checking of miscellaneous scripts.
#
#
#-------------------------------------------------------------------------

set acq = `ps -e -o pid -o ucomm | grep acquman`
if ( ${#acq} > 0 ) then
    echo "PID $acq is okay"
else
    echo "Acquman is not running"
endif

set sho = `ps -e -o pid -o ucomm | grep shoacqu`
if ( ${#sho} > 0 ) then
    echo "PID $sho is okay"
else
    echo "Shoacqu is not running"
endif

set acquire = `ps -e -o pid -o ucomm | grep acquire`
if ( ${#acquire} > 0 ) then
    echo "PID $acquire is okay"
else
    echo "acquire is not running"
endif
