      SUBROUTINE AVHQC (IREC)                                           
C********************************************************************** 
C                                                                       
C    FUNCTION - SUBROUTINE AVHQC UNPACKS QUALITY FLAGS FROM THE         
C     LAC 1B HEADER RECORD.                                             
C                                                                       
C                                                                       
C    CALLED BY- AVHFDC                                                  
C                                                                       
C*********************************************************************  
C                                                                       
C                                                                       
      INCLUDE "inc/inclav.f"                                                 
      INCLUDE "inc/qcflgs.f"                                                  
C                                                                       
C                                                                       
      INTEGER*4  QQFLAG(16), IREC  
C
C....CHANGES MADE BY R YANAMANDRA TO INITIALIZE THE BUFFER BEFORE
C....USING IT
C
      DATA QQFLAG/16*0/                                     
C                                                                       
C                                                                       
C---------------------------------------------------------------------  
C                                                                       
C                                                                       
C...DECODE OTHER FLAGS                                                  
C                                                                       
            QQFLAG(1)  = ISHFT( IQUAL(IREC),-15)                        
            QQFLAG(2)  = ISHFT( ISHFT(IQUAL(IREC),17),-31)              
            QQFLAG(3)  = ISHFT( ISHFT(IQUAL(IREC),18),-31)              
            QQFLAG(4)  = ISHFT( ISHFT(IQUAL(IREC),19),-31)              
            QQFLAG(5)  = ISHFT( ISHFT(IQUAL(IREC),20),-31)              
            QQFLAG(6)  = ISHFT( ISHFT(IQUAL(IREC),21),-31)              
CCCCCC      QQFLAG(7)  = ISHFT( ISHFT(IQUAL(IREC),22),-31)  
C                                                           ! A/D FLAG  
            QQFLAG(8)  = ISHFT( ISHFT(IQUAL(IREC),23),-31)              
            QQFLAG(9)  = ISHFT( ISHFT(IQUAL(IREC),24),-31)              
            QQFLAG(10) = ISHFT( ISHFT(IQUAL(IREC),25),-31)              
            QQFLAG(11) = ISHFT( ISHFT(IQUAL(IREC),26),-31)              
            QQFLAG(12) = ISHFT( ISHFT(IQUAL(IREC),27),-31)              
            QQFLAG(13) = ISHFT( ISHFT(IQUAL(IREC),28),-31)              
            QQFLAG(14) = ISHFT( ISHFT(IQUAL(IREC),29),-31) 
C                                                          ! SPARE      
            QQFLAG(15) = ISHFT( ISHFT(IQUAL(IREC),30),-31) 
C                                                          ! SPARE      
            QQFLAG(16) = ISHFT( ISHFT(IQUAL(IREC),31),-31) 
C                                                          ! CLAVR FLAG 
C                                                                       
            DO 10 IQ = 1, 16                                            
             IF (QQFLAG(IQ) .NE. 0) FLAGQ = .TRUE.                      
   10       CONTINUE                                                    
C                                                                       
            QFLAG(1)  = QFLAG(1)  + QQFLAG(1)                           
            QFLAG(2)  = QFLAG(2)  + QQFLAG(2)                           
            QFLAG(3)  = QFLAG(3)  + QQFLAG(3)                           
            QFLAG(4)  = QFLAG(4)  + QQFLAG(4)                           
            QFLAG(5)  = QFLAG(5)  + QQFLAG(5)                           
            QFLAG(6)  = QFLAG(6)  + QQFLAG(6)                           
CCCCC       QFLAG(7)  = QFLAG(7)  + QQFLAG(7)      
C                                                  !  A/D FLAG          
            QFLAG(8)  = QFLAG(8)  + QQFLAG(8)                           
            QFLAG(9)  = QFLAG(9)  + QQFLAG(9)                           
            QFLAG(10) = QFLAG(10) + QQFLAG(10)                          
            QFLAG(11) = QFLAG(11) + QQFLAG(11)                          
            QFLAG(12) = QFLAG(12) + QQFLAG(12)                          
            QFLAG(13) = QFLAG(13) + QQFLAG(13)                          
            QFLAG(14) = QFLAG(14) + QQFLAG(14)     
C                                                  ! SPARE              
            QFLAG(15) = QFLAG(15) + QQFLAG(15)     
C                                                  ! SPARE              
            QFLAG(16) = QFLAG(16) + QQFLAG(16)     
C                                                  ! CLAVR FLAG         
C                                                  
C                                                  ! (NOT SET YET)      
C                                                                       
C                                                                       
      RETURN                                                            
      END                                                               
