      SUBROUTINE CLOSFL (NBPREX, N1CREX)                                
C                                                                       
C********************************************************************** 
C                                                                       
C   NAME- CLOSFL                         EXPIRES- 12/31/99              
C                                                                       
C   LANGUAGE- VS FORTRAN  TYPE- MAIN                                    
C                                                                       
C   VERSION- 1.0    DATE- ??/??/??   PROGRAMMER- C. LONG     (SSAI)     
C   VERSION- 1.1    DATE- 09/12/91   PROGRAMMER- DEBBIE CARR (SMSRC)    
C                                                                       
C   FUNCTION-*$EK10DC* CLOSES ALL CLAVR OUTPUT FILES.                   
C                                                                       
C                                                                       
C   CALLING SEQUENCE PARAMETERS-                                        
C      VARIABLE         I/O   TYPE   FUNCTION                           
C      --------         ---   ----   --------                           
C      UNITBP            I    I*4    UNIT NUMBER FOR THE 1B PRIME FILE  
C      NBPREX           I/O   I*4    # DATA RECORDS WRITTEN TO 1B PRIME 
C      N1CREX           I/O   I*4    # DATA RECORDS WRITTEN TO 1C       
C                                                                       
C   LOCAL PARAMETERS-                                                   
C      VARIABLE               TYPE  FUNCTION                            
C      --------               ----  --------                            
C      (NONE)                                                           
C                                                                       
C                                                                       
C   FILES-                                                              
C      DSN OR DESCRIPTIVE TITLE    I/O  UNIT  FUNCTIONAL DESCRIPTION    
C      --------------------------  ---  ----  ----------------------    
C      <GAC 1B PRIME FILE>          O  UNITBP GAC 1B PRIME FILE         
C      <1C FILE>                    O  UNIT1C GAC 1C FILE               
C                                                                       
C                                                                       
C   SUBPROGRAMS CALLED- (NONE)                                          
C                                                                       
C   RESTRICTIONS- 1B PRIME FILES WILL ONLY BE CREATED IF PROCESSING     
C      GAC DATA AND THE USER SETS THE PROPER OPTION/FLAG 'ON' IN        
C      THE JCL/FT05F001 CARD IMAGE INPUT DATA RECORD.                   
C                                                                       
C   COMMENTS- (NONE)                                                    
C                                                                       
C   COMMON AREAS- CLVUNT                                                
C                                                                       
C********************************************************************** 
C                                                                       
C********************************************************************** 
C                                                                       
C                                                                       
      INCLUDE "inc/clvunt.f"                                                 
C                                                                       
C                                                                       
C********************************************************************** 
C                                                                       
C... LOCAL VARIABLE DECLARATIONS.                                       
C                                                                       
C                                                                       
      INTEGER*4  NBPREX, N1CREX                                         
C                                                                       
C                                                                       
C---------------------------------------------------------------------- 
C                                                                       
C                                                                       
C... CLOSE CLAVR ORBITAL PROCESSING OUTPUT FILES.                       
C                                                                       
      CLOSE (UNITBP)                                                    
C                                                                       
      CLOSE (UNIT1C)                                                    
C                                                                       
C     WRITE (6, 1000) UNITBP, NBPREX, UNIT1C, N1CREX                    
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
 1000 FORMAT (//,2X, '++++ SUCCESSFUL CLOSE OF CLAVR OUTPUT FILES ++++',
     1 //,2X, 'UNIT ', I2, ' 1B PRIME ==> ', I5, ' RECORDS WRITTEN',    
     2  /,2X, 'UNIT ', I2, ' 1C FILE  ==> ', I5, ' RECORDS WRITTEN',    
     3        //,2X, '++++++++++++++++++++++++++++++++++++++++++++++++',
     4 //)                                                              
C                                                                       
      END                                                               
