C***********************************************************************
      LOGICAL FUNCTION  DESCHK (ALAT, ALON)                             
C***********************************************************************
C                                                                       
C                                                                       
C                                                                       
      REAL*4     ALAT, ALON                                             
C                                                                       
C                                                                       
C---------------------------------------------------------------------- 
C                                                                       
      DESCHK = .FALSE.                                                  
C                                                                       
C                                                                       
C...DETERMINE IF 2X2 PIXEL ARRAY IS LOCATED WITHIN A DESERT REGION      
C   BASED ON THE MEAN LATITUDE AND LONGITUDE OF THE ARRAY.              
C                                                                       
C                                                                       
C     ***  NORTH AFRICA  *********************************              
C                                                                       
      IF ( (ALAT .GE.  10) .AND. (ALAT .LE. 35)  .AND.                  
     1     (ALON .GE. -20) .AND. (ALON .LE. 30) ) THEN                  
        DESCHK = .TRUE.                                                 
C                                                                       
C                                                                       
C     ***  ASIA / AFRICA / SAUDI ARABIA  *****************              
C                                                                       
        ELSEIF ( (ALAT .GE.  5) .AND. (ALAT .LE. 50)  .AND.             
     1           (ALON .GE. 30) .AND. (ALON .LE. 60) ) THEN             
          DESCHK = .TRUE.                                               
C                                                                       
C                                                                       
C     ***  CENTRAL ASIA  *********************************              
C                                                                       
        ELSEIF ( (ALAT .GE. 25) .AND. (ALAT .LE.  50)  .AND.            
     1           (ALON .GE. 60) .AND. (ALON .LE. 110) ) THEN            
          DESCHK = .TRUE.                                               
C                                                                       
C                                                                       
C     ***  AUSTRALIA  ************************************              
C                                                                       
        ELSEIF ( (ALAT .LE. -19) .AND. (ALAT .GE. -31)  .AND.           
     1           (ALON .GE. 121) .AND. (ALON .LE. 141) ) THEN           
          DESCHK = .TRUE.                                               
C                                                                       
      END IF                                                            
C                                                                       
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
      END                                                               
