      SUBROUTINE  EMESG (ECODE, MODULE, COND)                           
C********************************************************************** 
C                                                                       
C    FUNCTION - THIS ROUTINE WILL ACCEPT AN ERROR CODE, THE CALLING     
C               MODULE'S NAME, AND A DESCRIPTION OF WHETHER THE ERROR   
C               CONDITION IS "OK" OR "FATAL".  AN APPROPRIATE ERROR     
C               MESSAGE WILL THEN BE PRINTED, AND IN CASES OF FATAL     
C               ERRORS, EXECUTION WILL BE HALTED.                       
C                                                                       
C                                                                       
      INTEGER*4     ECODE, MAXERR, I, J, K, L                           
C                                                                       
      PARAMETER    (MAXERR = 100, I=1, J=45, K=46, L=90)                
C                                                                       
C                                                                       
      CHARACTER*5   COND                                                
C                                                                       
      CHARACTER*8   MODULE                                              
C                                                                       
      CHARACTER*90  MS (0:MAXERR)                                       
C                                                                       
C --------------------------------------------------------------------- 
C                                                                       
      DATA MS( 0)(I:J)/'INVALID ERROR CODE SENT TO SUBROUTINE EMESG- '/ 
      DATA MS( 0)(K:L)/'CODE IS LESS THAN 1 OR GREATER THAN 100      '/ 
C                                                                       
      DATA MS( 1)(I:J)/'POSSIBLE 1 HOUR ERROR IN (GMT) PROCESSING TIM'/ 
      DATA MS( 1)(K:L)/'E                                            '/ 
C                                                                       
      DATA MS( 2)(I:J)/'AVHRR 1B HEADER RECORD READ ERROR            '/ 
      DATA MS( 2)(K:L)/'                                             '/ 
C                                                                       
      DATA MS( 3)(I:J)/'***********  FREE ERROR MESSAGE  ************'/ 
      DATA MS( 3)(K:L)/'                                             '/ 
C                                                                       
      DATA MS( 4)(I:J)/'STARTING SCAN # ENTERED IS GREATER THAN TOTAL'/ 
      DATA MS( 4)(K:L)/'# SCANLINES IN THE ORBIT                     '/ 
C                                                                       
      DATA MS( 5)(I:J)/'INVALID 1B DATA TYPE -- NOT AVHRR            '/ 
      DATA MS( 5)(K:L)/'                                             '/ 
C                                                                       
      DATA MS( 6)(I:J)/'# VALID SCAN ANCHOR POINTS NOT EQUAL TO 51 ( '/ 
      DATA MS( 6)(K:L)/'EXPECTED VALUE)                              '/ 
C                                                                       
      DATA MS( 7)(I:J)/'INVALID JCL-SPECIFIED DATA TYPE              '/ 
      DATA MS( 7)(K:L)/'                                             '/ 
C                                                                       
      DATA MS( 8)(I:J)/'JCL SPECIFICATIONS FOR IMAGE FILE CREATION AR'/ 
      DATA MS( 8)(K:L)/'E INVALID -- REQUEST IGNORED                 '/ 
C                                                                       
      DATA MS( 9)(I:J)/'INVLAID JCL SPECIFICATION FOR CLAVR 1C OUTPUT'/ 
      DATA MS( 9)(K:L)/' DESTINATION                                 '/ 
C                                                                       
      DATA MS(10)(I:J)/'INVALID 2X2 LAND/SEA TAG ASSIGNED; PROPER ALG'/ 
      DATA MS(10)(K:L)/'ORITHM PATH CANT BE DETERMINED- ARRAY SKIPPED'/ 
C                                                                       
      DATA MS(11)(I:J)/'INVALID 2X2 DAY/NITE DESIGNATION; PROPER ALGO'/ 
      DATA MS(11)(K:L)/'RITHM PATH CANT BE DETERMINED- ARRAY SKIPPED '/ 
C                                                                       
      DATA MS(12)(I:J)/'ERROR READING LAND/SEA TAG DATABASE          '/ 
      DATA MS(12)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(13)(I:J)/'OPEN FAILED FOR AVHRR 1B FILE                '/ 
      DATA MS(13)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(14)(I:J)/'UNEXPECTED END-OF-FILE REACHED FOR AVHRR 1B  '/ 
      DATA MS(14)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(15)(I:J)/'DATA RECORD READ ERROR -- AVHRR 1B           '/ 
      DATA MS(15)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(16)(I:J)/'INVALID SATELLITE ID -- AVHRR 1B HEADER      '/ 
      DATA MS(16)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(17)(I:J)/'OPEN FAILED FOR CLAVR 1C FILE                '/ 
      DATA MS(17)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(18)(I:J)/'INVALID PROGRAM NAME; DETERMINATION OF LAST R'/ 
      DATA MS(18)(K:L)/'ECORD PROCESSED BY PRIOR RUN CANT BE MADE    '/ 
C                                                                       
      DATA MS(19)(I:J)/'HOUSEKEEPING RECORD READ ERROR -- CLAVR 1C FI'/ 
      DATA MS(19)(K:L)/'LE                                           '/ 
C                                                                       
      DATA MS(20)(I:J)/'NO MATCH FOR ALGORITHM TEST COMBINATION; CLOU'/ 
      DATA MS(20)(K:L)/'D CODE CANT BE ASSIGNED - SKIPPING 2X2 ARRAY '/ 
C                                                                       
      DATA MS(21)(I:J)/'RESULT OF CLAVR ALG. DOESNT MATCH POSSIBLE RE'/ 
      DATA MS(21)(K:L)/'SULTS OF CLEAR,CLOUDY,MIXED - SKIPPING 2X2   '/ 
C                                                                       
      DATA MS(22)(I:J)/'ANGLE LIMIT FOR THERMAL UNIFORMITY RESTORAL C'/ 
      DATA MS(22)(K:L)/'OULDNT BE DETERMINED - 2X2 NOT RESTORED      '/ 
C                                                                       
      DATA MS(23)(I:J)/'INVALID PROGRAM NAME PASSED; CLAVR 1C HOUSEKE'/ 
      DATA MS(23)(K:L)/'EPING RECORD CANNOT BE UPDATED               '/ 
C                                                                       
      DATA MS(24)(I:J)/'OPEN FAILED FOR SKELETON JCL FILE            '/ 
      DATA MS(24)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(25)(I:J)/'OPEN FAILED FOR TEMPORARY OUTPUT JCL         '/ 
      DATA MS(25)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(26)(I:J)/'H/K WORD #6 IN THE 1C DATA SET IS OUT OF BOUN'/ 
      DATA MS(26)(K:L)/'DS                                           '/ 
C                                                                       
      DATA MS(27)(I:J)/'H/K WORD #5 IN THE 1C DATA SET IS OUT OF BOUN'/ 
      DATA MS(27)(K:L)/'DS                                           '/ 
C                                                                       
      DATA MS(28)(I:J)/'H/K WORD #10 IN THE 1C DATA SET IS OUT OF BOU'/ 
      DATA MS(28)(K:L)/'NDS                                          '/ 
C                                                                       
      DATA MS(29)(I:J)/'LAST REC. WRITTEN TO 1C DATA SET DOES NOT EQU'/ 
      DATA MS(29)(K:L)/'AL END REC. OF THE LAST ORBIT PROCESSED.    '/  
C                                                                       
      DATA MS(30)(I:J)/'LAST REC. WRITTEN TO 1C DATA SET EQUALS THE L'/ 
      DATA MS(30)(K:L)/'AST REC. ARC. TO TAPE--NO NEW RECS TO ARCHIVE'/ 
C                                                                       
      DATA MS(31)(I:J)/'ONE OF THE START/END ORBIT RECORDS IN THE 1C '/ 
      DATA MS(31)(K:L)/'H/K RECORD IS OUT OF RANGE.                  '/ 
C                                                                       
      DATA MS(32)(I:J)/'READ ERROR IN THE INPUT JCL                  '/ 
      DATA MS(32)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(33)(I:J)/'OPEN FAILED FOR THE ARCHIVE LOG DATA SET     '/ 
      DATA MS(33)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(34)(I:J)/'READ ERROR -- 1C ORBIT HEADER RECORD         '/ 
      DATA MS(34)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(35)(I:J)/'READ ERROR -- 1C DATA RECORD                 '/ 
      DATA MS(35)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(36)(I:J)/'ORBIT START DATE IS MORE THAN 1 DAY FROM CURR'/ 
      DATA MS(36)(K:L)/'ENT DATE -- THIS ORBIT CANNOT BE PROCESSED   '/ 
C                                                                       
      DATA MS(37)(I:J)/'OPEN FAILED FOR TEMPORARY-OUTPUT JCL FILE    '/ 
      DATA MS(37)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(38)(I:J)/'USER INPUT VALUE IS OUT OF BOUNDS -- THE VALU'/ 
      DATA MS(38)(K:L)/'E MUST BE EITHER A 2, 3, OR 4                '/ 
C                                                                       
      DATA MS(39)(I:J)/'OPEN FAILED FOR MCAD DATA SET                '/ 
      DATA MS(39)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(40)(I:J)/'OPEN FAILED FOR DCAD DATA SET                '/ 
      DATA MS(40)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(41)(I:J)/'THE JCL USER INPUT VALUE DOES NOT CORRESPOND '/ 
      DATA MS(41)(K:L)/'WITH THE ASC/DESC FLAG FROM DCAD FILE        '/ 
C                                                                       
      DATA MS(42)(I:J)/'THE NEXT TAPE LABEL NUMBER IS INCORRECT.     '/ 
      DATA MS(42)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(43)(I:J)/'READ ERROR OCCURRED ON THE SKELETON JCL FILE '/ 
      DATA MS(43)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(44)(I:J)/'READ ERROR FROM MCAD FILE                    '/ 
      DATA MS(44)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(45)(I:J)/'READ ERROR FROM DCAD FILE                    '/ 
      DATA MS(45)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(46)(I:J)/'OPEN FAILED FOR CAD TAPE INFORMATION FILE    '/ 
      DATA MS(46)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(47)(I:J)/'READ ERROR FOR CAD TAPE INFORMATION FILE     '/ 
      DATA MS(47)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(48)(I:J)/'READ ERROR FOR ARCHIVE LOG                   '/ 
      DATA MS(48)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(49)(I:J)/'OPEN FAILED FOR THE 1C TAPE INFORMATION FILE '/ 
      DATA MS(49)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(50)(I:J)/'READ ERROR FOR THE 1C TAPE INFORMATION FILE  '/ 
      DATA MS(50)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(51)(I:J)/'READ ERROR FROM SKELETON JCL IN PROGRAM CPY1A'/ 
      DATA MS(51)(K:L)/'RC                                           '/ 
C                                                                       
      DATA MS(52)(I:J)/'NO NEW 1C ARCHIVE RECORDS TO PROCESS         '/ 
      DATA MS(52)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(53)(I:J)/'DATA FROM THIS ORBIT IS MORE THAN 1 DAY BEYON'/ 
      DATA MS(53)(K:L)/'D START DATE- NO MORE DATA WILL BE PROCESSED '/ 
C                                                                       
      DATA MS(54)(I:J)/'LAST ORBIT PROCESSED BY CLOUD CLASS & MAPPING'/ 
      DATA MS(54)(K:L)/' PROGRAMS IS THE SAME -- NO NEW 1C DATA AVAIL'/ 
C                                                                       
      DATA MS(55)(I:J)/'1C ORBIT INDEX #S FOR LAST ORBITS PROCESSED B'/ 
      DATA MS(55)(K:L)/'Y CLOUD CLASS & MAPPING PROGS DONT MATCH !!  '/ 
C                                                                       
      DATA MS(56)(I:J)/'1C RECORD RANGES FOR LAST ORBIT PROCESSED BY '/ 
      DATA MS(56)(K:L)/'CLOUD CLASS & MAPPING PROGS DONT MATCH !!    '/ 
C                                                                       
      DATA MS(57)(I:J)/'WARNING!!  1C HK REC SHOWS NO NEW ORBITS TO P'/ 
      DATA MS(57)(K:L)/'ROCESS BUT LAST CLAVRORB REC .NE. LAST CAM!! '/ 
C                                                                       
      DATA MS(58)(I:J)/'OPEN FAILED FOR THE MCAD DATA SET -- NO DATA '/ 
      DATA MS(58)(K:L)/'WILL BE WRITTEN TO THIS FILE                 '/ 
C                                                                       
      DATA MS(59)(I:J)/'ERROR OCCURRED CONVERTING TAPE OR FILE NUMBER'/ 
      DATA MS(59)(K:L)/' TO CHARACTER STRING FOR INCLUSION IN JCL    '/ 
C                                                                       
      DATA MS(60)(I:J)/'WARNING!! THE # FILES READ FOR THIS ORBITAL M'/ 
      DATA MS(60)(K:L)/'ODE DOES NOT EQUAL THE # DAYS IN THE MONTH   '/ 
C                                                                       
      DATA MS(61)(I:J)/'READ FAILURE FOR SPACECRAFT CONSTANTS FILE   '/ 
      DATA MS(61)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(62)(I:J)/'READ FAILURE FOR CHANNEL 4 NONLINEAR CORRECTI'/ 
      DATA MS(62)(K:L)/'ON FILE                                      '/ 
C                                                                       
      DATA MS(63)(I:J)/'READ FAILURE FOR CHANNEL 5 NONLINEAR CORRECTI'/ 
      DATA MS(63)(K:L)/'ON FILE                                      '/ 
C                                                                       
      DATA MS(64)(I:J)/'OPEN FAILED FOR SPACECRAFT CONSTANTS FILE    '/ 
      DATA MS(64)(K:L)/'                                             '/ 
C                                                                       
      DATA MS(65)(I:J)/'DATA ID FOR TAPE INFORMATION IS INVALID!  THE'/ 
      DATA MS(65)(K:L)/' VALUE MUST BE 1, 2, 3, OR 4                 '/ 
C                                                                       
      DATA MS(66)(I:J)/'# OF LAST 1C RECORD ARCHIVED DOES NOT EQUAL T'/ 
      DATA MS(66)(K:L)/'HE LAST RECORD THATS SUPPOSED TO BE ARCHIVED '/ 
C                                                                       
      DATA MS(67)(I:J)/'DATE OF DATA IN ORBITAL-MAP DAY 1 FILES = CUR'/ 
      DATA MS(67)(K:L)/'RENT SYSTEM DATE; REDUNDANT SUB OF DAILY CAM '/ 
C                                                                       
      DATA (MS (JJ), JJ = 68, 100) / 33 * ' '/                          
C                                                                       
C --------------------------------------------------------------------- 
C                                                                       
C                                                                       
      IF ( (ECODE .LT. 1) .OR. (ECODE .GT. 100) )  ECODE = 0            
C                                                                       
      WRITE (6, 1000) MODULE, MS(ECODE), COND                           
C                                                                       
      IF (COND .EQ. 'FATAL') THEN                                       
        WRITE (6, 1010)                                                 
        STOP 99                                                         
      ELSE                                                              
        WRITE (6, 1020)                                                 
      END IF                                                            
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
C1000 FORMAT (1H1, 10(/), 2( 2X, 55('*-'), '*', /), /, 4X,              
 1000 FORMAT (4X,              
     1   '*** ERROR DETECTED IN MODULE ==>  ', A8,/, 4X,'** ', A90,     
     2         ' **')                          
C    2        2( 2X, 55('*-'), '*', /), 10(/))                          
 1010 FORMAT (2X, '*** FATAL ERROR -- PROGRAM TERMINATING ***',     
     1        2X, '***                COND CODE ==>  99   ***')     
 1020 FORMAT (2X, '*** NON-FATAL ERROR -- EXEC. WILL CONTINUE ***', 
     1        )                                                    
C                                                                       
      END                                                               
