      SUBROUTINE IMGDAT(ISCAN,IBLOCK,CH,ANGLES,RLAT,RLON,
     * CLRCLD,CLDCOD)  
C********************************************************************** 
C                                                                       
C                                                                       
C...INCLUDE CONSTANT PARAMETERS.                                        
C                                                                       
      INCLUDE'inc/clvunt.f'                                                  
      INCLUDE'inc/inclav.f'                                                     
C                                                                       
C                                                                       
C...INCLUDE DATA TYPE-DEPENDENT PARAMETERS AND COMMON AREAS.            
C                                                                       
      INCLUDE 'inc/typdat.f'                                                  
      INCLUDE 'inc/atmisc.f'                                                     
      INCLUDE 'inc/geog.f'                                                     
      INCLUDE 'inc/ranges.f'                                              
C                                                                       
C                                                                       
      REAL*4     CH(MAXLPX,6,2), RLAT(MAXLPX,2), RLON(MAXLPX,2)         
C                                                                       
      INTEGER*2  ANGLES(MAXLPX,2,3),                                     
     1           CLRCLD(MAXLPX,2), CLDCOD(MAXLPX,2),                    
     2           OUTPUT(MAXLPX), SOLOUT(NLIMPX,2)                       
C                                                                       
      INTEGER*4  IBLOCK,ISCAN(2)                                        
C                                                                       
C---------------------------------------------------------------------- 
C
c      ISCAN(1) = (IBLOCK * 2) - 5                                        00270006
c      ISCAN(2) = (IBLOCK * 2) - 4                                        00280006
                                                                       
C                                                                       
C...CONVERT COS/SOLAR ZENITH ANGLE BACK TO ORIGINAL SOLAR ZENITH        
C   ANGLE VALUE SCALED BY 10.                                           
C                                                                       
      DO 110 IP = 1, NLIMPX                                             
        DO 100 IR = 1, 2                                                
          SOLOUT(IP,IR) =
     $          INT(ACOS(ANGLES(IP,IR,1)/1000.0 ) *RD2DEG* 10.0)
  100   CONTINUE                                                        
  110 CONTINUE                                                          
C                                                                       
C                                                                       
      DO 691 IR = 1,2                                                   
C         IF (MOD(IBLOCK,4).EQ.1 .AND. IR.EQ.1) THEN                     
C            WRITE(6,925) (IBLOCK*2-1), NADLAT(1), NADLON(1)             
C         ENDIF                                                          
C                                                                       
          DO 690 IPARM =1, 25                                           
C                                                                       
C................CHAN 1 TO 3 ALBEDOES SCALED BY 10................      
C                                                                       
            IF (IPARM.LE.3) THEN                                        
               DO 660 IPIX = 1,IMGPIX                                   
                  OUTPUT(IPIX) = INT (CH(IPIX,IPARM,IR) * 10.0)         
  660          CONTINUE                                                 
C                                                                       
C......CH 3 TEMPERATURE. AN OFFSET OF 170 SUBTRACTED AND SCALED BY 10   
C                                                                       
            ELSE IF (IPARM.EQ.4) THEN                                   
               DO 665 IPIX = 1,IMGPIX                                   
C                  OUTPUT(IPIX) = INT ((CH(IPIX,IPARM,IR)- LWCH3T) *10.0)
                  OUTPUT(IPIX) = INT ((CH(IPIX,IPARM,IR)) *10.0)
  665          CONTINUE                                                 
C                                                                       
C......CH 4 TEMPERATURE. AN OFFSET OF 170 SUBTRACTED AND SCALED BY 10   
C                                                                       
            ELSE IF (IPARM.EQ.5) THEN                                   
               DO 667 IPIX = 1,IMGPIX                                   
C                  OUTPUT(IPIX) = INT ((CH(IPIX,IPARM,IR)- LWCH4T) *10.0)
                  OUTPUT(IPIX) = INT ((CH(IPIX,IPARM,IR)) *10.0)
  667          CONTINUE                                                 
C                                                                       
C......CH 5 TEMPERATURE. AN OFFSET OF 170 SUBTRACTED AND SCALED BY 10   
C                                                                       
            ELSE IF (IPARM.EQ.6) THEN                                   
               DO 668 IPIX = 1,IMGPIX                                   
C                  OUTPUT(IPIX) = INT ((CH(IPIX,IPARM,IR)- LWCH5T) *10.0)
                  OUTPUT(IPIX) = INT ((CH(IPIX,IPARM,IR)) *10.0)
  668          CONTINUE                                                 
C                                                                       
C ..SOLAR, SATELLITE AND RELATIVE ANGLES SCALED BY 10....               
C                                                                       
            ELSE IF (IPARM.GE.7 .AND. IPARM.LE.9) THEN                  
               DO 670 IPIX = 1, IMGPIX                                  
                  IF (IPARM .EQ. 7) THEN                                
                    OUTPUT(IPIX) = SOLOUT(IPIX,IR)                      
                  ELSE                                                  
                    OUTPUT(IPIX) = ANGLES(IPIX,IR,IPARM-6)               
                  END IF                                                
  670          CONTINUE                                                 
C                                                                       
C.....  CALCULATE GAMMA ANGLE AT EACH PIXEL SCALED BY 10............... 
C                                                                       
            ELSE IF (IPARM.EQ.10) THEN                                  
               DO 671 IPIX = 1, IMGPIX                                  
                  ANGL1 = (ACOS(ANGLES(IPIX,IR,1)/1000.0) * RD2DEG)      
                  ANGL2 = ANGLES(IPIX,IR,2)/10.0                         
                  ANGL3 = ANGLES(IPIX,IR,3)/10.0                         
                  GAMMAA= ACOS(COS(ANGL1*DEG2RD) * COS(ANGL2*DEG2RD)    
     *                    + SIN(ANGL1*DEG2RD) * SIN(ANGL2*DEG2RD)       
     *                    * COS(ANGL3*DEG2RD)) * RD2DEG                 
               OUTPUT(IPIX) = GAMMAA * 10.0                             
  671          CONTINUE                                                 
C                                                                       
C... CHANNEL 4 TEMPERATURE DIFFERENCE FOR 2X2 ARRAY SCALED BY 10        
C                                                                       
            ELSE IF (IPARM.EQ.11) THEN                                  
               DO 672 IPIX = 2, NPIXLS/2,2                                   
                  BUF1 = 0                                              
                  BUF2 = 0                                              
                  BUF1 = AMAX1(CH(IPIX,5,1),CH(IPIX,5,2),CH(IPIX-1,5,1),
     *                   CH(IPIX-1,5,2))                                
                  BUF2 = AMIN1(CH(IPIX,5,1),CH(IPIX,5,2),CH(IPIX-1,5,1),
     *                   CH(IPIX-1,5,2))                                
                  OUTPUT(IPIX) = (BUF1 - BUF2) * 10.                    
                  OUTPUT(IPIX-1) = (BUF1 - BUF2) * 10.  
C      WRITE(6,*) BUFC,BUFA,BUFD,BUFB,BUF1,BUF2,IPIX,ISCaN(1),ISCaN(2)    
C      WRITE(6,*)CH(IPIX-1,5,1),CH(IPIX,5,1),CH(IPIX-1,5,2),CH(IPIX,5,2)
                
  672          CONTINUE                                                 
C                                                                       
C... CHANNEL 2 ALBEDO DIFFERENC(MAX - MIN) FOR 2X2 ARRAY SCALED BY 10   
C                                                                       
            ELSE IF (IPARM.EQ.12) THEN                                  
               DO 673 IPIX = 2, NPIXLS/2,2                                   
                  BUF1 = 0                                              
                  BUF2 = 0                                              
                  BUF1 = AMAX1(CH(IPIX,2,1),CH(IPIX,2,2),CH(IPIX-1,2,1),
     *                   CH(IPIX-1,2,2))                                
                  BUF2 = AMIN1(CH(IPIX,2,1),CH(IPIX,2,2),CH(IPIX-1,2,1),
     *                   CH(IPIX-1,2,2))                                
                  OUTPUT(IPIX) = (BUF1 - BUF2) * 10.                    
                  OUTPUT(IPIX-1) = (BUF1 - BUF2) * 10.                  
  673          CONTINUE                                                 
C                                                                       
C... CHANNEL 1 ALBEDO DIFFERENC(MAX - MIN) FOR 2X2 ARRAY. SCALED BY 10  
C                                                                       
            ELSE IF (IPARM.EQ.13) THEN                                  
               DO 674 IPIX = 2, NPIXLS/2,2                                   
                  BUF1 = 0                                              
                  BUF2 = 0                                              
                  BUF1 = AMAX1(CH(IPIX,1,1),CH(IPIX,1,2),CH(IPIX-1,1,1),
     *                   CH(IPIX-1,1,2))                                
                  BUF2 = AMIN1(CH(IPIX,1,1),CH(IPIX,1,2),CH(IPIX-1,1,1),
     *                   CH(IPIX-1,1,2))                                
                  OUTPUT(IPIX) = (BUF1 - BUF2) * 10.                    
                  OUTPUT(IPIX-1) = (BUF1 - BUF2) * 10.                  
  674          CONTINUE                                                 
C                                                                       
C.... CHANNEL 4 MAXIMUM TEMPERATURE FOR 2X2 ARRAY. SCALED BY 10         
C                                                                       
            ELSE IF (IPARM.EQ.14) THEN                                  
               DO 675 IPIX = 2, NPIXLS/2,2                                   
                  BUF1 = 0                                              
                  BUF1 = AMAX1(CH(IPIX,5,1),CH(IPIX,5,2),CH(IPIX-1,5,1),
     *                   CH(IPIX-1,5,2))                                
                  OUTPUT(IPIX) = BUF1 * 10.                             
                  OUTPUT(IPIX-1) = BUF1 * 10.                           
  675          CONTINUE                                                 
C                                                                       
C.... CHANNEL 2 ALBEDO MAXIMUM  FOR 2X2 ARRAY. SCALED BY 10....         
C                                                                       
            ELSE IF (IPARM.EQ.15) THEN                                  
               DO 676 IPIX = 2, NPIXLS/2,2                                   
                  BUF1 = 0                                              
                  BUF1 = AMAX1(CH(IPIX,2,1),CH(IPIX,2,2),CH(IPIX-1,2,1),
     *                   CH(IPIX-1,2,2))                                
                  OUTPUT(IPIX) = BUF1* 10.                              
                  OUTPUT(IPIX-1) = BUF1 * 10.                           
  676          CONTINUE                                                 
C                                                                       
C....... CHANNEL 1 ALBEDO MAXIMUM  FOR 2X2 ARRAY.  SCALED BY 10........ 
C                                                                       
            ELSE IF (IPARM.EQ.16) THEN                                  
               DO 677 IPIX = 2, NPIXLS/2,2                                   
                  BUF1 = 0                                              
                  BUF1 = AMAX1(CH(IPIX,1,1),CH(IPIX,1,2),CH(IPIX-1,1,1),
     *                   CH(IPIX-1,1,2))                                
                  OUTPUT(IPIX) = BUF1 * 10.                             
                  OUTPUT(IPIX-1) = BUF1 * 10.                           
  677          CONTINUE                                                 
C                                                                       
C...TRANSFER LATITUDE (*10) CORRES. TO  EVERY PIXEL ON THE SCAN LINE... 
C                                                                       
            ELSE IF (IPARM.EQ.17) THEN                                  
               DO 678 IPIX = 1, NLIMPX                                  
                  OUTPUT(IPIX) = NINT(RLAT(IPIX,IR)*10)                 
  678          CONTINUE                                                 
C                 WRITE(6,111) OUTPUT(1),OUTPUT(256),OUTPUT(409)        
C                                                                       
C...TRANSFER LONGITUDE(*10) CORRES. TO EVERY PIXEL ON THE SCAN LINE.... 
C                                                                       
            ELSE IF (IPARM.EQ.18) THEN                                  
               DO 679 IPIX = 1, NLIMPX                                  
                  OUTPUT(IPIX) = NINT(RLON(IPIX,IR)*10)                 
  679          CONTINUE                                                 
C                                                                       
C................CLAVR CLOUD CODE FOR THE SCAN LINE.....................
C                                                                       
            ELSE IF (IPARM.EQ.19) THEN                                  
               DO 680 IPIX = 1, IMGPIX                                  
                  OUTPUT(IPIX) = CLDCOD(IPIX,IR)                        
  680          CONTINUE                                                 
C                                                                       
C......TRANSFER THE LAND/SEA TAG (LAND{1}/SEA{0}) TO THE RECORD.......  
C                                                                       
            ELSE IF (IPARM.EQ.20) THEN                                  
               DO 681 IPIX = 1, IMGPIX                                  
                  OUTPUT(IPIX) = LSBUF(IPIX,IR)                         
  681          CONTINUE                                                 
C                                                                       
C                                                                       
C.......TRANSFER THE COSTAL FLAG (YES{1}/NO{0}) TO THE RECORD.........  
C                                                                       
            ELSE IF (IPARM.EQ.21) THEN                                  
               DO 682 IPIX = 1, IMGPIX                                  
                  OUTPUT(IPIX) = COASTG(IPIX,IR)                        
  682          CONTINUE                                                 
C                                                                       
C.......TRANSFER THE CLEAR/CLOUDY INFORMATION TO THE RECORD .........   
C                                                                       
            ELSE IF (IPARM.EQ.22) THEN                                  
               DO 683 IPIX = 1, IMGPIX                                  
                  OUTPUT(IPIX) = CLRCLD(IPIX,IR)                        
  683          CONTINUE                                                 
C                                                                       
C.......TRANSFER THE PIXEL INFORMATION  TO THE RECORD .........         
C                                                                       
            ELSE IF (IPARM.EQ.23) THEN                                  
               DO 684 IPIX = 1, IMGPIX                                  
                  OUTPUT(IPIX) =  IPIX                                  
  684          CONTINUE                                                 
C                                                                       
C.......TRANSFER THE DAY/NIGHT FLAG INFORMATION TO RECORD..........     
C                                                                       
            ELSE IF (IPARM.EQ.24) THEN                                  
               DO 685 IPIX = 1, IMGPIX                                  
                  OUTPUT(IPIX) =  DAYNIT(IPIX,IR)                       
  685          CONTINUE                                                 
C                                                                       
C...TRANSFER THE SCANLINE NUMBER  AND A/D FLAG TO THE RECORD.......     
C                                                                       
            ELSE                                                        
               OUTPUT(1) = ISCAN(IR)                                    
               OUTPUT(2) = ADFLAG(IR)                                   
               DO 686 IPIX = 3, IMGPIX                                  
                  OUTPUT(IPIX) =  0                                     
  686          CONTINUE                                                 
            ENDIF                                                       
C                                                                       
C...FILL REST OF PIXELS WITH ZEROS                                      
C                                                                       
            NPIX = (IPEND - IPBEG + 1)                                  
C                                                                       
            IF (NPIX .LT. NLIMPX) THEN                                  
              DO 687 IPIX = (NPIX +1), NLIMPX                           
                OUTPUT(IPIX) = 0                                        
  687         CONTINUE                                                  
            END IF                                                      
C                                                                       
C
C            write(6,*) iparm,iscan(ir)
C            if(iparm .eq. 17) write(6,*) output
C            if(iparm .eq. 17)  pause
                                                                                   
            WRITE (IUIMAG) OUTPUT                                       
C                                                                       
  690    CONTINUE                                                       
C                                                                       
  691 CONTINUE                                                          
C                                                                       
C                                                                       
      RETURN                                                            
C                                                                       
  925 FORMAT(5X,'SCAN LINE NUMBER =',I7,', NADIR LAT =', F8.2,          
     1 ', NADIR LONG =', F8.2)                                          
C                                                                       
      END                                                               
