C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.2  -  02/15/93  -  DEBBIE CARR (SMSRC)  -  COMMON/ANGLE/  
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF VIEWING ANGLE MEASUREMENTS                     
C                                                                       
C   USED BY - MAIN CLAVRORB AND SUBROUTINE AVHFDC                       
C                                                                       
C                                                                       
C                                                                       
      INTEGER*2  COSZ(MAXLPX), RELZ(MAXLPX), SATZ(MAXLPX)               
C                                                                       
      REAL*4     SOLZ(MAXLPX)                                           
C                                                                       
      REAL*4     COSZX(51), RELZX(51), SATZX(51), COSSZA(MAXLPX)        
C                                                                       
C                                                                       
      COMMON /ANGLE/ COSZ,  RELZ,  SATZ, SOLZ,                          
     1              COSZX, RELZX, SATZX, COSSZA                         
C                                                                       
C                                                                       
C      VARIABLE               TYPE  I/O  FUNCTION                       
C      --------               ----  ---  --------                       
C      SOLZ (MAXLPX)           I*2  I/O  SOLAR ZENITH ANGLE             
C                                        FOR EACH PIXEL (1-MAXGPX GAC,  
C                                        1-MAXLPX LAC) SCALED BY 1000   
C      COSZ (MAXLPX)           I*2  I/O  COSINE OF SOLAR ZENITH ANGLE   
C                                        FOR EACH PIXEL (1-MAXGPX GAC,  
C                                        1-MAXLPX LAC) SCALED BY 1000   
C      RELZ (MAXLPX)           I*2  I/O  RELATIVE AZIMUTH ANGLE         
C                                        FOR EACH PIXEL (1-MAXGPX GAC,  
C                                        1-MAXLPX LAC) SCALED BY 10     
C      SATZ (MAXLPX)           I*2  I/O  SATELLITE ZENITH ANGLE FOR     
C                                        EACH PIXEL (1-MAXGPX GAC,      
C                                        1-MAXLPX LAC) SCALED BY 10     
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
