C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.3  -  02/08/93  -  DEBBIE CARR (SMSRC)  -  COMMON/GEOG/   
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF EARTH LOCATION ARRAYS                          
C                                                                       
C   USED BY - MAIN CLAVRORB AND SUBROUTINE AVHFDC                       
C                                                                       
C                                                                       
      INTEGER*4  I4LOC(51)                                              
C                                                                       
      REAL*4     SPLAT(MAXLPX), SPLON(MAXLPX), NADLAT(2), NADLON(2)     
C                                                                       
C                                                                       
      COMMON /GEOG/SPLAT, SPLON, NADLAT, NADLON, I4LOC                  
C                                                                       
C                                                                       
C      VARIABLE               TYPE  I/O  FUNCTION                       
C      --------               ----  ---  --------                       
C      SPLAT (MAXLPX)          R*4  I/O  ARRAY OF LATITUDES FOR EACH    
C                                        GAC/LAC PIXEL                  
C      SPLON (MAXLPX)          R*4  I/O  ARRAY OF LONGITUDES FOR EACH   
C                                        GAC/LAC PIXEL                  
C      I4LOC (51)              I*4  I/O  ARRAY OF EARTH LOCATION        
C                                        VALUES FOR THE 51 'ANCHOR      
C                                        POINTS' OBTAINED FROM          
C                                        AVHRR 1B DATA RECORD           
C      NADLAT (2)              R*4  I/O  NADIR LATITUDE FOR SCAN PAIR   
C      NADLON (2)              R*4  I/O  NADIR LONGITUDE FOR SCAN PAIR  
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
