C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.0  -  2/01/93  -  DEBBIE CARR (SMSRC)  -  COMMON/KOUNTS/  
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF ALGORITHM PATH NAMES, CODES, AND COUNTERS FOR  
C             EACH 2X2 PIXEL ARRAY PROCESSED, AND SUMMATION COUNTERS    
C             FOR THE TOTAL NUMBER OF 2X2 ARRAYS CLASSIFIED AS          
C             CLEAR, CLOUDY, OR MIXED.                                  
C                                                                       
C                                                                       
C   USED BY - MAIN CLAVRORB AND SUBROUTINES SETDCC, SETNCC, REPCLV      
C                                                                       
C                                                                       
      INTEGER*4     MAXTST, MAXCLS, MAXLST                              
C                                                                       
      PARAMETER    (MAXTST = 45, MAXCLS = 3, MAXLST = 1)                
C                                                                       
C                                                                       
      CHARACTER*6   CCLASS(1:MAXCLS)                                    
C                                                                       
C                                                                       
      CHARACTER*24  DNAME(1:MAXTST), NNAME(1:MAXTST)                    
C                                                                       
      INTEGER*2     DCODE(1:MAXTST, 1:MAXCLS),                          
     1              NCODE(1:MAXTST, 1:MAXCLS)                           
C                                                                       
      INTEGER*4     NUMDAY(1:MAXTST, 1:MAXCLS, 0:MAXLST),               
     1              NUMNIT(1:MAXTST, 1:MAXCLS, 0:MAXLST),               
     2              TOTCCM (0:3)                                        
C                                                                       
C                                                                       
      COMMON /KOUNTS/ DCODE, NCODE, NUMDAY, NUMNIT, TOTCCM,             
     1                DNAME, NNAME, CCLASS                              
C                                                                       
C                                                                       
C      VARIABLE               TYPE  FUNCTION                            
C      --------               ----  --------                            
C      TOTCCM (0:3)            I*4  TOTAL NUMBER OF 2X2 ARRAYS          
C                                   CLASSIFIED AS:                      
C                                     (0)  NO DECISION                  
C                                     (1)  CLEAR                        
C                                     (2)  CLOUDY                       
C                                     (3)  MIXED                        
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
