C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.1  -  12/05/90  -  DEBBIE CARR (SMSRC)  -  COMMON/NITLU/  
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF THRESHOLD VALUES FOR THE UNIFORM LOW STRATUS   
C             AND CIRRUS CLOUD TESTS                                    
C                                                                       
C   USED BY - SUBROUTINES CIRT AND ULST, AND BLOCK DATA B$GAC           
C             OF PROGRAM CLAVRORB                                       
C                                                                       
C                                                                       
      REAL*4  ULSTLU(200:320), CIRTLU(200:320)                          
C                                                                       
C                                                                       
      COMMON /NITLU/ULSTLU, CIRTLU                                      
C                                                                       
C                                                                       
C      VARIABLE               TYPE  I/O  FUNCTION                       
C      --------               ----  ---  --------                       
C      ULSTLU (200:320)        R*4   I   ULST THRESHOLD 'LOOK-UP TABLE' 
C                                        (TEMPERATURE INDEX... 200-320K)
C      CIRTLU (200:320)        R*4   I   CIRT THRESHOLD 'LOOK-UP TABLE' 
C                                        (TEMPERATURE INDEX... 200-320K)
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
