C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
C   VERSION-1.0  -  10/16/91  -  DEBBIE CARR 'SMSRC.f'  -  INCLUDE(PARM1C)
C                                                                       
C                                                                       
C   PURPOSE - STORAGE OF LEVEL 1C DATA SET PARAMETER CONSTANTS.         
C                                                                       
C                                                                       
C   USED BY - MAIN CLAVRORB, SUBROUTINES R1CHK, W1CDAT, W1CHED, W1CHK   
C                                                                       
C                                                                       
      INTEGER*4  G1CRCL, L1CRCL, G1CWDS, L1CWDS, MAXORB                 
C                                                                       
      PARAMETER  (G1CRCL = 10640, L1CRCL = 49976)                       
      PARAMETER  (G1CWDS = G1CRCL/4, L1CWDS = L1CRCL/4)                 
      PARAMETER  (MAXORB = 21)                                          
C                                                                       
C                                                                       
C      CONSTANT               TYPE  FUNCTION                            
C      --------               ----  --------                            
C      G1CRCL                  I*4  LOGICAL RECORD LENGTH FOR           
C                                   GAC 1C DATA SETS                    
C      L1CRCL                  I*4  LOGICAL RECORD LENGTH FOR           
C                                   LAC 1C DATA SETS                    
C      G1CWDS                  I*4  NUMBER OF I*4 WORDS IN THE          
C                                   GAC 1C DATA RECORD BUFFER           
C      L1CWDS                  I*4  NUMBER OF I*4 WORDS IN THE          
C                                   LAC 1C DATA RECORD BUFFER           
C      MAXORB                  I*4  MAXIMUM NUMBER OF ORBITS            
C                                   THAT CAN BE STORED IN THE           
C                                   1C FILE                             
C                                                                       
C +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
C                                                                       
