      SUBROUTINE INTERP (RLAT, RLON, NANGS)                                    
C********************************************************************** 
C                                                                       
      INCLUDE "inc/inclav.f"                                                  
C                                                                       
      INCLUDE "inc/geog.f" 
      INCLUDE "inc/typdat.f"
C                                                                       
C                                                                       
      REAL RLAT(MAXANC), RLON(MAXANC), DELX, SPL       
C                                                                       
      INTEGER IXP, IPIX                                                 
C                                                                       
C---------------------------------------------------------------------- 
C                                                                       
C...INTERPOLATE BETWEEN ANCHOR POINTS TO EXPAND FROM 51 TO 409 PIXELS   
C                                                                       
C...WHEN DOING LONGITUDES ACCOUNT FOR GOING ACROSS THE INTERNATIONAL    
C...DATE LINE  I.E. +179.9, +/-180.0, -179.9.....                       
C               
C
C WCOLLINS -- CHANGES MADE TO EMULATE SOLARR INTERP CODE
C
      IFACTR = INT(FACTOR)  
                                          
      DO 100 IPIX = 1, NPIXLS                                             
        IXP = (IPIX - PXFIX1)/IFACTR + 1                                
        IF (IXP .GE. NANGS) IXP = NANGS - 1       
        DELX = IPIX - ((IXP - 1)*IFACTR + PXFIX1)                       
C                                                                       
         IF (RLON(IXP+1).GT.90.0 .AND. RLON(IXP).LT.-90.0) THEN         
            SPL = DELX*(RLON(IXP+1) -
     $           (RLON(IXP)+360.))/FACTOR + RLON(IXP) 
         ELSE IF (RLON(IXP+1).LT.-90.0 .AND. RLON(IXP).GT.90.0) THEN    
            SPL = DELX*((RLON(IXP+1)+360.) -
     $           RLON(IXP))/FACTOR + RLON(IXP) 
         ELSE                                                           
            SPL = DELX*(RLON(IXP+1) - RLON(IXP))/FACTOR + RLON(IXP)        
         ENDIF                                                          
C                                                                       
         IF (SPL.LT.-180.0) THEN                                        
            SPLON(IPIX) = SPL + 360.0                                   
         ELSE IF (SPL.GT.180.0) THEN                                    
            SPLON(IPIX) = SPL - 360.0                                   
         ELSE                                                           
            SPLON(IPIX) = SPL                                           
         ENDIF                                                          
C                                                                       
         SPLAT(IPIX) =
     $        DELX*(RLAT(IXP+1) - RLAT(IXP))/FACTOR + RLAT(IXP)   
C                                                                       
  100 CONTINUE                                                          
C                                                                       
      RETURN                                                            
      END                                                               
