/*******************************************************************************
NAME:   	FINISH

PURPOSE:        Update the image's ddr
*******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "adaps.h"

FUNCTION finish(hosin,chip_name,vblock,window,bands,nbands)

struct PARBLK	*vblock;	/* TAE parameter block			*/

char    hosin[][CMLEN],  	/* input host file			*/
        chip_name[CMLEN]; 	/* output chip image names         	*/
 
long 	window[4],   		/* window specification for input image	*/
        bands[1][MAXBND+1],     /* band number to be processed          */
        nbands[1];      	/* number of bands per input image      */
{
double  dblone = 1.0;   	/* double value of 1                    */

long	inwind[1][4],		/* window of input image		*/
	one = 1;        	/* constant one                         */

/*
  Update the new image's ddr     	
*/
inwind[0][0] = window[0];
inwind[0][1] = window[1];
inwind[0][2] = window[2];
inwind[0][3] = window[3];
c_upddr(vblock,hosin,chip_name,&one,inwind,bands,nbands,
		 &dblone,&dblone,&one,&one);

}
