/*******************************************************************************
FUNCTION:	errout

PURPOSE:   	Close all of the opened files,
		and call c_clean() to delete any necessary disk files
		and issue the fatal error message.

*******************************************************************************/
#include "gapexp.h"


/* Global variables defined in main program
-------------------------------------------*/
extern char outhost[2][CMLEN];
extern long nfiles;
extern struct PARBLK vblock;

extern long indesc;
extern long outdesc;

extern char infile[CMLEN];
extern char outfile[CMLEN];

FUNCTION errout ()

{


/* Close the archive images
---------------------------*/
if (indesc != NULL)
    c_arclose(infile, &indesc);
if (outdesc != NULL)
    c_arclose(outfile, &outdesc);


/* Delete the output files according to $DELFLG and issue a fatal error message
------------------------------------------------------------------------------*/
c_clean(&vblock, "gapexp", outhost, &nfiles);
}
