/*******************************************************************************
FUNCTION:	wildcard

PURPOSE:	Determine if the specified file name contains a wildcard
		character.  Return TRUE if it does, FALSE otherwise.


VERSION  AUTHOR           DATE   REASON
-------  ---------------  -----  -----------------------------------------------
  1.1    J.Fenno          04/94  Development


PROJECT:  ADAPS
*******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "silo.h"


int wildcard
(
    char infile[]		/* Input file specification                   */
)
{
if ((strchr(infile, '*') != NULL) || (strchr(infile, '?') != NULL) ||
    (strchr(infile, '[') != NULL) || (strchr(infile, ']') != NULL))
    return(TRUE);

return(FALSE);
}
