#define	SCHEDULE	"adapstables:master.sch"

#define MAXRECS	500

struct	SCHED
	{
	char	scene_id[17];
	char	satid[4];
	long	lstart;
	long	lstop;
	long	rstart;
	long	rstop;
	long	opcode;
	char	stat[2];
	long	tfile;
	char	pflag[2];
	char	dnflag[2];
	char	station[2];
	char	atype[5];
	char	orbit[6];
	};

#define RECSIZ 85

#define DISK	'D'
#define TAPE	'T'
#define BOTH	'B'
#define PENDING	'P'
#define MISSED	'M'
#define NONE	'N'

#define SATMONITOR	0
#define DISHtoDISK	1
#define DISHtoTAPE	2
#define DISHtoBOTH	3
#define READBAKTST	4
#define TAPEtoDISK	5
#define NOOPONE		6
#define NOOPTWO		7
#define TESTMONITR	8
#define TESTPATGEN	9
#define TESTPATREC	10
#define SOFTPATGEN	11
#define FASTMONITR	12
#define FASTPATGEN	13
#define NOOPFOUR	14
#define NOOPFIVE	15

#define SCHEDULE_FORMAT	"%s %s %d %d %d %d %d %s %d %s %s %s %s %s\n"
#define INSERT_FORMAT	"%s %s %d %d %d %d %d %s %d %s %s %s %s\n"
#define MODIFY_FORMAT	"%d %d %s %d %s %d %s %s %s %s"
#define MODSID_FORMAT	"%s %s %d %s %d %s %s %s %s"
#define DELETE_FORMAT	"%d %d"
#define DELSID_FORMAT	"%s"
#define LINE_FORMAT \
"%s%s  %s  %s   %s  %s  %s  %s  %s  %s  %s  %d   %s  %s   %s     %s\n"

#define TAB	"      "
#define INDENT	"                                          "

#define	PAGE_SIZE	 53
#define PAGE_WIDTH	132

#define USAGE_ERROR \
"Usage: \tschedit -[af | rb | rl | df | ds | mf | ms | mo] [file | \"--\"]\n"

#define	E_SUCC	1
#define E_FAIL	0

#define STOP	0
#define START	1

#define TRUE	1
#define FALSE	0
