#include "worgen.h"
#include "tapeio.h"
#define	GLOBALS
#include		"ansi.h"
#undef	GLOBALS

#define	USAGE		"usage: ansidir -[Tilmv] [drive] [volid]\n"

main (argc,argv)
int	argc;
char	**argv;
{
int	args;				/* arguments used in parsing	*/
int	files;				/* number of files on tape	*/
int	single = 0;			/* read only single tape reel?	*/
int	tape;				/* file desc (struct TAPEDESC)	*/
char	*volume_ident;			/* desired volume identifier	*/
char	*malloc(), *strcpy();
char buffer[CMLEN];


#ifdef unix
#ifdef sun
   /* I have no idea if this is correct, but it builds */
   setvbuf(stdout, buffer , _IOLBF,  CMLEN);
#else
   setlinebuf(stdout);
#endif
#endif

density = "";
drive_name = NULL;
volume_ident = malloc(8);
*volume_ident = 0;
lflag = 0; newpg = 1;

for (argc--, argv++; argc && **argv == '-'; argc -= args, argv += args)
    {
    args = 1;
    for ((*argv)++; **argv; (*argv)++)
	switch (**argv)
	    {
            case 'T':
                    drive_name = *(argv + args++);
                    break;
	    case 'i':
		    if (strlen (volume_ident) == 0)
			strcpy (volume_ident," ");
		    checkvol = 0;
		    break;
	    case 'l':
		    lflag = 2;
		    break;
	    case 'm':
		    lflag = 1;
		    break;
	    case 's':
		    single = 1;
		    break;
	    case 'v':
		    volume_ident = *(argv + args++);
		    strupr(volume_ident,volume_ident);
		    checkvol = 1;
		    break;
	    default:
		    fprintf(stderr,USAGE);
		    exit(NOT_OK);
	    }
    }
mountvol ("ANSIDIR",volume_ident,&tape,"enter tape id for first volume: ",1,0);
files = directory (tape,ANSI_TRUE,single);
printf ("%d files on tape\n",files);

close_tape  (tape,NOREW);
rewind_tape (99,ANSI_FALSE);
exit (OK);
}
