#include "worgen.h"
#include "tapeio.h"
#define	GLOBALS
#include	"ansi.h"
#undef	GLOBALS

#define	USAGE	"usage: ansinit -T[d] drive [density] volid\n"

main(argc,argv)
int	argc;
char	**argv;
{
int	args;			/* arguments used in parsing	*/
int	rewind = 1;		/* rewind flag			*/
int	tape;			/* tape file descriptor		*/
char	*volume_ident;		/* desired volume identifier	*/
char	*getusername();

density = "";
drive_name = NULL;
volume_ident = (char *) 0;
checkvol = 1;

for (argc--, argv++; argc && **argv == '-'; argc -= args, argv += args)
    {
    args = 1;
    for ((*argv)++; **argv; (*argv)++)
	switch (**argv)
	    {
            case 'T':
                    drive_name = *(argv + args++);
                    break;
	    case 'd':
		    density = *(argv + args++);
		    break;
	    default:
		    fprintf(stderr,USAGE);
		    exit(NOT_OK);
	    }
    }

if ((!argc) || (strlen(drive_name) == 0))
    {
    fprintf(stderr,USAGE);
    exit(NOT_OK);
    }

volume_ident = *argv;
strupr (volume_ident, volume_ident);
init_labels (volume_ident,getusername());
print_volume();
tape = reopen_tape (rewind,O_WRONLY);
put_volume (tape);
close_tape (tape,NOREW);
exit(OK);
}
