#ifdef unix
#include	<pwd.h>
#include	<stdio.h>

static struct passwd	*passwd;

char *getusername()
	{
	if ((passwd = getpwuid(getuid())) == (struct passwd *)0)
		{
		fprintf(stderr,"getusername: Who are you?\n");
		exit(-1);
		}
	return(passwd->pw_name);
	}
#else
char *getusername()
        {
char *getenv();		/* C function to return the value of an		*/
			/* environment variable				*/

        return(getenv("USER"));
        }
#endif
