$!
$! This Make.com builds the specified application and optionally moves the
$! executable to the directory specified.  Note: the object file is
$! automatically removed upon completion.
$set nover
$       OLD_DEFAULT = F$DIRECTORY()     !save environment
$on error then $goto err
$SOURCE := ansidir.c  ansiin.c  ansiout.c  ansinit.c  ulout.c  -
           antoi.c  check.c  directory.c  disk.c  get.c  -
           getfile.c  getusername.c  mountvol.c  print.c  -
           put.c  putfile.c  reelswitch.c  str.c  tape.c  -
           dirlist.c c_splitname.c make.com

$EXECS := ansidir.exe  ansiin.exe  ansiout.exe  ansinit.exe  ulout.exe
PDFS :=
$OBJECTS := ,antoi.obj, check.obj, directory.obj, disk.obj, get.obj,  -
             getfile.obj, getusername.obj, mountvol.obj, print.obj,  -
             put.obj, putfile.obj, reelswitch.obj, str.obj, tape.obj, -
	     dirlist.obj, c_splitname.obj

$LIBS   := ,WORLIB:tapeio/lib, WORLIB:world/lib, WORLIB:notae/lib, -
           sys$library:vaxcrtl/lib

$!qz
$if (p1.eqs."CHECKOUT") then $goto CHECKOUT
$if (p1.eqs."CHECKIN") then $goto CHECKIN
$!qz
$@WORTOOLS:makeapp antoi
$@WORTOOLS:makeapp check
$@WORTOOLS:makeapp directory
$@WORTOOLS:makeapp disk
$@WORTOOLS:makeapp get
$@WORTOOLS:makeapp getfile
$@WORTOOLS:makeapp getusername
$@WORTOOLS:makeapp mountvol
$@WORTOOLS:makeapp print
$@WORTOOLS:makeapp put
$@WORTOOLS:makeapp putfile
$@WORTOOLS:makeapp reelswitch
$@WORTOOLS:makeapp str
$@WORTOOLS:makeapp tape
$@WORTOOLS:makeapp dirlist
$@WORTOOLS:makeapp c_splitname
$@WORTOOLS:makeapp ansidir
$@WORTOOLS:makeapp ansiin
$@WORTOOLS:makeapp ansiout
$@WORTOOLS:makeapp ansinit
$@WORTOOLS:makeapp ulout
$set verify
$'L' ansidir 'OBJECTS' 'LIBS'
$'L' ansiin 'OBJECTS' 'LIBS'
$'L' ansiout 'OBJECTS' 'LIBS'
$'L' ansinit 'OBJECTS' 'LIBS'
$'L' ulout 'OBJECTS' 'LIBS'
$set noverify
$!
$delete *.obj;*
$!
$!qz
$if (p1.eqs."RELEASE") then $goto RELEASE
$!qz
$if (p1 .eqs. "LAS") then $goto LAS
$goto theend
$!
$LAS:
$!	p2 is dstdir
$	rename ansidir.exe 'p2'
$	rename ansiin.exe 'p2'
$	rename ansiout.exe 'p2'
$	rename ansinit.exe 'p2'
$	rename ulout.exe 'p2'
$	goto theend
$!
$ERR:
$write sys$output "Error occurred linking executable"
$set default 'old_default'
$exit
$!
$THEEND:
$purge
$set default 'old_default'
$exit
$!qz
$CHECKIN:
$!	p2 is srcdir, p3 is dstdir, p4 is programmer
$	checkin 'p2' 'p3' 'p4' 'SOURCE' 'PDFS'
$	goto theend
$CHECKOUT:
$!	p2 is srcdir, p3 is dstdir, p4 is programmer
$	checkout 'p2' 'p3' 'p4' 'SOURCE' 'PDFS'
$	goto theend
$RELEASE:
$!	p2 is dstdir
$	checkin "" 'p2' release 'EXECS'
$	checkout "" 'p2' release 'PDFS'
$	goto theend
$!qz
