#include "ansi.h"
#include "worgen.h"
#include "tapeio.h"

FUNCTION reelswitch (prog, tape, blk_count, where)
char	*prog;				/* calling program		*/
int	*tape;				/* file desc (struct TAPEDESC)	*/
int	blk_count;			/* # blocks written		*/
int	where;				/* BOF, DATA, or EOFF		*/
{
char	volid[8];			/* volume identifier		*/
char	*strcpy();
int	status;

if (!strcmp(prog,"ANSIIN") || !strcmp(prog,"ANSIDIR"))
    {
    close_tape (*tape,REWOFFL);
    drive_name = NULL;
    if (checkvol)
	volid[0] = 0;
    else
	strcpy (volid," ");
    mountvol (prog,volid,tape,"enter tape id for next volume: ",1,1);
    }

else if (!strcmp(prog,"ULOUT"))
    {
    write_eof (*tape);
    write_eof (*tape);
    close_tape(*tape,REWOFFL);
    if (!ndcdb)
 	if (lflag != 0)
	    printf  ("\n%d files output\n",tfiles);
    fprintf (stderr,"%s: drive %s: %d files output\n",prog,drive_name,tfiles);
    tfiles = 0;
    drive_name = NULL;
    tlen = 0.0;
    twrit = 0.0;
    volid[0] = 0;
    mountvol ("ULOUT",volid,tape,"next tape: ",1,1);
    }

else if (strcmp (prog,"ANSIOUT") == 0)
    {
    if (where == BOF)
	write_eof (*tape);
    if ((where == BOF) || (where == DATA))
	{
	write_eof (*tape);
	status = put_eovs  (*tape,blk_count);
	if (status == EOT)
	    {
	    fprintf (stderr,"%s: EOT encountered while writing EOV labels\n");
	    return (status);
	    }
	write_eof (*tape);
	}
    /* BOF, DATA, EOFF */
    write_eof (*tape);
    close_tape(*tape,REWOFFL);
    if (!ndcdb)
 	if (lflag != 0)
	    printf  ("\n%d files output\n",tfiles);
    fprintf (stderr,"%s: drive %s: %d files output\n",prog,drive_name,tfiles);
    tfiles = 0;
    drive_name = NULL;
    tlen = 0.0;
    twrit = 0.0;
    volid[0] = 0;
    mountvol ("ANSIOUT",volid,tape,"enter tape id for next volume: ",1,1);
    update_labels (volid,where);
    put_volume (*tape);
    print_volume ();
    if (splitfile)
	{
	status = put_headers (tape);
	if (status == EOT)
	    {
	    fprintf (stderr,"%s: EOT encountered while writing HDR labels\n");
	    return (status);
	    }
	}
    }

return (OK);
}
