/* $Author: fenno $ */
/* $Date: 1994/12/23 15:20:11 $ */
/* $Revision: 1.2 $ */

/* $Log: dellines.c,v $
/* Revision 1.2  1994/12/23 15:20:11  fenno
/* Added RCS keywords to the source code file.
/*
*/

#include <stdio.h>

#define TMPFILE "_tmp_dellines_file_"


main (argc, argv)

   int  argc;
   char *argv[];
{
FILE *infile;
FILE *outfile;

char str[256];

int  i;
int  ch;


if (argc < 2)
   {
   printf("\n");
   printf("Usage: dellines <file> [<file>]\n");
   printf("\n");
   printf("       Dellines will delete all of the newline characters from\n");
   printf("       the specified files.\n");
   printf("\n");
   }


for (i = 1; i < argc; i++)
   {
   if (rename(argv[i], TMPFILE))
      {
      printf("Error renaming %s\n", argv[i]);
      exit(1);
      }

   infile = fopen(TMPFILE, "r");
   if (infile == NULL)
      {
      rename(TMPFILE, argv[i]);
      printf("Error opening %s\n", TMPFILE);
      exit(1);
      }

   outfile = fopen(argv[i], "w");
   if (outfile == NULL)
      {
      rename(TMPFILE, argv[i]);
      printf("Error opening %s\n", argv[i]);
      exit(1);
      }

   while ((ch = fgetc(infile)) != EOF)
      if (ch != '\n')
	 fprintf(outfile, "%c", ch);

   remove(TMPFILE);
   }

exit(0);
}
