#include <stdio.h>
#include "ditbrowse.h"


#define NW     47	// Starting index for the northwest corner coordinates
#define NE     62	// Starting index for the northeast corner coordinates
#define SE     77	// Starting index for the southeast corner coordinates
#define SW     92	// Starting index for the southwest corner coordinates
#define NCHARS 15	// Number of characters in a lat/lon pair

void rotate (
    char *hdr			// I/O - DIT browse image header string
    )
{
char buf[HEADER_DATA_SIZE+1];	// Copy of DIT browse header

long i, j;			// Loop control
long n;				// Loop control


/*
 * Copy the input header to the tmp buffer
 */
strcpy(buf, hdr);


/*
 * Copy NE coordinates to the NW position
 */
for (i=NE, j=NW, n=0; n<NCHARS; i++, j++, n++)
    hdr[j] = buf[i];


/*
 * Copy SE coordinates to the NE position
 */
for (i=SE, j=NE, n=0; n<NCHARS; i++, j++, n++)
    hdr[j] = buf[i];


/*
 * Copy SW coordinates to the SE position
 */
for (i=SW, j=SE, n=0; n<NCHARS; i++, j++, n++)
    hdr[j] = buf[i];


/*
 * Copy NW coordinates to the SW position
 */
for (i=NW, j=SW, n=0; n<NCHARS; i++, j++, n++)
    hdr[j] = buf[i];

return;
}
