#ifndef PDFHTML_H
#define PDFHTML_H

#define FALSE   0
#define TRUE    1

#define NONE    0
#define REGULAR 1
#define BOLD    2

#define FULL    1
#define PART    0

#define E_READ  1
#define E_SUCC  0
#define E_FAIL  -1
#define E_EOF   -2

#define PARM_SIZ 13
#define DEF_SIZ  26
#define STR_SIZ 1000
#define KEY_SIZ 81

struct PARMS
    {
    char name[PARM_SIZ];
    char deflt[STR_SIZ];
    };

struct SUBCMDS
    {
    char name[PARM_SIZ];
    long nparms;
    struct PARMS parm[50];
    };

#endif
