/*  Previously defined colortool widgets in ../widget.h		*/
/*  Moved here to allow simpler compilations when changing      */
/*  layout of the colortool.  New widgets generated with 	*/
/*  Builder Xcessory follow. 					*/

    Widget  colortool_interface;
    Widget  colortool_stretch_list;
    Widget  colortool_confirm_operation;
    Widget  colortool_error_message;
    Widget  colortool_warning_message;
    Widget  colortool_load_stretch_file_selector;
    Widget  colortool_save_stretch_file_selector;

/*  Widgets created dynamically for new visual, names derived 
    from main image creation widgets.				*/

Widget  ct_Shell_MainWin,
	ct_main_image_bb,
	ct_main_hor_scrollbar,
	ct_main_vert_scrollbar,
	ct_main_image_scrollwin;

/*  Widgets generated with Builder Xcessory from 
		../xid_colortool.tomk/tct.uil			*/

Widget	xidColorTool;
Widget	xidStretch;
Widget	xidCMap;
Widget	ct_mainWindow;
Widget  ct_cmap_mainwindow;
Widget	ct_mainForm;
Widget	ct_stretch_drawing;
Widget	ct_horiz_value;



Widget	ct_stretch_values_frame;
Widget	ct_stretch_values_rc;
Widget	ct_vert_value;
Widget	ct_histo_red;
Widget	ct_histo_label;
Widget	ct_scale_horiz;
Widget	ct_scale_vertical;
Widget	ct_hist_info_frame;
Widget	ct_hist_info_rc;
Widget	ct_hist_info_mean;
Widget	ct_hist_info_stdev;
Widget	ct_hist_info_min;
Widget	ct_hist_info_max;
Widget	ct_hist_info_pct;
Widget	ct_stretch_color_radio;
Widget	ct_stretch_color_red;
Widget	ct_stretch_color_green;
Widget	ct_stretch_color_blue;
Widget	ct_stretch_color_all;
Widget	ct_stretch_color_sat;
Widget	ct_stretch_value_label;
Widget	ct_histo_horiz_label;
Widget	ct_histo_vert_label;
Widget	ct_histo_up_button;
Widget	ct_histo_down_button;
Widget	ct_histo_scale_label;
Widget	ct_histo_scale_text;
Widget	ct_hist_fill;
Widget	ct_options_rc;
Widget	ct_restore_button;
Widget	ct_linear_button;
Widget	ct_cancel_button;
Widget	ct_dismiss_button;
Widget	ct_options_separator;
Widget	ct_help;
Widget	ct_show_stretch_button;
Widget	ct_show_map_button;
Widget	ct_gamut_match_button;
Widget	ct_undo_redo_button;
Widget	ct_remap_image_button;
Widget	ct_normalize_button;
Widget	ct_hist_type_radiobox;
Widget	ct_hist_cum_button;
Widget	ct_hist_dist_button;

Widget      ct_histo_graph_radio;
Widget      ct_histo_graph_sum;
Widget      ct_histo_graph_stacked;
Widget      ct_histo_graph_line;


/*  Widgets for stretch tool window */


Widget	ct_stretch_mainWindow;
Widget	ct_stretch_form;
Widget	ct_stretch_list_sw;
Widget	ct_stretch_list;
Widget	ct_stretch_list_rc;
Widget	ct_stretch_add_button;
Widget	ct_stretch_upd_button;
Widget	ct_stretch_del_button;
Widget	ct_stretch_clear;
Widget	ct_stretch_separator;
Widget	ct_stretch_options_rc;
Widget	ct_stretch_load_button;
Widget	ct_stretch_save_button;
Widget	ct_stretch_save_new_button;
Widget	ct_stretch_dismiss;


/*  Widgets for histogram normalization window */

Widget	hist_norm_shell;
Widget	hist_main_bb;
Widget	hist_dismiss_button;
Widget	hist_separator;
Widget	hist_apply_button;
Widget	hist_button_form;
Widget	hist_norm_rc;
Widget	hist_mean_slider;
Widget	hist_std_dev_slider;
Widget	hist_points_slider;
Widget	hist_options_radiobox;
Widget	hist_options_auto;
Widget	hist_options_apply;
