/* @(#)scqcdec.h 1.5 (DSRC_SCQC) updated 9/8/93 */
/* @(#)scqcdec.h 1.6 (DSRC_SCQC) updated 8/6/93 */

/*************************************************************************
Copyright:	1993 David Sarnoff Research Center


General include file

*************************************************************************/


#define	OFF 0
#define ON	1

#define	NO 0
#define YES	1

#define FALSE 0
#define TRUE 1

#define PI_2	1.570796327

#define MAX(A,B)  ((A) > (B) ? (A) : (B))
#define MIN(A,B)  ((A) < (B) ? (A) : (B))
#define ABS(A)    ((A) > 0 ? (A) : (-(A)))
#define BETWEEN(A,B,C) (((A) < (B)) ? (B) : (((A) > (C)) ? (C) : (A)))
#define SIGN(A,B) (((B) > 0) ? (A) : (-(A)))

#define FLOAT_ACCURACY 0.01
#define FLOAT_EQUAL(a,b) ((a)-FLOAT_ACCURACY < (b) && (a)+FLOAT_ACCURACY > b)



#define DEFAULT_DISPLAY "KodakSequelX"
#define DEFAULT_PRINTER "KodakSequelX"
#define DEFAULT_MODEL_FILE_DIR "/home/cygnus/rmp/SCQC/Models"
