/*
 *  This is the creation routine for the fullres panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createfullres_panel_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();
 
/*
    Main full resolution bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 353); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 213); argcnt++;
    fullres_panel_bulletinboard = XtCreateWidget("fullres_panel_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);

    retval = fullres_panel_bulletinboard;

/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 162); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 333); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    fullres_separator = XtCreateWidget("fullres_separator",
		xmSeparatorWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);

    XtManageChild(fullres_separator);
 
/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 260); argcnt++;
    XtSetArg(args[argcnt], XmNy, 174); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    fullres_dismiss_button = XtCreateWidget("fullres_dismiss_button",
		xmPushButtonWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(fullres_dismiss_button, XmNactivateCallback, fullres_destroy, (caddr_t)0);
    XtManageChild(fullres_dismiss_button);
 
/*
    Create the height label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Height:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 170); argcnt++;
    XtSetArg(args[argcnt], XmNy, 87); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 51); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    fullres_h_label = XtCreateWidget("fullres_h_label",
		xmLabelWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(fullres_h_label);
 
/*
    Create the width label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Width:",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 170); argcnt++;
    XtSetArg(args[argcnt], XmNy, 30); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 50); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    fullres_w_label = XtCreateWidget("fullres_w_label",
		xmLabelWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(fullres_w_label);

/*
    Create the toggle button used to determine whether or not the outline
    of the full resolution window is displayed. 
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Show Outline", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 170); argcnt++;
    XtSetArg(args[argcnt], XmNy, 125); argcnt++;
    fullres_outline_toggle = XtCreateWidget("fullres_outline_toggle",
                xmToggleButtonWidgetClass,
                fullres_panel_bulletinboard,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(fullres_outline_toggle, XmNvalueChangedCallback, fullres_outline, (caddr_t)0);
    XtManageChild(fullres_outline_toggle);

/*
    Create the text widget used to enter the user-selected height.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 243); argcnt++;
    XtSetArg(args[argcnt], XmNy, 82); argcnt++;
    fullres_h_text = XtCreateWidget("fullres_h_text",
		xmTextWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);

    XtManageChild(fullres_h_text);
 
/*
    Create the text widget used to enter the user-selected width.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 243); argcnt++;
    XtSetArg(args[argcnt], XmNy, 25); argcnt++;
    fullres_w_text = XtCreateWidget("fullres_w_text",
		xmTextWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);

    XtManageChild(fullres_w_text);
 
/*
    Create the full resolution window size radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 150); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 107); argcnt++;
    fullres_size_radiobox = XtCreateWidget("fullres_size_radiobox",
		xmRowColumnWidgetClass,
		fullres_panel_bulletinboard,
		args,
		argcnt);

    XtManageChild(fullres_size_radiobox);
 
/*
    Create the "256x256" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"256 x 256",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    fullres_256_button = XtCreateWidget("fullres_256_button",
		xmToggleButtonWidgetClass,
		fullres_size_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(fullres_256_button, XmNarmCallback, fullres_size, (caddr_t)"256");
    XtManageChild(fullres_256_button);
 
/*
    Create the "512x512" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"512 x 512",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    fullres_512_button = XtCreateWidget("fullres_512_button",
		xmToggleButtonWidgetClass,
		fullres_size_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(fullres_512_button, XmNarmCallback, fullres_size, (caddr_t)"512");
    XtManageChild(fullres_512_button);
 
/*
    Create the "Full Screen" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Full Screen",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    fullres_full_button = XtCreateWidget("fullres_full_button",
		xmToggleButtonWidgetClass,
		fullres_size_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(fullres_full_button, XmNarmCallback, fullres_size, (caddr_t)"FS");
    XtManageChild(fullres_full_button);
 
/*
    Create the "User-Selected" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"User-selected",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 81); argcnt++;
    fullres_user_button = XtCreateWidget("fullres_user_button",
		xmToggleButtonWidgetClass,
		fullres_size_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(fullres_user_button, XmNarmCallback, fullres_size, (caddr_t)"US");
    XtManageChild(fullres_user_button);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 312); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    fullres_help_button = XtCreateWidget("fullres_help_button",
	xmPushButtonWidgetClass,fullres_panel_bulletinboard,args,argcnt);

    XtAddCallback(fullres_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"fullres.html");
    XtManageChild(fullres_help_button);

    return( retval );
}

Widget
Createfullres_scrollwin(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    Widget	hor_scrollbar;
    Widget	vert_scrollbar;
    XmRegisterConverters();
 
/*
    Create the full resolution image scrolled window.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAUTOMATIC); argcnt++;
    XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmSTATIC); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 358); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 344); argcnt++;
    fullres_scrollwin = XtCreateWidget("fullres_scrollwin",
		xmScrolledWindowWidgetClass,
		parent,
		args,
		argcnt);

    retval = fullres_scrollwin;

/*
    Get the widget IDs of the scrollbars.
*/
    XtSetArg(args[0],XmNhorizontalScrollBar,&hor_scrollbar);
    XtSetArg(args[1],XmNverticalScrollBar,&vert_scrollbar);
    XtGetValues(fullres_scrollwin,args,2);
/*
    Turn traversal off on the scrollbars.  If this is not done, the single-
    stepping of the cursor with the arrow keys does not work.
*/
    XtSetArg(args[0],XmNtraversalOn,False);
    XtSetValues(hor_scrollbar,args,1);
    XtSetValues(vert_scrollbar,args,1);

/*
    Create the full resolution image window bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 358); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 344); argcnt++;
    fullres_win_bulletinboard = XtCreateWidget("fullres_win_bulletinboard",
		xmBulletinBoardWidgetClass,
		fullres_scrollwin,
		args,
		argcnt);

    XtManageChild(fullres_win_bulletinboard);

    return( retval );
}
