/*
 *  This is the creation routine for the histo panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createhisto_form(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();

/*
    Create the main histogram form.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 702); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 363); argcnt++;
    histo_form = XtCreateWidget("form",xmFormWidgetClass,parent,args,argcnt);

    retval = histo_form;
 
/*
    Add event handlers for the creation of the panel and for exposure events.
*/
    XtAddEventHandler(histo_form,StructureNotifyMask,FALSE,histo_create,NULL);
    XtAddEventHandler(histo_form,ExposureMask,FALSE,histo_expose,
        NULL);

/*
    Create the <Original><Mapped> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 94); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 73); argcnt++;
    histo_mo_radiobox = XtCreateWidget("histo_mo_radiobox",
                xmRowColumnWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_mo_radiobox);

/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 215); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    histo_separator = XtCreateWidget("histo_separator",
                xmSeparatorWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_separator);
 
/*
    Create a separator widget
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 215); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    histo_separator1 = XtCreateWidget("histo_separator1",
                xmSeparatorWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_separator1);

/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 12); argcnt++;
    XtSetArg(args[argcnt], XmNx, 607); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    histo_dismiss_button = XtCreateWidget("histo_dismiss_button",
                xmPushButtonWidgetClass,
                histo_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_dismiss_button, XmNactivateCallback, histo_destroy, (XtPointer)0);
    XtManageChild(histo_dismiss_button);

/*
    Create the update button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Update", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    histo_update_button = XtCreateWidget("histo_update_button",
                xmPushButtonWidgetClass,
                histo_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_update_button, XmNactivateCallback, histo_update, (XtPointer)0);
    XtManageChild(histo_update_button);

/*
    Create the "Mask Values" label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Mask Values:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 97); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    histo_mask_label = XtCreateWidget("histo_mask_label",
                xmLabelWidgetClass,
                histo_form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(histo_mask_label);

/*
    Create the <Distributional><Cumulative> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 70); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 73); argcnt++;
    histo_type_radiobox = XtCreateWidget("histo_type_radiobox",
                xmRowColumnWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_type_radiobox);

/*
    Create the <X/Y><X/Z><Y/Z> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNborderWidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, 3); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 61); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 108); argcnt++;
    histo_xyz_radiobox = XtCreateWidget("histo_xyz_radiobox",
                xmRowColumnWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_xyz_radiobox);

/*
    Create the <Image><Line><Poly> radio box.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 79); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 108); argcnt++;
    histo_ilp_radiobox = XtCreateWidget("histo_ilp_radiobox",
                xmRowColumnWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_ilp_radiobox);

/*
    Create the drawing area widget used to display the histogram graphs
    and statistics.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 475); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 353); argcnt++;
    histo_drawingarea = XtCreateWidget("histo_drawingarea",
                xmDrawingAreaWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_drawingarea);

/*
    Add an event handler to detect pointer motion and key release events for
    displaying histogram percentage information.
*/
    XtAddEventHandler(histo_drawingarea,PointerMotionMask|KeyReleaseMask,
	FALSE,histo_pointer,NULL);
    XtManageChild(histo_drawingarea);
 
/*
    Create the "Image" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Image",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    histo_image_button = XtCreateWidget("histo_image_button",
		xmToggleButtonWidgetClass,
		histo_ilp_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_image_button, XmNarmCallback, histo_ilp, (caddr_t)"I");
    XtManageChild(histo_image_button);
 
/*
    Create the "Line" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Line",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    histo_line_button = XtCreateWidget("histo_line_button",
		xmToggleButtonWidgetClass,
		histo_ilp_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_line_button, XmNarmCallback, histo_ilp, (caddr_t)"L");
    XtManageChild(histo_line_button);
 
/*
    Create the "Poly" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Poly",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    histo_poly_button = XtCreateWidget("histo_poly_button",
		xmToggleButtonWidgetClass,
		histo_ilp_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_poly_button, XmNarmCallback, histo_ilp, (caddr_t)"P");
    XtManageChild(histo_poly_button);
 
/*
    Create the "X/Y" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"X/Y",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    histo_xy_button = XtCreateWidget("histo_xy_button",
		xmToggleButtonWidgetClass,
		histo_xyz_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_xy_button, XmNarmCallback, histo_xyz, (caddr_t)"XY");
    XtManageChild(histo_xy_button);
 
/*
    Create the "X/Z" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"X/Z",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    histo_xz_button = XtCreateWidget("histo_xz_button",
		xmToggleButtonWidgetClass,
		histo_xyz_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_xz_button, XmNarmCallback, histo_xyz, (caddr_t)"XZ");
    XtManageChild(histo_xz_button);
 
/*
    Create the "Y/Z" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Y/Z",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    histo_yz_button = XtCreateWidget("histo_yz_button",
		xmToggleButtonWidgetClass,
		histo_xyz_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_yz_button, XmNarmCallback, histo_xyz, (caddr_t)"YZ");
    XtManageChild(histo_yz_button);
 
/*
    Create the "Distributional" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dist",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    histo_dist_button = XtCreateWidget("histo_dist_button",
		xmToggleButtonWidgetClass,
		histo_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_dist_button, XmNarmCallback, histo_type, (caddr_t)"D");
    XtManageChild(histo_dist_button);
 
/*
    Create the "Cumulative" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cum",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    histo_cum_button = XtCreateWidget("histo_cum_button",
		xmToggleButtonWidgetClass,
		histo_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_cum_button, XmNarmCallback, histo_type, (caddr_t)"C");
    XtManageChild(histo_cum_button);
 
/*
    Create a text widget for entering mask values.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNvalue, ""); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, 20); argcnt++;
    XtSetArg(args[argcnt], XmNrows, 1); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    histo_mask_text = XtCreateWidget("histo_mask_text",
                xmTextWidgetClass,
                histo_form,
                args,
                argcnt);
    XtManageChild(histo_mask_text);

/*
    Create the "Original" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Original",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    histo_original_button = XtCreateWidget("histo_original_button",
		xmToggleButtonWidgetClass,
		histo_mo_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_original_button, XmNarmCallback, histo_mo, (caddr_t)"O");
    XtManageChild(histo_original_button);
 
/*
    Create the "Mapped" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Mapped",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    histo_mapped_button = XtCreateWidget("histo_mapped_button",
		xmToggleButtonWidgetClass,
		histo_mo_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(histo_mapped_button, XmNarmCallback, histo_mo, (caddr_t)"M");
    XtManageChild(histo_mapped_button);
    XtSetSensitive(histo_mapped_button,False);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    histo_help_button = XtCreateWidget("histo_help_button",
	xmPushButtonWidgetClass,histo_form,args,argcnt);

    XtAddCallback(histo_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"histo.html");
    XtManageChild(histo_help_button);

/*
    Set form attachments.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_ilp_radiobox, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_ilp_radiobox); argcnt++;
    XtSetValues(histo_xyz_radiobox, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_ilp_radiobox); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_type_radiobox, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_xyz_radiobox); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_type_radiobox); argcnt++;
    XtSetValues(histo_mo_radiobox, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_type_radiobox); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_separator, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_separator); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_mask_label, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_mask_label); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_mask_text, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_mask_text); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 5); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_separator1, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_separator1); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNleftWidget, histo_drawingarea); argcnt++;
    XtSetValues(histo_update_button, args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_WIDGET); argcnt++;
    XtSetArg(args[argcnt], XmNtopWidget, histo_separator1); argcnt++;
    XtSetValues(histo_dismiss_button, args, argcnt);

    return( retval );
}
