/*
 *  This is the creation routine for the init panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createinit_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Widget 	retval;
    XmString	xmstr[32];
    XmRegisterConverters();
 
/*
    Create the initialize main bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 313); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 170); argcnt++;
    init_bulletinboard = XtCreateWidget("init_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);
    retval = init_bulletinboard;
 
/*
    Create the rotator icon for incrementing the plane number.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNhighlightOnEnter, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap, 
	XPM_PIXMAP(parent, rotator1_width,rotator1_height, 
		rotator1_ncolors, rotator1_chars_per_pixel, rotator1_colors, rotator1_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNfillOnArm, False); argcnt++;
    XtSetArg(args[argcnt], XmNarmPixmap, 
	XPM_PIXMAP(parent, rotator3_width,rotator3_height, 
		rotator3_ncolors, rotator3_chars_per_pixel, rotator3_colors, rotator3_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNx, 157); argcnt++;
    XtSetArg(args[argcnt], XmNy, 40); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 40); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 40); argcnt++;
    init_rotator_icon = XtCreateWidget("init_rotator_icon",
		xmPushButtonWidgetClass,
		init_bulletinboard,
		args,
		argcnt);

    XtAddCallback(init_rotator_icon, XmNactivateCallback, init_rotator, (caddr_t)0);
    XtManageChild(init_rotator_icon);
 
/*
    Create the "initialize all planes" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"All Planes",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNindicatorOn, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 172); argcnt++;
    XtSetArg(args[argcnt], XmNy, 85); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 109); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNmappedWhenManaged, False); argcnt++;
    init_all_toggle = XtCreateWidget("init_all_toggle",
		xmToggleButtonWidgetClass,
		init_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(init_all_toggle, XmNvalueChangedCallback, init_all, (caddr_t)0);
    XtManageChild(init_all_toggle);
 
/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 121); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 293); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    init_separator = XtCreateWidget("init_separator",
		xmSeparatorWidgetClass,
		init_bulletinboard,
		args,
		argcnt);

    XtManageChild(init_separator);

/*
    Create the apply button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 40); argcnt++;
    XtSetArg(args[argcnt], XmNy, 131); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    init_apply_button = XtCreateWidget("init_apply_button",
		xmPushButtonWidgetClass,
		init_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(init_apply_button, XmNactivateCallback, init_apply, (caddr_t)0);
    XtManageChild(init_apply_button);
 
/*
    Create the cancel button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Cancel",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 190); argcnt++;
    XtSetArg(args[argcnt], XmNy, 131); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    init_cancel_button = XtCreateWidget("init_cancel_button",
		xmPushButtonWidgetClass,
		init_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(init_cancel_button, XmNactivateCallback, init_destroy, (caddr_t)0);
    XtManageChild(init_cancel_button);
 
/*
    Create the text widget for displaying the current plane number to 
    initialize.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 212); argcnt++;
    XtSetArg(args[argcnt], XmNy, 48); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, "1"); argcnt++;
    init_text = XtCreateWidget("init_text",
		xmTextWidgetClass,
		init_bulletinboard,
		args,
		argcnt);

    XtManageChild(init_text);

/*
    Create the <Main Window><Plane><Mapping>.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 132); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 81); argcnt++;
    init_type_radiobox = XtCreateWidget("init_type_radiobox",
		xmRowColumnWidgetClass,
		init_bulletinboard,
		args,
		argcnt);

    XtManageChild(init_type_radiobox);

/*
    Create a dialog shell for displaying a verification panel.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 598); argcnt++;
    XtSetArg(args[argcnt], XmNy, 281); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 211); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 130); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    init_dialogshell = XtCreatePopupShell("init_dialogshell",
		xmDialogShellWidgetClass,
		init_bulletinboard,
		args,
		argcnt);
 
/*
    Create the message box widget containing the verification request.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL); argcnt++;
    XtSetArg(args[argcnt], XmNdialogTitle, (xmstr[0]=XmStringCreateLtoR(
		"Initialize Verification",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmessageString, (xmstr[1]=XmStringCreateLtoR(
		"Are you sure you want to\n\
initialize the main image\n\
window ?",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNhelpLabelString, (xmstr[2]=XmStringCreateLtoR(
		"Help",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 598); argcnt++;
    XtSetArg(args[argcnt], XmNy, 281); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 211); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 130); argcnt++;
    XtSetArg(args[argcnt], XmNdialogType, XmDIALOG_QUESTION); argcnt++;
    init_messagebox = XtCreateWidget("init_messagebox",
		xmMessageBoxWidgetClass,
		init_dialogshell,
		args,
		argcnt);
    XmStringFree( xmstr[0] );
    XmStringFree( xmstr[1] );
    XmStringFree( xmstr[2] );

    XtAddCallback(init_messagebox, XmNcancelCallback, init_verify_cancel, (caddr_t)0);
    XtAddCallback(init_messagebox, XmNokCallback, init_verify_ok, (caddr_t)0);

    XtUnmanageChild(XmMessageBoxGetChild(init_messagebox,XmDIALOG_HELP_BUTTON));
 
/*
    Create the "Main Window" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Main Window",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    init_mainwin_button = XtCreateWidget("init_mainwin_button",
		xmToggleButtonWidgetClass,
		init_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(init_mainwin_button, XmNarmCallback, init_type, (caddr_t)"MW");
    XtManageChild(init_mainwin_button);
 
/*
    Create the "Plane" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Plane",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 29); argcnt++;
    init_plane_button = XtCreateWidget("init_plane_button",
		xmToggleButtonWidgetClass,
		init_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(init_plane_button, XmNarmCallback, init_type, (caddr_t)"P");
    XtManageChild(init_plane_button);
 
/*
    Create the "Mapping" toggle button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Mapping",
		XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    init_mapping_button = XtCreateWidget("init_mapping_button",
		xmToggleButtonWidgetClass,
		init_type_radiobox,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(init_mapping_button, XmNarmCallback, init_type, (caddr_t)"M");
    XtManageChild(init_mapping_button);

/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 272); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    init_help_button = XtCreateWidget("init_help_button",
	xmPushButtonWidgetClass,init_bulletinboard,args,argcnt);

    XtAddCallback(init_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"init.html");
    XtManageChild(init_help_button);

    return( retval );
}
