/*
 *  This is the creation routine for the mask panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "pixmaps.h"

Widget
Createmask_bulletinboard(parent)
Widget parent;
{
    Arg    	args[512];
    int    	argcnt;
    Boolean	argok;
    Widget 	retval;
    XmString	xmstr[32];

    XmRegisterConverters();
 
/*
    Create the main bulletin board.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, 0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 388); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 169); argcnt++;
    mask_bulletinboard = XtCreateWidget("mask_bulletinboard",
		xmBulletinBoardWidgetClass,
		parent,
		args,
		argcnt);

    retval = mask_bulletinboard;

/*
    Create the mask color label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Mask Color:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    mask_color_label = XtCreateWidget("mask_color_label",
		xmLabelWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(mask_color_label);

/*
    Create a separator widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 110); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 388); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    mask_separator = XtCreateWidget("mask_separator",
		xmSeparatorWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);

    XtManageChild(mask_separator);

/*
    Create the dismiss button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 295); argcnt++;
    XtSetArg(args[argcnt], XmNy, 130); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    mask_dismiss_button = XtCreateWidget("mask_dismiss_button",
		xmPushButtonWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(mask_dismiss_button, XmNactivateCallback, mask_destroy, (caddr_t)0);
    XtManageChild(mask_dismiss_button);

/*
    Create the clear button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Clear", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 152); argcnt++;
    XtSetArg(args[argcnt], XmNy, 130); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    mask_clear_button = XtCreateWidget("mask_clear_button",
		xmPushButtonWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(mask_clear_button, XmNactivateCallback, mask_clear, (caddr_t)0);
    XtManageChild(mask_clear_button);

/*
    Create the apply button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Apply", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 130); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    mask_apply_button = XtCreateWidget("mask_apply_button",
		xmPushButtonWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(mask_apply_button, XmNactivateCallback, mask_apply, (caddr_t)0);
    XtManageChild(mask_apply_button);

/*
    Create the mask values label widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
		"Values:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 157); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    mask_value_label = XtCreateWidget("mask_value_label",
		xmLabelWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(mask_value_label);

/*
    Create the text widget used to enter mask values.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, 13); argcnt++;
    XtSetArg(args[argcnt], XmNrows, 3); argcnt++;
    XtSetArg(args[argcnt], XmNx, 157); argcnt++;
    XtSetArg(args[argcnt], XmNy, 35); argcnt++;
    mask_value_text = XtCreateWidget("mask_value_text",
		xmTextWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);

    XtManageChild(mask_value_text);

/*
    Create the rowcolumn widget used to contain the color boxes.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNborderWidth, 2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, 0); argcnt++;
    XtSetArg(args[argcnt], XmNspacing, 0); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNnumColumns, 4); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmWORK_AREA); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 35); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 124); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 62); argcnt++;
    mask_rowcolumn = XtCreateWidget("mask_rowcolumn",
		xmRowColumnWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);

    XtManageChild(mask_rowcolumn);

/*
    Create the red color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "red", "Pixel", 3, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_red_button = XtCreateWidget("mask_red_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_red_button, XmNactivateCallback, mask_color, (caddr_t)"red");
    XtManageChild(mask_red_button);

/*
    Create the cyan color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "cyan", "Pixel", 4, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_cyan_button = XtCreateWidget("mask_cyan_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_cyan_button, XmNactivateCallback, mask_color, (caddr_t)"cyan");
    XtManageChild(mask_cyan_button);

/*
    Create the green color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "green", "Pixel", 5, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 31); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_green_button = XtCreateWidget("mask_green_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_green_button, XmNactivateCallback, mask_color, (caddr_t)"green");
    XtManageChild(mask_green_button);

/*
    Create the magenta color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "magenta", "Pixel", 7, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 31); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_magenta_button = XtCreateWidget("mask_magenta_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_magenta_button, XmNactivateCallback, mask_color, (caddr_t)"magenta");
    XtManageChild(mask_magenta_button);

/*
    Create the blue color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "blue", "Pixel", 4, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 62); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_blue_button = XtCreateWidget("mask_blue_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_blue_button, XmNactivateCallback, mask_color, (caddr_t)"blue");
    XtManageChild(mask_blue_button);

/*
    Create the yellow color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "yellow", "Pixel", 6, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 62); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_yellow_button = XtCreateWidget("mask_yellow_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_yellow_button, XmNactivateCallback, mask_color, (caddr_t)"yellow");
    XtManageChild(mask_yellow_button);

/*
    Create the black color selection button.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "black", "Pixel", 5, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 93); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_black_button = XtCreateWidget("mask_black_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_black_button, XmNactivateCallback, mask_color, (caddr_t)"black");
    XtManageChild(mask_black_button);

/*
    Create the white color selection button (the color snow is actually used
    otherwise the highlighting of the selected box doesn't work correctly).
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbackground, 
	CONVERT(parent, "snow", "Pixel", 5, &argok)); if(argok) argcnt++;
    XtSetArg(args[argcnt], XmNtraversalOn, False); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 93); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_white_button = XtCreateWidget("mask_white_button",
		xmPushButtonWidgetClass,
		mask_rowcolumn,
		args,
		argcnt);

    XtAddCallback(mask_white_button, XmNactivateCallback, mask_color, (caddr_t)"white");
    XtManageChild(mask_white_button);

/*
    Create the text widget used to display the current mask value.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 342); argcnt++;
    XtSetArg(args[argcnt], XmNy, 55); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, "1"); argcnt++;
    mask_plane_text = XtCreateWidget("mask_plane_text",
		xmTextWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);

    XtManageChild(mask_plane_text);
 
/*
    Create the rotator icon for incrementing the mask number.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNhighlightOnEnter, False); argcnt++;
    XtSetArg(args[argcnt], XmNhighlightThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap, 
	XPM_PIXMAP(parent, rotator1_width,rotator1_height, 
		rotator1_ncolors, rotator1_chars_per_pixel, rotator1_colors, rotator1_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNfillOnArm, False); argcnt++;
    XtSetArg(args[argcnt], XmNarmPixmap, 
	XPM_PIXMAP(parent, rotator3_width,rotator3_height, 
		rotator3_ncolors, rotator3_chars_per_pixel, rotator3_colors, rotator3_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNx, 297); argcnt++;
    XtSetArg(args[argcnt], XmNy, 48); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 40); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 40); argcnt++;
    mask_rotator_icon = XtCreateWidget("mask_rotator_icon",
		xmPushButtonWidgetClass,
		mask_bulletinboard,
		args,
		argcnt);

    XtAddCallback(mask_rotator_icon, XmNactivateCallback, mask_rotator, (caddr_t)0);
    XtManageChild(mask_rotator_icon);
 
/*
    Create the help button widget.
*/
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap,
	XPM_PIXMAP(parent, helpxbm_width,helpxbm_height,
	helpxbm_ncolors, helpxbm_chars_per_pixel, helpxbm_colors, 
	helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 347); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    mask_help_button = XtCreateWidget("mask_help_button",
	xmPushButtonWidgetClass,mask_bulletinboard,args,argcnt);

    XtAddCallback(mask_help_button, XmNactivateCallback, help_update, 
	(caddr_t)"mask.html");
    XtManageChild(mask_help_button);

    return( retval );
}
