/*
 *  ProcessMI.h
 */

/*
 *  Private implementation file for the processing message widget.
 */

/*
 *  Copyright (c) 1992 U.S. Geological Survey (USGS)
 *
 *  Permission to use, copy, modify, distribute, and sell this software and its
 *  documentation for any purpose is hereby granted without fee, provided that
 *  the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of USGS not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  USGS makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 *
 *  USGS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL USGS
 *  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 *  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 *  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */

/*
 *  The Xpm pixmap routine use is:
 *
 *  Copyright 1990-93 GROUPE BULL
 *
 *  Permission to use, copy, modify, and distribute this software and its
 *  documentation for any purpose and without fee is hereby granted, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of GROUPE BULL not be used in advertising
 *  or publicity pertaining to distribution of the software without specific,
 *  written prior permission.  GROUPE BULL makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 *
 *  GROUPE BULL disclaims all warranties with regard to this software,
 *  including all implied warranties of merchantability and fitness,
 *  in no event shall GROUPE BULL be liable for any special,
 *  indirect or consequential damages or any damages
 *  whatsoever resulting from loss of use, data or profits,
 *  whether in an action of contract, negligence or other tortious
 *  action, arising out of or in connection with the use
 *  or performance of this software.
 *
 */

/*
 *  Change log:
 *
 *      D. Akkerman, USGS/EROS Data Center, 9/92
 *       - inception.
 *
 *      D. Akkerman, USGS/EROS Data Center, 7/93
 *       - updated for IPC use.
 *
 *      D. Akkerman, USGS/EROS Data Center, 12/93
 *       - Fixed problems with using icon for processing.
 *       - Added code for more efficient color assignment for "pie" processing.
 *       - Added code to reduce CPU usage while paused.
 *
 */

static char *hour_glass[] = {
/* width height ncolors chars_per_pixel */
"    32    32       3          1",
/* colors */
"- c white	m None	s symbol_1",
"# c black	m white	s symbol_2",
"% c yellow	m black	s symbol_3",
/* pixels */
"--------------------------------",
"-##############################-",
"-##############################-",
"--##---#----------------#---##--",
"--##--#------------------#--##--",
"--##--#------------------#--##--",
"--##--#------------------#--##--",
"--##--#------------------#--##--",
"--##--#------------------#--##--",
"--##---#----------------#---##--",
"--##----#%%%%%%--%%%%%%#----##--",
"--##-----#%%%%%%%%%%%%#-----##--",
"--##------#%%%%%%%%%%#------##--",
"--##-------##%%%%%%##-------##--",
"--##---------##%%##---------##--",
"--##-----------##-----------##--",
"--##-----------##-----------##--",
"--##---------##--##---------##--",
"--##-------##------##-------##--",
"--##------#----------#------##--",
"--##-----#------------#-----##--",
"--##----#--------------#----##--",
"--##---#----------------#---##--",
"--##--#--------%%--------#--##--",
"--##--#-------%%%%-------#--##--",
"--##--#-----%%%%%%%%%----#--##--",
"--##--#-%%%%%%%%%%%%%%%%-#--##--",
"--##--#%%%%%%%%%%%%%%%%%%#--##--",
"--##---#%%%%%%%%%%%%%%%%#---##--",
"-##############################-",
"-##############################-",
"--------------------------------"};


