#ifndef PROTOS_H
#define PROTOS_H

void add_pick
(
    char hos_stout[][CMLEN],     /* output stats file host name       */
    long *numclass_req,          /* no. classes to be picked          */
    long numclass_pick,          /* no. classes in pick stats file    */
    long *numclass_out,          /* no. classes in output stats file  */
    char runtype[]              /* batch/interactive indicator       */
);

void copy_base
(
    char hos_stbase[],      /* base stats file host name         */
    char hos_stpick[],      /* pick stats file host name         */
    char hos_stout[],       /* output stats file host name       */
    long *numclasses_req,   /* no. classes to be picked          */
    long *numclasses_pick,  /* no. classes in pick stats file    */
    long *numclasses_out   /* no. classes in output stats file  */
);

void erase_lines
(
    long start,
    long end
);

void getpar
(
    char hos_stbase[],        /* base file host name              */
    char hos_stpick[],        /* pick file host name              */
    char las_stout[],         /* output file image las name       */
    char hos_stout[],         /* output file host name            */
    long *num_classes,
    char runtype[]
);

void stat_copy
(
    char hos_stin[],      /* input stats file host name         */
    char hos_stout[]     /* output stats file host name        */
);

#endif
