#include "las.h"
#include <stdio.h>
#include "protos.h"

void stat_copy
(
    char hos_stin[],      /* input stats file host name         */
    char hos_stout[]     /* output stats file host name        */
)
/*
*****************************************************************************

NAME:	STAT_COPY

PURPOSE: Copies statistics files

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
   1          2-Jun-83  K. Mcgee
   2          6-Feb-89  K. A. Narayanan    conversion to 5.0

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

*****************************************************************************
*/
{
#define REC_SIZE 512

FILE	*fd_in,
	*fd_out;

long	n;

char	buf[REC_SIZE];

/*
open input and output files
---------------------------
*/
fd_in = fopen (hos_stin, "r");
fd_out = fopen (hos_stout, "w");

/*
copy input file to output file
------------------------------
*/
while (1)
   {
   n = (long) fread (buf, REC_SIZE, 1, fd_in);
   if ( n== 0) break;
   fwrite (buf, REC_SIZE, 1, fd_out);
   }
/*
close files
-----------
*/
fclose (fd_in);
fclose (fd_out);
}
