
/*******************************************************************************
NAME:     iovars.h 
PURPOSE:  declare global vars used for image IO, included by some ANNOTATE
          source files 
*******************************************************************************/


#ifdef GLOBALVARS
   struct PARBLK block;    /* tae parameter block */ 
   long fdesc[MAXIMG],     /* file descriptors */
        msgtim,            /* message interval */
        zero = 0,          /* value of 0 */ 
        one = 1;           /* value of 1 */ 

#else 
   extern struct PARBLK block;    /* tae parameter block */ 
   extern long fdesc[MAXIMG],     /* file descriptors */
	       msgtim,            /* message interval */
	       zero,              /* value of 0 */ 
	       one;               /* value of 1 */ 
#endif 

