/********************************************************************
NAME: STRIP_NUM

PURPOSE: Function to return the first encountered number part of an 
         input string.
         If no number is found, the return string is set to NULL. 
*********************************************************************/
#include <ctype.h>
#include "las.h"
#include "arc2las.h"

void strip_num
(
  char *input,              /* Input string                             */
  char *return_val,         /* String to be returned                    */
  long *index               /* Current location of processing in input  */
)
{
    long loop;                /* Loop counter                             */

    while (isspace(input[*index]))
        (*index)++;

    for (loop = 0; (isdigit(input[*index]) || (input[*index] == '.'));
            (*index)++,loop++)
        return_val[loop] = input[*index];

    return_val[loop] = 0;
}
