#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *vblock,	/* pointer to TAE parameter block	      */
    float wa[],		        /* weight factor array for denominator images */
    float *wn,			/* weight factor for numerator image  	      */
    float *denom,		/* value to be output when denominator is 0   */
    long *msgtime,		/* elapsed time between display messages      */
    char t1[][CMLEN],		/* pointer to denominator TAE file descriptor */
    char h1[][CMLEN],		/* pointer to denominator host file descriptor*/
    char t2[][CMLEN],		/* pointer to numerator TAE file descriptor   */
    char h2[][CMLEN], 		/* pointer to numerator host file descriptor  */
    char t3[][CMLEN],		/* pointer to output TAE file descriptor      */
    char h3[][CMLEN],		/* pointer to output host file descriptor     */
    long wind1[][4],		/* window specification for denominator images*/
    long wind2[][4],		/* window specification for numerator image   */
    long *nlout,			/* number of lines in output image   	      */
    long *npout,			/* number of pixels per line in output image  */
    long *nib1,			/* number of bands per denominator image      */
    char *minmax,		/* min max flag buffer			      */
    long bands1[][MAXBND + 1],  /* band specification for denominator images  */
    long bands2[][MAXBND + 1],	/* band specification for numerator image     */
    long *nim1,			/* number of input images for denominator     */
    long *totbnd1		/* total number of bands in denominator       */
);

#endif

