#include "canal.h"
#include "protos.h"

void egsqrt
(
    float a[],
    long n
)

/*
**********************************************************************

NAME: EGSQRT

PURPOSE: Replaces the elements of a vector by their square roots

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
  2.0         08/17/88  K. A. Narayanan   Conversion to 5.0
  1.0         06/15/85  S. Kondal

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT: LAS

**********************************************************************
*/
{
long	i;

for (i = 0; i < n; i++)
   {
   if (a[i] < 0.0e0) a[i] = 0.0e0;
   a[i] = sqrt ((double) a[i]);
   }
}
