#ifndef MOUNT_CD_H
#define MOUNT_CD_H

int mount_cd
(
    struct PARBLK *vblk,  /* I: TAE parameter block      */
    char comment[CMLEN],  /* I: mount messages           */
    char *drive,          /* O: drive CD was mounted on  */
    char *device,         /* O: device CD was mounted on */
    int  *mounted         /* O: CD mounted flag          */
);

int unmount_cd
(
    struct PARBLK *vblk, /* I: TAE parameter block       */
    char *drive,         /* I: drive to unmount CD       */
    int  *mounted        /* O: CD mounted flag           */
);

#endif
