#ifndef PROTOS_H
#define PROTOS_H


void comcalc
(
    long wind[][4],		/* first image window */
    long nmrimg,			/* no. of images in first image */
    long msgtim			/* message interval */
);

void getparms
(
    char lasin[][CMLEN],		/* Buffer for input las names */
    char lasin2[][CMLEN],	/* Buffer for input las names */
    char hosin[][CMLEN],		/* Buffer for input host names */
    char hosin2[][CMLEN],	/* Buffer for input host names */
    char hosout[][CMLEN], 		/* Buffer for output host names */
    char lasout[][CMLEN],	        /* Buffer for output las names */
    long *nmrimg,
    long *nmrimg2,	/* Number of input images */
    long *totbnd,
    long *totbnd2, 	/* Total no. of bands */
    long *mnmx,			/* Min/max value */
    long *msgtim,		/* Time processing message time interval      */
    long window[MAXIMG][4], 	/* Window specifications */
    long window2[MAXIMG][4] 	/*  for each image */
);

void filspec
(
    char hostin[][CMLEN],         /* input image host names */
    char hostin2[][CMLEN],
    char hosout[CMLEN],	       /* output image name */
    long wind[][4],               /* input image windows */
    long wind2[][4],
    long nimages,
    long nimages2,        /* no. of input images */
    long totbnd		       /* total no. of bands */
);
#endif

