#ifndef PROTOS_H
#define PROTOS_H

void comcalc
(
    long wind[][4],		/* window for first image */
    long nmrimg,			/* no. of images in first image */
    long msgtim,			/* message interval */
    long nbands[],
    long ipoint[],
    long ipoint2[],
    long opoint[]
);

void filspec
(
    char hostin[][CMLEN],         /* input image host names */
    char hostin2[][CMLEN],	       /* input image host namex */
    char hosout[],		       /* output image name */
    long wind[][4],               /* input image windows           */
    long wind2[][4],
    long nimages,
    long nimages2,        /* no. of input images           */
    long totbnd,		       /* total no. of bands */
    long bands2[][MAXBND+1],
    long bands[][MAXBND+1],
    long nbands[],
    long ipoint[],
    long ipoint2[],
    long opoint[],
    char out[][CMLEN],
    long wind1[][4]
);

void getpar
(
    char lasin[][CMLEN],		/* Buffer for input las names */
    char lasin2[][CMLEN],	/* Buffer for input las names */
    char hosin[][CMLEN],		/* Buffer for input host names */
    char hosin2[][CMLEN],	/* Buffer for input host names */
    char hosout[][CMLEN], 		/* Buffer for output host names */
    long *nmrimg,
    long *nmrimg2,	/* Number of input images */
    long *totbnd,
    long *totbnd2, 	/* total no. of bands */
    char lasout[][CMLEN],		/* Buffer for output las names */
    long *mnmx,			/* min/max value */
    long *msgtim,		/* Time processing message time interval      */
    long window[][4],	 	/* window specifications */
    long window2[][4], 		/* for each image */
    long bands2[][MAXBND+1],     /* bands numbers for each specified image */
    long bands[][MAXBND+1],       /* bands numbers for each specified image */
    long nbands[]               /* number of bands for each specified image */
);

#endif

