#ifndef PROTOS_H
#define PROTOS_H

void comcalc
(
    long wind[][4],		/* processing window */
    long nmrimg,			/* no. of images */
    long msgtim			/* message interval */
);

void getpar
(
    char hosin[][CMLEN],		/* Buffer for input host names */
    char hosout[][CMLEN],	/* Buffer for output host names */
    long window[MAXIMG][4], 	/* window specifications */
    long *nmrimg, 		/* Number of input images */
    long *totbnd, 		/* total no. of bands */
    long *mnmx,			/* min/max value */
    long *msgtim		/* Time processing message time interval      */
);

void filspec
(
    char hosin[][CMLEN],          /* input image host names */
    char hosout[][CMLEN],	       /* output image host names */
    long wind[][4],               /* input image windows */
    long nimages,                 /* no. of input images */
    long totbnd		       /* total no. of bands */
);

#endif

