/*****************************************************************************
NAME: CALCDIST

PURPOSE:  Calculates the distance between two x-y coordinates and returns
          the result.

PROGRAM HISTORY:

Version  Date  Programmer       Code  Reason
-------  ----- ----------       ----  ------
 1.0     12/97 B.Olson           C    Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
   Must be run under TAE.

PROJECT:        LAS
*****************************************************************************/
#include <math.h>
#include "protos.h"

/* Calculates the distance between 2 points
   ---------------------------------------- */
void calcdist (double *y1, double *x1, double *y2, double *x2, double *dist)
{

    *dist = sqrt(pow((*y1 - *y2),2) + pow((*x1 - *x2),2));
}

