#ifndef PROTOS_H
#define PROTOS_H


int clean_gof
(
    char *ingof,			/* Input GOF name (I)			    */
    long gtype			/* GOF graphics type to process (I)	    */
);

int delatt
(
    long gtype,                  /* GOF type (I)                    */
    char attrnam[][ATTIN],       /* Attribute names and values to
                                   delete by (I)                   */
    long acount,                 /* Number of attributes specified
                                   to delete by (I)                */
    char *ingof                 /* Input name (I)                  */
);

int delrec
(
    long gtype,			/* GOF type (I)			   */
    long recnum[],		/* Record numbers to delete (I)	   */
    long nrec,			/* Number of records to delete (I) */
    char attrval[][ATTIN],	/* Attribute names and values to 
				   delete by (I)   		   */
    long acount,			/* Number of attributes specified
				   to delete by (I)		   */
    char *ingof			/* Input name (I)		   */
);

int getpar
(
    char *subcmd,                /* The subcommand                    */
    long *goftyp,                /* Initial type of GOF to process    */
    long recnum[50],             /* Record numbers to delete          */
    long *nrec,                  /* Number of records to delete       */
    char attrval[][ATTIN],       /* User specified attribute names  and
                                   values                            */
    char attrnam[][ATTIN],       /* User defined attribute names      */
    long *acount,                /* Attribute count                   */
    char *ingof                 /* GOF name whose records are to be
                                   deleted                           */
);

int sort
(
    long array[],	/* Array to be sorted. (IO)		     */
    long *num		/* Number of elements to be sorted. (I)	     */
);

#endif
