/* include files, global parameters, and definitions for DESTRIPE      */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"

#define NR      0			/* number of lines in local window  */
#define NP      1			/* number of pixels in local window */

#define TERM	0			/* directs output to terminal       */
#define FIL	1			/* directs output to file           */
#define LP	2			/* directs ouput to line printer    */

extern	struct	PARBLK	block;                 /* TAE parameter block     */
extern  struct  DDR	ddr;                   /* ddr                     */
extern 	FILE	*fd;			       /* temp file descriptor    */
extern	FILE	*fd1;                          /* output file1 descriptor */
extern	FILE	*fd3;			/* print file descriptor          */


extern	unsigned char  *inbuf;                 /* image input buffer      */
extern	unsigned char  *outbuf1;               /* image output buffer     */

extern  char    out_files[3][CMLEN];           /* output file names       */

extern	long	fdescin[MAXIMG+1];             /* input file descriptors  */
extern	long	fdescout1;                     /* output file1 descriptor  */
extern	long	fdescout2;                     /* output file2 descriptor  */

extern  long	min_max;                       /* minmax option flag      */
extern	long 	msgtim;                        /* message interval        */
extern	long	num_outfiles;                  /* number of output files  */

extern	long	curent;                        /* current entity           */
extern	long	curcat;                        /* current category         */

extern 	long	window[MAXIMG][4];    /* input image dimensions (SL SS NL NS) */
extern	long	cell_size[2];	      /* cell size                            */
extern	long	corr_code,	      /* correction codes:                    */
       				      /* 1 - ediesc correction                */
				      /* 2 - smooth correction                */
				      /* 3 - both of above kind               */
				      /* 4 - no correction                    */
				      /* 5 - user's correction                */
		detectors,	      /* number of detectors                  */
		hv_tresh[2], 	      /* horizontal and vertical tresholds    */
		num_stat,	      /* number of statistics:                */
				      /* 1 - before correction                */
    				      /* 2 - before and after correction      */
				      /* 3 - before and after ediesc and      */
                                      /* ediesc and smooth corrections        */
		zero_incl;	      /* 0-include code: 0=include, 1=exclude */

extern	char	correction[6];

