#ifndef PROTOS_H
#define PROTOS_H

void dstbnd
(
    FILE *fp,	  	 /* file pointer to print file		              */
    long *print,		 /* output destination			              */
    char *tname,	 	 /* TAE name of input image      */
    long *band,		 /* pointer to current band number		      */
    struct BDDR *bddr	 /* source of data		      		      */
);

void mmval
(
    long input,				/* input validity flag numeric value  */
    char str[]				/* validity flag's character value    */
);

void dstimg
(
    FILE *fp,			/* file pointer to print file		      */
    long *print,			/* output destination			      */
    char *tname,		        /* TAE name of input image		      */
    struct DDR *ddr		/* pointer to integer data in record 1	      */
);

void pntval
(
    long input,				/* input validity flag numeric value  */
    char str[]				/* validity flag's character value    */
);

int ppfbnd
(
    char *ppfname,
    long *band,		 /* pointer to current band number		      */
    struct BDDR *bddr	 /* source of data		      		      */
);

int ppfimg
(
    char *ppfname,
    char *tname,		        /* TAE name of input image		     */
    struct DDR *ddr		/* pointer to integer data in record 1	     */
);

void ppfval
(
    long input,                          /* input validity flag numeric value  */
    char str[]                          /* validity flag's character value    */
);

void FixProjParm
(
    double num,                         /* projection parameter to change      */
    char *newnum                       /* holds the new proj. parm value      */
);

char *rem_blanks
(
    char *str,
   long *len
);

#endif
