#ifndef PROTOS_H
#define PROTOS_H

int getpar
(
    char *subcmd,		/* The subcommand 			      */
    int  *goftyp,	  	/* The GOF types (by name) specified 	      */
    long *prtfil,		/* Indicates whether GOF information is to be
				   output to a file			      */
    char *in,			/* The input source file 		      */
    char attrval[][ATTIN], 	/* The attribute values specified 	      */
    long *prtpts,		/* Whether to print the points pairs in the 
				   long format 				      */
    long *numrec,		/* Number of records specified 		      */
    long recno[100],		/* The list of records specified 	      */
    long *numattr,		/* Number of attributes specified 	      */
    char *pfile,			/* Temporary file to write to for TERM, LP or
				   user specified file name		      */
    char *ufile,			/* User specified file name		      */
    struct PARBLK *vblock	/* TAE variable block 			      */
);

int printheader
(

/* print out information contained in the header GOF record 
   in the case of -DEF this routine completes all processing 
   ---------------------------------------------------------*/
    char *subcmd,		/* Subcommand specified (I)		      */
    char *goftyp,		/* GOF type (I) 		 	      */
    struct HEADER *gofhdr,  	/* Pointer to the header record for the
				   GOF (I)				      */
    FILE *lfp			/* File pointer to the output file (I) 	      */
);

int printparms
(
    char *image,			/* Name of the displayed image (if known) (I) */
    FILE *lfp			/* Pointer to output file (I) 		      */
);

int printrec
(
    long rec,		/* The current record number (I)              */
    long gtype,		/* GOF type (I) 			      */
    union GOF *gofrec,	/* Pointer to the GOF record (I) 	      */
    struct HEADER *gofhdr, 	/* Pointer to the GOF header (I) 	      */
    long prtpts,		/* Whether or not to print out the points (I) */
    FILE *lfp		/* File pointer to the output file (I)	      */
);


#endif

