#ifndef PROTOS_H
#define PROTOS_H

void prtall
(
    FILE *lfp,			/* Pointer to output file. (I)  	      */
    FILE *fp			/* Pointer to session log file. (I)	      */
);

int prtsub
(
    FILE *lfp,			/* Pointer to output file. (I)  	      */
    FILE *fp,			/* Pointer to session log file. (I)	      */
    long bdate[],		/* Beginning month, day and year. (I)	      */
    long edate[],		/* Ending month, day and year. (I)	      */
    long btime[],		/* Beginning hours, minutes and seconds. (I)  */
    long etime[]		/* Ending hours, minutes and seconds. (I)     */
);

void totsec
(
    long *year,		/* Two-digit year (I).				*/
    long *month,		/* Month (I).					*/
    long *day,		/* Day (I).					*/
    long *hour,		/* Hour (based on 24-hr clock) (I).		*/
    long *minute,	/* Minute (I).					*/
    long *sec,		/* Seconds (I).					*/
    long *tot_sec	/* Total seconds since Jan. 1, 1986 (O).	*/
);

void getpar
(
    char *subcmd,       /* The subcommand.  (O)               */
    long bdate[],       /* Beginning month,day and year. (O)          */
    long edate[],       /* Ending month, day and year (O).        */
    long btime[],       /* Beginning hours, minutes and seconds.  (O) */
    long etime[],       /* Ending hours, minutes and seconds  (O).    */
    char *infile,       /* The input session log file.  (O)           */
    long *prtfil,       /* Indicates whether session log information
                           is to be output to a file.  (O)        */
    char *pfile,            /* Temporary file to write to for TERM, LP or
                               user specified file name.  (O)         */
    char *ufile,            /* User specified file name.  (O)         */
    struct PARBLK *vblock   /* TAE variable block.  (O)               */
);

#endif
