#include <stdio.h>
#include "las.h"
#include "protos.h"

int wrscll
(
    char *nomll,
    double *wrsll
)

{
long deglat;
long deglong;
long minlat;
long minlong;
long nonfatal = 1;
int status;
char ns;
char ew;

status = sscanf(nomll,"N %c%d-%d/%c%d-%d",&ns,&deglat,&minlat,&ew,&deglong,
                &minlong);
if (status < 6)
   {
   c_errmsg("Error parsing WRS lat/lon","edipsin-latlon",&nonfatal);
   wrsll[0] = 0.0;
   wrsll[1] = 0.0;
   }
wrsll[0] = (double) (deglat + ((double)minlat / 60.0));
wrsll[1] = (double) (deglong + ((double)minlong / 60.0));

if (ns == 'S')
   wrsll[0] = wrsll[0] * -1;
if (ew == 'W')
   wrsll[1] = wrsll[1] * -1;

return(E_SUCC);
} /*wrscll*/
