#ifndef EDITDDR_H
#define EDITDDR_H

/* The following are the function prototypes for the editddr module
-------------------------------------------------------------------*/
/* editddr.c
------------*/
void main
(
  void
);

/* ddrhelp.c
------------*/
void ddrhelp
(
  char *ans,                       /* I: Input help code */
  long *line                       /* I: Number of lines in the terminal */
);

/* disquit.c
------------*/
void disquit
(
  char *ans,                       /* I/O: Answer pointer */
  long *line                       /* I: Number of lines on the terminal */
);

/* dspcom.c
-----------*/
void dspcom
(
  char *hostddr,                   /* I: Host ddr name */
  char *taeout,                    /* I: TAE image name */
  long *write_flag                 /* O: Write flag */
);

/* dstbnd.c
-----------*/
void dstbnd
(
  char *taeout,                    /* I: TAE image name */
  struct BDDR *bddr                /* I: Current ddr field */
);

/* dstimg.c
-----------*/
void dstimg
(
  char *taeout,                    /* I: TAE image name */
  struct DDR *ddr                  /* I: Integer portion of DDR */
);

/* edtbat.c
-----------*/
void edtbat
(
  struct PARBLK *parblk,           /* I: Pointer to TAE parameter block */
  char *hostddr                    /* I: DDR file host name */
);

/* edtddr.c
-----------*/
int edtddr
(
  char *edans_buf,                 /* I: Pointer to edit command code */
  char *taeout,                    /* O: TAE output image name */
  char *hosout,                    /* I: Host ddr name */
  long *line,                      /* I: Number of lines on the screen */
  struct DDR *ddr,                 /* I: Integer portion of ddr */
  struct BDDR *bddr,               /* O: BDDR of current band */
  long *edit_flag                  /* O: Edit flag */
);

/* edtint.c
-----------*/
void edtint
(
  long *lines                      /* I: Number of lines on terminal */
);

/* writeddr.c
-------------*/
int writeddr
(
  char *hostddr,                   /* I: Host ddr file name */
  struct DDR *ddr,                 /* I: Integer portion of ddr */
  struct BDDR *bddr                /* I: BDDR for each band */
);

#endif
