#include "editstat.h"
/*
---------------------------------------------------------------------------

   Name- es_index

   Language- C     

   Version- 1.0   Date-  6-OCT-89  Programmer- F. Irani, STX (See "Note")

   Function: Returns the string position index of t in s or -1 if not found

   Note: The following routine is borrowed directly from " The
	 C Programming Language", by B.W. Kernigham and D.M. Ritchie,
	 Prenntice Hall Software Series, 1978 - (missing from VMS 
	 run time library at time of development)

---------------------------------------------------------------------------
*/



int es_index
(
    char s[],			/* String to search		*/
    char t[]			/* String to search for		*/
)
{

int 	i, j, k;		/* Loop indices			*/

for (i = 0; s[i] != '\0'; i++)
	{
	for (j = i, k = 0; t[k] != '\0' && s[j] == t[k]; j++, k++);
	if (t[k] == '\0')
	    return(i);
	}
return(-1);
}
