#include "editstat.h"
#include "util.h"

/***********************************************************************

   name- listcls                        expires- 12/31/99

   language- fortran     type- subroutine

   version- 2.0    date- 30-OCT-89  programmer- F. Irani
   version- 1.0    date- 24-jun-83  programmer- l. urquhart

   function- lists the names of the classes in the stat file

********************************************************************** */


void listcls
(void)

{

long zero = 0;  /* General Programmer Usage       */


char		name[CMLEN];  /* Class name  */

long		shape[9];     /* Class name shape vector */

long		lineno;	      /* Terminal screen line no. for display */
 
long 		indc;	      /* Index for classes */

quit = FALSE;

/* Display heading.
-------------------*/
t_lclear (5, 1);
t_output (5, 1, "----------- Existing Classes -----------");

/* Loop through all classes.
----------------------------*/
for (indc = 1; indc <= nclass; ++indc)

	{
	/* Get class name.
        ------------------*/
	c_stget (&inlun, "NAME", &indc, &zero, shape, name);
	name[shape[2]] = '\0';

	/* Write it to screen.
	----------------------*/
	lineno = (indc % (t_lines - 9));
	t_lclear (lineno + 5, 1);
	t_output (lineno + 5, 1, name);
	if ((lineno == t_lines - 10) && (indc < nclass))
		{
		sprintf(estring,"Enter Select, Quit or return");
  		t_lclear(t_lines - 1, 1);
  		t_output(t_lines - 1, 1, estring);
  		t_lclear (t_lines, 1);
  		t_input (t_lines, 1, ostring, &tae_term);
		len = (long) strlen(ostring);
 		c_low2up(ostring,&len);
		if (len > 0)
			{
			if (strncmp(ostring, "QUIT", len) == 0)
				{
				ostring[0] = '\0';
				quit = TRUE;
				return;
				}
			else if (strncmp(ostring, "SELECT", len) == 0)
				{
				ostring[0] = '\0';
				return;
				}
			}
                if (indc < nclass)
			label();
		}
	}

return;

}
