/* include files, global parameters, and definitions for FACTOR */

#define max_trans 14
#define max_images 14

#include <stdio.h>
#include "las.h"
#include "protos.h"

#include "facmsg.msg"

extern struct PARBLK block;                   /* TAE parameter block     */
extern struct DDR ddr;

extern FILE	*fd;                           /* output file descriptor  */

extern double	*cl_sumx;                      /* dynamic storage for     */
extern double	*cl_sumsq;                     /* sums and sums of squares*/

extern float	*cl_mean;                      /* and means               */
                                               
extern long	num_files;                     /* no. of files opened     */
extern struct FDESC *fdesc[MAXIMG];        /* file descriptors        */
extern struct GDESC *gdesc;             /* group descriptor        */
extern long	ipoint[MAXIMG * MAXBND + 1],   /* offsets into image i/o  */
		opoint[MAXBND+1];              /* for input and output bands */
extern long	min_max;                       /* minmax option flag      */
extern long 	msgtim;                        /* message interval        */
extern long	print[3];
 
extern float	*iobuf;                        /* image i/o buffer        */
extern char	out[MAXIMG][CMLEN];            /* names of file opened    */

extern long	curcat;                        /* message utility         */
extern long	curent;                        /* parameters for processing */

#define TERM 0
#define LP   1
#define FIL 2
#define max_trans  14
#define max_images  14
