/* include files, global parameters, and definitions for FILM    */

#include <stdio.h>
#include "las.h"
#include "externs.h"

extern struct	PARBLK	block;                 /* TAE parameter block     */

extern FILE	*fd;                           /* output file descriptor  */

extern struct FDESC *  fdesc[5];                 /* file descriptors        */
extern struct GDESC *  gdescin;                  /* group descriptor        */
extern struct GDESC *  gdescout;                 /* group descriptor        */
extern long	ipoint[3],                     /* offsets into image i/o  */
		opoint[3];                     /* for input and output bands */
extern long	min_max;                       /* minmax option flag      */
extern long 	msgtim;                        /* message interval        */
 
extern unsigned char	*inbuf;                /* image i/o buffer        */
extern unsigned char	*outbuf;               /* image i/o buffer        */
extern char    clean_files[2][CMLEN];	       /* clean file names */
extern char    out_files[2][CMLEN];           /* output file names        */

extern long	curent;                        /* parameters for processing */
extern long	curcat;                        /* message utility         */
extern long	num_outfiles;                  /* number of output files   */

#define TERM 0				/* terminal flag */
#define LP   1				/* line printer flag */
#define FIL 2				/* file name flag */

#define BW 0				/* black and white color flag */
#define PSEUDO 1			/* pseudo color flag */
#define FALSE_COL 2			/* false color flag  */
