/*
************************************************************************
NAME: clos_img

PURPOSE: close an image file (random access).

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
    1           12/89   T. Baltzer   


COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:

PROJECT: LAS

*****************************************************************
	arguments:
	name		description
	----		-----------
	fdesc		file descriptor (input)

************************************************************************
*/
#include "worgen.h"
#include "protos.h"

int clos_img
(
    struct FDESC **fdesc
)

{

static	long	inf_err = 1;

if ( c_eclose(fdesc) == E_FAIL )
   {
   c_errmsg("Error closing file","filter-close",&inf_err);
   c_errmsg("Nonfatal error encountered","filter-warn",&inf_err);
   }

return(E_SUCC);

}     /* end of clos_img()   */
