#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *vblock,		/* pointer to TAE parameter block */
    char hosin[][CMLEN],         /* host file names of input images */
    char taeout[][CMLEN],		/* TAE file name of output image */
    char hosout[][CMLEN],		/* host file name of output image */
    char *regionlt,		/* region description labeled table */
    char *threshlt,		/* class threshold labeled table */
    long *nmrimg,		/* number of input images */
    long window[][4],		/* window specifications for each input image*/
    long bands[][MAXBND+1],	/* band specifications for each input image */
    long *nbands,		/* number of bands per input image */
    long *totbnd,		/* total number of bands to be processed */
    long *mskcls,		/* mask class value */
    long *d_thrsh,		/* default threshold value */
    long *msgtim,		/* elapsed time between display messages */
    char *minmax		/* min max flag buffer */
);

void setup
(
    char *regionlt,		/* region description labeled table */
    char *threshlt,		/* threshold values labeled table */
    long mskcls,			/* mask class value */
    long d_thresh,		/* default threshold value */
    long *regcls[],		/* class identifier for each region */
    long *regcnt[],		/* count of pixels in each region */
    long *mincls,		/* minimum class value */
    long *maxcls,		/* maximum class value */
    long *numregs		/* number of regions in image */
);

#endif
