/****************************************************************************
NAME: GETPAR

PURPOSE: Gets the user-specified parameters and tae globals for change_channel

PROGRAM HISTORY:
Version  Date   Programmer       Code  Reason
-------  -----  ---------------  ----  ---------------------------------------
    7.2  07/99  G.Schmidt        EDC   Updated to support Fast-L7A.
         10/01  A.Weissenberger  EDC   CR 5057. Formatting and removal of
                                       redundant c_lasmsg calls.

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
    Must be run under TAE.

PROJECT: LAS

ALGORITHM DESCRIPTION:

NOTES:
****************************************************************************/

#include <stdio.h>
#include <string.h>
#include "las.h"
#include "fhdr.h"
#include "fstfmtin.h"

void ccgetpar (
    struct PARBLK *vblk,   /* pointer to initial TAE parameter block      */
    char *infile)          /* input file to change                        */

{
    struct VARIABLE *var;      /* ptr to a variable in the vblk             */

    /* Get the input file
       ----------------------*/
    var = p_find(vblk, "TMPIN");
    strcpy(infile, SVAL(*var, 0));
}
