/*******************************************************************************
FUNCTION: BKSP_FILE

PURPOSE:  Back spaces an image file on tape.  This routine is called if the
      image does not fit on the tape.

ALGORITHM REFERENCES: none
*******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "tapeio.h"
#include "protos.h"

void bksp_file
(
    long *unit          /* tape unit number                           */
)
{
    long three = 3;         /* value of zero                              */
    long mode = HANDLE;     /* tape I/O outputs error messages            */

    /* Display an informational message to the user
       -----------------------------------------------*/
    c_lasmsg(FALSE,"informational","Back spacing tape to erase the image file");

    /* Back space over the DDR and/or just the image file.
       NOTE: the number of files to skip is three more because
       the tape pointer is placed after the 3 EOF marks placed at EOT.
       --------------------------------------------------------*/
    c_tpbsf(unit,&three,&mode);

}

