:
#!/bin/csh
# This shell script is called by the GETSYMBL PDF to generate a PDF which
# creates a TAE global and to generate a PDF referencing that global which
# is set to the value of the environment variable.
#
# Parameters:
#       $1 = The prefix to be used in naming the PDFs.
#       $2 = The translation of the environment variable (the translation
#            occurred when the parameter was recieved).  This value is
#            used as the default value of TAE global.
#

# Generate the global PDF.
echo global > $1_a.pdf
echo parm $1 type=string default=\"$2\" >> $1_a.pdf
echo end-proc >> $1_a.pdf

# Generate the PDF which references the global and sets the return value.
echo procedure > $1_b.pdf
echo refgbl $1 >> $1_b.pdf
echo parm value type=name >> $1_b.pdf
echo body >> $1_b.pdf
echo "let value = \"&$1\"" >> $1_b.pdf
echo end-proc >> $1_b.pdf
