#ifndef TRANSFORM_H
#define TRANSFORM_H

/* 
geompak.h also has a prototype for transform, (geompak is used in gettrmat).
Create transform.h separate from protos.h to eliminate the confusion between
the two. 
*/

void transform
(
    float tmat[2][MAX_COEFF],   /* I: transformation matrix      */
    long ncoeff,                /* I: no. of coefficients        */
    float coord[],              /* I/O: coordinates saved        */
    float coord1[],             /* O: X, Y, coordinates          */
    long numcoord               /* I: no. of coordinates         */
);
#endif

