#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *vblock,          /* TAE parameter block */
    char *header_file,		/* host name of LANDSAT header file */
    char *gridname,			/* host name of output grid file */
    long *print,			/* print utility options */
    char *tmpfil,
    char *prtfile,			/* TAE name of output print file */
    long *msgtim
);

void QR
(
    double *A,	/* Matrix A (stored by columns) */
    long m,         /* Number of rows in matrix A */
    long n,         /* Number of columns in matrix A */
    double *v       /* Vector v */
);

void QR_solve
(
    double *A,       /* Matrix A (stored by columns) */
    long m,         /* Number of rows in matrix A */
    long n,         /* Number of columns in matrix A */
    double *v,       /* Vector v */
    double *b,	/* Vector b */
    long iflag
);

#endif

