/* include files, global parameters, and definitions for MINDIST   */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"

extern struct PARBLK block;                   /* TAE parameter block     */

extern FILE	*fd;                           /* output file descriptor  */

extern double	*cl_sumx;                      /* dynamic storage for     */
extern double	*cl_sumsq;                     /* sums and sums of squares*/

extern float	*cl_mean;                      /* means                   */
extern float	*cl_std;                       /* and standard deviations */
extern float	*inbuf;                	       /* image i/o buffer        */
                                               
extern long	fdesc[MAXIMG];                 /* file descriptors        */
extern long	gdesc_in;                         /* group descriptor        */
extern long	gdesc_out;                         /* group descriptor        */
extern long	ipoint[MAXIMG * MAXBND + 1],   /* offsets into image i/o  */
		opoint;                        /* for input and output bands */
extern long	min_max;                       /* minmax option flag      */
extern long 	msgtim;                        /* message interval        */
extern long	num_outfiles;                  /* number of output files  */
extern long	print[3];
 
extern unsigned char	*outbuf;               /* image i/o buffer        */
extern char    out_files[2][CMLEN];           /* output file names       */
static char    *prog_name = "KMEANS";  /* program name            */

extern long	curcat;                        /* parameters for processing */
extern long	curent;                        /* message utility         */
static long	fatal_err = -1;
static long	inf_err = 1;

static	long	zero = 0;
static	long	one = 1;

#define TERM 0
#define LP   1
#define FIL 2
