/* this file provides wrappers for LAS functions to allow the xxx routines to
   call LAS functions without including LAS headers. */
#include "las.h"
#include "util.h"
#include "wrapper.h"

void low2up_wrapper
(
    char *buf,                  /* I/O: Buf converted from lower to upper */
    const long *size            /* I: Number of bytes to convert in buf */
)
{
    c_up2low(buf,size);
}

int print_message
(
   int fatal_flag,
   const char *key,
   const char *fmt
)
{
    return c_lasmsg(fatal_flag,key,fmt);
}

