#!/bin/csh

rm */testpdf.pdf
diff -w bckdiffs diffs > results
echo 'DONE TESTING'
echo '----------------------------------------------------------------------'
echo 'EXAMINE "RESULTS" FILE.'

#-----------------------------------------------------------
# Send mail to address defined by LASBENCH_MAIL, if defined.
#-----------------------------------------------------------
if ($?LASBENCH_MAIL) then

    cat << EOF | /usr/bin/mail $LASBENCH_MAIL
Subject: LASBENCH completed
LASBENCH has been completed.  Check the results in
$cwd/results.

If the results file does not exist, check the log file bmark_HHMMSS.log
for premature termination.  HHMMSS is the time stamp for the job: HH is hour,
MM is minute, and SS is second.
.
EOF

endif
