#include "las.h"
#include "protos.h"

long eval1 
(
	float	pixel, 	/* pixel value being compared		*/
	long	oper,	/* the operation to be performed	*/
    float   value   /* value being compared             */
)
/*
**********************************************************************

NAME: EVAL1

PURPOSE: Performs  a logical comparison between pixel and value
         and returns the result as true or false.

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
    1         1/14/85    J. Lavergne
    2         7/28/89    K. A. Narayanan    conversion to 5.0

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT: LAS

**********************************************************************
*/

{

long	  ans;

/*
evaluate the logical operand
----------------------------
*/
switch (oper)
   {
   case 0: 
      ans = (pixel == value);
      break;
   case 1: 
      ans = (pixel != value);
      break;
   case 2:
      ans = (pixel < value);
      break;
   case 3: 
      ans = (pixel > value);
      break;
   case 4: 
      ans = (pixel <= value);
      break;
   case 5: 
      ans = (pixel >= value);
      break;
   }  

return (ans);
}
