#include "logical.h"
#include "protos.h"

void getrpn
(
    long num_oper,
    long order[],
    long rpn[],
    long logics[],
    long *index
)
{
long	j, ptr[NUM_IMAGES];

if (num_oper > 1) 
   {

/*
   build a pointer array from the order array, where ptr(n) is 
   the nth connector to be performed.
*/
   for ( j = 1; j <= num_oper - 1; j++) ptr[order[j]-1] = j;

/*
   build the reverse polish notation expression from the 
   order and logics arrays.
*/
   order[0] = order[num_oper] = num_oper;
   for (j = 0; j < num_oper - 1; j++)
      {
      if (order[ptr[j] - 1] > (j + 1)) rpn[++(*index)] = -ptr[j];
      if (order[ptr[j] + 1] > (j + 1)) rpn[++(*index)] = -(ptr[j] + 1);
      rpn[++(*index)] = logics[ptr[j] - 1];
      }
   }
}
