#ifndef PROTOS_H
#define PROTOS_H

void getpar
(
    struct PARBLK *vblock,     /* I: Parameter block                  */
    long *msgtim,              /* O: Number of seconds between
                                           processing messages        */
    char minmax[],             /* O: Min/max flag                     */
    long *dflag,               /* O: ddr flag                         */
    long *nl,                  /* O: Number of lines in input image   */
    long *ns,                  /* O: Number of samples in input image */
    long *odtype,              /* O: input data type                  */
    char *taeout,              /* O: TAE file name of output image    */
    char *hosout,              /* O: Host file name of output image   */
    char ioname[]              /* O: input file name                  */
);

void proces
(
        struct PARBLK *vblock,       /* I: TAE parameter block               */
        char *hosout,                /* I: host name of output image         */
        long  nl,                    /* I: number of lines                   */
        long  ns,                    /* I: number of samples                 */
        char *ioname,                /* I: array of input image names        */
        long  odtype,                /* I: output data type                  */
        long  msgtim,                /* I: message time                      */
        char *minmax,                /* I: min max flag                      */
        long  dflag                  /* I: ddr flag option                   */
);
#endif

