#ifndef _MAP_H_
#define _MAP_H_

/* Function prototypes */
int dtcvrt
(
    int *indtyp,      /* Input data type  (I)                           */
    int *outdtyp,     /* Output data type (I)                           */
    double *minpix,   /* Minimum pixel value (I)                        */
    double *maxpix,   /* Maximum pixel value (I)                        */
    double *slope,    /* Slope to be computed by dtcvrt. (O)            */
    double *offset,   /* Offset to be computed by dtcvrt. (O)           */
    int *printmsg     /* Message flag. (I)                              */
);

int rddltf_
(
    long *otype,
    long *ltype,
    long *ldesc,
    char *inkey,
    long *bnd,
    char *indtype,
    long *indtlen,
    unsigned char *blut,
    short *lut,    
    double *mn,
    double *mx,
    long *instpt,
    long *inenpt        
);

void rdfil_
(
    char  *fname,
    double *from,
    double *to,
    long  *npts
);

#endif  /* _MAP_H_ */
