#ifndef PROTOS_H
#define PROTOS_H

int crefile
(
    char *hosout,                    /* output host file name (TAE)    */
    long percnt,                     /* # of percentages to be matched */
    long to[],                       /* values written to TO column    */
    long from[],                     /* values written to FROM column  */
    long pixflg                     /* pixel flag                     */
);

int getdata
(
    char *infile1,                 /* input host file name      */
    char *infile2,                 /* input host file name      */
    float cper1[],                 /* percentages of INFILE1    */
    float cper2[],                 /* percentages of INFILE2    */
    long val1[],                   /* values of INFILE1         */
    long val2[],                   /* values of INFILE2         */
    long *nval1,                   /* # of values of INFILE1    */
    long *nval2,                   /* # of values of INFILE2    */
    long ctrl                     /* do I read INFILE2         */
);

int getpar
(
    struct PARBLK *vblock,                  /* TAE parameter block         */
    char *hosout,                           /* output host filename        */
    float *pixval,                          /* value of parameter PIXVAL   */
    long *percnt,                           /* # of input percentages      */
    float per[],                            /* percentages to match        */
    char *subcmd,                           /* value of parameter SUBCMD   */
    long *ctrl,                             /* user controls TO column Y/N */
    long *tovalcnt,                         /* # of values in TO column    */
    long to[],                              /* values for the TO column    */
    char *infile1,                          /* input filename              */
    char *infile2,                          /* input filename              */
    long *pixflg                           /* is there a pixval Y/N       */
);

int procctrl
(
    long percnt,                  /* # of percentages to be matched      */
    long *pixflg,                 /* flag if there is a pixel value      */
    long numval1,                 /* # of values of INFILE1              */
    float per[],                  /* percentages to be matched           */
    float comper1[],              /* percentages of INFILE1              */
    long value1[],                /* values of INFILE1                   */
    long from[],                 /* values of FROM column of output file */
    long to[],                    /* values of TO column of output file  */
    long pixval                  /* value of parameter PIXVAL           */
);

int procnoctrl
(
    long percnt,                  /* # of percentages to be matched      */
    long *pixflg,                 /* flag if there is a pixel value      */
    long numval1,                 /* # of values of INFILE1              */
    long numval2,                 /* # of values of INFILE2              */
    float per[],                  /* percentages to be matched           */
    float comper1[],              /* percentages of INFILE1              */
    float comper2[],              /* percentages of INFILE2              */
    long value1[],                /* values of INFILE1                   */
    long value2[],                /* values of INFILE2                   */
    long to[],                    /* values of TO column of output file  */
    long from[],                 /* values of FROM column of output file */
    long pixval
);

#endif

