#ifndef PROTOS_H
#define PROTOS_H

void compute
(
    char hos_out[],
    long num_images,
    long *num_bands,
    long *nlout,
    long *nsout,
    long complex
);

void filspec
(
    char hosin[][CMLEN],      /* input image host name descriptors  */
    char hosout[][CMLEN],            /* output image host name descriptor  */
    long num_images,          /* number of input images             */
    long *num_bands,          /* number of bands in each input image*/
    long num_inimages[10],    /* number of images in each IN parameter*/
    long num_image_bands[],
    long image_band_num[][MAXBND + 1],
    long wind[][4],           /* input image windows                */
    long *nlout,
    long *nsout,
    long *odtype	     /* output data type		   */
);

void getpar
(
    char hos_in[][CMLEN],     /* input images host names          */
    char las_out[][CMLEN],           /* output image las name            */
    char hos_out[][CMLEN],           /* output image host name           */
    long *num_images,         /* number of images to be multiplied*/
    long *num_bands,          /* total number of input image bands*/
    long num_inimages[10],    /* number of images in INx          */
    long num_image_bands[MAXIMG],
    long image_band_num[][MAXBND + 1],
    long wind[MAXIMG][4],     /* input image windows              */
    long *nlout,              /* output image number of lines and */
    long *nsout,              /* number of samples per line       */
    long *complex,            /* real/complex image indicator     */
    long *odtype              /* output data type 		 */
);

void terminate
(
    char las_out[][CMLEN],
    char hos_out[],
    char hos_in[][CMLEN],
    long num_images,
    long num_inimages[10]
);

#endif

