#ifndef GET_HEADER_FROM_DISK
#define GET_HEADER_FROM_DISK

int get_header_from_disk
(
    int  cd_flag,       /* I: flag to indicate the source is a CD */
    char *infile,       /* I: input file name */
    char *outfile,      /* I: output file name */
    char *demoutfile,   /* I: DEM output file name */
    long volume,        /* I: volume currently mounted */
    long keep_nhdr,     /* I: keep headers flag */
    long keep_wor,      /* I: keep work order report flag */
    long keep_hst,      /* I: keep history file flag */
    char header_file_list[][CMLEN], /*I/O: header file list */
    long *num_header_files,         /*I/O: number of files in header file list*/
    char cleanup_file_list[][CMLEN],/*I/O: cleanup file list */
    long *num_cleanup_files,        /*I/O: num of files in cleanup list */
    char files_created_list[][CMLEN],/*I/O: files created list */
    long *num_files_created,        /*I/O: num of files in files created list */
    int  *remaining_flags /* I/O: remaining outputs to create */
);

#endif
