#ifndef GET_HEADER_FROM_TAPE_H
#define GET_HEADER_FROM_TAPE_H

int get_header_from_tape
(
    struct PARBLK *vblk,/* I: TAE parameter block */
    int  *volume,       /* I: volume to mount */
    char *outfile,      /* I: output file name */
    char *demoutfile,   /* I: DEM output file name */
    char *drive,        /* I: Drive tape is on */
    long *skip_files,   /* I/O: number of files to skip before reading */
    int  *mounted,      /* O: mounted flag */
    int  *already_have_wor,/* I/O:flag to indicate report file has been read */
    int  *already_have_hst,/* I/O:flag to indicate history file has been read*/
    int  *resolution,   /* I/O: current resolution number */
    long keep_nhdr,     /* I: keep headers flag */
    long keep_wor,      /* I: keep work order report flag */
    long keep_hst,      /* I: keep history file flag */
    char header_file_list[][CMLEN], /*I/O: header file list */
    long *num_header_files,         /*I/O: number of files in header file list*/
    char cleanup_file_list[][CMLEN],/*I/O: cleanup file list */
    long *num_cleanup_files,        /*I/O: num of files in cleanup list */
    char files_created_list[][CMLEN],/*I/O: files created list */
    long *num_files_created,        /*I/O: num of files in files created list */
    int  *remaining_flags /* I/O: remaining outputs to create */
);

#endif
