#ifndef MEDIA_CONTROL_H
#define MEDIA_CONTROL_H

int mount_media
(
    struct PARBLK *vblk,  /* I: TAE parameter block */
    char oprmsg[][CMLEN], /* I: mount messages */
    long volume,          /* I: volume to mount */
    int  *tape,           /* O: tape flag (1=yes, 0=no) */
    int  *cd,             /* O: cd flag (1=yes, 0=no) */
    char *drive,          /* O: drive media was mounted on */
    char *device,         /* O: device media was mounted on */
    int  *mounted         /* O: mounted flag */
);

int unmount_media
(
    struct PARBLK *vblk, /* TAE parameter block */
    char *drive,         /* I: drive to unmount media */
    int  *mounted        /* O: mounted flag */
);

#endif
