#ifndef PROTOS_H
#define PROTOS_H

void apply_rlut
(
    char hosin[][CMLEN],		/* input images host names	*/
    char hosrlut[],		/* input rlut host name		*/
    char hosout[][CMLEN],		/* output image host name	*/
    long wind[],			/* image window			*/
    long *num_inimages,		/* no. input images		*/
    long *num_bands,		/* no. bands                    */
    long image_band_num[][MAXBND + 1]
);

void filspec
(
    char hosin[][CMLEN],      /* input image host names             */
    char hosout[],            /* output image host name             */
    long *num_inimages,       /* number of input images             */
    long num_image_bands[],   /* number of bands in each input image*/
    long image_band_num[][MAXBND + 1], /* band numbers in each      */
    long wind[][4]           /* input image windows                */
);

void getpar
(
    char hosin[][CMLEN],      /* input image host names           */
    char lasout[][CMLEN],       /* output image las name            */
    char hosout[][CMLEN],       /* output image host name           */
    char hosrlut[CMLEN],      /* input RLUT host name             */
    long *num_inimages,       /* number of input images           */
    long num_image_bands[],   /* number of bands in each input image */
    long image_band_num[][MAXBND + 1], /* band numbers in each    */
    long *num_inbands,        /* total number of input image bands   */
    long wind[][4]           /* input image windows              */
);

#endif

