#include "las.h"
#include "protos.h"

float **fmatrix
(
    long nr, 	/* no. rows			*/
    long nc	/* no. columns			*/
)

/*
******************************************************************************

NAME: FMATRIX

PURPOSE: Allocates storage for a matrix

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

***************************************************************************
*/
{
float	**m;

long	i;

if ((m = (float **) malloc (nr * sizeof (float *))) == NULL) 
   return (NULL);

for (i = 0; i < nr; i++)
   if ((m[i] = (float *) malloc (nc * sizeof (float))) == NULL) return (NULL);

return m;
}
