#include "las.h"
#include "protos.h"

int free_fmatrix
(
    float **m,
    long nr 	/* no. rows			*/
)


/*
******************************************************************************

NAME: FREE_FMATRIX

PURPOSE: Frees storage allocated for a matrix

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

***************************************************************************
*/
{
long	i;

for (i = 0; i < nr; i++) 
   free (m[i]);
free (m);
return(E_SUCC);
}
