#ifndef _DEBUG_H_
#define _DEBUG_H_

#ifdef DEBUG

#include <stdio.h>  /* printf prototype */
#include <stdlib.h> /* exit prototype   */
#include "las.h"


#define ASSERT(f) if (!(f)) \
{ c_lasmsg(TRUE, "resample-assert", \
           "ASSERT failed in %s, line number = %d.", __FILE__, __LINE__); }
#else
#define ASSERT(f);
#endif

#endif
