/* include files, global parameters, and definitions for SCATTER */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"

extern struct PARBLK block;                   /* TAE parameter block     */
extern FILE *fp;                           /* output file descriptor  */
extern FILE	*fd;                           /* text file descriptor */

extern struct FDESC * fdesc[MAXIMG];              /* file descriptors        */
extern struct GDESC * gdesc;                      /* group descriptor        */
extern long	ipoint[MAXIMG * MAXBND + 1];   /* offsets into image i/o  */
extern int 	print[3];
 
extern long    count;                         /* no. of files opened */
extern long    bands[MAXIMG][MAXBND+1];
extern long    nbands[MAXIMG];

extern char    out[MAXIMG][CMLEN];             /* names of files opened */
extern char    print_file[CMLEN];
extern float	*iobuf;                        /* image i/o buffer        */

extern long	curcat;                        /* message utility         */
extern long	curent;                        /* parameters for processing */

#define TERM 0
#define LP   1
#define FIL 2
