/* Include files, global parameters, and definitions for SEARCH      */

#include <stdio.h>
#include <math.h>
#include <statio.h>
#include "las.h"

#define NR      0			/* number of lines in local window    */
#define NP      1			/* number of pixels in local window   */

#define TERM	0			/* directs output to terminal         */
#define FIL	1			/* directs output to file             */
#define LP	2			/* directs ouput to line printer      */

extern	struct	PARBLK	block;		/* TAE parameter block                */
extern  struct  DDR	ddr;		/* ddr                                */
extern 	FILE	*fd1;			/* print file descriptor              */

extern	struct FDESC * fdescin[MAXIMG+1]; /* input file descriptors       */
extern	struct GDESC * gdescin;		      /* input group descriptor       */
extern	FILE *	sdesc;			/* stats file descriptor              */
extern	float	*inbuf;			/* image input buffer                 */
extern	long	ipoint[MAXIMG*MAXBND+1];/* offsets into input image buffer    */

extern  long	min_max;		/* minmax option flag                 */
extern	long 	msgtim;			/* message interval                   */
extern	long	nclass;			/* number of classes currently in the */
					/* statistics file                    */
extern	long	num_outfiles;		/* number of output files             */
extern 	long	print[3];		/* print options: TERM, LP, FIL       */
extern  char    out_files[3][CMLEN]; 	/* output file names                  */

extern	long	curent;			/* current entity                     */
extern	long	curcat;			/* current category                   */

extern 	long	window[MAXIMG][4];    /* input image dimensions (SL SS NL NS) */

extern	long	savestat;		/* save statistics flag               */
extern 	long	block_dist;		/* pixel block size and interclass    */
					/* distance measure type              */
extern	float	mthresh;		/* maximum desired separability for   */
					/* merger (threshold)                 */
extern 	float	stdevlb,		/* standard deviation lower bound     */
		stdevub;		/* standard deviation upper bound     */
extern	float	coefvar;		/* coefficient of variation / 100     */

extern	float	***work;		/* intermediate buffer which holds    */
					/* image lines after they are read    */
					/* from disk; incorporated from the   */
					/* fortran version of search          */
extern	float	*scv;			/* covariance matrix elements for one */
					/* class                              */

extern	long	num_class;		/* number of classes found            */

extern	long	ICOUNT;			/* ICOUNT = tot_inband *              */
                                        /*          (tot_inband+1) / 2        */
extern	long	INVERSE;		/* INVERSE = ICOUNT		      */
extern	long	MEAN;			/* MEAN = ICOUNT*2                    */
extern	long	POP;			/* POP = MEAN + tot_inband + 1        */

