#!/bin/sh
#
#    substr.sh
#    - called by substr.pdf to write a .PDF file that contains a
#      variable whose value is set to the value of the substring
#
# $1 - the input string
# $2 - substring specification (start)
# $3 - substring specification (length)
# $4 - the root name of the .PDF to create
#
echo "procedure" > $4.pdf
echo "PARM TMP TYPE = NAME" >> $4.pdf
echo "body" >> $4.pdf
start=`expr $2 - 1`
num=$3
sub=`echo "$1" | sed "s/^.\{$start\}\(.\{$num\}\).*\$/\1/"`
echo 'let TMP = "'$sub'"' >> $4.pdf
echo "end-proc" >> $4.pdf
exit
