
void getpar
(
    struct PARBLK *vblock,       /* I: pointer to TAE block	 	    */
    char taein[][CMLEN],	 /* O: TAE file names of input images	    */
    char hosin[][CMLEN],  	 /* O: host file names of input images	    */
    char *taeout,	 	 /* O: TAE file name of output image	    */
    char *hosout,		 /* O: host file name of output image	    */
    long *nmrimg, 	         /* O: number of input images		    */
    long (*bands)[MAXBND+1],     /* O: band specification 		    */
    long *nbands,		 /* O: number of bands per input image      */
    long (*window)[4],	         /* O: window specification		    */
    long *msgtim,		 /* O: elapsed time between display messages*/
    char *minmax,		 /* O: min max flag buffer		    */
    long *totbnd,		 /* O: total number of bands		    */
    long *kernel,		 /* O: kernel dimensions (nl,ns)            */
    long *skippix,		 /* O: number of pixels to skip		    */
    long *odtype		 /* O: output data type 		    */
);

void proces
(
    struct PARBLK *vblock,	/* I: TAE parameter block                    */
    char hosin[][CMLEN],	/* I: host names of input images             */
    char *hosout,		/* I: host name of output image	             */
    long nmrimg,		/* I: number of input images                 */
    long (*bands)[MAXBND+1],	/* I: bands to be processed for all images   */
    long *nbands,		/* I: number of bands per input image        */
    long (*window)[4],		/* I: window specification of input images   */
    long msgtim,		/* I: elapsed time between display messages  */
    char *minmax,		/* I: min max flag                           */
    long totbnd,		/* I: total number of bands to be processed  */
    long *kernel,		/* I: kernel dimensions (nl,ns)              */
    long *skippix,		/* I: number of pixels to skip		     */
    long odtype			/* I: output data type			     */
);
