#ifndef PROTOS_H
#define PROTOS_H

void clrtps
(
    struct TPSHEAD *head			/* TPS header record */
);

void getpar
(
    struct PARBLK *parb,		/* parameter block structure */
    char *hosin,			/* host input file name descriptor */
    char *hosout,			/* host output file name descriptor */
    long *atrcnt,			/* number of output columns specified */
    char atrname[][CMLEN],		/* attribute name for each output col */
    long *atrcode			/* the code for each attribute		*/
);

void labtabop
(
    struct TAB_DEF *tab,		/* table descriptor */
    char *hosin			/* host input file name */
);

void process
(
    struct PARBLK *parb,		/*  Tae parameter block			*/
    struct TAB_DEF *tab,		/* output labeled table descriptor */
    char hosout[][CMLEN],		/* output host file name		*/
    long *atrcnt,			/* no. of attributes specified		*/
    char atrname[][CMLEN],		/* the atribute names specified		*/
    long *atrcode			/* attribute codes specified		*/
);

#endif
