
#include <stdlib.h>
#include <string.h>
#include "las.h"
#include "terminc.inc"
#include "taeconf.inp"
#include "parblk.inc"

/* hprompt is part of the TAE on-line tutorial.  It prints a prompt
   line and waits for the user's response.
*/

int main
(void)
  {
    struct PARBLK    vblock;
    struct VARIABLE  *p_find(); 
    TEXT             hrespons[15], *ptresp[15], 
                     *line1, *line2;
    CODE             term;			
    TAEINT           n,nn,len,save;


/* initialize TAE routines */
   
   z_init(&vblock,P_ABORT);
   line1 = strdup("Enter EXIT or PAGE n (or press RETURN for next page)                             ");
   line2 = strdup("? ");
   t_output(23,1,"                                                                                 ");
   t_output(24,1,"   ");
   t_highlight(line1); 
   t_highlight(line2);
   t_output(23,1,line1);
   t_output(24,1,line2);
   t_input(24,3,hrespons,&term);


/* strip blanks from string, compress the string and convert to lower case */
    
   len = s_strip(hrespons) - 1;
   save=len; 
	for (n=len; n>=0; n=n-1)
          {
	  if (hrespons[n] == ' ') 
            {
	      save = save-1;
	      for( nn=n; nn <= save; nn=nn+1)
	      hrespons[nn]=hrespons[nn+1];
             }
           }

   hrespons[save+1] = '\0';
   ptresp[0] = hrespons;
   q_string(&vblock,"hrespons",1,ptresp,P_UPDATE);
   q_out(&vblock);

   z_exit(SUCCESS, "");

   return EXIT_SUCCESS;

}

