
#include <stdlib.h>
#include <string.h>
#include "las.h"
#include "terminc.inc"
#include "taeconf.inp"
#include "parblk.inc"

/* tutprompt is part of the TAE on-line tutorial.  It prints a prompt
   line and waits for the user's response.
*/

int main
(void)
  {
    struct PARBLK    vblock;
    struct VARIABLE  *p_find(); 
    TEXT             tutresp[3], tempresp[26], *ptresp[2], *line1;
    CODE             term;			
    TAEINT           n,nn,len,save;


/* initialize TAE routines */
   
   z_init(&vblock,P_ABORT);

/* write prompt line to screen */

   line1 = strdup("Enter EXIT or PAGE n (or press RETURN for next page) ");
   t_output(24,1,"                                                       ");
   t_output(24,1,line1);   
   t_input(24,54,tempresp,&term);

/* strip blanks from string, compress the string and covert to lower case */
    
   len = s_strip(tempresp) - 1;
   save=len;
   s_lower(tempresp);
	for (n=len; n>=0; n=n-1)
          {
	  if (tempresp[n] == ' ') 
            {
	      save = save-1;
	      for( nn=n; nn <= save; nn=nn+1)
	      tempresp[nn]=tempresp[nn+1];
             }
           }

/* parse the string for EXIT, PAGE # or carriage return */

	len = save;
	if ( s_lseq("E",tempresp) == TRUE) 
	     strcpy(tutresp,"EX");
           else if (tempresp[0] == 'p') 
	     if ( (tempresp[len-1] == 'e') ||
                  (tempresp[len-1] == 'g') ||
                  (tempresp[len-1] == 'a') || 
                  (tempresp[len-1] == 'p')  )
                    {
	            tutresp[0]='0';
	            tutresp[1] = tempresp[len];
	            tutresp[2] = '\0';
                    }
              else
                    {
                    tutresp[0] = tempresp[len-1];
                    tutresp[1] = tempresp[len];
	            tutresp[2] = '\0';
                    }
        else
	strcpy(tutresp,"CR");


   ptresp[0] = tutresp;
   q_string(&vblock,"tutresp",1,ptresp,P_UPDATE);
   q_out(&vblock);

   z_exit(SUCCESS, "");

   return EXIT_SUCCESS;

}

