#include "las.h"
#include "protos.h"

void inzertion
(
    long buf[], 	/* I/O: input array		*/
    long code, 		/* I: value holder		*/
    long n		/* I: array dimension   	*/
)

/*
***************************************************************************

NAME: INZERTION 

PURPOSE: Inserts precendence in an array - inzertion sort

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
    1          1-Sep-83    L. Urquhart
    2         18-May-89    K. Narayanan    Conversion to 5.0

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	
	Runs under TAE

PROJECT:	LAS

***************************************************************************
*/
{
long	i, j;

if (n <= 1) 
   {
   buf[0] = code;
   return;
   }

for (i = 0; i < n-1; i++)
   {
   if (code  <=  buf[i]) break;
   }

if (i == n-1)
   {
   buf[n-1] = code;
   return;
   }

for (j = n-2; j >= i; j--)
   buf[j+1] = buf[j];

buf[i] = code;
}
