/****************************************************************************
NAME:				tabort

PURPOSE:  Handles all fatal error conditions & exits gracefully

PROGRAM HISTORY:
VERSION		DATE	AUTHOR		CODE/CONT   REASON
-------		----	------		---------   ------
  5.0		12/88	D. Steinwand	   CSB      New development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
   must be run under TAE

PROJECT:  LAS

ALGORITHM DESCRIPTION:
	Determine error condition
	Print error message
	Print final error message and exit

ALGORITHM REFERENCES:
*****************************************************************************/
#include "las.h"
#include "geompak.h"
#include "protos.h"

void tabort
(
    long status			/* Error condition flag */
)
{
long pass = 1;			/* Do not abort processing */
long fatal = -1;		/* Abort processing */

switch(status)
   {
   case NO_SPACE:
	c_errmsg("Error allocating memory","tiemerge-alloc",&pass);
	break;
   }
c_errmsg("Fatal error encountered","tiemerge-fatal",&fatal);
}
