#include "tiepts.h"
#include "adrgsup.h"

/*******************************************************************************
Purpose:
   This routine frees the dynamically allocated spaced for the ADRG images.

By J. Hemmer, USGS/EROS Data Center, 9/92
 
Algorithm Description:
*******************************************************************************/
void adrg_free(void)
{
  /*
   *  *** this should never be true
   */
   if (tie_adrg == NULL)
      return;

   if (tie_adrg->nimages)
      free(tie_adrg->image);

   tie_adrg->nimages = 0;
   tie_adrg->image = NULL;
}

