/*
 *  This is the creation routine for the map panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"


Widget Createadjust_bulletinboard
(
   Widget parent,
   long   imgidx
)
{
   static int   first = TRUE;

   Arg          args[512];
   int          argcnt;
   Widget       form;
   Widget       adjust_all_button,
                adjust_blue_button,
                adjust_dismiss_button,
                adjust_green_button,
                adjust_linear_button,
                adjust_red_button,
                adjust_rgba_radiobox,
                adjust_separator,
                help,
                retval;
   XmString     xmstr[32];
   XmRegisterConverters();
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  350); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 240); argcnt++;
    form = XtCreateWidget("form",
                xmFormWidgetClass,
                parent,
                args,
                argcnt);

    retval = form;

   /*
    * Set the component flag to ALL only if this is the first time this routine
    * has been called.
    */
    if (first == TRUE)
        tie_map.flags = MAP_ALL;
    first = FALSE;
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, 45); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, 89); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, 0); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
                "Contrast",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleWidth, (Dimension)0); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)20); argcnt++;
    XtSetArg(args[argcnt], XmNdecimalPoints, 0); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset,   80); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 100); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 237); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 60); argcnt++;
    adjust_contrast_slider = XtCreateWidget("adjust_contrast_slider",
                xmScaleWidgetClass,
                form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_contrast_slider, XmNvalueChangedCallback, 
                  adjust_map, (caddr_t)imgidx);
    XtAddCallback(adjust_contrast_slider, XmNdragCallback, 
                  adjust_map, (caddr_t)imgidx);
    XtManageChild(adjust_contrast_slider);
 

    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmaximum, 100); argcnt++;
    XtSetArg(args[argcnt], XmNminimum, -100); argcnt++;
    XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
    XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
                "Brightness",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
    XtSetArg(args[argcnt], XmNscaleWidth, (Dimension)0); argcnt++;
    XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)20); argcnt++;
    XtSetArg(args[argcnt], XmNdecimalPoints, 0); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset,   10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 100); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 60); argcnt++;
    adjust_bright_slider = XtCreateWidget("adjust_bright_slider",
                xmScaleWidgetClass,
                form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_bright_slider, XmNvalueChangedCallback, 
                  adjust_map,(caddr_t)imgidx);
    XtAddCallback(adjust_bright_slider, XmNdragCallback, 
                  adjust_map,(caddr_t)imgidx);
    XtManageChild(adjust_bright_slider);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
    XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 115); argcnt++;
    adjust_rgba_radiobox = XtCreateWidget("adjust_rgba_radiobox",
                xmRowColumnWidgetClass,
                form,
                args,
                argcnt);

    XtManageChild(adjust_rgba_radiobox);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Red",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNset, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 3); argcnt++;
    adjust_red_button = XtCreateWidget("adjust_red_button",
                xmToggleButtonWidgetClass,
                adjust_rgba_radiobox,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_red_button, XmNarmCallback, cmap_component, 
                  (caddr_t)"R");
    XtManageChild(adjust_red_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Green",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 31); argcnt++;
    adjust_green_button = XtCreateWidget("adjust_green_button",
                xmToggleButtonWidgetClass,
                adjust_rgba_radiobox,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_green_button, XmNarmCallback, cmap_component, 
                  (caddr_t)"G");
    XtManageChild(adjust_green_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Blue",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 59); argcnt++;
    adjust_blue_button = XtCreateWidget("adjust_blue_button",
                xmToggleButtonWidgetClass,
                adjust_rgba_radiobox,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_blue_button, XmNarmCallback, cmap_component, 
                  (caddr_t)"B");
    XtManageChild(adjust_blue_button);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "All",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNset, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 3); argcnt++;
    XtSetArg(args[argcnt], XmNy, 87); argcnt++;
    adjust_all_button = XtCreateWidget("adjust_all_button",
                xmToggleButtonWidgetClass,
                adjust_rgba_radiobox,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_all_button, XmNarmCallback, cmap_component, 
                  (caddr_t)"A");
    XtManageChild(adjust_all_button);

   /*
    *  *** button separator
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,     (int)45); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,       (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment,  XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,      (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNsensitive,        False); argcnt++;
    XtSetArg(args[argcnt], XmNorientation,      XmHORIZONTAL); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    adjust_separator = XtCreateWidget("adjust_separator",
                xmSeparatorWidgetClass,
                form,
                args,
                argcnt);

    XtManageChild(adjust_separator);
 
   /*
    *  *** linear button
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,     (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,       (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Linear",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    adjust_linear_button = XtCreateWidget("adjust_linear_button",
                xmPushButtonWidgetClass,
                form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_linear_button, XmNactivateCallback, cmap_linear, 
                 (caddr_t)imgidx);
    XtManageChild(adjust_linear_button);
 
   /*
    *  *** help button
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,     (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment,   XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,       (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Help",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    help = XtCreateWidget("adjust_dismiss_button",
                xmPushButtonWidgetClass,
                form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );
 
    XtAddCallback(help, XmNactivateCallback, main_help, (caddr_t)"general.html#ADJUST");
    XtManageChild(help);
 
   /*
    *  *** dismiss button
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,     (int)10); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment,   XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition,     (int)50); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,       (int)-40); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Dismiss",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    adjust_dismiss_button = XtCreateWidget("adjust_dismiss_button",
                xmPushButtonWidgetClass,
                form,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(adjust_dismiss_button, XmNactivateCallback, adjust_destroy, 
                 (caddr_t)0);
    XtManageChild(adjust_dismiss_button);
 
 
    return( retval );
}
