/*
 *  This is the creation routine for the paramter panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By Jim Hemmer, USGS/EROS Data Center, 2/92.
 *    - Tie Point Selection, v1.0.
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createalign_form
(
   Widget parent
)
{
   Arg          args[512];
   int          argcnt;
   Widget       help;
   Widget       retval;
   XmString     xmstr[32];
   Widget       align_form;
   Widget       align_type_radio;
   Widget       align_hseparator;
   Widget       align_accept_button;
   Widget       align_cancel;
   Widget       align_type_label;

   XmRegisterConverters();

  /*
   *  *** Graphic panel form
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  300); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 230); argcnt++;
   align_form = XtCreateWidget("graphic_form",
                xmFormWidgetClass,
                parent,
                args,
                argcnt);

    retval = align_form;

   /*
    *  *** horizontal separator
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftAttachment,    XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment,   XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,        10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,       10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment,  XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,      45); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 574); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 15); argcnt++;
    align_hseparator = XtCreateWidget("graphic_hseparator",
                xmSeparatorWidgetClass,
                align_form,
                args,
                argcnt);

    XtManageChild(align_hseparator);

  /*
   *  *** Transformation type label
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_BEGINNING); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Transformation:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_POSITION); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftPosition,  (short)20); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,       10); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 120); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
   align_type_label = XtCreateWidget("align_type_label",
                xmLabelWidgetClass,
                align_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtManageChild(align_type_label);

  /*---------------------- Transformation Radio ----------------------------*/
  /*
   *  *** transformation type radio
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_POSITION); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftPosition,    20); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,       30); argcnt++;
   XtSetArg(args[argcnt], XmNspacing, 1); argcnt++;
   XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
   XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
   XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
   XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
   align_type_radio = XtCreateWidget("align_type_radio",
               xmRowColumnWidgetClass,
               align_form,
               args,
               argcnt);

   XtManageChild(align_type_radio);

  /*
   *  *** Translate radio button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Translate",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNset, True); argcnt++;
   align_type_translate = XtCreateWidget("align_type_translate",
                xmToggleButtonWidgetClass,
                align_type_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(align_type_translate, XmNarmCallback, align_trans_type, 
                (caddr_t)TRANSLATE);
   XtManageChild(align_type_translate);

  /*
   *  *** Rotate Radio Button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Rotate",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   align_type_rotate = XtCreateWidget("align_type_rotate",
                xmToggleButtonWidgetClass,
                align_type_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(align_type_rotate, XmNarmCallback, align_trans_type,
                (caddr_t)ROTATE);
   XtManageChild(align_type_rotate);

  /*
   *  *** Scale Radio Button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Scale",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   align_type_scale = XtCreateWidget("align_type_scale",
                xmToggleButtonWidgetClass,
                align_type_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(align_type_scale, XmNarmCallback, align_trans_type,
                (caddr_t)SCALE);
   XtManageChild(align_type_scale);

  /*------------------------- Blend Items   --------------------------------*/
  /*
   *  *** Blend scale
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment,XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,       10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,      10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,     50); argcnt++;
   XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
   XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
   XtSetArg(args[argcnt], XmNprocessingDirection, XmMAX_ON_RIGHT); argcnt++;
   XtSetArg(args[argcnt], XmNtitleString, (xmstr[0]=XmStringCreateLtoR(
                "Blend",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNshowValue, True); argcnt++;
   XtSetArg(args[argcnt], XmNscaleHeight, (Dimension)15); argcnt++;
   XtSetArg(args[argcnt], XmNminimum,  0); argcnt++;
   XtSetArg(args[argcnt], XmNmaximum,  100); argcnt++;
   XtSetArg(args[argcnt], XmNvalue,    0); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 40); argcnt++;
   XtSetArg(args[argcnt], XmNscaleMultiple, 1); argcnt++;
   vect_blend_slide = XtCreateWidget("vect_blend_slide",
                xmScaleWidgetClass,
                align_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(vect_blend_slide, XmNvalueChangedCallback,
                  vector_blend_slider, (caddr_t)0);
   XtAddCallback(vect_blend_slide, XmNdragCallback,
                  vector_blend_slider, (caddr_t)0);
   XtManageChild(vect_blend_slide);

  /*------------------------- Bottom Buttons -------------------------------*/
  /*
   *  *** Accept button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_POSITION); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,    (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,      (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Accept",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;

   align_accept_button = XtCreateWidget("align_accept_button",
                xmPushButtonWidgetClass,
                align_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(align_accept_button, XmNactivateCallback, 
              align_accept, (caddr_t)"ACCEPT");
   XtManageChild(align_accept_button);

  /*
   *  *** Cancel button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_POSITION); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,    (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNleftPosition,   (short)50); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,     (short)-40); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,      (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Cancel",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;

   align_cancel = XtCreateWidget("align_cancel",
                xmPushButtonWidgetClass,
                align_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(align_cancel, XmNactivateCallback, 
              align_accept, (caddr_t)"CANCEL");
   XtManageChild(align_cancel);

  /*
   *  *** help button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Help",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,   (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 60); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   help =  XtCreateWidget("edit_help",
                xmPushButtonWidgetClass,
                align_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
 
   XtAddCallback(help, XmNactivateCallback, main_help, (caddr_t)"im2vect.html#ALIGN");
   XtManageChild(help);

   return( retval );
}
