/*
 *  This is the creation routine for the cursor panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createcursor_bulletinboard
(
   Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      help;
    Widget      retval;
    XmString    xmstr[32];

    XmRegisterConverters();

    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, True); argcnt++;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_IN); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 550); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 300); argcnt++;
    retval = XtCreateWidget("cursor_bulletinboard",
                xmFormWidgetClass,
                parent,
                args,
                argcnt);

    XtAddEventHandler(retval,SubstructureNotifyMask,FALSE,
        cursor_create,NULL);
    XtAddEventHandler(retval,ExposureMask,FALSE,cursor_expose,
        NULL);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
    XtSetArg(args[argcnt], XmNx, 54); argcnt++;
    XtSetArg(args[argcnt], XmNy, 80); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 442); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 78); argcnt++;
    cursor_frame = XtCreateWidget("cursor_frame",
                xmFrameWidgetClass,
                retval,
                args,
                argcnt);

    XtManageChild(cursor_frame);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_POSITION); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,   10); argcnt++;
    XtSetArg(args[argcnt], XmNleftPosition,   50); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,    -40); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Dismiss",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
    cursor_dismiss_button = XtCreateWidget("cursor_dismiss_button",
                xmPushButtonWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(cursor_dismiss_button, XmNactivateCallback, 
                  cursor_destroy, (caddr_t)0);
    XtManageChild(cursor_dismiss_button);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Help",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,   (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 60); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   help =  XtCreateWidget("edit_help",
                xmPushButtonWidgetClass,
                retval,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
 
   XtAddCallback(help, XmNactivateCallback, main_help, (caddr_t)"general.html#CURSOR");
   XtManageChild(help);

   /*
    *  *** Unscaled text
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNeditMode, XmMULTI_LINE_EDIT); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)39); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 187); argcnt++;
    XtSetArg(args[argcnt], XmNy, 218); argcnt++;
    cursor_un_text = XtCreateWidget("cursor_un_text",
                xmTextWidgetClass,
                retval,
                args,
                argcnt);

    XtManageChild(cursor_un_text);

   /*
    *  *** Lat/Lon text
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)39); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 187); argcnt++;
    XtSetArg(args[argcnt], XmNy, 193); argcnt++;
    cursor_ll_text = XtCreateWidget("cursor_ll_text",
                xmTextWidgetClass,
                retval,
                args,
                argcnt);

    XtManageChild(cursor_ll_text);

   /*
    *  *** Proj Coord text
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)39); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 187); argcnt++;
    XtSetArg(args[argcnt], XmNy, 168); argcnt++;
    cursor_pc_text = XtCreateWidget("cursor_pc_text",
                xmTextWidgetClass,
                retval,
                args,
                argcnt);

    XtManageChild(cursor_pc_text);

   /*
    *  *** File Coord text
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    /*
    XtSetArg(args[argcnt], XmNcolumns, (short)9); argcnt++;
    */
    XtSetArg(args[argcnt], XmNcolumns, (short)25); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    /*
    XtSetArg(args[argcnt], XmNx, 402); argcnt++;
    */
    XtSetArg(args[argcnt], XmNx, 358); argcnt++;
    XtSetArg(args[argcnt], XmNy, 42); argcnt++;
    cursor_fc_text = XtCreateWidget("cursor_fc_text",
                xmTextWidgetClass,
                retval,
                args,
                argcnt);

    XtManageChild(cursor_fc_text);

   /*
    *  *** Line/Sample text
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcursorPositionVisible, False); argcnt++;
    XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNvalue, ""); argcnt++;
    XtSetArg(args[argcnt], XmNeditable, False); argcnt++;
    XtSetArg(args[argcnt], XmNcolumns, (short)9); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNresizeWidth, False); argcnt++;
    XtSetArg(args[argcnt], XmNresizeHeight, False); argcnt++;
    XtSetArg(args[argcnt], XmNpendingDelete, False); argcnt++;
    /*
    XtSetArg(args[argcnt], XmNx, 162); argcnt++;
    */
    XtSetArg(args[argcnt], XmNx, 118); argcnt++;
    XtSetArg(args[argcnt], XmNy, 42); argcnt++;
    cursor_ls_text = XtCreateWidget("cursor_ls_text",
                xmTextWidgetClass,
                retval,
                args,
                argcnt);

    XtManageChild(cursor_ls_text);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                " ",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 227); argcnt++;
    cursor_un_toggle = XtCreateWidget("cursor_un_toggle",
                xmToggleButtonWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(cursor_un_toggle, XmNvalueChangedCallback, cursor_unscaled, (caddr_t)0);
    XtManageChild(cursor_un_toggle);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                " ",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 202); argcnt++;
    cursor_ll_toggle = XtCreateWidget("cursor_ll_toggle",
                xmToggleButtonWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(cursor_ll_toggle, XmNvalueChangedCallback, cursor_latlong, (caddr_t)0);
    XtManageChild(cursor_ll_toggle);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_CENTER); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)19); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                " ",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 177); argcnt++;
    cursor_pc_toggle = XtCreateWidget("cursor_pc_toggle",
                xmToggleButtonWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtAddCallback(cursor_pc_toggle, XmNvalueChangedCallback, cursor_proj, (caddr_t)0);
    XtManageChild(cursor_pc_toggle);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Unscaled:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 43); argcnt++;
    XtSetArg(args[argcnt], XmNy, 222); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 74); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_un_label = XtCreateWidget("cursor_un_label",
                xmLabelWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(cursor_un_label);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Lat/Long:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 43); argcnt++;
    XtSetArg(args[argcnt], XmNy, 197); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 69); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_ll_label = XtCreateWidget("cursor_ll_label",
                xmLabelWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(cursor_ll_label);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Projection Coord:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 43); argcnt++;
    XtSetArg(args[argcnt], XmNy, 172); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 129); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_pc_label = XtCreateWidget("cursor_pc_label",
                xmLabelWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(cursor_pc_label);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Coordinate Information",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 192); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 165); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_ci_label = XtCreateWidget("cursor_ci_label",
                xmLabelWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(cursor_ci_label);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "File Coordinate:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    /*
    XtSetArg(args[argcnt], XmNx, 271); argcnt++;
    */
    XtSetArg(args[argcnt], XmNx, 227); argcnt++;
    XtSetArg(args[argcnt], XmNy, 46); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 116); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_fc_label = XtCreateWidget("cursor_fc_label",
                xmLabelWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(cursor_fc_label);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Line/Sample:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    /*
    XtSetArg(args[argcnt], XmNx, 54); argcnt++;
    */
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 46); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 93); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    cursor_ls_label = XtCreateWidget("cursor_ls_label",
                xmLabelWidgetClass,
                retval,
                args,
                argcnt);
    XmStringFree( xmstr[0] );

    XtManageChild(cursor_ls_label);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 4); argcnt++;
    XtSetArg(args[argcnt], XmNy, 4); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 434); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 70); argcnt++;
    cursor_drawingarea = XtCreateWidget("cursor_drawingarea",
                xmDrawingAreaWidgetClass,
                cursor_frame,
                args,
                argcnt);

    XtManageChild(cursor_drawingarea);

    tie_cursor.info_pixmap = NULL;
    tie_cursor.clear_pixmap = NULL;

    return( retval );
}
