/* Modified by J. LaVergne USGS/EROS Data Center 7/93
 *   - Changed the tiepoint file selection window to read 'Accept' rather than 
 *     'OK' to eliminate confusion as to the button's function.
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createfileentry_form
(
   Widget parent
)
{
   Arg          args[512];
   int          argcnt;
   Widget       retval;
   XmString     xmstr[32];
   Widget       dialogShell;
   Widget       dialogForm;
   XmRegisterConverters();

  /*
   *  *** create dialog shell
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNx, 632); argcnt++;
   XtSetArg(args[argcnt], XmNy, 156); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 511); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 220); argcnt++;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
   XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
   XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

   dialogShell = XtCreatePopupShell("File Entry Shell",
                xmDialogShellWidgetClass,
                parent,
                args,
                argcnt);

  /*
   *  *** Form widget
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  419); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 150); argcnt++;
   XtSetArg(args[argcnt], XmNautoUnmanage, False); argcnt++;
   XtSetArg(args[argcnt], XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL); 
    argcnt++;
   dialogForm = XtCreateWidget("dialogForm",
        xmFormWidgetClass,
        dialogShell,
        args,
        argcnt);

   retval = dialogForm;

  /*
   *  *** Filename label
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_BEGINNING); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
        "Output TPS Filename:",
        XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNx, 10); argcnt++;
   XtSetArg(args[argcnt], XmNy, 10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 399); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 23); argcnt++;
   fileentry_label = XtCreateWidget("fileentry_label",
        xmLabelWidgetClass,
        dialogForm,
        args,
        argcnt);
   XmStringFree( xmstr[0] );

   XtManageChild(fileentry_label);

  /*
   *  *** Filename text entry
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNcolumns, (short)256); argcnt++;
   XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, (int)40); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, (int)10); argcnt++;
   fileentry_text = XtCreateWidget("fileentry_text",
        xmTextWidgetClass,
        dialogForm,
        args,
        argcnt);

   XtManageChild(fileentry_text);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNforeground, COLOR(parent, "red")); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, (int)50); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 500); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   fileentry_note = XtCreateWidget("fileentry_note",
                xmLabelWidgetClass,
                dialogForm,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtManageChild(fileentry_note);

  /*
   *  *** OK button 
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Accept",XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_NONE); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_POSITION); argcnt++;
   XtSetArg(args[argcnt], XmNleftPosition, (int)40); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset, (int)0); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, (int)5); argcnt++;
   XtSetArg(args[argcnt], XmNx, 168); argcnt++;
   XtSetArg(args[argcnt], XmNy, 78); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 70); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   fileentry_ok = XtCreateWidget("fileentry_ok",
        xmPushButtonWidgetClass,
        dialogForm,
        args,
        argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(fileentry_ok);
 

   return( retval );
}

