/*
 *  This is the creation routine for the paramter panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By Jim Hemmer, USGS/EROS Data Center, 2/92.
 *    - Tie Point Selection, v1.0.
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Creategraphic_form
(
   Widget parent
)
{
   Arg          args[512];
   int          argcnt;
   Widget       help;
   Widget       retval;
   XmString     xmstr[32];
   Widget       graphic_form;
   Widget       graphic_color;
   Widget       graphic_hseparator;
   Widget       graphic_dismiss;
   Widget       graphic_ref_radio;
   Widget       graphic_ref_on;
   Widget       graphic_ref_off;
   Widget       graphic_ref_label;
   Widget       graphic_srch_radio;
   Widget       graphic_srch_on;
   Widget       graphic_srch_off;
   Widget       graphic_srch_label;


   XmRegisterConverters();

  /*
   *  *** Graphic panel form
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  300); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 150); argcnt++;
   graphic_form = XtCreateWidget("graphic_form",
                xmFormWidgetClass,
                parent,
                args,
                argcnt);

    retval = graphic_form;

   /*
    *  *** horizontal separator
    */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNleftAttachment,    XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment,   XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset,        10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset,       10); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment,  XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset,      45); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 574); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 20); argcnt++;
    graphic_hseparator = XtCreateWidget("graphic_hseparator",
                xmSeparatorWidgetClass,
                graphic_form,
                args,
                argcnt);

    XtManageChild(graphic_hseparator);

   argcnt = 0;
   XtSetArg(args[argcnt], XmNforeground, COLOR(parent, "green")); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Color",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize,    False); argcnt++;
   XtSetArg(args[argcnt], XmNalignment,       XmALIGNMENT_CENTER); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,  (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,   (short)30); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,            (int)80); argcnt++;
   graphic_color = XtCreateWidget("graphic_color",
                xmPushButtonWidgetClass,
                graphic_form,
                args,
                argcnt);
 
   XmStringFree( xmstr[0] );
   XtAddCallback(graphic_color, XmNactivateCallback, 
                 graphic_setcolor, (caddr_t)NULL);
   XtManageChild(graphic_color);

  /*------------------------- Reference Toggle ----------------------------*/
  /*
   *  *** Reference graphics radio
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,      140); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,       30); argcnt++;
   XtSetArg(args[argcnt], XmNspacing, 1); argcnt++;
   XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
   XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
   XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
   XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
   if (tie.mode != IM2IM)
      {
      XtSetArg(args[argcnt], XmNsensitive, False); 
      argcnt++;
      }
   graphic_ref_radio = XtCreateWidget("graphic_ref_radio",
               xmRowColumnWidgetClass,
               graphic_form,
               args,
               argcnt);

   XtManageChild(graphic_ref_radio);


  /*
   *  *** Reference Graphics ON
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "On",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNset, True); argcnt++;
   graphic_ref_on = XtCreateWidget("graphic_ref_on",
                xmToggleButtonWidgetClass,
                graphic_ref_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(graphic_ref_on, XmNarmCallback, graphic_toggle, 
                (caddr_t)"REFON");
   XtManageChild(graphic_ref_on);

  /*
   *  *** Reference Graphics OFF
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Off",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   graphic_ref_off = XtCreateWidget("graphic_ref_off",
                xmToggleButtonWidgetClass,
                graphic_ref_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(graphic_ref_off, XmNarmCallback, graphic_toggle,
                (caddr_t)"REFOFF");
   XtManageChild(graphic_ref_off);

  /*
   *  *** Reference Radio Label
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Reference",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,      140); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,       10); argcnt++;
   XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_BEGINNING); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 80); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   if (tie.mode != IM2IM)
      {
      XtSetArg(args[argcnt], XmNsensitive, False); 
      argcnt++;
      }
   graphic_ref_label = XtCreateWidget("graphic_ref_label",
                xmLabelWidgetClass,
                graphic_form,
                args,
                argcnt);

   XmStringFree( xmstr[0] );
   XtManageChild(graphic_ref_label);

  /*------------------------- Search Toggle ----------------------------*/
  /*
   *  *** Reference graphics radio
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,      220); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,        30); argcnt++;
   XtSetArg(args[argcnt], XmNspacing, 1); argcnt++;
   XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
   XtSetArg(args[argcnt], XmNradioBehavior, True); argcnt++;
   XtSetArg(args[argcnt], XmNradioAlwaysOne, True); argcnt++;
   XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
   graphic_srch_radio = XtCreateWidget("graphic_srch_radio",
               xmRowColumnWidgetClass,
               graphic_form,
               args,
               argcnt);

   XtManageChild(graphic_srch_radio);


  /*
   *  *** Search Graphics ON
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "On",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNset, True); argcnt++;
   graphic_srch_on = XtCreateWidget("graphic_srch_on",
                xmToggleButtonWidgetClass,
                graphic_srch_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(graphic_srch_on, XmNarmCallback, graphic_toggle, 
                (caddr_t)"SRCHON");
   XtManageChild(graphic_srch_on);

  /*
   *  *** Search Graphics OFF
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginBottom, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginTop,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNshadowThickness,    (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Off",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   graphic_srch_off = XtCreateWidget("graphic_srch_off",
                xmToggleButtonWidgetClass,
                graphic_srch_radio,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(graphic_srch_off, XmNarmCallback, graphic_toggle,
                (caddr_t)"SRCHOFF");
   XtManageChild(graphic_srch_off);

  /*
   *  *** Search Radio Label
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Search",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNleftAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNtopAttachment,   XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,      220); argcnt++;
   XtSetArg(args[argcnt], XmNtopOffset,       10); argcnt++;
   XtSetArg(args[argcnt], XmNalignment, XmALIGNMENT_BEGINNING); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 70); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   graphic_srch_label = XtCreateWidget("graphic_srch_label",
                xmLabelWidgetClass,
                graphic_form,
                args,
                argcnt);

   XmStringFree( xmstr[0] );
   XtManageChild(graphic_srch_label);

  /*------------------------- Bottom Buttons -------------------------------*/

  /*
   *  *** Dismiss button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNleftAttachment,    XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNleftOffset,        (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment,  XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset,      (short)10); argcnt++;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Dismiss",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNwidth,  80); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 29); argcnt++;

   graphic_dismiss = XtCreateWidget("graphic_dismiss",
                xmPushButtonWidgetClass,
                graphic_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );

   XtAddCallback(graphic_dismiss, XmNactivateCallback, 
              graphic_destroy, (caddr_t)0);
   XtManageChild(graphic_dismiss);

  /*
   *  *** help button
   */
   argcnt = 0;
   XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
                "Help",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
   XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
   XtSetArg(args[argcnt], XmNrightOffset,   (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNbottomOffset, (int)10); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 60); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 30); argcnt++;
   help =  XtCreateWidget("edit_help",
                xmPushButtonWidgetClass,
                graphic_form,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XtAddCallback(help, XmNactivateCallback, main_help, (caddr_t)"general.html#GRAPHICS");
   XtManageChild(help);

   return( retval );
}

