/*
 *  This is the creation routine for the map file selectos panel.  
 *  It was generated using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe/J. Hemmer, USGS/EROS Data Center, 9/91.
 *    - Tie Point Selection, v1.0.
 *  Modified by T Rockvam, USGS/EROS Data Center, 3/94.
 *    - Changed window title to Map File Selector
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createmap_fileselector
(
   Widget parent
)
{
   Arg          args[512];
   int          argcnt;
   Widget       retval;
   XmString     xmstr[32];
   Widget       dialogShell;
   Widget       map_fileselector;
   XmRegisterConverters();
 
   argcnt = 0;
   XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
   XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

   dialogShell = XtCreatePopupShell("Map File Selector",
                xmDialogShellWidgetClass,
                parent,
                args,
                argcnt);

   retval = dialogShell;

   argcnt = 0;
   XtSetArg(args[argcnt], XmNdefaultPosition, True); argcnt++;
   XtSetArg(args[argcnt], XmNselectionLabelString, (xmstr[0]=XmStringCreateLtoR(
                "Selection:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNlistLabelString, (xmstr[1]=XmStringCreateLtoR(
                "Files:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNlistVisibleItemCount, (int)8); argcnt++;
   XtSetArg(args[argcnt], XmNfilterLabelString, (xmstr[2]=XmStringCreateLtoR(
                "File Filter:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 269); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 339); argcnt++;
   XtSetArg(args[argcnt], XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL);
   argcnt++;
   map_fileselector = XtCreateWidget("map_fileselector",
                xmFileSelectionBoxWidgetClass,
                dialogShell,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XmStringFree( xmstr[1] );
   XmStringFree( xmstr[2] );

   XtAddCallback(map_fileselector,
             XmNcancelCallback,
             mapfile_cancel,
             (caddr_t)NULL);

   XtAddCallback(map_fileselector,
             XmNokCallback,
             mapfile_ok,
             (caddr_t)NULL);

   XtUnmanageChild(XmFileSelectionBoxGetChild(map_fileselector,
                                              XmDIALOG_HELP_BUTTON));
   XtManageChild(map_fileselector);

   return( retval );
}
