/*
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createzoom_scrollwin
(
   Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    Widget      zoom_rowcol;
    XmRegisterConverters();

    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAUTOMATIC); argcnt++;
    XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmAS_NEEDED); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    if ((tie.mode == IM2IM) && !(tie.flags & TIE_ADRG))
       XtSetArg(args[argcnt], XmNwidth,  64*tie_parms.factor*2);
    else
       XtSetArg(args[argcnt], XmNwidth,  64*tie_parms.factor); 

    argcnt++;
    XtSetArg(args[argcnt], XmNheight, 64*tie_parms.factor); argcnt++;

    retval = XtCreateWidget("zoom_scrollwin",
                xmScrolledWindowWidgetClass,
                parent,
                args,
                argcnt);

    if ((tie.mode == IM2IM) && !(tie.flags & TIE_ADRG))
       {
       argcnt = 0;
       XtSetArg(args[argcnt], XmNorientation, XmHORIZONTAL); argcnt++;
       XtSetArg(args[argcnt], XmNentryAlignment, XmALIGNMENT_CENTER); argcnt++;
       XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
       XtSetArg(args[argcnt], XmNshadowThickness, (short)0); argcnt++;
       XtSetArg(args[argcnt], XmNx, 0); argcnt++;
       XtSetArg(args[argcnt], XmNy, 0); argcnt++;
       XtSetArg(args[argcnt], XmNwidth, 46); argcnt++;
       XtSetArg(args[argcnt], XmNheight, 259); argcnt++;
       zoom_rowcol = XtCreateWidget("zoom_rowcol",
                   xmRowColumnWidgetClass,
                   retval,
                   args,
                   argcnt);
   
       XtManageChild(zoom_rowcol);
   
       argcnt = 0;
       XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
       XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
       XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
       XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
       XtSetArg(args[argcnt], XmNx, 0); argcnt++;
       XtSetArg(args[argcnt], XmNy, 0); argcnt++;
       XtSetArg(args[argcnt], XmNwidth, 358); argcnt++;
       XtSetArg(args[argcnt], XmNheight, 344); argcnt++;
       XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
       zoom_refwin_bulletinboard = XtCreateWidget("zoom_refwin_bulletinboard",
                   xmBulletinBoardWidgetClass,
                   zoom_rowcol,
                   args,
                   argcnt);
   
       zoom_srchwin_bulletinboard = XtCreateWidget("zoom_srchwin_bulletinboard",
                   xmBulletinBoardWidgetClass,
                   zoom_rowcol,
                   args,
                   argcnt);
   
       XtManageChild(zoom_refwin_bulletinboard);

       XtAddEventHandler(zoom_refwin_bulletinboard,
               KeyReleaseMask|ButtonPressMask|ButtonReleaseMask,
               FALSE,cursor_select,NULL);
       }
    else
       {
       zoom_srchwin_bulletinboard = XtCreateWidget("zoom_srchwin_bulletinboard",
                   xmBulletinBoardWidgetClass,
                   retval,
                   args,
                   argcnt);
       }
   
    XtManageChild(zoom_srchwin_bulletinboard);
    XtAddEventHandler(zoom_srchwin_bulletinboard,
               KeyReleaseMask|ButtonPressMask|ButtonReleaseMask,
               FALSE,cursor_select,NULL);
    return( retval );
}


Widget Createfullres_scrollwin
(
   Widget parent,
   Widget *scrollwin,
   Widget *bulletinboard
)
{
   Arg          args[512];
   int          argcnt;
   Widget       retval;
   XmRegisterConverters();
 
   argcnt = 0;
   XtSetArg(args[argcnt], XmNscrollingPolicy, XmAUTOMATIC); argcnt++;
   XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmAS_NEEDED); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 256+20); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 256+40); argcnt++;
   *scrollwin = XtCreateWidget("fullres_scrollwin",
                xmScrolledWindowWidgetClass,
                parent,
                args,
                argcnt);

   retval = *scrollwin;
 
   argcnt = 0;
   XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
   XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
   XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 358); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 344); argcnt++;
   *bulletinboard = XtCreateWidget("fullres_win_bulletinboard",
                xmBulletinBoardWidgetClass,
                *scrollwin,
                args,
                argcnt);

   XtManageChild(*bulletinboard);

   XtAddEventHandler(*bulletinboard,PointerMotionMask|KeyReleaseMask,
        FALSE,cursor_pointer,NULL);

   return( retval );
}
