/*
 *  This is the creation routine for the tps file selectos panel.  
 *  It was generated using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe/J. Hemmer, USGS/EROS Data Center, 9/91.
 *    - Tie Point Selection, v1.0.
 *  Modified by T Rockvam, USGS/EROS Data Center, 3/94.
 *    - added *ref and *srch for input tps file selection
 */
#include "tiepts.h"
#include "tpssup.h"
#include "cr.h"

Widget Createtps_fileselector
(
   Widget parent,
   Widget client
)
{
   Arg          args[512];
   int          argcnt;
   Widget       retval;
   Widget       tps_fileselector;
   XmString     xmstr[32];
   Widget       dialogShell;
   XmRegisterConverters();
 
   argcnt = 0;
   XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
   XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

   dialogShell = XtCreatePopupShell("TPS File Selector",
                xmDialogShellWidgetClass,
                parent,
                args,
                argcnt);

   retval = dialogShell;

   argcnt = 0;
   XtSetArg(args[argcnt], XmNdefaultPosition, True); argcnt++;
   XtSetArg(args[argcnt], XmNselectionLabelString, (xmstr[0]=XmStringCreateLtoR(
                "Selection:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNlistLabelString, (xmstr[1]=XmStringCreateLtoR(
                "Files:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNlistVisibleItemCount, (int)8); argcnt++;
   XtSetArg(args[argcnt], XmNfilterLabelString, (xmstr[2]=XmStringCreateLtoR(
                "File Filter:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   if (client == parm_refin_button)
      {
      XtSetArg(args[argcnt], XmNpattern, (xmstr[3]=XmStringCreateLtoR(
            "*ref*.tps", XmSTRING_DEFAULT_CHARSET))); argcnt++;
      }
   else if (client == parm_srchin_button)
      {
      XtSetArg(args[argcnt], XmNpattern, (xmstr[3]=XmStringCreateLtoR(
            "*srch*.tps", XmSTRING_DEFAULT_CHARSET))); argcnt++;
      }
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 269); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 339); argcnt++;
   XtSetArg(args[argcnt], XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL);
            argcnt++;

   tps_fileselector = XtCreateWidget("tps_fileselector",
                xmFileSelectionBoxWidgetClass,
                dialogShell,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XmStringFree( xmstr[1] );
   XmStringFree( xmstr[2] );
   XmStringFree( xmstr[3] );

   XtAddCallback(tps_fileselector, 
             XmNcancelCallback, 
             tps_cancel, 
             (caddr_t)client);

   XtAddCallback(tps_fileselector, 
             XmNokCallback,
             tps_ok,
             (caddr_t)client);

   XtUnmanageChild(XmFileSelectionBoxGetChild(tps_fileselector,
                                              XmDIALOG_HELP_BUTTON));
   XtManageChild(tps_fileselector);

   return(retval);
}
