/*
 *  This is the creation routine for the vector file selection panel.  
 *  It was generated using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe/J. Hemmer, USGS/EROS Data Center, 9/91.
 *    - Tie Point Selection, v1.0.
 *
 */
#include "tiepts.h"
#include "protos.h"
#include "cr.h"

Widget Createvect_fileselector
(
   Widget       parent,
   caddr_t      client
)
{
   Arg          args[512];
   int          argcnt;
   Widget       retval;
   Widget       vect_fileselector;
   XmString     xmstr[32];
   Widget       dialogShell;
   XmRegisterConverters();
 
   argcnt = 0;
   XtSetArg(args[argcnt],XtNvisual,tie.visual_info[0].visual); argcnt++;
   XtSetArg(args[argcnt],XtNcolormap,tie.colormap); argcnt++;

   dialogShell = XtCreatePopupShell("Vector File Selector",
                xmDialogShellWidgetClass,
                parent,
                args,
                argcnt);

   retval = dialogShell;

   argcnt = 0;
   XtSetArg(args[argcnt], XmNdefaultPosition, True); argcnt++;
   /* use the Help button to load all DLG files */
   XtSetArg(args[argcnt], XmNhelpLabelString, (xmstr[0]=XmStringCreateLtoR(
                "All", XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNselectionLabelString, (xmstr[1]=XmStringCreateLtoR(
                "Selection:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNlistLabelString, (xmstr[2]=XmStringCreateLtoR(
                "Files:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNlistVisibleItemCount, (int)8); argcnt++;
   XtSetArg(args[argcnt], XmNfilterLabelString, (xmstr[3]=XmStringCreateLtoR(
                "File Filter:",
                XmSTRING_DEFAULT_CHARSET))); argcnt++;
   XtSetArg(args[argcnt], XmNx, 0); argcnt++;
   XtSetArg(args[argcnt], XmNy, 0); argcnt++;
   XtSetArg(args[argcnt], XmNwidth, 269); argcnt++;
   XtSetArg(args[argcnt], XmNheight, 339); argcnt++;
   vect_fileselector = XtCreateWidget("vect_fileselector",
                xmFileSelectionBoxWidgetClass,
                dialogShell,
                args,
                argcnt);
   XmStringFree( xmstr[0] );
   XmStringFree( xmstr[1] );
   XmStringFree( xmstr[2] );
   XmStringFree( xmstr[3] );

   XtAddCallback(vect_fileselector,XmNcancelCallback,vector_file_cancel,
            (caddr_t)NULL);
   XtAddCallback(vect_fileselector,XmNokCallback,vector_file_ok,client);

   if (strcmp(client,"MERGE") == 0)
      XtUnmanageChild(XmFileSelectionBoxGetChild(vect_fileselector,
                                              XmDIALOG_HELP_BUTTON));
   else
      XtAddCallback(vect_fileselector,XmNhelpCallback,vector_file_all,client);

   XtManageChild(vect_fileselector);

   return( retval );
}

