#ifndef DLGSUP_H
#define DLGSUP_H

#define DLGREAD_WRONG_AREA 1   /* return value from dlg_optread when the file
                                  doesn't cover the correct area */
#define DLGREAD_NO_LINES 2     /* return value from dlg_optread when the file
                                  didn't contain any lines of interest */

int dlg_checkattrib
(
    int attrib,
    int *lineattrib
);

int dlg_defaultID
(
    char* category
);

int dlg_optread
(
    char *filename
);

void dlg_setattrib
(
    int *attrib,
    int id,
        int defaultid
);

void dlg_writelt
(
   char *hdrfile,           /* name of header labeled table file */
   struct TIE_LINE *dlg_line, /* current set of lines */
   int  numlines,           /* number of lines */
   double lllat,            /* lower left latitude */
   double lllon,            /* lower left longitude */
   double urlat,            /* upper right latitude */
   double urlon             /* upper right longitude */
);

#endif
