#ifndef MATSUP_H
#define MATSUP_H

void mat_identity
(
    double matrix[3][3]
);

void mat_multiply
(
    double mat1[3][3],
    double mat2[3][3]
);

void mat_reflect
(
    double matrix[3][3],
    char axis
);

void mat_rotate
(
    double matrix[3][3],
    double angle,
    double x,
    double y
);

void mat_scale
(
    double matrix[3][3],
    double sx,
    double sy,
    double x,
    double y
);

void mat_transform
(
    double matrix[3][3],
    double *x,
    double *y
);

void mat_translate
(
    double matrix[3][3],
    double x,
    double y
);

#endif
