/*
 *  This is the creation routine for the layout panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 *  Modified by L. Huewe, USGS/EROS Data Center, 3/94
 *    - Switched the order so the height entry now appears first for both the
 *      memory plane and viewport configurations.
 */
#include "xid.h"
#include "pixmaps.h"
#include "xid_func.h"
#include "main.h"

Widget Createlayout_bulletinBoard
(
   Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    XmString    xmstr[32];
    char        string_value[10];
    XmRegisterConverters();
 
    /* Create the main layout bulletin board.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_IN); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 310); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 369); argcnt++;
    layout_bulletinBoard = XtCreateWidget("layout_bulletinBoard",
                                          xmBulletinBoardWidgetClass,
                                          parent, args, argcnt);
    retval = layout_bulletinBoard;
 
    /* Create the cancel button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Cancel", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 211); argcnt++;
    XtSetArg(args[argcnt], XmNy, 331); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    layout_cancel_button = XtCreateWidget("layout_cancel_button",
                                          xmPushButtonWidgetClass,
                                          layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(layout_cancel_button, XmNactivateCallback, layout_cancel,
                  (caddr_t)0);
    XtManageChild(layout_cancel_button);
 
    /* Create the reset button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Reset", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 113); argcnt++;
    XtSetArg(args[argcnt], XmNy, 331); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    layout_reset_button = XtCreateWidget("layout_reset_button",
                                         xmPushButtonWidgetClass,
                                         layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(layout_reset_button, XmNactivateCallback, layout_reset,
                  (caddr_t)0);
    XtManageChild(layout_reset_button);
 
    /* Create the allocate button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginLeft, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginRight, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginTop, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNmarginBottom, (short)2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Allocate", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 15); argcnt++;
    XtSetArg(args[argcnt], XmNy, 331); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    layout_alloc_button = XtCreateWidget("layout_alloc_button",
                                         xmPushButtonWidgetClass,
                                         layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(layout_alloc_button, XmNactivateCallback, layout_allocate,
                  (caddr_t)0);
    XtManageChild(layout_alloc_button);
 
    /* Create a separator widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNsensitive, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 312); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 290); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    layout_separator = XtCreateWidget("layout_separator",
                                      xmSeparatorWidgetClass,
                                      layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_separator);
 
    /* Create the text widget for entering viewport height.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 219); argcnt++;
    XtSetArg(args[argcnt], XmNy, 226); argcnt++;
    sprintf(string_value,"%4ld",xid_mem.view_height);
    XtSetArg(args[argcnt], XmNvalue, string_value); argcnt++;
    layout_vh_text = XtCreateWidget("layout_vh_text", xmTextWidgetClass,
                                    layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_vh_text);
 
    /* Create the text widget for entering viewport width.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 219); argcnt++;
    XtSetArg(args[argcnt], XmNy, 264); argcnt++;
    sprintf(string_value,"%4ld",xid_mem.view_width);
    XtSetArg(args[argcnt], XmNvalue, string_value); argcnt++;
    layout_vw_text = XtCreateWidget("layout_vw_text", xmTextWidgetClass,
                                    layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_vw_text);
 
    /* Create the Viewport Height label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Height:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 36); argcnt++;
    XtSetArg(args[argcnt], XmNy, 226); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 54); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    layout_vh_label = XtCreateWidget("layout_vh_label", xmLabelWidgetClass,
                                     layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_vh_label);
 
    /* Create the Viewport Width label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Width:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 36); argcnt++;
    XtSetArg(args[argcnt], XmNy, 264); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 50); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    layout_vw_label = XtCreateWidget("layout_vw_label", xmLabelWidgetClass,
                                     layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_vw_label);
 
    /* Create the Viewport Configuration label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Viewport Configuration:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 12); argcnt++;
    XtSetArg(args[argcnt], XmNy, 189); argcnt++;
    layout_vc_label = XtCreateWidget("layout_vc_label", xmLabelWidgetClass,
                                     layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_vc_label);
 
    /* Create a separator widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 170); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 290); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 10); argcnt++;
    XtSetArg(args[argcnt], XmNseparatorType, XmSHADOW_ETCHED_IN); argcnt++;
    layout_separator1 = XtCreateWidget("layout_separator1",
                                       xmSeparatorWidgetClass,
                                       layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_separator1);
 
    /* Create the text widget for entering memory plane depth.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 219); argcnt++;
    XtSetArg(args[argcnt], XmNy, 122); argcnt++;
    sprintf(string_value,"%4ld",xid.max_plane);
    XtSetArg(args[argcnt], XmNvalue, string_value); argcnt++;
    layout_md_text = XtCreateWidget("layout_md_text", xmTextWidgetClass,
                                    layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_md_text);
 
    /* Create the text widget for entering memory plane height.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 219); argcnt++;
    XtSetArg(args[argcnt], XmNy, 46); argcnt++;
    sprintf(string_value,"%4ld",xid_mem.mem_height);
    XtSetArg(args[argcnt], XmNvalue, string_value); argcnt++;
    layout_mh_text = XtCreateWidget("layout_mh_text", xmTextWidgetClass,
                                    layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_mh_text);
 
    /* Create the text widget for entering memory plane width.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNcolumns, (short)4); argcnt++;
    XtSetArg(args[argcnt], XmNrows, (short)1); argcnt++;
    XtSetArg(args[argcnt], XmNx, 219); argcnt++;
    XtSetArg(args[argcnt], XmNy, 84); argcnt++;
    sprintf(string_value,"%4ld",xid_mem.mem_width);
    XtSetArg(args[argcnt], XmNvalue, string_value); argcnt++;
    layout_mw_text = XtCreateWidget("layout_mw_text", xmTextWidgetClass,
                                    layout_bulletinBoard, args, argcnt);
    XtManageChild(layout_mw_text);
 
    /* Create the Memory Plane Depth label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Depth:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 36); argcnt++;
    XtSetArg(args[argcnt], XmNy, 122); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 51); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    layout_md_label = XtCreateWidget("layout_md_label", xmLabelWidgetClass,
                                     layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_md_label);
 
    /* Create the Memory Plane Height label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Height:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 36); argcnt++;
    XtSetArg(args[argcnt], XmNy, 46); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 54); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    layout_mh_label = XtCreateWidget("layout_mh_label", xmLabelWidgetClass,
                                     layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_mh_label);
 
    /* Create the Memory Plane Width label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Width:", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 36); argcnt++;
    XtSetArg(args[argcnt], XmNy, 84); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 50); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    layout_mw_label = XtCreateWidget("layout_mw_label", xmLabelWidgetClass,
                                     layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_mw_label);
 
    /* Create the Memory Plane Configuration label widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Memory Plane Configuration:", XmSTRING_DEFAULT_CHARSET)));
             argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 12); argcnt++;
    XtSetArg(args[argcnt], XmNy, 9); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 208); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 21); argcnt++;
    layout_mpc_label = XtCreateWidget("layout_mpc_label", xmLabelWidgetClass,
                                      layout_bulletinBoard, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(layout_mpc_label);

    /* Create the help button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, 1); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap, XPM_PIXMAP(parent, helpxbm_width,
             helpxbm_height, helpxbm_ncolors, helpxbm_chars_per_pixel,
             helpxbm_colors, helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 269); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    layout_help_button = XtCreateWidget("layout_help_button",
                                        xmPushButtonWidgetClass,
                                        layout_bulletinBoard,args,argcnt);
    XtAddCallback(layout_help_button, XmNactivateCallback, help_update, 
                  (caddr_t)"layout.html");
    XtManageChild(layout_help_button);

    return( retval );
}
