/*
 *  This is the creation routine for the main panel.  It was generated 
 *  using the ICS builderXcessory (BX).
 *
 *  By D. Akkerman/L.Huewe, USGS/EROS Data Center, 9/91.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"
#include "../xid_widgets/Context.h"
#include "pixmaps.h"
#include "xid_graphics.h"
#include "xid_func.h"
#include "main.h"

Widget Createmain_shell
(
   Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval,
                main_map_menu,
                main_map_pulldown;
    XmString    xmstr[32];
    XmRegisterConverters();
 
    /* Create the main window form.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 535); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 53); argcnt++;
    main_form = XtCreateWidget("main_form", xmFormWidgetClass, parent, args,
                               argcnt);
    XtAddCallback(main_form, XmNdestroyCallback, main_destroy, (caddr_t)0);
    retval = main_form;

    /* Create the main window menu bar.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 10); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_BAR); argcnt++;
    XtSetArg(args[argcnt], XmNx, 10); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 582); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 34); argcnt++;
    main_menubar = XtCreateWidget("main_menubar", xmRowColumnWidgetClass,
                                  main_form, args, argcnt);
    XtManageChild(main_menubar);

    /* Create the "File" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_file_shell = XtCreatePopupShell("main_file_shell",
                                         xmMenuShellWidgetClass, main_menubar,
                                         args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 64); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 60); argcnt++;
    main_file_pulldown = XtCreateWidget("main_file_pulldown",
                                        xmRowColumnWidgetClass,main_file_shell,
                                        args, argcnt);

    /* Create the "Load" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_load_shell = XtCreatePopupShell("main_load_shell",
                                         xmMenuShellWidgetClass,
                                         main_file_shell, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 82); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 60); argcnt++;
    main_load_pulldown = XtCreateWidget("main_load_pulldown",
                                        xmRowColumnWidgetClass,main_load_shell,
                                        args, argcnt);

    /* Create the "Load LAS" button.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "LAS", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'L'); argcnt++;
    main_load_las = XtCreateWidget("main_load_las", xmPushButtonWidgetClass,
                                   main_load_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_load_las, XmNactivateCallback, main_load, (caddr_t)0);
    XtManageChild(main_load_las);

    /* Create the "Load non-LAS" button.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Non-LAS", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'N'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_load_nonlas = XtCreateWidget("main_load_nonlas",
                                      xmPushButtonWidgetClass,
                                      main_load_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_load_nonlas,XmNactivateCallback,main_load,(caddr_t)0);
    XtManageChild(main_load_nonlas);

    /* Create the "Load" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Load", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'L'); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_load_pulldown); argcnt++;
    main_load_menu = XtCreateWidget("main_load_menu",
                                    xmCascadeButtonWidgetClass,
                                    main_file_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_load_menu);

    /* Create the "Save" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_save_shell = XtCreatePopupShell("main_save_shell",
                                         xmMenuShellWidgetClass,
                                         main_file_shell, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 82); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 60); argcnt++;
    main_save_pulldown = XtCreateWidget("main_save_pulldown",
                                        xmRowColumnWidgetClass,main_save_shell,
                                        args, argcnt);

    /* Create the "Save LAS" button.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "LAS", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'L'); argcnt++;
    main_save_las = XtCreateWidget("main_save_las", xmPushButtonWidgetClass,
                                   main_save_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_save_las, XmNactivateCallback, main_save, (caddr_t)0);
    XtManageChild(main_save_las);

    /* Create the "Save TIFF" button.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Thumbnail TIFF", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'N'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_save_tiff = XtCreateWidget("main_save_tiff", xmPushButtonWidgetClass,
                                    main_save_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_save_tiff, XmNactivateCallback, main_save, (caddr_t)0);
    XtManageChild(main_save_tiff);

    /* Create the "Save" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Save", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'L'); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_save_pulldown); argcnt++;
    main_save_menu = XtCreateWidget("main_save_menu",
                                    xmCascadeButtonWidgetClass,
                                    main_file_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_save_menu);

    /* Create the "Exit" button.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Exit", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'E'); argcnt++;
    XtSetArg(args[argcnt], XmNaccelerator, "Ctrl<Key>E"); argcnt++;
    XtSetArg(args[argcnt], XmNacceleratorText, (xmstr[1]=XmStringCreateLtoR(
             "^E", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_exit_button = XtCreateWidget("main_exit_button",
                                      xmPushButtonWidgetClass,
                                      main_file_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XmStringFree( xmstr[1] );
    XtAddCallback(main_exit_button, XmNactivateCallback, main_destroy,
                  (caddr_t)0);
    XtManageChild(main_exit_button);

    /* Create the "File" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "File", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'F'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    XtSetArg(args[argcnt], XmNx, 5); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_file_pulldown); argcnt++;
    main_file_menu = XtCreateWidget("main_file_menu",
                                    xmCascadeButtonWidgetClass, main_menubar,
                                    args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_file_menu);

    /* Create the "Tools" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_tools_shell = XtCreatePopupShell("main_tools_shell",
                                          xmMenuShellWidgetClass, main_menubar,
                                          args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 61); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 76); argcnt++;
    main_tools_pulldown = XtCreateWidget("main_tools_pulldown",
                                         xmRowColumnWidgetClass,
                                         main_tools_shell, args, argcnt);

    /* Create the "Cursor" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Cursor", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'C'); argcnt++;
    main_cursor_button = XtCreateWidget("main_cursor_button",
                                        xmPushButtonWidgetClass,
                                        main_tools_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_cursor_button, XmNactivateCallback, main_cursor,
                  (caddr_t)0);
    XtManageChild(main_cursor_button);

    /* Create the "Histogram" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Histo", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'H'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_histo_button = XtCreateWidget("main_histo_button",
                                       xmPushButtonWidgetClass,
                                       main_tools_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_histo_button, XmNactivateCallback, main_histo,
                  (caddr_t)0);
    XtManageChild(main_histo_button);

    /* Create the "Power Spectrum" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Power Spectrum", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'S'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_power_button = XtCreateWidget("main_power_button",
                                       xmPushButtonWidgetClass,
                                       main_tools_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_power_button, XmNactivateCallback, main_power, 
                  (caddr_t)0);
    XtManageChild(main_power_button);

    /* Create the "Profile" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Profile", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'P'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_profile_button = XtCreateWidget("main_profile_button",
                                         xmPushButtonWidgetClass,
                                         main_tools_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_profile_button, XmNactivateCallback, main_profile,
                  (caddr_t)0);
    XtManageChild(main_profile_button);

    /* Create the "Tools" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Tools", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'T'); argcnt++;
    XtSetArg(args[argcnt], XmNx, 76); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_tools_pulldown); argcnt++;
    main_tools_menu = XtCreateWidget("main_tools_menu",
                                     xmCascadeButtonWidgetClass, main_menubar,
                                     args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_tools_menu);

    /* Create the "View" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_view_shell = XtCreatePopupShell("main_view_shell",
                                         xmMenuShellWidgetClass, main_menubar,
                                         args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNpacking, XmPACK_COLUMN); argcnt++;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 73); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 60); argcnt++;
    main_view_pulldown = XtCreateWidget("main_view_pulldown",
                                        xmRowColumnWidgetClass,main_view_shell,
                                        args, argcnt);

    /* Create the "Full Resolution" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Full Res", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'F'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_fullres_button = XtCreateWidget("main_fullres_button",
                                         xmPushButtonWidgetClass,
                                         main_view_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_fullres_button, XmNactivateCallback, main_fullres,
                  (caddr_t)0);
    XtManageChild(main_fullres_button);

    /* Create the "Zoom" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Zoom", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'Z'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_zoom_button = XtCreateWidget("main_zoom_button",
                                      xmPushButtonWidgetClass,
                                      main_view_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_zoom_button,XmNactivateCallback,main_zoom,(caddr_t)0);
    XtManageChild(main_zoom_button);

    /* Create the "View" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "View", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'V'); argcnt++;
    XtSetArg(args[argcnt], XmNx, 147); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_view_pulldown); argcnt++;
    main_view_menu = XtCreateWidget("main_view_menu",
                                    xmCascadeButtonWidgetClass, main_menubar,
                                    args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_view_menu);

    /* Create the "Display" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_display_shell = XtCreatePopupShell("main_display_shell",
                                            xmMenuShellWidgetClass,
                                            main_menubar, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 68); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 76); argcnt++;
    main_display_pulldown = XtCreateWidget("main_display_pulldown",
                                           xmRowColumnWidgetClass,
                                           main_display_shell, args, argcnt);

    /* Create the "Flicker" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Flicker", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'F'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_flicker_button = XtCreateWidget("main_flicker_button",
                                         xmPushButtonWidgetClass,
                                         main_display_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_flicker_button, XmNactivateCallback, main_flicker, 
                  (caddr_t)0);
    XtManageChild(main_flicker_button);

    /* Create the "Initialize" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Initialize", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'I'); argcnt++;
    main_init_button = XtCreateWidget("main_init_button",
                                      xmPushButtonWidgetClass,
                                      main_display_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_init_button,XmNactivateCallback,main_init,(caddr_t)0);
    XtManageChild(main_init_button);

    /* Create the "Map" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_map_shell = XtCreatePopupShell("main_map_shell",
                                        xmMenuShellWidgetClass, main_menubar,
                                        args, argcnt);

    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 144); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 140); argcnt++;
    main_map_pulldown = XtCreateWidget("main_map_pulldown",
                                       xmRowColumnWidgetClass, main_map_shell,
                                       args, argcnt);

    /* Create the "Adjust" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Adjust", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'A'); argcnt++;
    map_adjust_button = XtCreateWidget("map_adjust_button",
                                       xmPushButtonWidgetClass,
                                       main_map_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(map_adjust_button, XmNactivateCallback, map_func,
                  (XtPointer)"ADJ");
    XtManageChild(map_adjust_button);

    /* Create the "Load Mapping" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Load Mapping", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'L'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    map_load_button = XtCreateWidget("map_load_button",xmPushButtonWidgetClass,
                                     main_map_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(map_load_button, XmNactivateCallback, map_func,
                  (XtPointer)"LM");
    XtManageChild(map_load_button);

    /* Create the "Piece-Wise Linear" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Piece-Wise Linear", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'W'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    map_pwl_button = XtCreateWidget("map_pwl_button", xmPushButtonWidgetClass,
                                    main_map_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(map_pwl_button, XmNactivateCallback, map_func,
                  (XtPointer)"PWL");
    XtManageChild(map_pwl_button);

    /* Create the "Pseudo-color" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Pseudocolor", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'P'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    map_psd_button = XtCreateWidget("map_psd_button", xmPushButtonWidgetClass,
                                    main_map_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(map_psd_button, XmNactivateCallback, map_func,
                  (XtPointer)"PSD");
    XtManageChild(map_psd_button);

    /* Create the "Save Mapping" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Save Mapping", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'S'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    map_save_button = XtCreateWidget("map_save_button",xmPushButtonWidgetClass,
                                     main_map_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(map_save_button, XmNactivateCallback, map_func,
                  (XtPointer)"SM");
    XtManageChild(map_save_button);

    /* Create the "Map" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Map", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'M'); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_map_pulldown); argcnt++;
    main_map_menu = XtCreateWidget("main_map_menu", xmCascadeButtonWidgetClass,
                                   main_display_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_map_menu);

    /* Create the "Show" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Show", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'S'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_show_button = XtCreateWidget("main_show_button",
                                      xmPushButtonWidgetClass,
                                      main_display_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_show_button,XmNactivateCallback,main_show,(caddr_t)0);
    XtManageChild(main_show_button);

    /* Create the "Display" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Display", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'D'); argcnt++;
    XtSetArg(args[argcnt], XmNx, 218); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_display_pulldown); argcnt++;
    main_display_menu = XtCreateWidget("main_display_menu",
                                       xmCascadeButtonWidgetClass,main_menubar,
                                       args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_display_menu);

    /* Create the "Graphics" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_graphics_shell = XtCreatePopupShell("main_graphics_shell",
                                             xmMenuShellWidgetClass,
                                             main_menubar, args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 52); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 52); argcnt++;
    main_graphics_pulldown = XtCreateWidget("main_graphics_pulldown",
                                            xmRowColumnWidgetClass,
                                            main_graphics_shell, args, argcnt);

    /* Create the "GOFs" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "GOFs", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'G'); argcnt++;
    main_graphics_button = XtCreateWidget("main_graphics_button",
                                          xmPushButtonWidgetClass,
                                          main_graphics_pulldown,args,argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_graphics_button, XmNactivateCallback, main_graphics,
                  (caddr_t)0);
    XtManageChild(main_graphics_button);

    /* Create the "Fill" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Fill", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'F'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_fill_button = XtCreateWidget("main_fill_button",
                                      xmPushButtonWidgetClass,
                                      main_graphics_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_fill_button,XmNactivateCallback,main_fill,(caddr_t)0);
    XtManageChild(main_fill_button);

    /* Create the "Mask" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Mask", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'M'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_mask_button = XtCreateWidget("main_mask_button",
                                      xmPushButtonWidgetClass,
                                      main_graphics_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_mask_button,XmNactivateCallback,main_mask,(caddr_t)0);
    XtManageChild(main_mask_button);

    /* Create the "Graphics" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Graphics", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'G'); argcnt++;
    XtSetArg(args[argcnt], XmNx, 289); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_graphics_pulldown); argcnt++;
    main_graphics_menu = XtCreateWidget("main_graphics_menu",
                                        xmCascadeButtonWidgetClass,
                                        main_menubar, args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_graphics_menu);

    /* Create the "Setup" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_setup_shell = XtCreatePopupShell("main_setup_shell",
                                          xmMenuShellWidgetClass, main_menubar,
                                          args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 59); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 28); argcnt++;
    main_setup_pulldown = XtCreateWidget("main_setup_pulldown",
                                         xmRowColumnWidgetClass,
                                         main_setup_shell, args, argcnt);

    /* Create the "Layout" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Layout", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'L'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_layout_button = XtCreateWidget("main_layout_button",
                                        xmPushButtonWidgetClass,
                                        main_setup_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_layout_button, XmNactivateCallback, main_layout,
                  (caddr_t)0);
    XtManageChild(main_layout_button);

    /* Create the "Preferences" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Preferences", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'P'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, True); argcnt++;
    main_preferences_button = XtCreateWidget("main_preferences_button",
                                             xmPushButtonWidgetClass,
                                             main_setup_pulldown,args,argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_preferences_button, XmNactivateCallback, main_pref,
                  (caddr_t)0);
    XtManageChild(main_preferences_button);

    /* Create the "Setup" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Setup", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'S'); argcnt++;
    XtSetArg(args[argcnt], XmNx, 360); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_setup_pulldown); argcnt++;
    main_setup_menu = XtCreateWidget("main_setup_menu",
                                     xmCascadeButtonWidgetClass, main_menubar,
                                     args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_setup_menu);

    /* Create the "Information" pulldown menu.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNwidth, 1); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 1); argcnt++;
    XtSetArg(args[argcnt],XtNvisual,xid.visual_info[0].visual); argcnt++;
    XtSetArg(args[argcnt],XtNdepth,xid.visual_info[0].depth); argcnt++;
    XtSetArg(args[argcnt],XtNcolormap,xid.colormap); argcnt++;
    main_info_shell = XtCreatePopupShell("main_info_shell",
                                         xmMenuShellWidgetClass, main_menubar,
                                         args, argcnt);
 
    argcnt = 0;
    XtSetArg(args[argcnt], XmNrowColumnType, XmMENU_PULLDOWN); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 112); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 88); argcnt++;
    main_info_pulldown = XtCreateWidget("main_info_pulldown",
                                        xmRowColumnWidgetClass,main_info_shell,
                                        args, argcnt);

    /* Create the "Configuration" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Configuration", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'C'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_config_button = XtCreateWidget("main_config_button",
                                        xmPushButtonWidgetClass,
                                        main_info_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_config_button, XmNactivateCallback, main_config,
                  (caddr_t)0);
    XtManageChild(main_config_button);

    /* Create the "Help" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Help", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'H'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_help_button = XtCreateWidget("main_help_button",
                                      xmPushButtonWidgetClass,
                                      main_info_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_help_button, XmNactivateCallback, help_update, 
                  (caddr_t)"introduction.html");
    XtManageChild(main_help_button);

    /* Create the "Mouse Context" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Mouse", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'M'); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    main_context_button = XtCreateWidget("main_context_button",
                                         xmPushButtonWidgetClass,
                                         main_info_pulldown, args, argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(main_context_button, XmNactivateCallback, main_context,
                  (caddr_t)0);
    XtManageChild(main_context_button);

    /* Create the "Information" cascade button (for the pulldown menu).  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNshadowThickness, 2); argcnt++;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Info", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNmnemonic, 'I'); argcnt++;
    XtSetArg(args[argcnt], XmNx, 431); argcnt++;
    XtSetArg(args[argcnt], XmNy, 5); argcnt++;
    XtSetArg(args[argcnt], XmNsubMenuId, main_info_pulldown); argcnt++;
    main_info_menu = XtCreateWidget("main_info_menu",
                                    xmCascadeButtonWidgetClass, main_menubar,
                                    args, argcnt);
    XmStringFree( xmstr[0] );
    XtManageChild(main_info_menu);

    return( retval );
}

Widget Createmain_image_scrollwin
(
   Widget parent
)
{
    Arg         args[512];
    int         argcnt;
    Widget      retval;
    Dimension   shadow,border,hilight,width,height;

    XmRegisterConverters();
 
    /* Create the main image scrolled window.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNscrollingPolicy, XmAUTOMATIC); argcnt++;
    XtSetArg(args[argcnt], XmNscrollBarDisplayPolicy, XmSTATIC); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 512); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 512); argcnt++;
    main_image_scrollwin = XtCreateWidget("main_image_scrollwin",
                                          xmScrolledWindowWidgetClass, parent,
                                          args, argcnt);
    retval = main_image_scrollwin;
 
    /* Create the bulletin board for the main image window.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
    XtSetArg(args[argcnt], XmNnoResize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 512); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 512); argcnt++;
    main_image_bulletinboard = XtCreateWidget("main_image_bulletinboard",
                                              xmBulletinBoardWidgetClass,
                                              main_image_scrollwin, args,
                                              argcnt);

    /* Add an event handler to detect pointer motion and key release events in
       the main image window.  */
    XtAddEventHandler(main_image_bulletinboard,
                      PointerMotionMask | KeyReleaseMask, FALSE,
                      cursor_pointer, NULL);

    /* Add an event handler to detect exposure events in the main image
       window.  */
    XtAddEventHandler(main_image_bulletinboard,ExposureMask,FALSE,
                      graphics_expose,NULL);
    XtManageChild(main_image_bulletinboard);

    /* Retrieve the widget IDs of the scroll bars on the main image window.  */
    XtSetArg(args[0],XmNhorizontalScrollBar,&main_hor_scrollbar);
    XtSetArg(args[1],XmNverticalScrollBar,&main_vert_scrollbar);
    XtGetValues(main_image_scrollwin,args,2);

    /* Turn traversal off on the scrollbars.  If this is not done, the
       single-stepping of the cursor with the arrow keys does not work.  */
    XtSetArg(args[0],XmNtraversalOn,False);
    XtSetValues(main_hor_scrollbar,args,1);
    XtSetValues(main_vert_scrollbar,args,1);

    /* Determine the width, shadow thickness, border width and highlight
       thickness of each of the scroll bars and the shadow thickness and border
       width of the scrolled window.  These values are used to calculate the
       maximum size of the image window.  */
    XtSetArg(args[0],XmNwidth,&width);
    XtSetArg(args[1],XmNshadowThickness,&shadow);
    XtSetArg(args[2],XmNborderWidth,&border);
    XtSetArg(args[3],XmNhighlightThickness,&hilight);
    XtGetValues(main_vert_scrollbar,args,4);
    xid_mem.view_xoffset = width + border * 2 + shadow * 2 + hilight * 2;

    XtSetArg(args[0],XmNheight,&height);
    XtSetArg(args[1],XmNshadowThickness,&shadow);
    XtSetArg(args[2],XmNborderWidth,&border);
    XtSetArg(args[3],XmNhighlightThickness,&hilight);
    XtGetValues(main_hor_scrollbar,args,4);
    xid_mem.view_yoffset = height + border * 2 + shadow * 2 + hilight * 2;

    XtSetArg(args[0],XmNshadowThickness,&shadow);
    XtSetArg(args[1],XmNborderWidth,&border);
    XtGetValues(main_image_scrollwin,args,2);
    xid_mem.view_xoffset += (shadow * 2 + border * 2);
    xid_mem.view_yoffset += (shadow * 2 + border * 2);

    XtSetArg(args[0],XmNshadowThickness,&shadow);
    XtSetArg(args[1],XmNborderWidth,&border);
    XtGetValues(main_image_bulletinboard,args,2);
    xid_mem.view_xoffset += (shadow * 2 + border * 2);
    xid_mem.view_yoffset += (shadow * 2 + border * 2);

    return( retval );
}

Widget Createcontext_form
(
   Widget parent
)
{
    Arg         args[512];
    Cardinal    argcnt;
    Widget      retval;
    /*SUPPRESS 591*/
    XmString    xmstr[32];

    XmRegisterConverters();

    /* Create the context form widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_GROW); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 200); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 407); argcnt++;
    context_form = XtCreateWidget("context_form", xmFormWidgetClass, parent,
                                  args, argcnt);
    retval = context_form;

    /* Create a bulletin board to contain the context widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
    XtSetArg(args[argcnt], XmNshadowType, XmSHADOW_OUT); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, (short)0); argcnt++;
    XtSetArg(args[argcnt], XmNallowOverlap, False); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_NONE); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 200); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 407); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNtopAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNtopOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNbottomAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNbottomOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNleftAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNleftOffset, 0); argcnt++;
    XtSetArg(args[argcnt], XmNrightAttachment, XmATTACH_FORM); argcnt++;
    XtSetArg(args[argcnt], XmNrightOffset, 0); argcnt++;
    context_bulletinboard = XtCreateWidget("context_bulletinboard",
                                           xmBulletinBoardWidgetClass,
                                           context_form, args, argcnt);
    XtManageChild(context_bulletinboard);

    /* Create the context widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNborderWidth, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginWidth, 0); argcnt++;
    XtSetArg(args[argcnt], XmNmarginHeight, 0); argcnt++;
    XtSetArg(args[argcnt], XmNresizePolicy, XmRESIZE_ANY); argcnt++;
    XtSetArg(args[argcnt], XmNx, 0); argcnt++;
    XtSetArg(args[argcnt], XmNy, 0); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 350); argcnt++;
    XtSetArg(args[argcnt], XeNvisual, xid.visual_info[0].visual); argcnt++;
    context_mouse = XtCreateWidget("context_mouse", xeContextWidgetClass,
                                   context_bulletinboard, args, argcnt);
    XtManageChild(context_mouse);

    /* Create the "dismiss" button widget.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelString, (xmstr[0]=XmStringCreateLtoR(
             "Dismiss", XmSTRING_DEFAULT_CHARSET))); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 107); argcnt++;
    XtSetArg(args[argcnt], XmNy, 368); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 83); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 29); argcnt++;
    context_mouse_dismiss = XtCreateWidget("context_mouse_dismiss",
                                           xmPushButtonWidgetClass,
                                           context_bulletinboard,args,argcnt);
    XmStringFree( xmstr[0] );
    XtAddCallback(context_mouse_dismiss, XmNactivateCallback, context_dismiss,
                  (caddr_t)0);
    XtManageChild(context_mouse_dismiss);

    /* Create the "help" button.  */
    argcnt = 0;
    XtSetArg(args[argcnt], XmNlabelType, XmPIXMAP); argcnt++;
    XtSetArg(args[argcnt], XmNlabelPixmap, XPM_PIXMAP(parent, helpxbm_width,
             helpxbm_height, helpxbm_ncolors, helpxbm_chars_per_pixel,
             helpxbm_colors, helpxbm_pixels)); argcnt++;
    XtSetArg(args[argcnt], XmNrecomputeSize, False); argcnt++;
    XtSetArg(args[argcnt], XmNx, 159); argcnt++;
    XtSetArg(args[argcnt], XmNy, 10); argcnt++;
    XtSetArg(args[argcnt], XmNwidth, 31); argcnt++;
    XtSetArg(args[argcnt], XmNheight, 31); argcnt++;
    context_help_button = XtCreateWidget("context_help_button",
                                         xmPushButtonWidgetClass,
                                         context_bulletinboard, args, argcnt);
    XtAddCallback(context_help_button, XmNactivateCallback, help_update,
                  (caddr_t)"mouse.html");
    XtManageChild(context_help_button);
    return( retval );
} 
