/*
 *  This is the source file for the configuration panel of the
 *  X Image Display application.  It contains the callbacks, action routines,
 *  event handlers, and procedure code required for the panel.
 *
 *  By L.Huewe, USGS/EROS Data Center, 12/92.
 *    - X Image Display, v1.0.
 *
 */
#include "xid.h"

void config_destroy
(
   Widget w,
   XtPointer client,
   XtPointer call
)

/******************************************************************************
Purpose:
   This routine closes the configuration window and sets the main menu option 
   to sensitive.

By L. Huewe, USGS/EROS Data Center, 12/92

Algorithm Description:
*******************************************************************************/
{
   /* Close the configuration window and set the configuration button on the
   main panel to sensitive.  */
   XtUnmanageChild(Config_form);
   XtPopdown(Shell_Config);
   XtSetSensitive(main_config_button,True);
}
