/* include files, global parameters, and definitions for ZIP */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "typlim.h"
#include "statio.h"
#include "protos.h"

#define MAX_POLYGON 1023
extern	struct PARBLK block;                   /* TAE parameter block     */
extern  struct DDR  ddr;
extern	FILE	*fd;                           /* output file descriptor  */

extern  long    *isno_matrix;                  /* site index matrix */
extern  double  *cmean_matrix;                 /* class mean matrix */
extern  long    *x_matrix, *y_matrix;          /* polygon matrices */
extern  long    fd_sfin;
extern	long	fdesc[MAXIMG];                 /* file descriptors        */
extern	long	gdesc;                         /* group descriptor        */
extern	long	*ipoint,  		       /* offsets into image i/o  */
		opoint[MAXBND+1];              /* for input and output bands */
extern  long	min_max;                       /* minmax option flag      */
extern	long 	msgtim;                        /* message interval        */
 
extern  long    count;                         /* no. of files opened */
extern  long    nbands[MAXIMG];

extern  char    out[MAXIMG];                   /* names of files opened */
extern	float	*iobuf;                        /* image i/o buffer        */

extern	long	curcat;                        /* message utility         */
extern	long	curent;                        /* parameters for processing */

extern  short	*temp1,     		/* input array for look-up table */
		*temp2;       		/* output array of look-up table */

extern  long    out_img_bands[MAXIMG][MAXBND+1];
extern  long    bands[MAXIMG][MAXBND+1];
extern  long    *xaxis[MAX_POLYGON];
extern  long    *yaxis[MAX_POLYGON];
