#define ALL      2147483647		/* all records or files to be copied */
#define CHECK    0			/* flag to error check file attrib.  */
#define NOCHECK  1			/* flag not to check file attributes */
#define DISK	 0			/* DITTO I/O device is disk file     */
#define TAPE	 1			/* DITTO I/O device is tape          */
#define COPY_EOV -5			/* End of volume detected in copy    */

struct COPY_DEV				/* descriptor of the input and output*/
   {					/*   devices in which the copy is to */
   long  cc;				/*   be performed.  It includes the  */
   long  recsiz;			/*   type of carriage control, record*/
   long  blksiz;			/*   size, block size, record type,  */
   long  rectyp;			/*   current record, current file,   */
   long  cur_rec;			/*   and the type of device.         */
   long  cur_file;
   long  device;
   };
