#include "desc.h"
#include "las.h"
#include "cm.h"

/* FORTRAN bridge routine for unix */
int cmhost_
(
    char *tname,
    char *hname,
    int   tname_len, 
    int   hname_len

)
{
    int  status;
    char *tname_ptr;
        
    tname_ptr = squeeze(tname,tname_len);
    if (tname_ptr == NULL)
    {
        c_lasmsg (FALSE, "cmhost-alloc", "Error allocating dynamic memory");
        return (E_FAIL);
    }

    status = c_cmhost( tname_ptr, hname);
    free (tname_ptr);
    return (status);
}
