#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "dltf.h"

#ifdef unix
/* Fortran bridge routine for the sun		*/
#ifdef _IBMR2
#define ckdltf_ ckdltf
#endif
int ckdltf_
(
	char *lasfil,
    char *key,
	long *fd,
	long lasfil_len, 
    long key_len
)
{
long status;

status = c_ckdltf(lasfil,key,fd);

return(status);
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX		*/
int ckdltf
(
    struct DESC *lasfil,
    struct DESC *key,
    long *fd
)
{
long status;

char *lasfil_ptr;
char *key_ptr;

lasfil_ptr = squeeze(lasfil->addr,lasfil->length);
key_ptr = squeeze(key->addr,key->length);

status = c_ckdltf(lasfil_ptr,key_ptr,fd);

strcpy(lasfil->addr,lasfil_ptr);
strcpy(key->addr,key_ptr);

return(status);
}
#endif
