#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "dltf.h"

#ifdef unix
#ifdef _IBMR2
#define r1dltf_ r1dltf
#endif
/* Fortran bridge routine for the sun		*/
int r1dltf_
(
    long *fd,
    char *host,
    char *key,
    char *descr,
    long *asdltf,
    long *dtlen,
    char *dtype,
    long host_len,
    long key_len,
    long descr_len,
    long dtype_len
)
{
long status;
char *hostptr;

hostptr = squeeze(host,host_len);

status = c_r1dltf(fd,hostptr,key,descr,(struct ASDLTF *)asdltf,dtlen,dtype);

return(status);
}
#endif
#ifdef vms
/* Fortran bridge routine for the VAX		*/
int r1dltf
(
    long *fd,
    struct DESC *host,
    struct DESC *key,
    struct DESC *descr,
    long *asdltf,
    long *dtlen,
    struct DESC *dtype
)
{
long status;
char *hostptr;
char *keyptr;
char *descrptr;
char *dtypeptr;

hostptr = squeeze(host->addr,host->length);
keyptr = squeeze(key->addr,key->length);
descrptr = squeeze(descr->addr,descr->length);
dtypeptr = squeeze(dtype->addr,dtype->length);

status = c_r1dltf(fd,hostptr,keyptr,descrptr,asdltf,dtlen,dtypeptr);

strcpy(host->addr,hostptr);
strcpy(key->addr,keyptr);
strcpy(descr->addr,descrptr);
strcpy(dtype->addr,dtypeptr);

return(status);
}
#endif
