#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "dltf.h"

#ifdef unix
/* Fortran bridge routine for the sun		*/
#ifdef _IBMR2
#define r2dltf_ r2dltf
#endif
int r2dltf_
(
    long *fd,
    char *key,
    long *band,
    long *startpt,
    long *endpt,
    long *dlen,
    unsigned char *lutdata,
    double *slope,
    double *offset,
    long key_len
)
{
long status;
char *keyptr;

keyptr = squeeze(key,key_len);

status = c_r2dltf(fd,keyptr,band,startpt,endpt,dlen,lutdata,slope,offset);

return(status);
}
#endif
#ifdef vms
/* Fortran bridge routine for the VAX		*/
int r2dltf
(
    long *fd,
    struct DESC *key,
    long *band,
    long *startpt,
    long *endpt,
    long *dlen,
    unsigned char *lutdata,
    double *slope,
    double *offset
)
{
long status;
char *keyptr;

keyptr = squeeze(key->addr,key->length);

status = c_r2dltf(fd,keyptr,band,startpt,endpt,dlen,lutdata,slope,offset);

return(status);
}
#endif
