#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "dltf.h"

#ifdef unix
/* Fortran bridge routine for the sun		*/
#ifdef _IBMR2
#define w1dltf_ w1dltf
#endif
int w1dltf_
(
    long *fd,
    char *key,
    char *descr,
    char *type,
    long *asdltf,
    long key_len,
    long descr_len,
    long type_len
)
{
long status;
char *typeptr;
char *descrptr;
char *keyptr;

typeptr  = squeeze(type,type_len);
descrptr = squeeze(descr,descr_len);
keyptr   = squeeze(key,key_len);

status = c_w1dltf(fd,keyptr,descrptr,typeptr,(struct ASDLTF *)asdltf);

return(status);
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX		*/
int w1dltf
(
    long *fd,
    struct DESC *key,
    struct DESC *descr,
    struct DESC *type,
    long *asdltf
)
{
long status;
char *typeptr;
char *descrptr;
char *keyptr;

typeptr  = squeeze(type->addr,type->length);
descrptr = squeeze(descr->addr,descr->length);
keyptr   = squeeze(key->addr,key->length);

status = c_w1dltf(fd,keyptr,descrptr,typeptr,asdltf);

return(status);
}
#endif
