#! /usr/local/bin/perl

my @file_list = `ls *rej`;
my $full_dir_path = `pwd`;
my $gdal_subdir;
if ($full_dir_path =~ /\/las_cur_gdal\/(.+)/)
{
    $gdal_subdir = $1;
}

foreach my $cur_file (@file_list)
{
    chomp $cur_file;
    if ($cur_file =~ /^(.+)\.rej$/)
    {
        $cur_file = $1;
    }
    my $remote_gdal_dir = "/sgs20/csb/shimitz/las/dvlpmnt/gdal_dev/sync_gdal/new_sync/remot_cur_gdal/".$gdal_subdir;

    my $source_file = $remote_gdal_dir . "/$cur_file";
    `cp $source_file $cur_file`;
    $cur_file = $cur_file . ".rej";
    `rm $cur_file`;
}

exit 0;
