#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "geompak.h"

#ifdef unix
/* Fortran bridge routine for the sun		*/
#ifdef _IBMR2
#define ckunit_ ckunit
#endif
int ckunit_
(
    char *inunit,
    long *outunit,
    long inunit_len
)
{
long status;
char *inunitptr;

inunitptr = squeeze(inunit,inunit_len);

status = c_ckunit(inunitptr,outunit);

return(status);
}
#endif
#ifdef vms
/* Fortran bridge routine for the VAX		*/
int ckunit
(
    struct DESC *inunit,
    long *outunit
)
{
long status;
char *inunitptr;

inunitptr = squeeze(inunit->addr,inunit->length);

status = c_ckunit(inunitptr,outunit);

return(status);
}

#endif
