	subroutine mulfp (a, b, l, m, n, ja, jb, c, jc)
	real	a(ja, 1), b(jb, 1), c(jc, 1)
	integer	ja, jb, jc, l, m, n
c
c	real	a,   /* matrix a                     */
c		b,   /* matrix b                     */
c		c;   /* product matrix c             */
c
c	integer	ja,   /* row dimension of a           */
c		jb,   /* row dimension of b           */
c		jc,   /* row dimension of c           */
c		l,    /* no. rows in a                */
c		m,    /* no. columns in a             */
c		n;    /* no. columns in b             */
c
c********************************************************************
c                                              T
cPURPOSE: performs matrix multiplication c = ab
c
c         Note: c should not occupy the same locations as a or b
c
cPROGRAM HISTORY:
c   Author           Date
c   ------           ----
c   K. A. Narayanan  Sept. 29, 1988
c
c*******************************************************************
c
	integer row, col, ind
c
	do 100 row = 1, l
	   do 100 col = 1, n
	      c(row, col) = 0
	      do 100 ind = 1, m
	         c(row, col) = c(row, col) + a(row, ind) * b(col, ind)
100	continue
	return
	end

