	subroutine mulss (a, b, n, c, jc)

	real a(1), b(1), c(jc, 1)
	integer jc, n
c
c	real	a,   /* matrix a in symmetric storage mode */
c		b,   /* matrix b in symmetric storage mode */
c		c    /* product matrix c             */
c
c	integer jc,   /* row dimension of c          */
c		n,    /* order of a and b            */
c********************************************************************
c
cPURPOSE: performs matrix multiplication c = ab where a 
c         and b are symmetric matrices stored in symmetric storage mode
c
c         Note: c should not occupy the same locations as a or b
c
cPROGRAM HISTORY:
c   Author           Date
c   ------           ----
c   K. A. Narayanan  Jan 12, 1989
c
c*******************************************************************
	integer	row, col, ind, pa, pb
c
	do 100 row = 1, n
	   do 100 col = 1, n
	      c(row, col) = 0
	      do 100 ind = 1, n
	         if (ind .ge. row) then
		    pa =  (ind-1)*ind/2 + row
		 else
		    pa =  (row-1)*row/2 + ind
		 end if
	         if (ind .ge. col) then
		    pb =  (ind-1)*ind/2 + col
		 else
		    pb =  (col-1)*col/2 + ind
		 end if
	         c(row, col) = c(row, col) + a(pa) * b(pb)
100	continue
	return
	end

