#include "worgen.h"
#include "tapeio.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
int tpopen_
(
	long *unit,
	long *skip,
	long *mode,
	long *opt1,
	char *dens,
	long *inout,
	char *message,
	char *tapeid,
	long denlen,
	long hidlen,
	long idlen
)
{
long status;

status = c_tpopen(unit, skip, mode, opt1, dens, inout, message, tapeid);

return(status);
}
#endif
#ifdef vms
/*  Fortran bridge routine for the VAX  */
int tpopen
(
    long *unit,
    long *skip,
    long *mode,
    long *opt1,
    struct DESC *dens,
    long *inout,
    struct DESC *message,
    struct DESC *tapeid
)
{
long status;

status = c_tpopen(unit, skip, mode, opt1, dens->addr, inout, message->addr,
		tapeid->addr);

return(status);
}
#endif
