#include "worgen.h"
#include "desc.h"
#include "tapeio.h"

#ifdef unix
/*  Fortran bridge routine for sun  */
int tplsrd_
(
   long	*fd, 
   char	*key, 
   long *clen, 
   long *dlen,
   char *cbuf, 
   unsigned char *dbuf,
   char *dtype,
   long	key_len, 
   long cbuf_len, 
   long dtype_len
)
{
long status;

status = c_tplsrd(fd,key,clen,dlen,cbuf,dbuf,dtype);

return(status);
}
#endif
#ifdef vms
/*  Fortran bridge routine for VAX  */
int tplsrd
(
    long *fd,
    struct DESC *key,
    long *clen,
    long *dlen,
    struct DESC *cbuf,
    unsigned char *dbuf,
    struct DESC *dtype
)
{
long status;

status = c_tplsrd(fd,key->addr,clen,dlen,cbuf->addr,dbuf,dtype->addr);

return(status);
}

#endif
