#include <math.h>
#include "tm.h"
#include "pixman.h"

void ibmvx_4
(
    int *inval,
    float *outval,
    long *swap
)

{
         float frac;

	 int exp;
	 int sign;
   	 long one = 1;
         long four = 4;
      
	 if (*swap)
             c_pxswap((unsigned char *)inval,&one,&four);

	 sign = (*inval & 0x80000000) ? -1 : 1;
	 exp  = ((*inval & 0x7F000000) >> 24) - 64;
	 frac = ((float) (*inval & 0x00FFFFFF)) / 0x1000000;
        
         *outval = (sign * frac * pow(16.0,(double)exp));
}
