#include <math.h>
#include "pixman.h"
#include "tm.h"

void ibmvx_8
(
    int *inval1,
    int *inval2,
    double *outval,
    long *swap
)

{
         double frac1, frac2;

	 int exp;
	 int sign;
   	 long one = 1;
         long four = 4;
      
	 if (*swap)
	     {
             c_pxswap((unsigned char *)inval1,&one,&four);
             c_pxswap((unsigned char *)inval2,&one,&four);
	     }

	 sign  = (*inval1 & 0x80000000) ? -1 : 1;
	 exp   = ((*inval1 & 0x7F000000) >> 24) - 64;
	 frac1 = ((float) (*inval1 & 0x00FFFFFF)) / 0x1000000;
	 frac2 = frac1 + (((*inval2 / 0x1000000) / 0x10000) / 0x10000);

         *outval = (sign * frac2 * pow(16.0,(double)exp));
	
}
