#include "las.h"
#include "desc.h"
#include "util.h"

void clean_
(
    struct PARBLK *vblock,
    char   *name,
    char   out[][CMLEN],
    int    *count,
    int    name_len,
    int    out_len
)
{
    char *name_ptr;
    char out_ptr[MAXIMG][CMLEN];
    char *temp_ptr;
    int  i;

    name_ptr = squeeze (name,name_len);
    if (name_ptr == NULL)
        return; 
    for (i=0; i < *count; i++)
    {
        temp_ptr = squeeze (out[i], out_len);
        if (temp_ptr == NULL)
        {
            free (name_ptr);
            return;
        }
        
        strcpy (out_ptr[i], temp_ptr);
        free (temp_ptr);
    }
    
    las_clean (vblock,name_ptr,out_ptr[0],*count);

    free (name_ptr);

}

