#include "desc.h"
#include "las.h"
#include "util.h"

int getin_
(
    struct  PARBLK  *block,
    char    *param,
    int     *element,
    char    tnms[][CMLEN],
    char    hnms[][CMLEN],
    int     *images,
    int     (*window)[],
    int     (*bands)[],
    int     *nbands,
    int     *totbnd,
    int     *imglimit,
    int     *same_window,
    int     (*qflag)[], 
    int     param_len,
    int     tnms_len,
    int     hnms_len
                
)
{
    int     elem;
    int     status;
    char    *parptr;

    parptr = squeeze (param,param_len);
    if (parptr == NULL)
    {
        return (E_FAIL);
    }
    elem = *element - 1;

    status = las_getin (block,parptr,elem,tnms,hnms,images,
                        window,bands,nbands,totbnd,*imglimit,
                        same_window,qflag);

    free (parptr);

    return (status);
}
