#include "las.h"
#include "desc.h"
#include "util.h"

int mkimg_
(         
    char   *in_string,
    char   *ext,
    char   *tname,
    char   *hname,
    int    *flag,
    int    in_string_len,
    int    ext_len,
    int    tname_len,
    int    hname_len

)
{
    char *instr_ptr;
    char *ext_ptr;
    int  status;

    instr_ptr = squeeze (in_string,in_string_len);
    if (instr_ptr == NULL)
    {
        return (E_FAIL);
    }

    ext_ptr = squeeze (ext,ext_len);
    if (ext_ptr == NULL)
    {
        free (instr_ptr);
        return (E_FAIL);
    }

    status = las_mkimg (instr_ptr,ext_ptr,hname,*flag);
    
    if (status == E_SUCC)
        strcpy(tname,hname);

    free (instr_ptr);
    free (ext_ptr);

    return (status);
}
