/****************************************************************************

NAME: c_bitops

PURPOSE: provides functions to perform bit operations

RETURN VALUE:
Type = int
Returns the results of the bit operations.

NOTES:
  These routines should not be used anymore.  The operations should simply
  be done in-line.  They only exist for backwards compatibility.

****************************************************************************/
#ifndef NO_OBSOLETE_INTERFACE

#include "local_protos.h"

int c_bitand
(
   int in1,                     /* I: The first integer value */
   int in2                      /* I: The second integer value */
)
{
	 int  result;

	 result = in1 & in2;
	 return(result);
}

int c_bitor
(
   int in1,                     /* I: The first integer value */
   int in2                      /* I: The second integer value */
)
{
	 int  result;

	 result = in1 | in2;
	 return(result);
}

int c_bitxor
(
   int in1,                     /* I: The first integer value */
   int in2                      /* I: The second integer value */
)
{
	 int  result;

	 result = in1 ^ in2;
	 return(result);
}

#endif
