#ifndef LOCAL_PROTOS_H
#define LOCAL_PROTOS_H

#include "tae.h"

struct sigaction *c_get_sigabrt_struct (void);

struct sigaction *c_get_sigterm_struct (void);

int c_get_install_initialized (void);

void c_reset_install_initialized (void);

void c_cpasso
(
    struct PARBLK *vblock,            /* I: pointer to TAE parameter block  */
    const char *hosout,               /* I: output image name               */
    const char (*hosin)[],            /* I: input image names               */
    int numin                         /* I: # of images specified in "hosin"*/
);


int c_reset_handler
(
  int signo,                          /* I: Signal to reset                 */
  const struct sigaction *signal_act  /* I: Specifies the action 
                                            previously associated with 
                                            signal so it can be
                                            restored                        */
);

int c_bitand
(
   int in1,                      /* I: The first integer value */
   int in2                       /* I: The second integer value */
);

int c_bitor
(
   int in1,                      /* I: The first integer value */
   int in2                       /* I: The second integer value */
);

int c_bitxor
(
   int in1,                      /* I: The first integer value */
   int in2                       /* I: The second integer value */
);

#endif

