#ifdef sgi
#ifdef _CFE
#ifndef _BSD_COMPAT
#define _BSD_COMPAT
#endif
#endif
#endif

#define _BSD_COMPAT

#include <stdio.h>
#include <signal.h>
#include "las.h"
#include "util.h"


void c_sigblk
(
    int *mask 
)
{

#ifdef sun   /* POSIX-compliant version added for Solaris 2.X --   */
             /* this has not been well tested.  R. White, 10/94    */
    sigset_t new;

    sigprocmask (SIG_SETMASK, NULL, &new);      /* Get current mask   */
    *mask = new.__sigbits[0];                   /* Save first 32 bits */
    new.__sigbits[0] =  (1 << (SIGALRM - 1)) | (1 << (SIGINT - 1));
    sigprocmask (SIG_BLOCK, &new, NULL);        /* Set updated mask   */
#else

    int new;

#ifdef vms
    new = (1 << (SIGALRM - 1)) | (1 << (SIGINT - 1));
#else
    new = sigmask(SIGALRM) | sigmask(SIGINT);
#endif
    *mask = sigblock(new);
#endif

}


void c_sigunblk
(
    int *mask 
)
{
#ifdef sun
    sigset_t new;
    sigprocmask (SIG_SETMASK, NULL, &new);      /* Get current mask */
    new.__sigbits[0] = *mask;                   /* Restore old setting */
    sigprocmask (SIG_SETMASK, &new, NULL);

#else
    sigsetmask(*mask);
#endif
}
