#!/bin/csh -f

echo "Running util2 support tests..."

./test_read_write >& output.log
if ($status != 0) then
    echo "util2 support test_read_write testing FAILED."
    exit 1
endif

diff -q regression.log output.log
if ($status != 0) then
    echo "util2 support log disagrees with previous tests - testing FAILED."
    exit 1
endif

diff -q test1.file regression.file
if ($status != 0) then
    echo "util2 support test1.file miscompare - testing FAILED."
    exit 1
endif

diff -q test2.file regression.file
if ($status != 0) then
    echo "util2 support test2.file miscompare - testing FAILED."
    exit 1
endif

echo "util2 support testing PASSED."
exit 0
