#include <stdio.h>
#include <stdlib.h>
#include "las.h"
#include "util.h"
#include "protos.h"

int main
(void)

{
struct PARBLK	vblock;
int	i;
long	std_out;
long	zero = 0;
long    term;
long    fyle;
long    lnpr;
char	temp[4];
char	temp2[4];
char    filnm[CMLEN];
char    outfil[1][CMLEN];
char    outfil2[CMLEN];

long    extnbr,intapes,outtapes;
char    priority[4],request[31],call[13],operator[13],system[13],queue[13],
	jobnbr[13],jobname[31],otapetyp[13],coloropt[4],
 	edipsopt[4],calcoopt[4],comment[101];
char    indesc[18][51],inloc[18][13],outdesc[18][51],outloc[18][13];

FILE *fp;

c_inlas(&vblock,&std_out);	  /* initialize the TAE routine packages     */

rparm(&vblock,&term,&fyle,&lnpr,filnm,outfil2,
      priority,request,&extnbr,call,operator,system,queue,
      jobnbr,jobname,otapetyp,indesc,inloc,outdesc,outloc,
      coloropt,edipsopt,calcoopt,comment,&intapes,&outtapes);


if ((fp = fopen(filnm,"w")) == NULL)
    {
    printf("error opening output custom file\n");
    return EXIT_FAILURE;
    }
fprintf(fp,"          Requester : %-30s\n",request);
fprintf(fp,"          Priority  : %-3s",priority);
fprintf(fp,"                   Ext. No.  : %-4d\n",extnbr);
fprintf(fp,"          Call      : %-12s",call);
fprintf(fp,"          Operator  : %-12s\n",operator);
fprintf(fp,"          System    : %-12s",system);
fprintf(fp,"          Queue     : %-12s\n",queue);
fprintf(fp,"          Job No.   : %-12s",jobnbr);
fprintf(fp,"          Job Name  : %-12s\n\n",jobname);
   strcpy(temp,"NO ");
   strcpy(temp2,"NO ");
if (strcmp(otapetyp,"CANISTER") == 0)
   strcpy(temp,"YES");
else if (strcmp(otapetyp,"LIBRARY") == 0)
   strcpy(temp2,"YES");
else if (strcmp(otapetyp,"BOTH") == 0)
   {
   strcpy(temp,"YES");
   strcpy(temp2,"YES");
   }
fprintf(fp,"     INPUT TAPES:\n");
fprintf(fp,"    Library Location              Description\n\n");
for (i=0; i<intapes; i++)
    {
	if (strlen(inloc[i])>0)
            fprintf(fp,"    %-12s  ",inloc[i]);
        else
            fprintf(fp,"    ____________  ");
	if (strlen(indesc[i])>0)
            fprintf(fp,"%-50s\n",indesc[i]);
        else
            fprintf(fp,"__________________________________________________\n");
     }
for (i = intapes; i < 18; i++)
     {
            fprintf(fp,"    ____________  ");
            fprintf(fp,"__________________________________________________\n");
     }
fprintf(fp,"\n     OUTPUT TAPES:                      Canister: %-3s",temp);
fprintf(fp,"    Library: %-3s\n",temp2);
fprintf(fp,"    Library Location              Description\n\n");
for (i=0; i<outtapes; i++)
    {
	if (strlen(outloc[i])>0)
            fprintf(fp,"    %-12s  ",outloc[i]);
        else
            fprintf(fp,"    ____________  ");
	if (strlen(outdesc[i])>0)
            fprintf(fp,"%-50s\n",outdesc[i]);
        else
            fprintf(fp,"__________________________________________________\n");
     }
for (i = outtapes; i < 18; i++)
     {
            fprintf(fp,"    ____________  ");
            fprintf(fp,"__________________________________________________\n");
     }
fprintf(fp,"\nOUTPUT TAPES TO:  Colorfire: %-3s",coloropt);
fprintf(fp,"          EDIPS: %-3s",edipsopt);
fprintf(fp,"          CALCOMP: %-3s\n\n",calcoopt);
fprintf(fp,"     Comments: %-50.50s\n",comment);
fprintf(fp,"               %-50.50s\n",comment+50);
c_complt("CUSTOM",outfil,&zero);
fclose(fp);

return EXIT_SUCCESS;

}
