#ifndef PROTOS_H
#define PROTOS_H

long c_hsdel
(
    long *fd,			/* file descriptor of input images's history */
    char key[]			/* key to the record to be deleted           */
);

void delrec
(
    char key[16],			/* key of the record to be read      */
    char *buf[2], 			/* buffer for history label record   */
    long *buflen,				/* length of history record buffer   */
    long *hiscnt,			/* history record count              */
    long *delcnt,			/* delete record count               */
    long confirm			/* confirmation flag                 */
);

void getpar
(
    char taein[CMLEN],		/* tae name of the input image                */
    char hosin[CMLEN],		/* host name of the input image               */
    long *confirm		/* set to true when confirm option is        */
);

int histclose
(
    long *fd,		/* file descriptor of input images's history */
    char hosin[],	/* host file name of the label service file  */
    long action		/* action flag:                              */
);

int repos
(
    long *fd,			/* File descriptor		(input)	      */
    long *clen			/* number of char bytes to read	(in/out)      */
);

#endif

