/* include files, global parameters, and definitions for MULTIPLY */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "typlim.h"

extern struct PARBLK vblock;                  /* TAE parameter block     */

extern long    nbands[MAXIMG];
extern int	fdesc[MAXIMG];                 /* file descriptors        */
extern int	fdescout[2];                   /* output file descriptor  */
extern int	gdesc;                         /* group descriptor        */
extern int	gdescout;
extern long	msgtim;                  /* message interval        */
extern long	in[MAXIMG * MAXBND + 1],   /* offsets into image i/o  */
		out[MAXBND+1];              /* for input and output bands */
extern long    min_max;
 
extern unsigned char *buf;                  /* image i/o buffer        */
extern unsigned char *outbuf;               /* image i/o buffer        */
extern float		*rinbuf;             /* float input pointer	*/
extern float		*routbuf;            /* float output pointer	*/
static  char *prog_name = "grid";      /* program name            */

extern long	curcat;                        /* message utility         */
extern long	curent;                        /* parameters for processing */

static	long	fatal_err = -1;
static	long	zero = 0;
static	long	one = 1;
