c*******
c******* routine to generate parametric cubic convolution kernels by djm
c*******
c*******  converted to SUN 4 8/30/89 by D. Steinwand 
c*******    Used f77cvt, then f77 
c*******    This function is driven by KERNEL.PDF 
c******* 
      program cubic
coutput array
ckernel array                                  
c"tension" parameter (alpha)                               
cdomain variable                                           
cstep size in x                                           
csum of elements (for normalization)                      
      real out(1024), kernel(-64:64), a, x, dx, sum
coutput lun
cmain, auxiliary indices                                
      integer lun, i, file1
c*******
c******* initialize
c*******
calign origins of arrays                  
      equivalence (kernel(0), out(513))
c*******
c******* prompts
c*******
c	type '(a)', '$enter output unit #: '
c1/32th of a pixel                                  
c	type '(a)', '$enter alpha parameter: '
      data out / 1024*0 /
      data dx / .03125 /
      file1 = 13
      open (unit=file1)
      rewind (unit=file1)
      read(unit=file1, fmt=*) lun
c*******
c******* generate the kernel
c*******
      read(unit=file1, fmt=*) a
      kernel(0) = 1.
      sum = 1.
      x = dx
      do 10 i = 1, 31
      kernel(i) = (((((a + 2.) * x) * x) * x) - (((a + 3.) * x) * x)) + 
     &1.
      kernel(- i) = kernel(i)
      sum = sum + (2. * kernel(i))
      x = x + dx
 10   continue
      do 20 i = 32, 63
      kernel(i) = (((((a * x) * x) * x) - (((5. * a) * x) * x)) + ((8.
     & * a) * x)) - (4. * a)
      kernel(- i) = kernel(i)
      sum = sum + (2. * kernel(i))
      x = x + dx
c*******
c******* output array
c*******
 20   continue
      do 30 i = 1, 1024
      write(unit=lun, fmt=1000) i, out(i) / sum
 30   continue
c*******
c******* booboo
c*******
 1000 format(1x,i5,1p1e17.9)
      end
