	SUBROUTINE GETFIL(IFCB,DCOL,COLS,DATA,REC,CLEN,A,status)
C DOCUMENT
C SERIAL READ ONLY
C  10-9-86 B. AILTS added parameter 'status' to help
C  trap open and read errors.
C--------------------------------------------------------------------

	include 'las.fin'

	real*4 a(128,1)
	real*4 data(1)
	integer*4 cols(1)
	integer*4 ifcb(XIFDIM)
	integer*4 status,i
	integer*4 rec,ptr,offset,nrcol,clen,ix,dcol,r
C
	PTR = MOD(REC-1,128)+1
	IF (PTR.NE.1) GO TO 20
	OFFSET = (REC+127)/128
	NRCOL = (CLEN+127)/128
	DO 10 IX=1,DCOL
	R = NRCOL*(COLS(IX)-1)+OFFSET+1
	CALL XIREAD(IFCB,A(1,IX),1,R,1,STATUS)
	if (status .ne. XSUCC) then
		call errmsg('Error reading input file','getfil-read',1)
		status = EFAIL
		return
	end if
	CALL XIWAIT(IFCB,STATUS)
	if (status .ne. XSUCC) then
		call errmsg('Error reading input file','getfil-read',1)
		status = EFAIL
		return
	end if
 10	CONTINUE
 20	DO 21 I=1,DCOL
 21	DATA(I) = A(PTR,I)

	status = ESUCC
	RETURN
	END
