#ifndef LAS2TIFF_H
#define LAS2TIFF_H

int getpar                      /* Function fetches input parameters */
(
    struct PARBLK *vblock,      /* I: TAE parameter block                     */
    char          infiles[][CMLEN],/* O: Input LAS file                       */
    long          *num_infiles, /* O: number of input image files             */
    char          *outfile,     /* O: Output host TIFF file                   */
    long          *imagelength, /* O: Common length of all input images       */
    long          *imagewidth,  /* O: Common width  of all input images       */
    long          *nbands,      /* O: Num bands to read from each input image */
    long          *dtype,       /* O: Data type from each input image         */
    long          *msgtim,      /* O: # of seconds between processing messages*/
    long          *sl,          /* O: Starting line of each LAS input image   */
    long          *ss,          /* O: Starting sample of each LAS input image */
    long           bands[][MAXBND+1]/* O: Array to hold the bands in
                                     each input image                         */
);
#endif
