#ifndef PROTOS_H
#define PROTOS_H

void breakp
(
   long *onbins,   /* Number of bins pdf band array    */
   float *scale,   /* Scalars pdf band array       */
   float *offset,  /* Offsets per band array       */
   float **prob,   /* matrix of probabilities      */
   float **grey,   /* matrix of GLV's          */
   float **diff    /* matrix of differences        */
);

void files
(void);

void getpar
(void);

void hcum
(
   long **hist,    /* matrix of histograms per band        */
   long *onbins,   /* Number of bins used per band array       */
   float **prob,   /* matrix of probailities -all bins per band    */
   short **transf  /* matrix of transformations per band       */
);

void histgm
(
   long **hist,   /* Hisogram per band array      */
   float *offset, /* Offset per band array        */
   long *onbins,  /* Number of bins per band array    */
   float *scale   /* Scale  per band array        */
);

void inimg
(void);

void tranfm
(
   long *onbins,   /* Number of bins pdf band array        */
   float *offset,  /* Offsets per band array           */
   float **prob,   /* Matrix of probailities           */
   float *scale,   /* Scalers per band array           */
   short **transf  /* Matrix of transformations            */
);

#endif

