/* include files, global parameters, and definitions for REDIST	*/

#include <stdio.h>
#include "las.h"
#define	MAXBIN  1024


extern struct	PARBLK	block;                 /* TAE parameter block     */
extern char    hosin[MAXIMG][CMLEN];	/* input hostfile name     	*/
extern char    hosout[1][CMLEN];		/* output hostfile name    	*/
extern char	taeout[1][CMLEN];		/* output LAS name	   	*/
extern char	taein[MAXIMG][CMLEN];	/* input LAS name	   	*/
extern double	minval[MAXBND];		/* Min-Max values for svmnmx	*/
extern double	maxval[MAXBND];		/* Min-Max values for svmnmx	*/
extern unsigned char	*inbuf;      	/* image i/o buffer     	*/
extern unsigned char	*hbuf;  	/* image i/o buffer     	*/
extern long 	bandnums[MAXIMG][MAXBND+1];/* band numbers per image	*/
extern long 	bands[MAXIMG];		/* Number of bands per image	*/
extern long 	insiz;			/* input buffer size		*/
extern long 	isiz;			/* input data type size		*/
extern long	curent;                 /* parameters for processing 	*/
extern struct FDESC *fdh[MAXIMG];           /* histogram file descriptors  	*/
extern struct FDESC *fdin[MAXIMG];	/* input file descriptors      	*/
extern struct GDESC *gdh;                   /* group descriptor      	*/
extern struct GDESC *gdin;                  /* group descriptor      	*/
extern long	gout;			/* output result option flag	*/
extern long 	images; 		/* Number of input images 	*/
extern long	img_flag[MAXIMG][2];	/* c_getin parm			*/
extern long	*hpoint;  /* input buffer offsets  */
extern long	*ipoint;  /* input buffer offsets  */
extern long	itype;			/* inputdata type		*/
extern long	min_max;                /* minmax option flag    	*/
extern long 	msgtim;                 /* message interval        	*/
extern long	otype;			/* output data type		*/
extern long 	totbands; 		/* Total number on input bands 	*/
extern long	windows[MAXIMG][4];  	/* input image dimensions 	*/
