/* include files, global parameters, and definitions for STRETCH */

#include <stdio.h>
#include <math.h>
#include "las.h"
#include "statio.h"
#include "dltf.h"

extern struct PARBLK block;                   /* TAE parameter block     */
extern struct DDR  ddr;
extern struct ASDLTF asdltf;
extern long 	fd;
extern struct FDESC *fdescin[MAXIMG+1];    /* input file descriptors   */
extern struct FDESC *fdescout[2];          /* output file descriptor   */
extern struct GDESC *gdescin;		       /* input group descriptor   */
extern struct GDESC *gdescout;		       /* output group descriptor  */
extern long	ipoint[MAXIMG * MAXBND + 1],   /* offsets into image i/o  */
		opoint[MAXBND+1];              /* for input and output bands */
extern short   *templut, *lut;
 
extern long    count;                         /* no. of files opened */
extern long    bands[MAXIMG][MAXBND+1];
extern long    nbands[MAXIMG];
extern char    out[MAXIMG][CMLEN];             /* names of files opened */
extern short	*ibuf;                        /* image input buffer      */
extern short	*obuf;  		       /* image output buffer     */

extern long	curcat;                        /* message utility         */
extern long	curent;                        /* parameters for processing */

