#include <stdio.h>
#include <math.h>
#include "statio.h"
#include "las.h"

#define TERM 0
#define LP   1
#define FIL  2
 
                               
#define MAX_VERT       201  /* maximum vertices allowed by polysit2 plus 1 */
#define MAX_XYVERTS 401  
#define MAX_POLYGON    1023
#define MAX_AREA       MAX_POLYGON+1
#define MAX_SEGP       256
#define MAX_ELEMENT    MAXBND*(MAXBND+1)/2
#define MAXW           MAX_SEGP*MAXBND
#define MAX_WIDTH      132          
extern	struct	PARBLK	block;                 /* TAE parameter block     */
extern  struct  DDR	ddr;                   /* ddr                     */
extern 	FILE	*fd;			       /* temp file descriptor    */

extern  unsigned char *iobuf;   	/* image i/o buffer        */
extern	long	fdescin[MAXIMG+3];             /*  file descriptors  */
extern	long	gdesc;                       /*  group descriptor  */
extern  long	sdesc[2];		/* File descriptors of stats files */
extern	long	*ipoint;   /* offsets into image i/o  */
extern  long	opoint;                /* for input and output bands */
extern  long	image_band_num[MAXIMG][MAXBND+1];  /* band numbers selected
                                                for each image specified */
extern  long   	out_img_bands[2][2];
                                      /* bands numbers for output image */
extern  long	cclass[MAXCLS][MAXCLS];        /* class number counts for 
                                                  class/site */  

extern  long	min_max;                       /* minmax option flag      */
extern	long 	msgtim;                        /* message interval        */
extern	long 	num_outfiles;                  /* number of output files  */
extern	long 	num_cfiles;                  /* number of output files  */
extern  char    out[2][CMLEN];             /* output file names       */
extern	long	print[3];                      /* print options           */
extern FILE	*print_file;	/* file descriptor of data print file */
extern  char    out_files[3][CMLEN];             /* output file names       */
extern  char    cf_files[3][CMLEN];      /* contingency output file names   */
                                                                
extern  long    *x_matrix, *y_matrix;          /* polygon matrices */
extern  long    *xaxis[MAX_POLYGON],
                *yaxis[MAX_POLYGON];
                 
extern	long	curent;                        /* current entity           */
extern	long	curcat;                        /* current category         */

extern struct	{        
		float	*mean[MAXCLS];
		float   *covinv[MAXCLS];
		} sstat;

extern float   *mean_matrix;
extern float   *covinv_matrix;

extern  float	cconst[MAXCLS];  	/* Class constants                  */
extern  long    sclass[MAX_POLYGON][MAXCLS];    

extern unsigned char	*ealloc();
