

/* calc. the vector from the spacecraft to the tangent of the ellipsoid */

#include <math.h>
#include "ellipsoid.h"

void nadirvec(sat,nadvec)

double sat[],
       nadvec[];

   {
   double latc,
          longd,
          rc,
          latd,
          h,
          hcoslatd;
          
   cart2sph(sat,&latc,&longd,&rc);
   centh2det(latc,rc,&latd,&h);
   hcoslatd = h * cos(latd);
   nadvec[1] = -hcoslatd * cos(longd);
   nadvec[2] = -hcoslatd * sin(longd);
   nadvec[3] = -h * sin(latd);
   }
