


/* calc. a new vector (vec3) in the same plane defined by the two input vectors
   given the angle from the first vector to the new vector and the magnitude
   of the new vector */

#include <math.h>

void newvec(vec1,vec2,angle,vecmag,vec3)

double vec1[],
       vec2[],
       vec3[],
       angle,
       vecmag;

   {

   double angle12,
          magv1,
          magv2,
          mag(),
          sinang,
          cotang12,
          ratio1,
          const1,
          const2;

   long i;


   anglebetwn (vec1,vec2,&angle12);
   cotang12 = 1.0 / tan(angle12);
   magv1 = mag(vec1);
   magv2 = mag(vec2);
   sinang = sin(angle);
   ratio1 = vecmag / magv1;
   const1 = ratio1 * (cos(angle) - cotang12 * sinang);
   const2 = (vecmag * sinang) / (magv2 * sin(angle12));





   for (i=1 ; i <= 3 ; i++)
      {
      vec3[i] = vec1[i] * const1 + vec2[i] * const2;
      }
   return;
   }     
