/******************************************************************
*  NAME: GETPAR
*  FUNCTION: Get the input parameters
*********************************************************************/
#include "las.h"
#include "protos.h"

long getpar
(
    struct PARBLK *parblk,
    char *hostname,
    char *drive,
    long *count
)

{

struct VARIABLE *var;

/* get the AVHRR sceneid
-----------------------------*/
var = p_find(parblk,"SCENEID");
strcpy(hostname,SVAL(*var,0));

/* get the drive name
----------------------------*/
var = p_find(parblk,"DRIVE");
strcpy(drive,SVAL(*var,0));

/* get the number of scenes per tape
------------------------------------*/
var = p_find(parblk,"NFILES");
*count = IVAL(*var,0);

return(E_SUCC);
}
