      SUBROUTINE CORNER(MAPSPC,SCALE,TRNPAR,PRJPAR,pltcr)
***********************************************************************
*
*     NAME- CORNER                         EXPIRES- 12/31/99
*
*     LANGUAGE- FORTRAN     TYPE- SUBROUTINE
*
*     VERSION- 1.0    DATE- 01-JUL-87 PROGRAMMER- John R. Allen (EDC)
*	       2	    15-MAY-92		  Tom Mittan
*
*     FUNCTION- 
*     Plots the corner ticks for a 1:100000 scale map.
*
************************************************************************
*                                                                      *
*     DECLARATION SECTION                                              *
*                                                                      *
************************************************************************
      DOUBLE PRECISION
     .        DEGCOR(2)
     .,       TRNPAR(8)
     .,       PRJPAR(15)
      REAL    PLTCOR(2)
     .,       HORLEN
     .,       MAPSPC(4)
     .,       pltcr(2)
      INTEGER SCALE
      PARAMETER(HORLEN = .125D0)
************************************************************************
*                                                                      *
*     CODE SECTION                                                     *
*                                                                      *
************************************************************************
*
*     plot Southwest corner tick
*
      DEGCOR(1) = MAPSPC(2)
      DEGCOR(2) = MAPSPC(1)
      CALL DEGPLT(DEGCOR,SCALE,TRNPAR,PRJPAR,PLTCOR)
      pltcr(1) = pltcor(1)
      pltcr(2) = pltcor(2)
      CALL PLOT(PLTCOR(1)+HORLEN,PLTCOR(2),3)
      CALL PLOT(PLTCOR(1),PLTCOR(2),2)
      CALL PLOT(PLTCOR(1),PLTCOR(2)+HORLEN,2)
*
*     plot Northwest corner tick
*
      DEGCOR(2) = MAPSPC(1) + MAPSPC(3)
      CALL DEGPLT(DEGCOR,SCALE,TRNPAR,PRJPAR,PLTCOR)
      CALL PLOT(PLTCOR(1),PLTCOR(2)-HORLEN,3)
      CALL PLOT(PLTCOR(1),PLTCOR(2),2)
      CALL PLOT(PLTCOR(1)+HORLEN,PLTCOR(2),2)
*
*     plot Northeast corner tick
*
      DEGCOR(1) = MAPSPC(2) + MAPSPC(4)
      CALL DEGPLT(DEGCOR,SCALE,TRNPAR,PRJPAR,PLTCOR)
      CALL PLOT(PLTCOR(1)-HORLEN,PLTCOR(2),3)
      CALL PLOT(PLTCOR(1),PLTCOR(2),2)
      CALL PLOT(PLTCOR(1),PLTCOR(2)-HORLEN,2)
*
*     plot Southeast corner tick
*
      DEGCOR(2) = MAPSPC(1)
      CALL DEGPLT(DEGCOR,SCALE,TRNPAR,PRJPAR,PLTCOR)
      CALL PLOT(PLTCOR(1),PLTCOR(2)+HORLEN,3)
      CALL PLOT(PLTCOR(1),PLTCOR(2),2)
      CALL PLOT(PLTCOR(1)-HORLEN,PLTCOR(2),2)
*
*     lift the pen
*
      CALL PLOT(PLTCOR(1)-HORLEN,PLTCOR(2),3)
      RETURN
      END
