      SUBROUTINE DEGPLT(DEGCOR,SCALE,TRNPAR,PRJPAR,PLTCOR)
***********************************************************************
*
*     NAME- DEGPLT                         EXPIRES- 12/31/99
*
*     LANGUAGE- FORTRAN     TYPE- SUBROUTINE
*
*     VERSION- 1.0    DATE- 01-JUL-87 PROGRAMMER- John R. Allen (EDC)
*	       2	    15-MAY-92		  Tom Mittan
*
*     FUNCTION- 
*
************************************************************************
*                                                                      *
*     DECLARATION SECTION                                              *
*                                                                      *
************************************************************************
      DOUBLE PRECISION
     .          DEGCOR(2)
     .,         COORDO(2)
     .,         INPARM(15)
     .,         PRJPAR(15)
     .,         TRNPAR(8)
      REAL      PLTCOR(2)
      INTEGER   ERRFLG
     .,         XIN
     .,         YIN
     .,         XOUT
     .,         YOUT
     .,         SCALE
     .,         INTYPE
     .,         INZONE
     .,         INUNIT
     .,         INSPH
     .,         IPR
     .,         JPR
     .,         IOTYPE
     .,         IOZONE
     .,         IOUNIT
     .,         IOSPH
      CHARACTER ERRSTR*80
      CHARACTER efile*100
      CHARACTER pfile*100
      CHARACTER fn27*100
      CHARACTER fn83*100
      DATA      INPARM/15*0.D0/
     .,         INTYPE/0/
     .,         INZONE/62/
     .,         INUNIT/4/
     .,         INSPH/0/
     .,         IPR/3/
     .,         JPR/3/
     .,         IOTYPE/9/
     .,         IOZONE/62/
     .,         IOUNIT/1/
     .,         IOSPH/0/
************************************************************************
*                                                                      *
*     CODE SECTION                                                     *
*                                                                      *
************************************************************************
*
*     convert geographic coordinates of point to TM and output in feet
*

      CALL gctp (degcor,intype,inzone,inparm,inunit,insph,ipr,
     .           efile,jpr,pfile,coordo,iotype,iozone,prjpar,
     .           iounit,iosph,fn27,fn83,errflg)

      IF (ERRFLG .NE. 0) THEN
         CALL PLOT(0.0,0.0,999)
         CLOSE(UNIT = 7)
         ERRSTR = 'Coordinate conversion error.'//
     .            '  coordinates:'
         WRITE(ERRSTR(43:),'(F9.4,2X,F9.4)')DEGCOR(1),DEGCOR(2)
         CALL ERRMSG(ERRSTR,'flightln-conv',-1)
      END IF
*
*     convert coordinates from feet to mils 
*
      XIN = IDNINT(COORDO(1)*(12000.0/REAL(SCALE)))
      YIN = IDNINT(COORDO(2)*(12000.0/REAL(SCALE)))
*
*     adjust coordinates to fit map's actual size
*
      CALL TRANS(XIN,YIN,TRNPAR,XOUT,YOUT)
*
*     convert mils to plotter coordinates
*
      PLTCOR(1) = DBLE(XOUT)/1000.0
      PLTCOR(2) = DBLE(YOUT)/1000.0
      RETURN
      END
