      SUBROUTINE TRANS(X,Y,PARMS,XT,YT)
***********************************************************************
*
*     NAME- TRANS                         EXPIRES- 12/31/99
*
*     LANGUAGE- FORTRAN     TYPE- SUBROUTINE
*
*     VERSION- 1.0    DATE- 01-JUL-87 PROGRAMMER- John R. Allen (EDC)
*	       2	    15-MAY-92		  Tom Mittan
*
*     FUNCTION- 
*     This subroutine transforms the plane coordinates X and Y to
*     XT and YT using the eight parameters of PARMS.
*
*
************************************************************************
*                                                                      *
*     DECLARATION SECTION                                              *
*                                                                      *
************************************************************************
      DOUBLE PRECISION PARMS(8)
     .,                TEMP
     .,                ONE
     .,                DPX
     .,                DPY
      INTEGER          X
     .,                Y
     .,                XT
     .,                YT
      PARAMETER       (ONE = 1.D0)
************************************************************************
*                                                                      *
*     CODE SECTION                                                     *
*                                                                      *
************************************************************************
      DPX  = DBLE(X)
      DPY  = DBLE(Y)
      TEMP = DPX*PARMS(4) + DPY*PARMS(5) + ONE
      XT   = NINT((DPX*PARMS(1) + DPY*PARMS(2) + PARMS(3))/TEMP)
      YT   = NINT((DPX*PARMS(6) + DPY*PARMS(7) + PARMS(8))/TEMP)
      RETURN
      END
