/*******************************************************************************
NAME:                           GETPAR_TM

PURPOSE:      Retrieve the parameters from TAE

PROGRAM HISTORY:
PROGRAMMER              DATE            REASON
----------              ----            ------
T. Baltzer		01/96		Initial development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
   Must be run under TAE.

*******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "util.h"
#include "glcts.h"
#include "protos_tm.h"

void getpar_tm
(
    struct PARBLK *parblk,		/* TAE parameter block */
    char hname[]		    	/* HOST name of input file */
)

{

struct VARIABLE *val;         /* pointer to a TAE variable within v-block */


long mode = IREAD;	/* File access */


val = p_find(parblk,"HFILE");
if (c_mknam(SVAL(*val,0),hname,"hdr",&mode) != E_SUCC)
    c_lasmsg(1,"glcts_tm-fatal","Fatal error encountered");

return;
}
