#ifndef PROTOS_TM_H
#define PROTOS_TM_H

int getinfo_tm
(
    char headfile[TOTLTM][TOTSAM],	/* Total lines in header file	*/
    char date[7]			/* Acquisition date		*/
);

void getpar_tm
(
    struct PARBLK *parblk,		/* TAE parameter block */
    char hname[]		    	/* HOST name of input file */
);

int load_tm
(
    char *hname,				/* Host file name (input) */
    char headfile[TOTLTM][TOTSAM]	/* Header file buffer */
);

int taeland_tm
(
    struct PARBLK *parblk,	/* TAE parameter block			*/
    char date[7]		/* Acquisition date			*/
);

#endif


