#ifdef sgi
#ifndef SGI
#define SGI
#endif
#endif

#ifdef sun
typedef unsigned short UInt16;
typedef unsigned char UChar;
#endif

#include "ntqlp.h"
#include "struct.h" 
/**  #include "format.h" ***/

#define NULLVAL -1
#define E_TIMEOUT -100

#define LUT_PROD 1			/* Use production LUTs */
#define LUT_TEST 2			/* Use test LUTs */

#define RED     0       		/* red LUT index */
#define GREEN   1       		/* green LUT index */
#define BLUE    2       		/* blue LUT index */

#define SU_NORM         1       /* no lj printer privileges */
#define SU_PRIV         2       /* lj printer privileges to change priorities*/
#define SU_OWN          3       /* lj printer owner */

#define LJ2080          "LJ2080"
#define LJ5000          "LJ5000"



/*						PROTOCOL defines */
#define		PRODUCTION		100	/* OPMODE, image only */
#define		CUSTOM			101	/* OPMODE, custom production */
#define		EDIPS			102	/* OPMODE, edips production */
#define		CALWED			103	/* OPMODE, cal wedges */
#define		CONWED			104	/* OPMODE, control wedges */

#define		RESET			1	/* Scanner reset position */
#define 	PRESET			2	/* Scanner preset position */

/*
* Define the NL required to get beyond the film guide for the LightJet.
* Note that the values are different for when the scanner position is 
* reset Vs. preset.  (Currently set to zero until testing with the Light
* Jet is complete...)
*/
#define		FG_RESET		3
#define		FG_PRESET		3

#define		NDAYS  14	/* # days for requests within CRF */

#define 	PADD	1	/* PARMENTR-ADD program to read TAE params */
#define		PMOD	2	/* PARMENTR-MOD program to read TAE params */
#define		REPORT	3	/* PREPORT program to read TAE params */

#define		LJABORT_EXIT 1	/* On interrupt exit program */
#define		LJABORT_IG   2	/* Ignore interrupt and continue exectution */

#define		TO_REC	1	/* copy lut from tmp to record structure */
#define		FR_REC	2	/* copy lut from record structure to tmp */

#define SPACE_ZL	3	/* Number of mm to space beween image & annot */
