/*
PROGRAM HISTORY:
  Version       Date        Author      Change Request
  -------       ----        ------      --------------
   1.0           8/93       K. Gacke    initial development -- copied from QLP

PROJECT:        Unix Color FIRE

*/


#ifdef vms
#include <stdio.h>
#include <ssdef.h>
#include <jpidef.h>
#include <string.h>
#include "worgen.h"
#include "local_protos.h"

int chkbat
(
    struct PARBLK *vblock
)
{
struct
    {                       /* item list for SYS$GETJPI */
    short   il_buflen;              /* buffer length */
    short   il_code;                /* item description code */
    char    *il_bufaddr;            /* buffer address */
    char    *il_lenaddr;            /* addr of returned length */
    long    il_zero;                /* list terminator */
    }       itemlist;
long mode;
long nonfatal = 1;
long rstat;
long status;
char msg[80];

itemlist.il_buflen = sizeof(long);
itemlist.il_code = JPI$_MODE;
itemlist.il_bufaddr = &mode;
itemlist.il_lenaddr = (char *)0;
itemlist.il_zero = 0;
status = sys$getjpi(0,0,0,&itemlist,0,0,0);
if (status != SS$_NORMAL)
    {
    sprintf(msg,"Error in sys$getjpi call, status = %x\n",status);
    c_errmsg(msg,"fire",&nonfatal);
    rstat = FALSE; 
    }
else
    rstat = (mode == JPI$K_BATCH) ? TRUE : FALSE;
return(rstat);
}
#endif

#ifdef unix
#include <stdio.h>
#include <string.h>
#include "worgen.h"
#include "tae.h"

int chkbat
(
    struct PARBLK *vblock
)
{
struct VARIABLE *val;
long rstat;

val = p_find(vblock,"$RUNTYPE");
if (strcmp(SVAL(*val,0),"BATCH") == 0)
    rstat = TRUE;
else
    rstat = FALSE;
return(rstat);
}
#endif
