
/*  #define MAXBND 10  */

#include "ntinc.h"

#define NTCRFCL		10		/* CRF close */
#define NTCRFOP		11		/* CRF open */
#define NTCRFRD		12		/* CRF read */
#define NTCRFRDHDR	13		/* CRF read header */
#define NTCRFWR		14		/* CRF write */
#define NTCRFWRHDR	15		/* CRF write header */
#define NTCRFABORT	16		/* CRF abort request */
#define NTCRFPR         17              /* Get Printer Status */

struct CRF
    {
    unsigned char crflg[4];		/* create flag */
    unsigned char fd[4];		/* file descriptor */
    unsigned char mode[4];		/* open mode (read or write) */
    unsigned char recnmr[4];		/* record number */
    unsigned char totrec[4];		/* total number of requests */
    struct SNDACK ack;
    };
