#define USERNAMESZ	32
#define ACCOUNTSZ	32
#define DEFDIRSZ	64
#define DEFDEVSZ	32

/* this is the definition for a uaf structure the tbd fields    */
/* stand for to be determined and I welcome you to change those */
/* to their correct values. */

struct UAF
{
	K_TEXT tbd0[4];
	K_TEXT username[USERNAMESZ];
	K_LONG uic;
	K_TEXT tbd1[12];
	K_TEXT account[ACCOUNTSZ];
	K_TEXT owner[32];
	K_TEXT defdev[DEFDEVSZ];
	K_TEXT defdir[DEFDIRSZ];
	K_TEXT lgicmd[64];
	K_TEXT defcli[32];
	K_TEXT clitables[32];
	K_TEXT pwd[8];
	K_TEXT pwd2[8];
	K_COUNT logfails;
	K_COUNT salt;
	K_TEXT encrypt;
	K_TEXT encrypt2;
	K_TINY pwd_length;
	K_TINY fill1;
	K_TEXT expiration[8];
	K_TEXT pwd_lifetime[8];
	K_TEXT pwd_date[8];
	K_TEXT pwd2_date[8];
	K_TEXT lastlogin_i[8];
	K_TEXT lastlogin_n[8];
	K_LONG priv[2];
	K_LONG def_priv[2];
	K_TEXT min_class[20];
	K_TEXT max_class[20];
	K_LONG flags;
	K_TEXT tbd2[30];
	K_TEXT tbd3[12];
	K_TINY primdays;
	K_TINY fill2;
	K_TINY pri;
	K_TINY quepri;
	K_COUNT maxjobs;
	K_COUNT maxacctjobs;
	K_COUNT maxdetach;
	K_COUNT prccnt;
	K_COUNT biolm;
	K_COUNT diolm;
	K_COUNT tqcnt;
	K_COUNT astlm;
	K_COUNT enqlm;
	K_COUNT fillm;
	K_COUNT shrfillm;
	K_LONG wsquota;
	K_LONG dfwscnt;
	K_LONG wsextent;
	K_LONG pgflquota;
	K_LONG cputim;
	K_LONG bytlm;
	K_LONG pbytlm;
	K_LONG jtquota;
	K_COUNT proxy_lim;
	K_COUNT proxies;
	K_COUNT account_lim;
	K_COUNT accounts;
	K_TEXT tbd4[64];
};
