/*
PROGRAM HISTORY:
  Version       Date        Author      Change Request
  -------       ----        ------      --------------
   2.0		 3/97	    KGacke	qlp/qlpmgr unix command line option
   1.0          10/91       KGacke    	initial development -- copied from
                                        color FIRE

PROJECT:        Quick Look Printer

*/


#ifdef vms
#include <stdio.h>
#include <ssdef.h>
#include <jpidef.h>
#include "worgen.h"

int chkbat
(
    long tae,
    struct PARBLK *vblock
)
{
struct
    {                       /* item list for SYS$GETJPI */
    short   il_buflen;              /* buffer length */
    short   il_code;                /* item description code */
    char    *il_bufaddr;            /* buffer address */
    char    *il_lenaddr;            /* addr of returned length */
    long    il_zero;                /* list terminator */
    }       itemlist;
long mode;
long nonfatal = 1;
long rstat;
long status;
char msg[80];

itemlist.il_buflen = sizeof(long);
itemlist.il_code = JPI$_MODE;
itemlist.il_bufaddr = &mode;
itemlist.il_lenaddr = (char *)0;
itemlist.il_zero = 0;
status = sys$getjpi(0,0,0,&itemlist,0,0,0);
if (status != SS$_NORMAL)
    {
    sprintf(msg,"Error in sys$getjpi call, status = %x\n",status);
    c_errmsg(msg,"fire",&nonfatal);
    rstat = FALSE; 
    }
else
    rstat = (mode == JPI$K_BATCH) ? TRUE : FALSE;
return(rstat);
}
#endif
#ifdef unix
#include <stdio.h>
#include <string.h>
#include "las.h"
#include "ntqlp.h"
#include "qlp.h"
#include "qlpsupport.h"

int chkbat
(
    long tae,
    struct PARBLK *vblock
)
{
struct VARIABLE *val;
long rstat;

rstat = FALSE;
if (tae)
    {
    val = p_find(vblock,"$RUNTYPE");
    if (strcmp(SVAL(*val,0),"BATCH") == 0)
        rstat = TRUE;
    }
return(rstat);
}
#endif
