#ifndef LOCAL_PROTOS_H
#define LOCAL_PROTOS_H

int br_enhance
(
    int  *in,
    float *out,
    long  *ne,
    float *lut
);

void br_calbrt
(
    int   *in,
    float *out,
    long  *ne,
    float *lut
);

void br_contrl
(
    int   *in,
    float *out,
    long  *ne,
    float *lut
);

void br_punt
(
    float *cal,
    float *con,
    float *enh,
    short *lut
);

int chkbat
(
    long tae,
    struct PARBLK *vblock
);

int chkbat
(
    long tae,
    struct PARBLK *vblock
);

void cplut
(
    struct recfmt *rec,
    struct lut *tlut,
    long which
);

int getchrg
(
    char *chrg
);

int getlut
(
    struct QLP_PRINTER *printer,
    struct recfmt *rec,
    char *calfile,
    char *confile,
    char *lutenv,
    unsigned char clut[],
    unsigned char mlut[],
    unsigned char ylut[],
    unsigned char klut[]
);

int qlp_getin
(
    char *inparm,	   	   /* Input image specification       */
    char hnames[][CMLEN],      /* host names of images specified  */
    long *images,	   	   /* Number of images                */
    long window[][4],	   /* Image windows (sl ss nl ns)     */
    long bands[][MAXBND+1],    /* Image bands             */
    long *nbands,	   	   /* Number of bands per image       */
    long *totbnd,	   	   /* total number of bands specified */
    long *imglimit,	   	   /* Maximum images caller can handle*/
    long *same_window,	   /* 1 if all windows the same	      */
    long (*qflag)[2],	   /* 1 if caller specified the window*/
    char *emsg		   /* error message buffer            */
);

int rddltf
(
    char *colorord,		/* color order (RGB, CMY, CMYK, BW) */
    char *fname,			/* file name specification of DLTF file */
    char *dltf,			/* dltf entry name */
    struct lut lut[]		/* the enh map points to be returned */
);

int rdlut
(
    char *colorord,	/* (I) color order (RGB, CMY, CMYK, or BW) */
    int fnmr,		/* (I) number of LUT to be opened */
    char *fname,		/* (I) name of LUT to be opened (if fnmr=NULLVAL) */
    char ftype[],	/* (I) LUT file type (ENH, CAL, or CON) */
    struct lut lut[]	/* (O) structure to contain LUT map points */
);

int scanbuf
(
    char *buf,              /* buffer containing the record      */
    char *scan_string       /* scan string to be searched for  */
);

int setenh
(
    char *colorord,
    int fnmr,
    char *fname,
    struct lut enhlut[],
    long enhflg
);

int validpid
(
    int pid
);

#endif
