/*
C DOCUMENT
C  12-29-86  added 'status' argument to help trap write errors
C  	     K. Zanter
C  09-28-88  Updated for LAS 5.0 -- B. Ailts
C-------------------------------------------------------------
*/
#include "las.h"
#include "labserv.h"
#include "lams.h"
#include "vll.h"


int c_grread
(
    struct MFDESC **fdesc,
    long *rec,
    float *buffer
)
{  /*  c_grread  */

struct MFDESC *mfd;

long clen;
long dlen;
long nonfatal = 1;
long status;

char dtype[TYPL];
char key[KEYL];
char cbuf;

mfd = *fdesc;
clen = 1;
dlen = mfd->reclen * 4;

sprintf(key,"REC%ld",*rec);
status = c_lsread(&(mfd->fd),key,&clen,&dlen,&cbuf,buffer,dtype);
if ( status != E_SUCC)
   {
   c_errmsg("Error reading the input file","lamsutil-read",&nonfatal);
   return(E_FAIL);
   }
status = c_lsrew(&(mfd->fd));
if (status != E_SUCC)
   {
   c_errmsg("Error rewinding the input file","lamsutil-rewind",&nonfatal);
   return(E_FAIL);
   }

return(E_SUCC);
}  /*  c_grread  */
