#include <stdio.h>
#include "las.h"
#include "lams.h"


int c_rdsca
(
    char *hname,
    long *sca
)
{
struct DDR ddr;
long one = 1;
long status;

status = c_getddr(hname,&ddr);
if (status != E_SUCC)
   return (E_FAIL);

if ((long)(ddr.line_inc * 1000) != (long)(ddr.sample_inc * 1000))
   {
   c_errmsg("Scale factor in the line and sample direction are not equal",
	    "lamsutil-scale",&one);
   return (E_FAIL);
   }

*sca = (long) ddr.line_inc;
return(E_SUCC);
}
