	SUBROUTINE GETCFP(block,NAME,UNIT,BUF,PTR,ENDPTR,MAXPAR,status)

	include 'las.fin'

	real*4 buf(1)
	integer*4 rec,endptr,ptr,p,len,count,status,unit,ifcb(XIFDIM)
	integer*4 nw,i,nadd,ixl
	integer*4 tcount
	integer*4 block(XPRDIM)
	integer*4 getnam
	integer*4 maxpar
	character*(CMLEN) ha1
	character*8 name

	REC = 0
	ENDPTR = float(PTR)
	P = PTR+1
	call xrstr(block,name,1,ha1,len,count,status)
	if (count .lt. 1) return
	status = getnam(block,name,ha1,'ibis.graph',IREAD)
	if (status .ne. ESUCC) return

	CALL XIOPIN(IFCB,UNIT,HA1,xinput,STATUS)
	if (status .ne. XSUCC) then
	  call errmsg('Cannot open file','lamsutil-open',1)
	  status = EFAIL
	  return
	end if

	NW = IFCB(XLINSZ)/4
 1	REC = REC+1
	CALL XIREAD(IFCB,BUF(P),1,REC,1,STATUS)
	if (status .ne. XSUCC) then
	  call errmsg('Error reading file','lamsutil-read',1)
	  status = EFAIL
	  return
	end if
	CALL XIWAIT(IFCB,STATUS)
	if (status .ne. XSUCC) then
	  call errmsg('Error reading file','lamsutil-read',1)
	  status = EFAIL
	  return
	end if

	IF (REC.GE.2) GO TO 3
	TCOUNT = int(BUF(P))
	IF (TCOUNT+PTR.GT.MAXPAR)  then
	  call errmsg('Maximum number of points has been reached',
     .			'lamsutil-max',1)
	  status = EFAIL
	  return
	end if

	DO 2 I=1,NW
	BUF(P+I-1) = BUF(P+I)
2	continue

	IXL = 1

3	continue

	NADD = MIN0(NW-IXL,TCOUNT)
	IXL = 0
	P = P+NADD
	TCOUNT = TCOUNT-NADD
	IF (TCOUNT.GT.0) GO TO 1
	ENDPTR = float(P-1)
	CALL XICLSE(IFCB,XSAVE)

	status = ESUCC
	RETURN
	END
