/****************************************************************************
 *      Copyright (c) 1993, 1994
 *      Century Computing, Inc.
 *      ALL RIGHTS RESERVED
 *
 *      The software (programs, data bases and/or documentation) on or in
 *      any media can not be reproduced, disclosed, or used except under
 *      the terms of the TAE Plus Software License Agreement.
 *
 ***************************************************************************/



/* CHANGE LOG:
 * 01-may-92 Created...tpl
 */


#include <taeconf.inp>
#include <oldresinc.inc>
#include <oldparblk.inc>


/* 
 *	r_setabs.  Takes a pointer previously made relative by r_setrel and
 *	re-constructs an absolute pointer.  r_setabs is called by the
 *	SET_ABS macro for convenience.
 *
 *	r_setabs is usually called after the storage block has been transfered
 *	to a different address space.
 */

    FUNCTION GENPTR oldr_setabs(s, pp)

	ALIGN	*s;			/* input: storage block		*/
	GENPTR	pp;			/* input: address of pointer	*/

    {
    COMPACT_UCOUNT *i;		/* address of relative pointer	*/

    i = (COMPACT_UCOUNT *) pp;		/* get pointer in usuable form	*/
    if (*i == MAX_COMPACT_UCOUNT)
	return(NULL);			/* negative is flag for NULL	*/
    else
	return( (GENPTR) (s + *i));	/* positive is index in s	*/
    }
