/****************************************************************************
 *      Copyright (c) 1993, 1994
 *      Century Computing, Inc.
 *      ALL RIGHTS RESERVED
 *
 *      The software (programs, data bases and/or documentation) on or in
 *      any media can not be reproduced, disclosed, or used except under
 *      the terms of the TAE Plus Software License Agreement.
 *
 ***************************************************************************/



/*
 *      Greeting message generator.
 *
 *
 *      CHANGE LOG:
 *
 *                      PR 884:  new greeting message...palm
 *      09-dec-84       Different greeting message for RCJM monitor...dm
 *      02-jan-85       Change RCJM greeting message...dm
 *
 ***********************************************************************
 * CHANGES MADE IN THE RCJM TREE:
 *
 *      08-mar-85       Add 'prototype' to RCJM greeting message...dm
 *
 ***********************************************************************
 *      01-dec-86       For merging RCJM into main tree, no spec'l message...nhe
 */


#include "taeconf.inp"   /* TAE configuration (REQUIRED)         */
#include "local_protos.h"


/*      greet - issue TAE logon greeting message.
 *
 *      This is called once (during TM initialization).
 *      The greeting message may be changed with no
 *      impact to TAE.  If you do not have a C compiler,
 *      this may be written in assembly language; a
 *      one-instruction version (with a return) will
 *      suppress the greeting message.
 *
 */

#define WRT put_stdout

FUNCTION VOID greet 
(
    TEXT vrsion[]           /* in:  TM version string */
)
{
    /*WRT(" ");
    WRT("                  ********************************************");
    WRT("                            Land   Analysis   System          ");
    WRT("                                                              ");
    WRT("                                  Version 7.0                 ");
    WRT("                  ********************************************");
    WRT(" ");*/

}
